<?php

namespace App\Console\Commands;

use App\Jobs\ProcessFactor as JobsProcessFactor;
use App\Models\Factor;
use App\Notifications\Sms\NewFactor;
use Illuminate\Support\Facades\Notification;
use Illuminate\Console\Command;

class ProcessFactor extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'process:factor';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'run this command after update';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $factors=Factor::where('paid',1)->where('period','>',0)->whereDate('duedate_factor','=',now()->addDays(1)->format('Y-m-d'))->get();

        foreach ($factors as $factor)
        {
            JobsProcessFactor::dispatch($factor);
        }
        
     
       
    }
}
