<?php

namespace App\Console\Commands;

use App\Models\Factor;
use App\Models\Installment;
use App\Notifications\Sms\NewFactor;
use App\Notifications\Sms\RememberInstallment;
use Illuminate\Support\Facades\Notification;
use Illuminate\Console\Command;

class ProcessInstallment extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'process:installment';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'run this command after update';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $factors=Installment::where('status',0)->whereDate('due_date','=',now()->addDays(5)->format('Y-m-d'))->get();
        foreach ($factors as $factor)
        {
            
            if (option('sms_installment', 'off') == 'on' and $factor->factor->notifications) {
              
                Notification::send($factor->user, new RememberInstallment($factor));
            }
        }
        $factors=Installment::where('status',0)->whereDate('due_date','=',now()->addDays(3)->format('Y-m-d'))->get();
        foreach ($factors as $factor)
        {
            if (option('sms_installment', 'off') == 'on' and $factor->factor->notifications) {
                Notification::send($factor->user, new RememberInstallment($factor));
            }
        }
        $factors=Installment::where('status',0)->whereDate('due_date','=',now()->addDays(1)->format('Y-m-d'))->get();
        foreach ($factors as $factor)
        {
            if (option('sms_installment', 'off') == 'on' and $factor->factor->notifications) {
                Notification::send($factor->user, new RememberInstallment($factor));
            }
        }
        
     
       
    }
}
