<?php

namespace App\Console\Commands;

use App\Models\Factor;
use App\Notifications\Sms\RememberFactor;
use Illuminate\Support\Facades\Notification;
use Illuminate\Console\Command;

class ProcessRemember extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'process:remember';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'run this command after update';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $factors=Factor::where('paid',0)->where('installment',0)->whereDate('expire_date','=',now()->addDays(5)->format('Y-m-d'))->get();
        foreach ($factors as $factor)
        {
            if (option('sms_remember_factor', 'off') == 'on' and $factor->notifications) {
                Notification::send($factor->user, new RememberFactor($factor));
            }
        }
        $factors=Factor::where('paid',0)->where('installment',0)->whereDate('expire_date','=',now()->addDays(3)->format('Y-m-d'))->get();
        foreach ($factors as $factor)
        {
            if (option('sms_remember_factor', 'off') == 'on' and $factor->notifications) {
                Notification::send($factor->user, new RememberFactor($factor));
            }
        }
        $factors=Factor::where('paid',0)->where('installment',0)->whereDate('expire_date','=',now()->addDays(1)->format('Y-m-d'))->get();
        foreach ($factors as $factor)
        {
            if (option('sms_remember_factor', 'off') == 'on' and $factor->notifications) {
                Notification::send($factor->user, new RememberFactor($factor));
            }
        }
        
     
       
    }
}
