<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Factor;
use App\Models\Installment;
use App\Models\Sms;
use App\Models\Transaction;
use App\Models\User;
use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use URL;
use Artesaos\SEOTools\Facades\SEOTools;
use Morilog\Jalali\Jalalian;

class AdminController extends Controller
{
    public function index()
    {
        if(!checklicense())
        { 
        return redirect()->route('license');
        }
        $factors = Factor::query();
        $users = User::query();
        $total = Transaction::where('status', 1)->sum('price');
        $transactions = Transaction::where('status', 1)->latest()->take(10)->get();
        $sms = Sms::latest()->take(5)->get();

        for ($i = 1; $i <= 12; $i++) {

            $year = jdate(date('Y-m-d'))->getYear();
            $month = $i;
            $day = 1;
            $persian_date = $year . '-' . $month . '-' . $day;

            $date_count = (new Jalalian($year, $month, $day))->getMonthDays();
            $persian_date2 = $year . '-' . $month . '-' . $date_count;

            $first_month = \Morilog\Jalali\CalendarUtils::createCarbonFromFormat('Y-n-j', $persian_date);
            $end_month = \Morilog\Jalali\CalendarUtils::createCarbonFromFormat('Y-n-j', $persian_date2);

            $view_count = Transaction::where('status', 1)->where('payment_at', '>=', $first_month)->where('payment_at', '<=', $end_month)->sum('price');
            $kol[$i] = $view_count;
        }
        $datas = implode(',', $kol);
        unset($kol);
        $j = 0;
        $d = 0;
        foreach ($factors->get() as $factor) {
            if (notpaymentfactor($factor) == 0) {
                $j++;
            } else {
                $d++;
            }
        }
        $kol[0] = $j;
        $kol[1] = $d;
        $dataf = implode(',', $kol);
        unset($kol);
        for ($i = 30; $i >= 0; $i--) {

           
            $date=now()->subDays($i)->format('Y-m-d');
            $view_count = Transaction::where('status', 1)->whereDate('payment_at', $date)->sum('price');
            $kol[$i] = $view_count;
            $tr=jdate($date)->format('Y-m-d');
            $label[]="'$tr'";
        }
       
        $daysale = implode(',', $kol);
        $labelsale = implode(',', $label);
        $installments=Installment::where('status', 0)->whereDate('due_date' ,'<', now()->addDays(30))->orderBy('due_date','ASC')->get();
        return view('admin.index', compact('factors', 'users', 'total', 'datas', 'dataf', 'transactions', 'sms','daysale','labelsale','installments'));
    }
    public function calender()
    {
        return view('admin.calender.index');
    }
}
