<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;

use App\Models\Baner;
use App\Http\Requests\StoreBanerRequest;
use App\Http\Requests\UpdateBanerRequest;
use Illuminate\Support\Facades\URL;

class BanerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $baners = baner::query();
        $baners = $baners->latest()->paginate(25);
       return view('admin.baner.index',compact('baners'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $baner = new Baner();
        $action = URL::route('admin.baner.store');
        $title = 'افزودن  بنر';
        return view('admin.baner.create', compact(['baner', 'action', 'title']));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\StoreBanerRequest  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreBanerRequest $request)
    {
        Baner::create($request->all());
        alert()->success('اطلاعات با موفقیت ثبت شد','پیغام سیستم')->persistent("تایید");
        return back();
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Baner  $baner
     * @return \Illuminate\Http\Response
     */
    public function show(Baner $baner)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Baner  $baner
     * @return \Illuminate\Http\Response
     */
    public function edit(Baner $baner)
    {
        $action = URL::route('admin.baner.update',['baner' => $baner]);
        $title = 'ویرایش بنر   ';
        return view('admin.baner.create',compact(['baner','action','title']));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdateBanerRequest  $request
     * @param  \App\Models\Baner  $baner
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateBanerRequest $request, Baner $baner)
    {
        $baner->update($request->all());
        alert()->success('ویرایش  با موفقیت انجام شد','پیغام سیستم')->persistent('تایید');
        return redirect(route('admin.baner.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Baner  $baner
     * @return \Illuminate\Http\Response
     */
    public function destroy(Baner $baner)
    {
        $baner->delete();
        alert()->success('حذف با موفقیت انجام شد','پیغام سیستم')->persistent('تایید');
        return back();
    }
}
