<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;

use App\Models\Baner;
use App\Http\Requests\StoreBanerRequest;
use App\Http\Requests\UpdateBanerRequest;
use App\Models\Reservation;
use Carbon\CarbonPeriod;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\URL;

class CalenderController extends Controller
{
    public function getAllEventsAjax(Request $request)
    {
      
        try {
            $periods = CarbonPeriod::create($request->start, $request->end);
            $jayParsedAry = array();
            foreach ($periods as $period) {
                $jdate=jdate($period)->format('Y_m_d');
                $reserve=Reservation::where('date_at',$jdate)->get();
                if (sizeof($reserve) > 0) {
                    foreach ($reserve as $item) {
                        $jayParsedAry[] = [
                            "title" => $item->user->nf . " - " . $item->service->name,
                            "description" => $item->user->nf . " - " . $item->service->name,
                            "start" => $period->format('Y-m-d') . "T" . $item->time_at . ":00",
                            "end" => $period->format('Y-m-d') . "T" . $item->end_at . ":00",
                            "groupId" => $item->service_id,
                            "service_id" =>  $item->service_id,
                            "url" =>'',
                            "color" =>  "red",
                            "background" => "red",
                            "weekends" => false
                        ];
                    }
                }
            }

            return response()
            ->json($jayParsedAry);
        } catch (Exception $e) {
            $e->getMessage();
        }
    }
}
