<?php

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use URL;

use App\Models\TicketPriority;

class TicketPriorityController extends Controller
{
      /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
       $this->middleware('permission:admin-priority-index', ['only' => ['index','create','store','edit','update','destory']]);
    }
    public function index()
    {
        $ticketpriority = TicketPriority::query();
        $ticketpriority = $ticketpriority->latest()->paginate(25);
       return view('admin.ticketPriority.index',compact('ticketpriority'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $ticketpriority = new TicketPriority;
        $action = URL::route('admin.ticketpriority.store');
        $title='  افزودن اهمیت تیکت';
        return view('admin.ticketPriority.create',compact(['ticketpriority','action','title']));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        TicketPriority::create($request->all());
        alert()->success('اطلاعات با موفقیت ثبت شد','پیغام سیستم')->persistent("تایید");
        return back();
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Priority  $priority
     * @return \Illuminate\Http\Response
     */
    public function show(TicketPriority $priority)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Priority  $priority
     * @return \Illuminate\Http\Response
     */
    public function edit(TicketPriority $ticketpriority)
    {
        $action = URL::route('admin.ticketpriority.update', ['ticketpriority' => $ticketpriority->id]);
        $title=' ویرایش اهمیت تیکت';
        return view('admin.ticketPriority.create',compact(['ticketpriority','action','title']));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Priority  $priority
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, TicketPriority $ticketpriority)
    {
        $ticketpriority->update($request->all());
        alert()->success('ویرایش  با موفقیت انجام شد','پیغام سیستم')->persistent('تایید');
        return redirect(route('admin.ticketpriority.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Priority  $priority
     * @return \Illuminate\Http\Response
     */
    public function destroy(TicketPriority $ticketpriority)
    {
        $ticketpriority->delete();
        alert()->success('حذف با موفقیت انجام شد','پیغام سیستم')->persistent('تایید');
        return back();
    }
}
