<?php

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use URL;
use App\Models\TicketStatus;


class TicketStatusController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
          $this->middleware('permission:admin-ticket-status', ['only' => ['index','create','store','edit','update','destory']]);

        
    }
    public function index()
    {
       $ticketstatus = TicketStatus::query();
       $ticketstatus =$ticketstatus->latest()->paginate(25);
       return view('Admin.ticket.status.index',compact('ticketstatus'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
       $ticketstatus = new TicketStatus;
        $action = URL::route('admin.ticketstatus.store');
        $title='افزودن وضعیت تیکت';
        return view('Admin.ticket.status.create',compact(['ticketstatus','action','title']));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        TicketStatus::create($request->all());
        alert()->success('اطلاعات با موفقیت ثبت شد','پیغام سیستم')->persistent("تایید");
        return back();
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Status $ticketstatus
     * @return \Illuminate\Http\Response
     */
    public function show(TicketStatus $ticketstatus)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Status $ticketstatus
     * @return \Illuminate\Http\Response
     */
    public function edit(TicketStatus $ticketstatus)
    {
        $action = URL::route('admin.ticketstatus.update', ['ticketstatus' =>$ticketstatus->id]);
        $title=' ویرایش وضعیت تیکت';
        return view('Admin.ticket.status.create',compact(['ticketstatus','action','title']));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Status $ticketstatus
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, TicketStatus $ticketstatus)
    {
       $ticketstatus->update($request->all());
        alert()->success('ویرایش  با موفقیت انجام شد','پیغام سیستم')->persistent('تایید');
        return redirect(route('admin.ticketstatus.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Status $ticketstatus
     * @return \Illuminate\Http\Response
     */
    public function destroy(TicketStatus $ticketstatus)
    {
       $ticketstatus->delete();
        alert()->success('حذف با موفقیت انجام شد','پیغام سیستم')->persistent('تایید');
        return back();
    }
}
