<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Str;


class InstallController extends Controller
{
    public function showRegisterForm()
    {
        return view('admin.register');
    }

    public function register(Request $request)
    {
        $this->validate($request, [
            'name'            => 'required|string|max:191',
            'family'             => 'required|string|max:191',
            'mobile'              => 'required|string|max:191',
            'password'              => 'required|min:6|confirmed',
            'password_confirmation' => 'required',
        ]);
            $user = User::create([
                'name'     => $request->name,
                'family'      => $request->family,
                'mobile'       => $request->mobile,
                'type'          => 'admin',
                'password'       => Hash::make($request->password),
                'remember_token' => Str::random(10),
            ]);

            $user->assignRole('super-admin');
            $this->configApplication();
            Auth::loginUsingId($user->id);
            return redirect()->route('admin.index');

    }

    private function configApplication()
    {
        change_env('APP_NAME', 'Cardia');
        change_env('SESSION_DRIVER', 'database');
        change_env('QUEUE_CONNECTION', 'database');
        Artisan::call('queue:work');
    }
}
