<?php
namespace App\Http\Controllers;
use App\Events\OkPardakht;
use App\Models\Factor;
use App\Models\Gateway;
use App\Models\Transaction;
use Illuminate\Http\Request;
use Shetabit\Multipay\Invoice;
use Shetabit\Payment\Facade\Payment;
use DB;
class PaymentController extends Controller
{
    public function payment($gateway, $price, $user, $redirecturl, $model = Null)
    {
        try {
            $gateway_configs = get_gateway_configs($gateway);
            return Payment::via($gateway)->config($gateway_configs)->callbackUrl(route('verify', ['gateway' => $gateway]))->purchase(
                (new Invoice)->amount(intval($price)),
                function ($driver, $transactionId) use ($model, $gateway, $price, $user, $redirecturl) {
                    if ($model == null) {
                        $transactionable_type = 0;
                        $transactionable_id = 0;
                    } else {
                        $transactionable_type = get_class($model);
                        $transactionable_id = $model->id;
                    }
                    DB::table('transactions')->insert([
                        'status'               => false,
                        'price'               => $price,
                        'type'                 => 'online',
                        'description'              => 'تراکنش ایجاد شد برای درگاه ' . $gateway,
                        'transid'              => (string) $transactionId,
                        'user_id'              => $user->id,
                        'transactionable_type' => $transactionable_type,
                        'transactionable_id'   => $transactionable_id,
                        'gateway_id'           => Gateway::where('key', $gateway)->first()->id,
                        'redirecturl'              => $redirecturl,
                        "created_at"           => now(),
                        "updated_at"           => now(),
                    ]);
                    session()->put('transactionId', (string) $transactionId);
                    session()->put('amount', $price);
                }
            )->pay()->render();
        } catch (\Exception $e) {
          dd($e);
            return redirect($redirecturl)
                ->with('transaction_error', $e->getMessage());
            
        }
    }
    public function verify($gateway,Request $request)
    {
        if($gateway=='behpardakht')
        {
            $transactionId = $request->RefId;   
        }
        else
        {
            $transactionId = session()->get('transactionId'); 
        }
        
        $transaction = Transaction::where('status', false)->where('transid', $transactionId)->firstOrFail();
        $amount =$transaction->price;
        
        $gateway_configs = get_gateway_configs($gateway);
        try {
            $receipt = Payment::via($gateway)->config($gateway_configs);
            if ($amount) {
                $receipt = $receipt->amount(intval($amount));
            }
            $receipt = $receipt->transactionId($transactionId)->verify();
            DB::table('transactions')->where('transid', (string) $transactionId)->update([
                'status'               => 1,
                'traceNumber'          => $receipt->getReferenceId(),
                'description'          => 'پرداخت موفق با درگاه ' . $gateway,
                'payment_at'           => now(),
                'updated_at'           => now(),
            ]);
            event(new OkPardakht($transaction));
            alert()->success('پرداخت موفق', $transaction->transid)->persistent('تایید');
            $transaction = Transaction::where('status', true)->where('transid', $transactionId)->firstOrFail();
            return redirect($transaction->redirecturl);
        } catch (\Exception $exception) {
            DB::table('transactions')->where('transID', (string) $transactionId)->update([
                'description'              => $exception->getMessage(),
                "updated_at"           => now(),
            ]);
            alert()->error('پرداخت ناموفق', $exception->getMessage())->persistent('تایید');
            return redirect($transaction->redirecturl)->with('transaction-error', $exception->getMessage());
        }
    }
}
