<?php

use App\Http\Myclass\NumToWordFa;
use App\Models\Factor;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Cache;
use App\Models\Option;
use App\Models\Gateway;
use App\Models\ProductPay;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Collection;

if (!function_exists('Activemenu')) {

    function Activemenu($parent, $routename, $panel)
    {
        $counts = \App\Models\MenuAdmin::where('panel', $panel)->where('route', $routename)->first();
        if ($counts) {

            if ($counts->parent == $parent) {
                return 'class="open active conditional-bg"';
            }
        }
    }
}
function application_installed()
{
    return file_exists(storage_path('installed'));
}

if (!function_exists('yesno')) {

    function yesno($value)
    {
        if ($value == 1) {
            return 'بله';
        }
        return 'خیر';
    }
}

if (!function_exists('faTOen')) {
    function faTOen($string)
    {
        return strtr($string, array('۰' => '0', '۱' => '1', '۲' => '2', '۳' => '3', '۴' => '4', '۵' => '5', '۶' => '6', '۷' => '7', '۸' => '8', '۹' => '9', '٠' => '0', '١' => '1', '٢' => '2', '٣' => '3', '٤' => '4', '٥' => '5', '٦' => '6', '٧' => '7', '٨' => '8', '٩' => '9'));
    }
}
if (!function_exists('mobile')) {
    function mobile($string)
    {

        if ((bool) preg_match('/^(((98)|(\+98)|(0098)|0)(9){1}[0-9]{9})+$/', $string) || (bool) preg_match('/^(9){1}[0-9]{9}+$/', $string)) {
            if (strlen($string) == 10) {
                $string = '0' . $string;
            }
            return $string;
        }
        return false;
    }
}


if (!function_exists('otp')) {
    function otp($key1)
    {

        $gg = str_split($key1);
        $ff = '';
        for ($i = 0; $i <= count($gg) - 1; $i++) {
            if (is_numeric($gg[$i])) {
                $ff .= $gg[$i];
            }
        }

        $ee = substr($ff, 4, 7);
        return $ee;
    }
}

if (!function_exists('remove')) {
    function remove($char, $string)
    {

        return str_replace($char, '', $string);
    }
}
if (!function_exists('jalalitomiladi')) {
    function jalalitomiladi($jalalidate)
    {

        return   \Morilog\Jalali\CalendarUtils::createCarbonFromFormat('Y/m/d', $jalalidate);
    }
}
function totalprice($order)
{
    $new_number = $order->price * $order->count;
    $percent = $order->discount * $new_number / 100;
    $price = $new_number - $percent;
    //---------------------------------------------------------------------------
    $taxation = $price * $order->tax / 100;
    $new_price = $taxation + $price;
    return round($new_price);
}
function discount($factor)
{
    $discount = 0;
    foreach ($factor->subfactors as $order) {
        $new_number = $order->price * $order->count;
        $price = $order->discount * $new_number / 100;
        $discount = $discount + $price;
    }

    return round($discount);
}
function tax($factor)
{
    $tax = 0;
    foreach ($factor->subfactors as $order) {
        $new_number = $order->price * $order->count;
        $percent = $order->discount * $new_number / 100;
        $price = $new_number - $percent;
        $taxation = $price * $order->tax / 100;
        $tax = $tax + $taxation;
    }

    return round($tax);
}
function total($factor)
{
    $total = 0;
    foreach ($factor->subfactors as $order) {

        $total = $total + totalprice($order);
    }
    return round($total);
}
function generatecode()
{
    $count = Factor::orderBy('code', 'DESC')->first();
    if (!isset($count)) {
        return 10000  + 1;
    } else {
        return  $count->code + 1;
    }
}
function paymentfactor($factor)
{
    $total = $factor->transactions->where('status', 1)->sum('price');

    return round($total);
}
function notpaymentfactor($factor)
{
    $total = total($factor) - paymentfactor($factor);
    return $total;
}
function paymentable($factor)
{
    if ($factor->installments->count() and notpaymentfactor($factor) != 0) {
        $min = total($factor) - installment($factor);
        $total = $factor->installments->where('status', 0)->where('due_date', '<', now()->addDays(5))->sum('price');

        return $total + $min - notinstallmentpayment($factor) ;
    } else {
        return notpaymentfactor($factor);
    }
}
function notinstallmentpayment($factor)
{
    $total = $factor->transactions->where('status', 1)->where('installment',Null)->sum('price');

    return $total;
}
function Numtoword($var)
{
    $num = new NumToWordFa();
    return $num->numberToWords($var);
}
function factorstatus($factor)
{
    if (notpaymentfactor($factor) == 0) {
        return '   <i class="fa fa-check-square-o fa-2x text-success"></i>';
    }
    if (notpaymentfactor($factor) > 0) {
        if ($factor->expire_date < jdate()->format('Y/m/d') and $factor->installments->count() == 0) {
            return '   <i class="fa fa-times-circle fa-2x text-danger"></i>';
        }
        return '   <i class="fa fa-times-circle fa-2x text-warning"></i>';
    }
}
function status($item)
{
    if ($item->status == 1) {
        return '   <i class="fa fa-check-square-o fa-2x text-success"></i>';
    }
    if ($item->status == 0) {
        return '   <i class="fa fa-times-circle fa-2x text-warning"></i>';
    }
}
function is_online($factor)
{
    if ($factor->pardakht) {
        if (jalalitomiladi($factor->expire_date)->addDay() > now() and paymentable($factor) != 0) {
            return true;
        }
        if ($factor->installments->count() and paymentable($factor) != 0) {
            return true;
        }
    }
    return false;
}
function Activemenu($parent, $routename, $panel)
{

    $counts = \App\Models\MenuAdmin::where('panel', $panel)->where('link', $routename)->first();
    if ($counts) {

        if ($counts->parent == $parent) {
            return 'class="open active conditional-bg"';
        }
    }
}
function notpaymentuser($user)
{
    $factors = $user->factors;
    $sum = 0;
    foreach ($factors as $factor) {
        $sum = $sum + notpaymentfactor($factor);
    }
    return $sum;
}
function notpaymenttotal()
{
    $factors = Factor::all();
    $sum = 0;
    foreach ($factors as $factor) {
        $sum = $sum + notpaymentfactor($factor);
    }
    return $sum;
}
function installment($factor)
{
    $factors = $factor->installments;
    $sum = 0;
    foreach ($factors as $factor) {
        $sum = $sum + $factor->price;
    }
    return $sum;
}
function option_update($option_name, $option_value)
{
    $option = Option::firstOrNew(['option_name' => $option_name]);
    $option->option_value = $option_value;
    $option->save();
    Cache::forever('options.' . $option_name, $option_value);
    Artisan::call('optimize');
}

function option($option_name, $default_value = '')
{
    $value = Cache::rememberForever('options.' . $option_name, function () use ($option_name, $default_value) {
        $option = Option::where('option_name', $option_name)->first();

        if ($option) {
            return is_null($option->option_value) ? false : $option->option_value;
        }

        return $default_value;
    });

    if (is_null($value) || $value === false || $value == '') {
        return $default_value;
    }

    return  $value;
}
function get_gateway_configs($gateway)
{
    $gateway = Gateway::where('key', $gateway)->first();
    $configs = [];

    switch ($gateway->key) {
        case "zarinpal": {
                $configs['merchantId'] = $gateway->config('merchantId');
                break;
            }
        case "payping": {
                $configs['merchantId'] = $gateway->config('merchantId');
                break;
            }
        case "idpay": {
                $configs['merchantId'] = $gateway->config('merchantId');
                break;
            }
        case "payir": {
                $configs['merchantId'] = $gateway->config('merchantId');
                break;
            }
        case "zibal": {
                $configs['merchantId'] = $gateway->config('merchantId');
                break;
            }
        case "nextpay": {
                $configs['merchantId'] = $gateway->config('merchantId');
                break;
            }
        case "aqayepardakht": {
                $configs['pin'] = $gateway->config('merchantId');
                break;
            }
        case "behpardakht": {
                $configs['terminalId'] = $gateway->config('terminalId');
                $configs['username']   = $gateway->config('username');
                $configs['password']   = $gateway->config('password');
                break;
            }
        case "sadad": {
                $configs['key']        = $gateway->config('key');
                $configs['merchantId'] = $gateway->config('merchantId');
                $configs['terminalId'] = $gateway->config('terminalId');
                break;
            }
    }

    return $configs;
}
function change_env($key, $value)
{
    // Read .env-file
    $env = file_get_contents(base_path() . '/.env');

    // Split string on every " " and write into array
    $env = preg_split('/\s+/', $env);

    $key_exists = false;

    // Loop through .env-data
    foreach ($env as $env_key => $env_value) {

        // Turn the value into an array and stop after the first split
        // So it's not possible to split e.g. the App-Key by accident
        $entry = explode("=", $env_value, 2);

        // Check, if new key fits the actual .env-key
        if ($entry[0] == $key) {
            // If yes, overwrite it with the new one
            $env[$env_key] = $key . "=" . $value;
            $key_exists = true;
        } else {
            // If not, keep the old one
            $env[$env_key] = $env_value;
        }
    }

    if (!$key_exists) {
        $env[] = $key . "=" . $value;
    }

    // Turn the array back to an String
    $env = implode("\n", $env);

    // And overwrite the .env with the new data
    file_put_contents(base_path() . '/.env', $env);
    Artisan::call('config:cache');
}
function removeuser($user)
{
    if ($user->transactions->count() == 0 and $user->factors->count() == 0 and $user->tickets->count() == 0) {
        return true;
    }

    return false;
}

function getlicense($username, $order_id, $productId = "245979")
{
    $url = 'https://www.rtl-theme.com/oauth/';
    $ch = curl_init();
    $api = 'rtl998a28e7eea49f9c0508df26bf2f31';
    $domain = request()->getHost();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POSTFIELDS, "api=$api&username=$username&order_id=$order_id&domain=$domain&pid=$productId");
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $res = curl_exec($ch);
    curl_close($ch);
    return $res;
}

function checklicense()
{
    return Cache::remember('license', 604800, function () {
        $t = getlicense(option('rtl_username'), option('rtl_order'));
        if ($t != 1) {
            return false;
        }
        $salt = '998a28e7eea49f9c0508df26bf2f31';
        $domain = request()->getHost();
        $a = $salt . $domain . '13920802';
        if (Hash::check($a, option('license_key'))) {
            return true;
        }
        return false;
    });
}

function storeFile($file, $path, $private = 0)
{
    $date = \Carbon\Carbon::now();
    $date = \Carbon\Carbon::parse($date)->format('d-m-Y');
    $name = $date . '-' . Str::random(10);
    $allowedfileExtension = ['jpeg', 'jpg', 'png', 'gif', 'svg', 'pdf', 'xlsx', 'zip', 'docx'];
    $ext = $file->getClientOriginalExtension();
    $settingcheck = in_array($ext, $allowedfileExtension);
    $full_name = $name . '.' . $ext;

    if ($settingcheck) {
        if ($private == 0) {
            $file->move($path, $full_name);
            $full = $path . $full_name;
        } else {
            $file->storeAs($path, $full_name);
            $full = $path . '/' . $full_name;
        }
    } else {
        $full = NULL;
    }
    return $full;
}

function generateFactorfromProduct($productpay)
{
    $factor = new Factor();
    $factor->code = generatecode();
    $factor->user_id = $productpay->user_id;
    $factor->name = 'خرید مستقیم محصول ' . $productpay->product->name;
    $factor->pardakht = 1;
    $factor->notifications = 1;
    $factor->paid = 1;
    $factor->date_factor = jdate($productpay->created_at)->format('Y/m/d');;
    $factor->duedate_factor = $productpay->created_at;
    $factor->expire_date = jdate($productpay->created_at)->format('Y/m/d');
    $factor->created_at = now();
    $factor->updated_at = now();
    $factor->link = Str::random(10);
    $factor->save();

    $a = $factor->subfactors()->create([
        'name' => $productpay->product->name,
        'count' => $productpay->count,
        'price' => $productpay->product->price,
        'discount' => 0,
        'tax' => 0,
        'product_id' =>  $productpay->product_id,
        'type' => 'product',

    ]);
    updateCountProduct($a);
    return $factor;
}
function updateCountProduct($subFactor, $oldvalue = 0)
{
    $product = $subFactor->product;
    $product->decrement('count', $subFactor->count - $oldvalue);
}

function download($factor)
{
    $download = array();
    $product = $factor->subfactors;
    foreach ($product as $p) {
        if ($p->type = 'product' and !empty($p->product->file)) {
            $download[] = $p->product->file;
        }
    }
    if (!empty($factor->file)) {
        $download[] = $factor->file;
    }

    return collect($download);
}
