<?php

namespace App\Jobs;

use App\Models\Factor;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class PaidFactor implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    public $factor;
    public $tries = 2;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct(Factor $factor)
    {
        $this->factor = $factor;
    }
    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        if(notpaymentfactor($this->factor)==0)
        {
            $this->factor->paid=1;
            $this->factor->save();
        }
        else
        {
            $this->factor->paid=0;
            $this->factor->save(); 
        }
    }
}
