<?php

namespace App\Listeners;

use App\Events\OkPardakht as EventOkpardakht;
use Illuminate\Queue\InteractsWithQueue;
use App\Notifications\Sms\OkFactorManager;
use App\Notifications\Sms\OkFactorUser;
use Illuminate\Support\Facades\Notification;

class OkPardakht
{

    public function handle(EventOkpardakht $event)
    {
        if ($event->transaction->transactionable_type == 'App\Models\Factor') {
            $model = $event->transaction->transactionable;
            if ($model->installments->count()) {
                $total = $model->installments->where('status', 0)->where('due_date', '<', now()->addDays(5));
                foreach ($total as $value) {
                    $value->status = 1;
                    $value->transaction_id = $event->transaction->id;
                    $value->save();
                }
                $event->transaction->installment=1;
                $event->transaction->save();
            }
        }
        if ($event->transaction->transactionable_type == 'App\Models\PersonalPay') {
            $model = $event->transaction->transactionable;
            $model->status = 1;
            $model->transaction_id = $event->transaction->id;
            $model->save();
        }
        if ($event->transaction->transactionable_type == 'App\Models\ProductPay') {
            $model = $event->transaction->transactionable;
            $model->status = 1;
            $model->transaction_id = $event->transaction->id;
            $model->save();
            $factor = generateFactorfromProduct($model);
            $event->transaction->transactionable_type = get_class($factor);
            $event->transaction->transactionable_id = $factor->id;
            $event->transaction->redirecturl = route('invoice', $factor);
            $event->transaction->save();
        }
        if (option('sms_ok_factor_user', 'off') == 'on') {
            Notification::send($event->transaction->user, new OkFactorUser($event->transaction));
        }
        if (option('sms_ok_factor_manager', 'off') == 'on') {
            Notification::send($event->transaction->user, new OkFactorManager($event->transaction));
        }
    }
}
