<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Gateway extends Model
{
    protected $guarded = ['id'];

    public function configs()
    {
        return $this->hasMany(GatewayConfig::class, 'gateway_id');
    }

    public function scopeActive($query)
    {
        return $query->where('is_active', true)->get();
    }

    public function config($key)
    {
        $config = $this->configs()->where('gateway_configs.key', $key)->first();

        return $config ? $config->value : null;
    }
}
