<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Casts\Attribute;

class Installment extends Model
{
    use HasFactory;
    protected $guarded = ['id'];
    protected $casts = [
        'dua_date' => 'datetime',
    ];
    protected function price(): Attribute
    {
        return Attribute::make(
            set: fn ($value) => str_replace(',','',$value),
        );
    }
    public function factor()
    {
        return $this->belongsTo(Factor::class);
    }
    public function user()
    {
        return $this->belongsTo(User::class);
    }
    public function transaction()
    {
       return $this->belongsTo(Transaction::class);
    }
}
