<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Service extends Model
{
    use HasFactory;
    protected $guarded = ['id'];
    protected function price(): Attribute
    {
        return Attribute::make(
            set: fn ($value) => str_replace(',','',$value),
        );
    }
    protected function depozit(): Attribute
    {
        return Attribute::make(
            set: fn ($value) => str_replace(',','',$value),
        );
    }
    public function tariffs()
    {
        return $this->hasMany(Tariff::class);
    }
    public function programs()
    {
        return $this->hasMany(Program::class);
    }
    public function programDays()
    {
        return $this->hasMany(ProgramDay::class);
    }
}
