<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Casts\Attribute;
class Sms extends Model
{
    protected $guarded = ['id'];
    const TYPES = [
        'VERIFY_CODE' => [
            'key'    => 'verify-code',
            'string' => 'کد تایید',
            'method' => 'verifyCode'
        ],
        'USER_CREATED' => [
            'key'    => 'user-created',
            'string' => 'خوش آمدگویی کاربر',
            'method' => 'userCreated'
        ],
        'MANAGER_FACTOR_PAID' => [
            'key'    => 'manager_factor-paid',
            'string' => 'اطلاع رسانی پرداخت موفق به مدیر',
            'method' => 'managerfactorPaid'
        ],
        'USER_FACTOR_PAID' => [
            'key'    => 'user-factor-paid',
            'string' => 'اطلاع رسانی پرداخت موفق به مشتری',
            'method' => 'userfactorPaid'
        ],
        'FACTOR_NEW' => [
            'key'    => 'factor-new',
            'string' => 'اطلاع رسانی فاکتور جدید به مشتری',
            'method' => 'factornew'
        ],
        'FACTOR_REMEMBER' => [
            'key'    => 'factor-remember',
            'string' => 'یادآوری فاکتور پرداخت نشده به مشتری',
            'method' => 'factorremember'
        ],
        'INSTALLMENT' => [
            'key'    => 'installment',
            'string' => 'یادآوری اقساط پرداخت نشده به مشتری',
            'method' => 'installment'
        ],
        'TICKETMANAGER' => [
            'key'    => 'ticketmanager',
            'string' => '    ارسال پیام تیکت به مدیریت ',
            'method' => 'ticketmanager'
        ],
        'TICKETUSER' => [
            'key'    => 'ticketuser',
            'string' => '  ارسال پیام تیکت به مشتری ',
            'method' => 'ticketuser'
        ],
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
    protected function response(): Attribute
    {
        return Attribute::make(
            get: fn ($value) => json_decode($value),
        );
    }
    public function type()
    {
        foreach (self::TYPES as $type) {
            if ($this->type == $type['key']) {
                return $type['string'];
            }
        }
    }
}
