<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;
use Spatie\Permission\Traits\HasRoles;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;
    use HasRoles;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'mobile',
        'type',
        'address',
        'status',
        'codemeli',
        'family',
        'pic',
        'customer',
        'persenel'
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    public function getnfAttribute()
    {
        return $this->name . ' ' . $this->family;
    }
    public function factors()
    {
        return $this->hasMany(Factor::class);
    }
    public function installments()
    {
        return $this->hasMany(Installment::class);
    }
    public function transactions()
    {
        return $this->hasMany(Transaction::class);
    }
    public function departments()
    {
        return $this->belongsToMany(TicketCategory::class);
    }
    public function tickets()
    {
        return $this->hasMany(Ticket::class);
    }
    public function posts()
    {
        return $this->hasMany(Post::class);
    }
}
