<?php

namespace App\Notifications\Sms;

use App\Channels\SmsChannel;
use App\Models\Factor;
use App\Models\Sms;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class NewFactor extends Notification
{
    use Queueable;
    public $factor;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct(Factor $factor)
    {
        $this->factor = $factor;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return [SmsChannel::class];
    }

    public function toSms($notifiable)
    {
        return [
            'mobile'  => $notifiable->mobile,
            'data'    => [
                'link' => $this->factor->link,
                'price' =>number_format(total($this->factor)).'تومان',
                'name'=>$this->factor->name,
                'nf'=>$notifiable->nf,
                'id'=>$this->factor->id,
                'modelclass'=>get_class($this->factor)
            ],
            'type'    => Sms::TYPES['FACTOR_NEW'],
            'user_id' => $notifiable->id
        ];
    }
}
