<?php

namespace App\Notifications\Sms;

use App\Channels\SmsChannel;
use App\Models\user;
use App\Models\Sms;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class NewUser extends Notification
{
    use Queueable;
    public $user;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct(User $user)
    {
        $this->user = $user;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return [SmsChannel::class];
    }

    public function toSms($notifiable)
    {
        return [
            'mobile'  => $notifiable->mobile,
            'data'    => [
                'mobile'=>$this->user->mobile,
                'nf'=>$notifiable->nf,
                'id'=>$this->user->id,
                'modelclass'=>get_class($this->user)
            ],
            'type'    => Sms::TYPES['USER_CREATED'],
            'user_id' => $notifiable->id
        ];
    }
}
