<?php

namespace App\Notifications\Sms;

use App\Channels\SmsChannel;
use App\Models\Factor;
use App\Models\Sms;
use App\Models\Transaction;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class OkFactorUser extends Notification
{
    use Queueable;
    public $transaction;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct(Transaction $transaction)
    {
        $this->transaction = $transaction;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return [SmsChannel::class];
    }

    public function toSms($notifiable)
    {
        return [
            'mobile'  => $notifiable->mobile,
            'data'    => [
                'price' =>number_format($this->transaction->price).'تومان',
                'name'=>$this->transaction->transactionable->name,
                'nf'=>$notifiable->nf,
                'id'=>$this->transaction->id,
                'modelclass'=>get_class($this->transaction),
                'code'=>$this->transaction->id
            ],
            'type'    => Sms::TYPES['USER_FACTOR_PAID'],
            'user_id' => $notifiable->id
        ];
    }
}
