<?php

namespace App\Notifications\Sms;

use App\Channels\SmsChannel;
use App\Models\Ticket;
use App\Models\Sms;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class TicketManager extends Notification
{
    use Queueable;
    public $Ticket;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct(Ticket $ticket)
    {
        $this->Ticket = $ticket;
     
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return [SmsChannel::class];
    }

    public function toSms($notifiable)
    {
        return [
            'mobile'  =>  option('admin_mobile_number'),
            'data'    => [
                'nf'=>$this->Ticket->user->nf,
                'id'=>$this->Ticket->id,
                'modelclass'=>get_class($this->Ticket)
            ],
            'type'    => Sms::TYPES['TICKETMANAGER'],
            'user_id' => $this->Ticket->user->id
        ];
    }
}
