<?php

namespace App\Services\Sms;

use App\Contracts\SmsContract;
use App\Contracts\SmsNotificationContract;

class IppanelSms extends SmsService implements SmsContract, SmsNotificationContract {
    public function send()
    {
        $method = $this->method();
        $data   = $this->$method();

        $username      = option('SMS_PANEL_USERNAME');
        $password      = option('SMS_PANEL_PASSWORD');
        $from          = option('SMS_PANEL_FROM');
        $to            = array($this->mobile());
        $pattern_code  = $data['pattern_code'];
        $input_data    = $data['input_data'];

        $url      = "https://ippanel.com/patterns/pattern?username="
            . $username . "&password=" . urlencode($password)
            . "&from=$from&to=" . json_encode($to)
            . "&input_data=" . urlencode(json_encode($input_data))
            . "&pattern_code=$pattern_code";
          
        $handler = curl_init($url);
        curl_setopt($handler, CURLOPT_CUSTOMREQUEST, "GET");
        curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
        $response = curl_exec($handler);
        return $response;
    }

    public function verifyCode()
    {
        return [
            'pattern_code' => option('sms_forgot_ippanel'),
            'input_data'   => [
                'code' => $this->data['code']
            ],
        ];
    }

    public function userCreated()
    {
        return [
            'pattern_code' => option('sms_on_user_register_ippanel'),
            'input_data'   => [
                'nf' => $this->data['nf'],
                'username'   => $this->data['mobile'],
                'password'   => $this->data['mobile'],
            ],
        ];
    }


    public function factornew()
    {
        return [
            'pattern_code'     => option('sms_send_new_factor_ippanel'),
            'input_data'   => [
                'nf' => $this->data['nf'],
                'price' => $this->data['price'],
                'name'   => $this->data['name'],
                'link'=> $this->data['link']

            ],
        ];
    }

    public function userfactorPaid()
    {
        return [
            'pattern_code'     => option('sms_ok_factor_user_ippanel'),
            'input_data'   => [
                'nf' => $this->data['nf'],
                'code' => $this->data['code'],
                'name'   => $this->data['name'],
                'price'=> $this->data['price']

            ],
        ];
    }
    public function managerfactorPaid()
    {
        return [
            'pattern_code'     => option('sms_ok_factor_manager_ippanel'),
            'input_data'   => [
                'nf' => $this->data['nf'],
                'code' => $this->data['code'],
                'price'   => $this->data['price']

            ],
        ];
    }

    public function factorremember()
    {
        return [
            'pattern_code'     => option('sms_remember_factor_ippanel'),
            'input_data'   => [
                'nf' => $this->data['nf'],
                'price' => $this->data['price'],
                'name'   => $this->data['name'],
                'link'=> $this->data['link']

            ],
        ];
    }

    public function installment()
    {
        return [
            'pattern_code'     => option('sms_installment_ippanel'),
            'input_data'   => [
                'nf' => $this->data['nf'],
                'price' => $this->data['price'],
                'name'   => $this->data['name'],
                'link'=> $this->data['link'],
                'date'=> $this->data['date']
            ],
        ];
    }
    public function ticketmanager()
    {
        return [
            'pattern_code'     => option('sms_ticket_manager_ippanel'),
            'input_data'   => [
                'nf' => $this->data['nf'],
                'code' => $this->data['id'],
               
            ],
        ];
    }
    public function ticketuser()
    {
        return [
            'pattern_code'     => option('sms_ticket_user_ippanel'),
            'input_data'   => [
                'nf' => $this->data['nf'],
                'code' => $this->data['id'],
            ],
        ];
    }
}
