<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('factors', function (Blueprint $table) {
            $table->uuid('id')->primary();

            $table->unsignedBigInteger('user_id')->nullable();
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->integer('code')->unsigned()->unique()->default(0);
            $table->string('name')->nullable();
            $table->text('description')->nullable();
            $table->string('pardakht')->nullable();
            $table->string('notifications')->nullable();
            $table->integer('installment')->unsigned()->default(0);
            $table->string('themplate')->nullable();
            $table->string('link')->nullable();
            $table->integer('period')->default(0)->nullable();
            $table->boolean('paid')->default(0)->nullable();
            $table->timestamp('date_factor')->nullable();
            $table->timestamp('duedate_factor')->nullable();
            $table->timestamp('expire_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('factors');
    }
};
