<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subfactors', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->double('count')->nullable()->default(0);
            $table->double('price')->nullable()->default(0);
            $table->double('discount')->nullable()->default(0);
            $table->double('tax')->nullable()->default(0);
            $table->uuid('factor_id')->nullable();
            $table->foreign('factor_id')->references('id')->on('factors')->onDelete('cascade');
            $table->unsignedBigInteger('product_id')->nullable();
            $table->foreign('product_id')->references('id')->on('products')->onDelete('cascade');
            $table->string('type')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subfactors');
    }
};
