<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('programs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('service_id')->nullable();
            $table->string('day')->nullable();
            $table->integer('day_number')->nullable();
            $table->string('time_start')->nullable();
            $table->string('time_end')->nullable();
            $table->integer('duration')->nullable();
            $table->integer('gaptime')->nullable()->default(0);
            $table->boolean('is_vip')->nullable()->defaultFalse();
            $table->boolean('status')->nullable()->defaultFalse();
            $table->integer('capacity')->nullable();
            $table->timestamps();
        });
       
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('programs');
    }
};
