<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('reservations', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('service_id')->nullable();
            $table->unsignedBigInteger('program_id')->nullable();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->unsignedBigInteger('persenel_id')->nullable();
            $table->uuid('factor_id')->nullable();
            $table->boolean('pay')->default(0)->nullable();
            $table->string('date_at')->nullable();
            $table->string('time_at')->nullable();
            $table->string('day_at')->nullable();
            $table->timestamp('reserve_at')->nullable();
            $table->boolean('vip')->default(0)->nullable();
            $table->double('total_price')->nullable()->default(0);
            $table->double('pre_price')->nullable()->default(0);
            $table->string('off_code')->nullable();
            $table->double('off_price')->nullable()->default(0);
            $table->timestamp('expire_at')->nullable();
            $table->integer('capacity')->nullable()->default(1);
            $table->boolean('status')->default(0)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('reservations');
    }
};
