<?php

namespace Database\Seeders;

use Database\Seeders\Update\MenuAdminsUpdateTableSeeder;
use Database\Seeders\Update\PermissionsUpdateTableSeeder;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        if (!application_installed()) {
            $this->call(MenuAdminsTableSeeder::class);
            $this->call(GatewaysTableSeeder::class);
            $this->call(PeriodsTableSeeder::class);
            $this->call(PermissionsTableSeeder::class);
            $this->call(RolesTableSeeder::class);
            $this->call(StatusTableSeeder::class);
        } else {
            $this->call(MenuAdminsUpdateTableSeeder::class);
            $this->call(PermissionsUpdateTableSeeder::class);
        }
    }
}
