@extends('admin.layouts.master')
@section('css')
<link href='/assets/css/calender/fullcalendar.css' rel='stylesheet' />  
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">تقویم کاری</a></li>

                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-users fa-2x text-danger"></i>
                               تقویم کاری
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                      
                        <div id='calendar'></div>

                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">
                        
                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
<script src='/assets/js/calender/fullcalendar.js'></script>
<script src='/assets/js/calender/locales-all.min.js'></script>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        var meta_name = "unix_csrf_token";
        var calendar = new FullCalendar.Calendar(document.getElementById('calendar'), {
            headerToolbar: {
                left: 'today prevYear,prev,next,nextYear',
                center: 'title',
                right: 'dayGridMonth,timeGridWeek,timeGridDay,listMonth'
            },
            footerToolbar: {
                left: '',
                center: '',
                right: ''
            },
            eventColor: 'green',
            dayPopoverFormat: { month: 'long', day: 'numeric', year: 'numeric' },
            locale: 'fa',
            buttonIcons: false, // show the prev/next text
            navLinks: true, // can click day/week names to navigate views
            editable: false,
            drappable: false,
            displayEventTime: true,
            dayMaxEvents: true, // allow "more" link when too many events
            eventClick: function(arg) {
                // opens events in a popup window
                window.open(arg.event.url, '_blank', 'width=700,height=600');
                // prevents current tab from navigating
                arg.jsEvent.preventDefault();
            },
            eventSources: [
                {
                    url: '/admin/calender/getAllEventsAjax',
                    method: 'GET',
                    failure: function() {
                        $.wnoty({type: 'error', message: 'وضعیت شما آفلاین می باشد و امکان دریافت نوبت ها وجود ندارد.'});
                    },
                }
            ]
        });

        calendar.render();
    });
</script>
@endsection
