@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">
    <style>
        .select2-container {
            width: 100% !important
        }
    </style>
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="/admin/factor">فاکتورها</a></li>
                        <li class="active">{{ $title }}</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-product-hunt fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <div class="alert alert-danger fill  fade show">
                                        <button type="button" class="btn-close" data-bs-dismiss="alert"
                                            aria-label="Close"></button>
                                        {{ $error }}
                                    </div>
                                @endforeach
                            @endif
                            <form role="form" action="{{ $action }}" method="POST" id="validate-form" enctype="multipart/form-data"
                                class="repeater">
                                @csrf
                                @if (isset($factor->id))
                                    @method('PUT')
                                @endif
                                <div class="col-lg-6">


                                    <div class="form-body">
                                        <div class="form-group">
                                            <label>نام مشتری</label>
                                            <a data-bs-toggle="modal" data-bs-target="#usermodal" href=""><i
                                                    class="fa fa-plus-square fa-2x text-info"></i></a>
                                            <div class="input-group curve">

                                                <select class="form-control curve select2" id="useritem" name="user_id">
                                                    @foreach ($users as $item)
                                                        <option value="{{ $item->id }}"
                                                            {{ $factor->user_id == $item->id ? 'selected' : '' }}>
                                                            {{ $item->nf }}</option>
                                                    @endforeach
                                                </select>

                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>شماره فاکتور</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-commenting fa-2x text-success"></i>
                                                </span>
                                                <input type="text" name="code" required
                                                    class="form-control curve ltr text-left"
                                                    value="{{ old('code', $factor->code) }}" placeholder="">
                                            </div><!-- /.input-group -->
                                            <span class="help-block">شماره فاکتور انتخابی نباید تکراری باشد</span>
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>تاریخ فاکتور</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-calendar fa-2x text-success"></i>
                                                </span>
                                                <input type="text" id="kama-datepicker2"
                                                    class="form-control curve ltr text-left" name="date_factor"
                                                    value="{{ old('date_factor', $factor->date_factor) }}">
                                            </div><!-- /.input-group -->
                                            <span class="help-block">بصورت پیش فرض تاریخ امروز می باشد</span>
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label>دوره تکرار</label>
                                            <a data-bs-toggle="modal" data-bs-target="#periodmodal" href=""><i
                                                    class="fa fa-plus-square fa-2x text-info"></i></a>

                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-calendar-check-o fa-2x text-success"></i>
                                                </span>

                                                <select class="form-select curve curve periodselect" id="perioditem"
                                                    name="period">
                                                    <option value="0">این فاکتور نیاز به تکرار ندارد</option>
                                                    @foreach ($periods as $item)
                                                        <option value="{{ $item->day }}"
                                                            {{ $factor->period == $item->day ? 'selected' : '' }}>
                                                            {{ $item->name }}</option>
                                                    @endforeach
                                                </select>

                                            </div><!-- /.input-group -->
                                            <span class="help-block">پس از مدت زمان مشخص شده فاکتور بار دیگر جهت پرداخت
                                                ایجاد میگردد</span>
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>مهلت پرداخت</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-calendar-times-o fa-2x text-success"></i>
                                                </span>
                                                <input type="text" name="expire_date" id="kama-datepicker"
                                                    value="{{ old('expire_date', $factor->expire_date) }}"
                                                    class="form-control curve ltr text-left">

                                            </div><!-- /.input-group -->
                                            <span class="help-block">بصورت پیش فرض 10 روز آینده می باشد(بعد این تاریخ فاکتور
                                                اجازه پرداخت ندارد)</span>
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>عنوان فاکتور</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-qrcode fa-2x text-success"></i>
                                                </span>
                                                <input type="text" name="name" required
                                                    value="{{ old('name', $factor->name) }}" class="form-control curve">

                                            </div><!-- /.input-group -->

                                        </div><!-- /.form-group -->

                                    </div><!-- /.form-body -->



                                </div>
                                <div class="table-responsive">
                                    <table class="table table-bordered " id="items1">
                                        <thead>
                                            <tr>
                                                <th>نوع</th>
                                                <th>شرح کالا</th>
                                                <th>تعداد</th>
                                                <th>قیمت یک واحد</th>
                                                <th>تخفیف <span class="th-unit">%</span></th>
                                                <th>مالیات <span class="th-unit">%</span></th>
                                                <th>مبلغ کل</th>
                                                <th></th>
                                            </tr>

                                        </thead>
                                        <tbody data-repeater-list="groupa" class="items" id="items">
                                            @foreach ($subfactors as $sub)
                                                <tr data-repeater-item>
                                                    <td width="8%">
                                                        <select name="type" id="type"
                                                            class="form-select curve select wp-m-150">
                                                            <option value="product"
                                                                {{ $sub->type == 'product' ? 'selected' : '' }}
                                                                data-id="12">محصول</option>
                                                            <option value="dasti"
                                                                {{ $sub->type == 'dasti' ? 'selected' : '' }}
                                                                data-id="11">دستی</option>
                                                        </select>
                                                    </td>
                                                    <td width="35%">
                                                        <select name="product_id" id="product"
                                                            @if ($sub->type == 'dasti') disabled style="display: none" @endif
                                                            class="form-select curve box1 product wp-m-300 select2">
                                                            <option value="" data-id="">یک محصول را
                                                                انتخاب
                                                                کنید
                                                            </option>
                                                            @foreach ($products as $item)
                                                                <option value="{{ $item->id }}"
                                                                    {{ $sub->product_id == $item->id ? 'selected' : '' }}
                                                                    data-id="{{ $item->price }}">{{ $item->name }}
                                                                </option>
                                                            @endforeach
                                                        </select>
                                                        <input name="name" value="{{ $sub->name }}"
                                                            class="form-control curve box1 dasti wp-m-300" required
                                                            @if ($sub->type == 'product') disabled style="display: none" @endif
                                                            maxlength="255" type="text" />
                                                    </td>
                                                    <td>
                                                        <input name="count" id="count"
                                                            class="form-control curve number ali wp-m-100"
                                                            value="{{ $sub->count }}" required
                                                            pattern="[0-9]+([\.,][0-9]+)?" type="text" />
                                                        <input name="old_count" value="{{ $sub->count }}" required
                                                            type="hidden" />
                                                    </td>
                                                    <td><input name="price"
                                                            class="form-control curve ltr text-left unit ali wp-m-150 "
                                                            value="{{ number_format($sub->price) }}" required
                                                            type="text" id="price" />
                                                    </td>
                                                    <td>
                                                        <input name="discount"
                                                            class="form-control curve discount ali wp-m-100"
                                                            pattern="\d{1,2}" value="{{ $sub->discount }}"
                                                            maxlength="2" type="number" id="discount" />
                                                    </td>
                                                    <td><input name="tax"
                                                            class="form-control curve taxation ali wp-m-100"
                                                            pattern="\d{1,2}" value="{{ $sub->tax }}" maxlength="2"
                                                            type="number" id="tax" />
                                                    </td>
                                                    <td>
                                                        <input name="total"
                                                            class="form-control curve price-item  wp-m-200"
                                                            disabled="disabled"
                                                            value="{{ number_format(totalprice($sub)) }}" type="text"
                                                            id="total" />
                                                    </td>
                                                    <td>
                                                        <a data-repeater-delete class="btn btn-default"> <i
                                                                class="fa fa-trash-o fa-2x"></i></a>

                                                    </td>
                                                </tr>
                                            @endforeach


                                        </tbody>
                                        <tbody>

                                            <tr>
                                                <td class="table-foots" colspan="5" rowspan="0"
                                                    style="vertical-align: top">
                                                    <input data-repeater-create class="btn btn-primary curve"
                                                        type="button" value="افزودن سطر">
                                                </td>

                                            </tr>
                                            <tr class="nodrag nodrop" id="total-item-discount">
                                                <th>تخفیف</th>
                                                <td class="input-td">
                                                    <input name="data[Invoice][discounts]"
                                                        class="form-control curve discount-price"
                                                        value="{{ number_format(discount($factor)) }}"
                                                        disabled="disabled" type="text" id="InvoiceDiscounts" />
                                                </td>
                                                <td>تومان</td>
                                            </tr>
                                            <tr class="nodrag nodrop" id="total-item-tax">
                                                <th>مالیات</th>
                                                <td class="input-td">
                                                    <input name="data[Invoice][taxs]"
                                                        class="form-control curve taxation-price"
                                                        value="{{ number_format(tax($factor)) }}" disabled="disabled"
                                                        type="text" id="InvoiceTaxs" />
                                                </td>
                                                <td>تومان</td>
                                            </tr>

                                            <tr class="nodrag nodrop">
                                                <th>قابل پرداخت</th>
                                                <td class="input-td">
                                                    <input name="data[Invoice][total]"
                                                        class="form-control curve total-price"
                                                        value="{{ number_format(total($factor)) }}" disabled="disabled"
                                                        type="text" id="InvoiceTotal" />
                                                </td>
                                                <td>تومان</td>
                                            </tr>

                                        </tbody>
                                    </table>

                                </div>
                                <div class="col-lg-6">

                                    <div class="form-group">
                                        <label>یادداشت فاکتور</label>
                                        <div class="input-group curve">
                                            <span class="input-group-addon">
                                                <i class="fa fa-product-hunt fa-2x text-success"></i>
                                            </span>
                                            <textarea name="description" id="invoice-note-box" rows="2" class="form-control"
                                                placeholder="متن یادداشت فاکتور رو اینجا وارد کنید." cols="30">{{ $factor->description }}</textarea>

                                        </div><!-- /.input-group -->
                                        <span class="help-block">متن یادداشت بروی فاکتور نمایش داده می شود .</span>
                                    </div><!-- /.form-group -->
                                    {{-- <div class="form-group form-inline">
                                        <label> <i class="fa fa-commenting fa-2x text-success"></i> اطلاع رسانی فاکتور
                                        </label>
                                        <hr>
                                        <div class="input-group">
                                            <label>
                                                <input type="checkbox" name="notifications[]" class="normal"
                                                    value="email">
                                                ایمیل
                                            </label>
                                        </div><!-- /.input-group -->
                                        <div class="input-group">
                                            <label>
                                                <input type="checkbox" name="notifications[]" class="normal"
                                                    value="sms">
                                                پیامک
                                            </label>
                                        </div><!-- /.input-group -->
                                        <span class="help-block">(ارسال ایمیل و پیامک پس از صدور فاکتور و یادآوری خودکار با
                                            ارسال مجدد به مشتری)</span>

                                    </div> --}}
                                    <div class="form-group form-inline">
                                        <label> <i class="fa fa-commenting fa-2x text-success"></i> فعال بودن اطلاع رسانی
                                            پیامک
                                        </label>
                                        <hr>
                                        <div class="input-group">

                                            <p>
                                                <label>
                                                    <input name="notifications"
                                                        @if ($factor->notifications == 1) checked @endif value="1"
                                                        type="radio" class="normal">
                                                    بله
                                                </label>
                                            </p>
                                            <p>
                                                <label>
                                                    <input name="notifications" value="0"
                                                        @if ($factor->notifications == 0) checked @endif type="radio"
                                                        class="normal">
                                                    خیر
                                                </label>
                                            </p>
                                        </div><!-- /.input-group -->
                                        <span class="help-block">(فعال سازی ارسال پیامک های اطلاع رسانی برای این
                                            فاکتور)</span>

                                    </div>
                                    <div class="form-group form-inline">
                                        <label> <i class="fa fa-shopping-basket fa-2x text-success"></i> فعال بودن پرداخت
                                            انلاین؟
                                        </label>
                                        <hr>
                                        <div class="input-group">

                                            <p>
                                                <label>
                                                    <input name="pardakht" @if ($factor->pardakht == 1) checked @endif
                                                        value="1" type="radio" class="normal">
                                                    بله
                                                </label>
                                            </p>
                                            <p>
                                                <label>
                                                    <input name="pardakht" value="0"
                                                        @if ($factor->pardakht == 0) checked @endif type="radio"
                                                        class="normal">
                                                    خیر
                                                </label>
                                            </p>
                                        </div><!-- /.input-group -->
                                        <span class="help-block">(در صورت انتخاب بله امکان پرداخت انلاین برای این فاکتور
                                            فراهم می باشد)</span>

                                    </div>
                                    <div class="form-group">
                                        <label>اقساط</label>
                                        <div class="input-group curve">
                                            <span class="input-group-addon">
                                                <i class="fa fa-commenting fa-2x text-success"></i>
                                            </span>
                                            <input type="text" name="installment"
                                                class="form-control curve ltr text-left"
                                                value="{{ $factor->installment }}" placeholder="">
                                        </div><!-- /.input-group -->
                                        <span class="help-block">درصورتی که میخواهید فاکتور را اقساط کنید فقط تعداد قسط
                                            مورد
                                            نظر را وارد نمایید(فاصله اقساط بصورت پیش فرض 30 روز می باشد)</span>
                                    </div>
                                    <div class="form-group relative">
                                        <input type="file" name="file" class="form-control"> 
                                        <label>آپلود فایل دانلودی</label>
                                        <div class="input-group curve"> 
                                            <input type="text"  class="form-control file-input ltr text-left" value="{{ old('file',@$factor->file->file) }}" placeholder="برای آپلود کلیک کنید"> 
                                            <span class="input-group-btn"> 
                                                <button type="button" class="btn btn-info"> 
                                                    <i class="icon-picture"></i>
                                                    آپلود فایل
                                                </button>
                                            </span> 
                                        </div><!-- /.input-group -->
                                        <span class="help-block">مشتری بعد پرداخت موفق فاکتور به طور کامل فایل مدنظر شما را میتواند دانلود کند</span>
                                       
                                    </div>
                                    <!-- /.form-group -->
                                    {{-- <div class="form-group form-inline">
                                        <label>قالب فاکتور </label>
                                        <hr>
                                        <div class="input-group">

                                            <p>
                                                <label>
                                                    <input name="themplate" value="normal" @if ($factor->themplate == 'normal') checked @endif type="radio"
                                                        class="normal">
                                                    معمولی
                                                </label>
                                            </p>
                                            <p>
                                                <label>
                                                    <input name="themplate" value="formal" @if ($factor->themplate == 'formal') checked @endif type="radio"
                                                        class="normal">
                                                    رسمی
                                                </label>
                                            </p>
                                        </div><!-- /.input-group -->
                                        <span class="help-block">(در صورت انتخاب انلاین لینک پرداخت برای کاربر ارسال می
                                            شود)</span>

                                    </div> --}}





                                </div>
                                <button type="submit" class="btn btn-info btn-round">
                                    <i class="fa fa-check fa-2x"></i>
                                    ذخیره
                                </button>
                            </form>
                        </div>
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
    <div id="periodmodal" class="modal fade" role="dialog" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-bs-dismiss="modal">&times;</button>
                    <h4 class="modal-title">افزودن دوره تکرار</h4>
                </div>
                <div class="modal-body">
                    <form id="periodform" action="" method="POST">
                        @csrf
                        <div class="form-body">
                            <div class="form-group">
                                <label>نام </label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar fa-2x text-success"></i>
                                    </span>
                                    <input type="text" name="name" id="periodname" class="form-control">
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label>مدت زمان به روز</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-commenting fa-2x text-success"></i>
                                    </span>
                                    <input type="number" name="day" id="periodday"
                                        class="form-control ltr text-left">
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label>فعال بودن دوره:</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                    </span>
                                    <select class="form-control" name="active">
                                        @foreach (config('value.truefalse') as $key => $name)
                                            <option value="{{ $key }}">{{ $name }}</option>
                                        @endforeach
                                    </select>
                                </div><!-- /.input-group -->
                            </div>

                        </div><!-- /.form-body -->

                        <div class="form-actions">
                            <a id="periodbuttom" class="btn btn-info btn-round">
                                <i class="fa fa-check fa-2x"></i>
                                ذخیره
                            </a>
                        </div><!-- /.form-actions -->
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger btn-round" data-bs-dismiss="modal">بازگشت</button>
                </div>
            </div>
        </div>
    </div>
    <div id="usermodal" class="modal fade" role="dialog" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-bs-dismiss="modal">&times;</button>
                    <h4 class="modal-title">افزودن مشتری</h4>
                </div>
                <div class="modal-body">
                    <form id="userform" action="" method="POST">
                        @csrf
                        <div class="form-body">
                            <div class="form-group">
                                <label>نام</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-user fa-2x text-success"></i>
                                    </span>
                                    <input type="text" name="name" class="form-control" value=""
                                        placeholder="">
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label>نام خانوادگی</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-users fa-2x text-success"></i>
                                    </span>
                                    <input type="text" name="family" class="form-control" value=""
                                        placeholder="">
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label>موبایل</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-mobile fa-2x text-success"></i>
                                    </span>
                                    <input type="text" class="form-control ltr text-left" name="mobile"
                                        value="" class="form-control" placeholder="">
                                </div><!-- /.input-group -->
                                <span class="help-block">شماره موبایل را به صورت کامل وارد کنید برای مثال :
                                    09123456789</span>
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label>فعال بودن مشتری :</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                    </span>
                                    <select class="form-control" name="status">
                                        @foreach (config('value.truefalse') as $key => $name)
                                            <option value="{{ $key }}">{{ $name }}</option>
                                        @endforeach
                                    </select>
                                </div><!-- /.input-group -->
                            </div>

                        </div><!-- /.form-body -->

                        <div class="form-actions">
                            <a id="userbuttom" class="btn btn-info btn-round">
                                <i class="fa fa-check fa-2x"></i>
                                ذخیره
                            </a>
                        </div><!-- /.form-actions -->
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger btn-round" data-bs-dismiss="modal">بازگشت</button>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/js/jquery.repeater.js"></script>
    <script src="/assets/js/pages/factor.js"></script>
    <script src="/assets/plugins/kamadatepicker/kamadatepicker.min.js"></script>
    <script src="/assets/js/pages/calendar-kama.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>
    <script>
        $('#periodbuttom').on('click', function() {
            var datastring = $("#periodform").serialize();
            var nameperiod = $("#periodname").val();
            var dayperiod = $("#periodday").val();
            $.ajax({
                method: "POST",
                dataType: "json",
                url: '/admin/period',
                data: datastring,
                success: function(data) {}

            });
            $("#perioditem").append("<option value='" + dayperiod + "' selected>" + nameperiod +
                "</option");

            $('#periodmodal').modal('hide');
        });
    </script>
    <script>
        $('#userbuttom').on('click', function() {
            var datastring = $("#userform").serialize();
            $.ajax({
                method: "POST",
                dataType: "json",
                url: '/admin/userapi',
                data: datastring,
                success: function(data) {
                    $("#useritem").append("<option value='" + data['user_id'] + "' selected>" + data[
                            'name'] +
                        "</option");

                    $('#usermodal').modal('hide');
                }

            });

        });
    </script>
    <script>
        $(document).ready(function() {
            var all_children = $('.items').closest('.items').children('tr');
            $(all_children).each(function() {
                var categoryValue = $(this).find(".price-item").val();
                var select = $(this).find('.select').val();
                if (select == 'product') {
                    $(this).find(".select2-container").show();
                }
                if (select == 'dasti') {
                    $(this).find(".select2-container").hide();
                }
            });


            $('.repeater').repeater({
                show: function() {
                    $(this).find('.select option:first').prop('selected', true);
                    $(this).find('.product option:first').prop('selected', true);
                    $(this).find('.product').show();
                    $(this).find('.product').removeAttr('disabled');
                    $(this).find('.dasti').hide();
                    $(this).find('.dasti').attr('disabled', 'disabled')
                    $(this).find('.number').val('1');
                    $(this).find('.discount').val('0');
                    $(this).find('.taxation').val('0');
                    $(this).find('.price-item').val('0');
                    $(this).find('.select2-container').remove();
                    $(this).find(".select2").select2({
                        rtl: true
                    });

                    $(this).slideDown();
                },
                hide: function(deleteElement) {
                    if (confirm('آیا از حذف سطر مورد نظر اطمینان دارید؟')) {
                        $(this).slideUp(deleteElement);
                    }
                },
                isFirstItemUndeletable: true
            })
        });
    </script>
@endsection
