@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">فاکتور</a></li>
                        <li class="active">لیست فاکتور ها</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-users fa-2x text-danger"></i>
                                لیست فاکتور ها
                                @if(isset($user))
({{$user->nf}})
                                @endif
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-xxl-2 col-xl-3 col-lg-3 col-md-4 m-b-20">
                                <a class="btn btn-success btn-block curve" href="{{ route('admin.factor.create') }}">
                                    <i class="fa fa-plus-circle fa-2x"></i>
                                    افزودن فاکتور
                                </a>

                            </div><!-- /.col-md-4 -->
                         
                            <div class="col-xxl-2 col-xl-3 col-lg-3 col-md-4 m-b-20">
                                <a class="btn btn-info btn-block curve" href="{{ route('admin.factor.export') }}">
                                    <i class="fa fa-plus-circle fa-2x"></i>
                                   خروجی اکسل
                                </a>

                            </div><!-- /.col-md-4 -->
                            <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 m-b-20">
                                <form action="" method="get" enctype="multipart/form">
                                    <div class="input-group curve">
                                        <input type="text" class="form-control" name="search"
                                            value="{{ request()->search }}" placeholder="شماره فاکتور را وارد نمایید...">
                                        <span class="input-group-btn">
                                            <button class="btn btn-default" type="submit">
                                                <i class="icon-magnifier"></i>
                                            </button>
                                        </span>
                                    </div><!-- ./input-group -->
                                </form>
                            </div><!-- /.col-md-4 -->

                        </div><!-- /.row -->
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>شماره فاکتور</th>
                                        <th>عنوان</th>
                                        <th>مشتری</th>
                                        <th>مبلغ کل(تومان)</th>
                                        <th>مبلغ پرداخت شده(تومان)</th>
                                        <th>تاریخ فاکتور </th>
                                        <th>دوره تکرار(روز) </th>
                                        <th>مهلت پرداخت</th>
                                        <th>اقساط</th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($factors as $item)
                                        <tr>

                                            <td>{!! factorstatus($item) !!}</td>
                                            <td>{{ $item->code }}</td>
                                            <td>{{ $item->name }}</td>
                                            <td><span class="label label-primary p-1 label-block text-center">{{ $item->user->nf }}</span></td>
                                            <td><span class="label label-info label-block text-center">{{ number_format(total($item)) }} تومان </span></td>
                                            <td><span class="label label-success label-block text-center">{{ number_format(paymentfactor($item)) }} تومان </span></td>
                                            <td>{{ $item->date_factor }}</td>
                                            <td>{{ $item->period }}</td>
                                            <td>{{ $item->expire_date }}</td>
                                            <td>{{ $item->installments->count() }}</td>

                                            <td>
                                                <a data-bs-toggle="tooltip" title="ویرایش"
                                                    href="{{ route('admin.factor.edit', $item->id) }}" target="_blank"><i
                                                        class="fa fa-edit fa-2x text-info"></i></a>
                                                        @if (!empty($item->file->file) and file_exists(storage_path('app/' . $item->file->file)))
                                                        <a data-bs-toggle="tooltip" title="دانلود فایل"
                                                            href="{{ route('admin.factor.download', $item->id) }}"
                                                            target="_blank"><i
                                                                class="fa fa-file-archive-o fa-2x text-inverse"></i></a>
                                                    @endif

                                                <a data-bs-toggle="tooltip" title="مشاهده فاکتور "
                                                    href="{{ route('invoice', $item->link) }}" target="_blank"><i
                                                        class="fa fa-credit-card fa-2x text-success"></i></a>
                                                        <a data-bs-toggle="tooltip" title="ثبت پرداختی فاکتور "
                                                        href="{{ route('admin.factor.payment', $item->id) }}" target="_blank"><i
                                                            class="fa fa-money fa-2x text-warning"></i></a>

                                                    <a data-bs-toggle="tooltip" title=" اقساط"
                                                    href="{{ route('admin.factor.installments', $item->id) }}" target="_blank"><i
                                                        class="fa fa-list-alt fa-2x text-primary"></i></a>

                                                    @if(notpaymentfactor($item)>0)
                                                    <a data-bs-toggle="tooltip" title="ارسال پیامک فاکتور "
                                                    href="{{ route('admin.sms.factor', $item->id) }}" target="_blank"><i
                                                        class="fa fa-commenting fa-2x text-inverse"></i></a>
                                                        @endif

                                                        @if($item->transactions->where('status',1)->count() == 0 and $item->installments->count() ==0)
                                                        <a id="{{ $item->id }}" href="" data-bs-toggle="tooltip"
                                                            title="حذف" class="delete-buttom"> <i
                                                                class="fa fa-window-close fa-2x text-danger"></i></a>
                                                        @endif
                                                <form id="delete-form{{ $item->id }}"
                                                    action="{{ route('admin.factor.destroy', $item->id) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                </form>


                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">
                        {{ $factors->appends(['search' => request('search')])->links() }}
                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script>
        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
    </script>
@endsection
