@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="/admin/factor">فاکتورها</a></li>
                        <li class="active">لیست اقساط</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-users fa-2x text-danger"></i>
                                لیست اقساط مربوط به فاکتور {{ $factor->code }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        @if (total($factor))
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="alert alert-danger fill"> مبلغ کل فاکتور
                                        {{ number_format(total($factor)) }} تومان</div>
                                </div>
                            </div>
                        @endif
                        @if (notpaymentfactor($factor))
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="alert alert-info fill">مبلغ پرداخت نشده
                                        {{ number_format(notpaymentfactor($factor)) }}
                                        تومان</div>
                                </div>
                            </div>
                        @endif

                        @if (installment($factor) != total($factor))
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="alert alert-warning fill">باقی مانده فاکتور
                                        {{ number_format(total($factor) - notinstallmentpayment($factor) - installment($factor)) }}
                                        تومان</div>
                                </div>
                            </div>
                        @endif


                        <form id="validate-form" action="{{ route('admin.factor.installments', $factor->id) }}"
                            method="post"">
                            @csrf
                            <div class="row mt-5">
                                <input type="hidden" name="factor" value="{{ $factor->id }}">
                                <div class="col-lg-2">
                                    <div class="form-group">
                                        <label class="control-label">تعداد اقساط</label>
                                        <input name="installment" required class="form-control curve"
                                            value="{{ old('installment') }}" type="text" id="PaymentsPaydescription">
                                    </div>
                                </div>
                                <div class="col-lg-2">
                                    <div class="form-group">
                                        <label class="control-label">تاریخ شروع</label>
                                        <input name="start_at" required class="form-control curve"
                                            value="{{ old('start_at') }}" type="text" autocomplete="off"
                                            id="kama-datepicker">
                                    </div>
                                </div>



                                <div class="col-lg-2">
                                    <label class="control-label"></label>
                                    <div class="submit">
                                        <input class="btn btn-info curve submit" type="submit" value="محاسبه اقساط ">
                                    </div>
                                </div>
                            </div>
                        </form>
                        <span class="help-block">در نظر داشته باشید در این قسمت اقساط پرداخت نشده حذف شده و بر مبانی میزان
                            بدهی پرداخت نشده قسط بندی جدید محاسبه می شود</span>
                        <a class="btn btn-success curve" data-bs-toggle="modal" data-bs-target="#modaladd">
                            <i class="fa fa-plus-circle fa-2x"></i>
                            افزودن قسط به فاکتور
                        </a>
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr style="text-align: center">
                                        <th>عنوان</th>
                                        <th>وضعیت </th>
                                        <th>موعد پرداخت</th>
                                        <th>مبلغ</th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($installments as $item)
                                        <tr style="text-align: center">
                                            <td>{{ $item->name }}</td>
                                            <td>{!! status($item) !!}</td>
                                            <td>{{ jdate($item->due_date)->format('Y/m/d') }}</td>
                                            <td>{{ number_format($item->price) }} تومان</td>
                                            <td>
                                                @if ($item->status == '0')
                                                    <a id="{{ $item->id }}" href="" data-bs-toggle="tooltip"
                                                        title="حذف" class="delete-buttom"> <i
                                                            class="fa fa-window-close fa-2x text-danger"></i></a>
                                                    <a data-bs-toggle="modal" data-bs-target="#modal{{ $item->id }}"
                                                        href=""><i class="fa fa-edit fa-2x text-info"></i></a>

                                                    <form id="delete-form{{ $item->id }}"
                                                        action="{{ route('admin.installments.destroy', $item->id) }}"
                                                        method="POST">
                                                        @csrf
                                                        @method('DELETE')
                                                    </form>
                                                @else
                                                    <span class="help-block"> برای ویرایش یا حذف ابتدا پرداختی مدنظر را از
                                                        قسمت پرداختی ها حذف نمایید</span>
                                                @endif


                                            </td>
                                        </tr>
                                        <div id="modal{{ $item->id }}" class="modal fade" role="dialog"
                                            tabindex="-1">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close"
                                                            data-bs-dismiss="modal">&times;</button>
                                                        <h4 class="modal-title">ویرایش قسط مورد نظر</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form id="periodform"
                                                            action="{{ route('admin.installments.update', $item) }}"
                                                            method="POST">
                                                            @csrf
                                                            @method('PUT')
                                                            <input type="hidden" name="factor_id"
                                                                value="{{ $factor->id }}">
                                                            <div class="form-body">
                                                                <div class="form-group">
                                                                    <label>عنوان قسط </label>
                                                                    <div class="input-group curve">
                                                                        <span class="input-group-addon">
                                                                            <i
                                                                                class="fa fa-calendar fa-2x text-success"></i>
                                                                        </span>
                                                                        <input type="text" name="name"
                                                                            value="{{ $item->name }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->

                                                                <div class="form-group">
                                                                    <label>مبلغ قسط(تومان)</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i
                                                                                class="fa fa-check-square-o fa-2x text-success"></i>
                                                                        </span>
                                                                        <input type="text" name="price"
                                                                            value="{{ number_format($item->price) }}"
                                                                            class="form-control ltr text-left number">
                                                                    </div><!-- /.input-group -->
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>موعد پرداخت</label>
                                                                    <div class="input-group curve">
                                                                        <span class="input-group-addon">
                                                                            <i
                                                                                class="fa fa-commenting fa-2x text-success"></i>
                                                                        </span>
                                                                        <input type="text"
                                                                            value="{{ jdate($item->due_date)->format('Y/m/d') }}"
                                                                            name="due_date"
                                                                            class="form-control ltr text-left date">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                                <div class="form-group">
                                                                    <label>پرداخت شده؟</label>
                                                                    <div class="input-group curve">
                                                                        <span class="input-group-addon">
                                                                            <i
                                                                                class="fa fa-check-square-o fa-2x text-success"></i>
                                                                        </span>
                                                                        <select class="form-select" name="status">
                                                                            @foreach (config('value.truefalse') as $key => $name)
                                                                                <option value="{{ $key }}"
                                                                                    {{ $item->status == $key ? 'selected' : '' }}>
                                                                                    {{ $name }}</option>
                                                                            @endforeach
                                                                        </select>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->

                                                            </div><!-- /.form-body -->

                                                            <div class="form-actions">
                                                                <button type="submit" class="btn btn-info btn-round">
                                                                    <i class="fa fa-check fa-2x"></i>
                                                                    ذخیره
                                                                </button>
                                                            </div><!-- /.form-actions -->
                                                        </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-danger btn-round"
                                                            data-bs-dismiss="modal">بازگشت</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach

                                </tbody>
                                <a href="/admin/factor" class="btn btn-warning  btn-curve pull-left">
                                    <i class="icon-close"></i>
                                    بازگشت به لیست فاکتور ها
                                </a>
                            </table>

                        </div>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">

                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
    <div id="modaladd" class="modal fade" role="dialog" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-bs-dismiss="modal">&times;</button>
                    <h4 class="modal-title">افزودن قسط به فاکتور</h4>
                </div>
                <div class="modal-body">
                    <form id="periodform" action="{{ route('admin.installments.store') }}" method="POST">
                        @csrf
                        <div class="form-body">
                            <div class="form-group">
                                <label>عنوان قسط </label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar fa-2x text-success"></i>
                                    </span>
                                    <input type="text" name="name" class="form-control">
                                    <input type="hidden" name="factor_id" value="{{ $factor->id }}"
                                        class="form-control">
                                    <input type="hidden" name="user_id" value="{{ $factor->user->id }}"
                                        class="form-control">
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->

                            <div class="form-group">
                                <label>مبلغ قسط(تومان)</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                    </span>
                                    <input type="text" name="price" class="form-control ltr text-left number">
                                </div><!-- /.input-group -->
                            </div>
                            <div class="form-group">
                                <label>قسط شماره</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                    </span>
                                    <input type="text" name="part" class="form-control ltr text-left">
                                </div><!-- /.input-group -->
                            </div>
                            <div class="form-group">
                                <label>موعد پرداخت</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-commenting fa-2x text-success"></i>
                                    </span>
                                    <input type="text" name="due_date" class="form-control ltr text-left date">
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->

                        </div><!-- /.form-body -->

                        <div class="form-actions">
                            <button type="submit" class="btn btn-info btn-round">
                                <i class="fa fa-check fa-2x"></i>
                                ذخیره
                            </button>
                        </div><!-- /.form-actions -->
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger btn-round" data-bs-dismiss="modal">بازگشت</button>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('js-page')
    <script src="/assets/plugins/kamadatepicker/kamadatepicker.min.js"></script>
    <script src="/assets/js/pages/calendar-kama.js"></script>
    <script src="/assets/plugins/jquery-mask/jquery.mask.min.js"></script>
    <script>
        $(".date").mask("0000/00/00", {
            placeholder: "____/__/__",
        });
        $(document).on('keyup', '.number', function(e) {
            $(this).val(function(index, value) {
                return value
                    .replace(/\D/g, "")
                    .replace(/\B(?=(\d{3})+(?!\d))/g, ",");
            });


        });

        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
    </script>
@endsection
