@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="/admin/factor">فاکتورها</a></li>
                        <li class="active">پرداختی جدید</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-users fa-2x text-danger"></i>
                                لیست پرداختی های فاکتور {{ $factor->code }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">

                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th>شرح پرداخت</th>
                                        <th>نوع پرداخت </th>
                                        <th>تاریخ</th>
                                        <th>مبلغ</th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($transactions as $item)
                                        <tr>
                                            <td>{!! $item->description !!}</td>
                                            <td>{{ $item->type }}</td>
                                            <td>{{ jdate($item->payment_at)->format('Y-m-d') }}</td>
                                            <td>{{ number_format($item->price) }} تومان</td>
                                            <td>
                                                <a id="{{ $item->id }}" href="" data-bs-toggle="tooltip"
                                                    title="حذف" class="delete-buttom"> <i
                                                        class="fa fa-window-close fa-2x text-danger"></i></a>

                                                <form id="delete-form{{ $item->id }}"
                                                    action="{{ route('admin.transaction.destroy', $item->id) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                </form>


                                            </td>
                                        </tr>
                                    @endforeach
                                    <tr>
                                        <td colspan="4" class="text-left"><strong>مبلغ فاکتور</strong></td>
                                        <td id="invoice-amount">{{ number_format(total($factor)) }} تومان</td>

                                    </tr>
                                    <tr>
                                        <td colspan="4" class="text-left"><strong> پرداخت شده</strong></td>
                                        <td id="invoice-amount">{{ number_format(paymentfactor($factor)) }}</td>

                                    </tr>
                                    <tr>
                                        <td colspan="4" class="text-left"><strong> پرداخت نشده</strong></td>
                                        <td id="invoice-amount">{{ number_format(notpaymentfactor($factor)) }}</td>

                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <hr>
                        @if (notpaymentfactor($factor) == 0)
                            <div class="alert alert-success fill curve">فاکتور مورد نظر به طور کامل تسویه شده است</div>
                        @endif
                        <form id="validate-form" action="{{ route('admin.transaction.store') }}" method="post"">
                            @csrf
                            <div class="row mt-5">
                                <input type="hidden" name="factor" value="{{ $factor->id }}">
                                <div class="col-lg-4">
                                    <div class="form-group">
                                        <label class="control-label">شرح پرداخت</label>
                                        <input name="description" required class="form-control curve"
                                            value="{{ old('description') }}" type="text" id="PaymentsPaydescription">
                                    </div>
                                </div>

                                <div class="col-lg-2">
                                    <div class="form-group">
                                        <label class="control-label">نوع پرداخت</label>
                                        <select name="type" class="form-select curve" id="PaymentsPaytype">
                                            <option value="نقدی">نقدی</option>
                                            <option value="کارت به کارت">کارت به کارت</option>
                                            <option value="واریز به حساب">واریز به حساب</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-lg-2">
                                    <div class="form-group">
                                        <label class="control-label">تاریخ پرداخت</label>
                                        <input name="payment_at" required class="form-control curve"
                                            value="{{ old('payment_at') }}" type="text" autocomplete="off" id="kama-datepicker">
                                    </div>
                                </div>

                                <div class="col-lg-2">
                                    <div class="form-group required">
                                        <label class="control-label">رقم پرداخت شده (تومان)</label>
                                        <input name="price" class="form-control curve number ltr text-left"
                                            required="required" value="{{ old('price') }}" type="text"
                                            id="PaymentsPayamount">

                                    </div>
                                </div>

                                <div class="col-lg-2">
                                    <label class="control-label"></label>
                                    <div class="submit">
                                        <input class="btn btn-info curve submit" type="submit"
                                            @if (notpaymentfactor($factor) == 0) disabled @endif value="ثبت پرداخت">
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">

                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/kamadatepicker/kamadatepicker.min.js"></script>
    <script src="/assets/js/pages/calendar-kama.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>
    <script>
        $(document).on('keyup', '.number', function(e) {
            $(this).val(function(index, value) {
                return value
                    .replace(/\D/g, "")
                    .replace(/\B(?=(\d{3})+(?!\d))/g, ",");
            });


        });

        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
    </script>
@endsection
