   @extends('admin.layouts.master')
   @section('content')
   <!-- BEGIN PAGE CONTENT -->
   <div id="page-content">
    <div class="row">
        <!-- BEGIN BREADCRUMB -->
        <div class="col-md-12">
            <div class="breadcrumb-box border shadow">
                <ul class="breadcrumb">
                    <li><a href="dashboard.html">پیشخوان</a></li>
                </ul>
                <div class="breadcrumb-left">
                    {{ jdate()->format('Y-m-d') }}
                    <i class="icon-calendar"></i>
                </div><!-- /.breadcrumb-left -->
            </div><!-- /.breadcrumb-box -->
        </div><!-- /.col-md-12 -->
        <!-- END BREADCRUMB -->

        <div class="col-md-12">
            <div class="row">
                <div class="col-lg-3 col-6">
                    <div class="stat-box bg-cyan shadow">
                        <a href="#">
                            <div class="stat">
                                <div class="counter-down" data-value="{{$users->count()}}"></div>
                                <div class="h3">تعداد کاربران</div>
                            </div><!-- /.stat -->
                            <div class="visual">
                                <i class="icon-users"></i>
                            </div><!-- /.visual -->
                        </a>
                    </div><!-- /.stat-box -->
                </div><!-- /.col-lg-3 -->
                <div class="col-lg-3 col-6">
                    <div class="stat-box bg-blue shadow">
                        <a href="#">
                            <div class="stat">
                                <div class="counter-down" data-value="{{$factors->count()}}"></div>
                                <div class="h3">فاکتور فروش</div>
                            </div><!-- /.stat -->
                            <div class="visual">
                                <i class="icon-calculator"></i>
                            </div><!-- /.visual -->
                        </a>
                    </div><!-- /.stat-box -->
                </div><!-- /.col-lg-3 -->
                <div class="col-lg-3 col-6">
                    <div class="stat-box bg-orange shadow">
                        <a href="#">
                            <div class="stat">
                                <div class="counter-down" data-value="{{$total}}"></div>
                                <div class="h3">جمع مبالغ واریزی(تومان)</div>
                            </div><!-- /.stat -->
                            <div class="visual">
                                <i class="icon-heart"></i>
                            </div><!-- /.visual -->
                        </a>
                    </div><!-- /.stat-box -->
                </div><!-- /.col-lg-3 -->
                <div class="col-lg-3 col-6">
                    <div class="stat-box bg-red shadow">
                        <a href="#">
                            <div class="stat">
                                <div class="counter-down" data-value="{{notpaymenttotal()}}"></div>
                                <div class="h3">جمع بدهی ها(تومان)</div>
                            </div><!-- /.stat -->
                            <div class="visual">
                                <i class="icon-wallet"></i>
                            </div><!-- /.visual -->
                        </a>
                    </div><!-- /.stat-box -->
                </div><!-- /.col-lg-3 -->
            </div><!-- /.row -->

            <div class="row">
                <div class="col-lg-12">
                    <div class="portlet box border shadow">
                        <div class="portlet-heading">
                            <div class="portlet-title">
                                <h3 class="title">
                                    <i class="icon-graph"></i>
                                  درآمد سال {{jdate()->format('Y')}}
                                </h3>
                            </div><!-- /.portlet-title -->

                        </div><!-- /.portlet-heading -->
                        <div class="portlet-body">
                            <canvas id="line" class="min-height-400"></canvas>
                        </div><!-- /.portlet-body -->
                    </div><!-- /.portlet -->
                </div><!-- /.col-lg-12 -->

                <div class="col-lg-4 col-12">
                    <div class="portlet box border shadow min-height-650">
                        <div class="portlet-heading">
                            <div class="portlet-title">
                                <h3 class="title">
                                    <i class="icon-pie-chart"></i>
                                   تعداد فاکتور ها
                                </h3>
                            </div><!-- /.portlet-title -->

                        </div><!-- /.portlet-heading -->
                        <div class="portlet-body">
                            <canvas id="pie"></canvas>
                        </div><!-- /.portlet-body -->
                    </div><!-- /.portlet -->
                </div><!-- /.col-lg-6 -->
                @can('payment-index-30days')
                <div class="col-lg-8 col-12">
                    <div class="portlet box border shadow min-height-650">
                        <div class="portlet-heading">
                            <div class="portlet-title">
                                <h3 class="title">
                                    <i class="icon-location-pin"></i>
                                  پرداختی سی روز اخیر
                                </h3>
                            </div><!-- /.portlet-title -->

                        </div><!-- /.portlet-heading -->
                        <div class="portlet-body">
                            <canvas id="bar1" class="min-height-550"></canvas>
                        </div><!-- /.portlet-body -->
                    </div><!-- /.portlet -->
                </div><!-- /.col-lg-6 -->
                    @endcan
            </div><!-- /.row -->
            <div class="row">
                <div class="col-xl-12 col-12">
                    <div class="portlet box border shadow">
                        <div class="portlet-heading">
                            <div class="portlet-title">
                                <h3 class="title">
                                    <i class="icon-speech"></i>
                                 اقساط پرداخت نشده سی روز آینده
                                </h3>
                            </div><!-- /.portlet-title -->

                        </div><!-- /.portlet-heading -->
                        <div class="portlet-body">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th><i class="icon-energy"></i></th>
                                            <th>مربوط به فاکتور</th>
                                            <th>مشتری </th>
                                            <th>شماره قسط</th>
                                            <th>مبلغ</th>
                                            <th>موعد پرداخت</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($installments as $item)
                                        <tr>
                                            <td>
                                            {{$loop->index+1}}
                                            </td>
                                            <td>
                                                {{$item->factor->name}}
                                            </td>
                                            <td>
                                                {{$item->user->nf}}
                                            </td>
                                            <td>
                                                {{$item->part}}
                                            </td>

                                            <td>{{number_format($item->price)}}</td>
                                            <td class="text-center">
                                               {{jdate($item->due_date)->format('Y/m/d') }}
                                            </td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div><!-- /.table-responsive -->

                        </div><!-- /.portlet-body -->
                    </div><!-- /.portlet -->
                </div><!-- /.col-xl-6 -->

            </div><!-- /.row -->
            <div class="row">
                <div class="col-xl-6 col-12">
                    <div class="portlet box border shadow">
                        <div class="portlet-heading">
                            <div class="portlet-title">
                                <h3 class="title">
                                    <i class="icon-speech"></i>
                                    آخرین تراکنش ها
                                </h3>
                            </div><!-- /.portlet-title -->

                        </div><!-- /.portlet-heading -->
                        <div class="portlet-body min-height-750">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th><i class="icon-energy"></i></th>
                                            <th>درگاه</th>
                                            <th>نوع تراکنش</th>
                                            <th>تاریخ</th>
                                            <th>مبلغ</th>
                                            <th>وضعیت</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($transactions as $item)
                                        <tr>
                                            <td>
                                            {{$loop->index+1}}
                                            </td>
                                            <td>
                                                @if(isset($item->gateway_id))

                                                {{$item->gateway->name}}
                                                @endif
                                            </td>
                                            <td>
                                                {{$item->type}}
                                            </td>
                                            <td>{{(is_null($item->payment_at))?(jdate($item->updated_at)):(jdate($item->payment_at)->format('Y-m-d'))}}</td>
                                            <td>{{number_format($item->price)}}</td>
                                            <td class="text-center">
                                                {!!status($item)!!}
                                            </td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div><!-- /.table-responsive -->
                            <a href="{{route('admin.transaction')}}" class="btn btn-info btn-block btn-round">
                                <i class="icon-list fa-flip-horizontal"></i>
                                مشاهده فهرست کامل تراکنش ها
                            </a>
                        </div><!-- /.portlet-body -->
                    </div><!-- /.portlet -->
                </div><!-- /.col-xl-6 -->
                <div class="col-xl-6 col-12">
                    <div class="portlet box border shadow">
                        <div class="portlet-heading">
                            <div class="portlet-title">
                                <h3 class="title">
                                    <i class="icon-bubbles"></i>
                                    آخرین پیامک های ارسالی
                                </h3>
                            </div><!-- /.portlet-title -->

                        </div><!-- /.portlet-heading -->
                        <div class="portlet-body min-height-750">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th><i class="icon-energy"></i></th>
                                            <th>موبایل</th>
                                            <th>نوع  </th>
                                            <th>تاریخ</th>
                                            <th>متن پیام</th>
                                            <th>تاریخ ارسال</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($sms as $item)
                                        @if(isset($item->response[0]->message))
                                        <tr>
                                            <td>
                                            {{$loop->index+1}}
                                            </td>
                                            <td>
                                                @if (auth()->user()->hasRole('super-admin'))
                                                {{ $item->mobile }}
                                                @else
                                                ***
                                            @endif
                                            </td>
                                            <td>
                                                {{$item->type()}}
                                            </td>
                                            <td>{{jdate($item->updated_at)}}</td>
                                            <td>{{$item->response[0]->message}}</td>
                                            <td class="text-center">
                                                {{jdate($item->updated_at)}}
                                            </td>
                                        </tr>
                                        @endif
                                        @endforeach
                                    </tbody>
                                </table>
                            </div><!-- /.table-responsive -->
                            <a href="{{route('admin.sms')}}" class="btn btn-info btn-block btn-round">
                                <i class="icon-list fa-flip-horizontal"></i>
                              مشاهده فهرست کامل پیامک های ارسالی
                            </a>
                        </div><!-- /.portlet-body -->
                    </div><!-- /.portlet -->
                </div><!-- /.col-xl-6 -->
            </div><!-- /.row -->
        </div><!-- /.col-md-12 -->
    </div><!-- /.row -->
</div><!-- /#page-content -->
<!-- END PAGE CONTENT -->
@endsection
@section('js-page')
  <!-- BEGIN PAGE JAVASCRIPT -->
  <script src="/assets/plugins/chart.js/dist/Chart.bundle.min.js"></script>
  <script src="/assets/plugins/jquery-incremental-counter/jquery.incremental-counter.min.js"></script>
  <script src="/assets/plugins/ammap3/ammap/ammap.js"></script>
  <script src="/assets/plugins/ammap3/ammap/maps/js/iranHighFa.js"></script>
  <script src="/assets/js/pages/dashboard2.js"></script>
  <script>
      Chart.defaults.global.defaultFontFamily = "IranSans";
var randomScalingFactor = function() {
    return Math.round(Math.floor(Math.random() * 6000)*1000)+15000000;
};
var config2 = {
    type: "line",
    data: {
        labels: ["فروردین", "اردیبهشت", "خرداد", "تیر", "مرداد", "شهریور", "مهر", "آبان", "آذر", "دی", "بهمن", "اسفند"],
        datasets: [{
            backgroundColor: "rgba(20,185,214,0.7)",
            borderColor: "rgb(20,185,214)",
            borderWidth: 2,
            label: "درآمد ماهانه(تومان)",
            data: [{{$datas}}]
        }]
    },
    options: {
        maintainAspectRatio: false,
        responsive: true,
        title:{
            display:true
        },
        hover: {
            mode: "nearest",
            intersect: true
        },
        scales: {
            xAxes: [{
                display: true,
                scaleLabel: {
                    display: true,
                    labelString: "ماه"
                }
            }],
            yAxes: [{
                display: true,
                scaleLabel: {
                    display: true,
                    labelString: "درآمد به تومان"
                },
                ticks: {
                    suggestedMin: 8000000
                },
            }]
        }
    }
};
// Gender pie Chart
var config1 = {
    type: 'pie',
    data: {
        labels: ["تعداد فاکتور پرداخت شده", "تعداد فاکتور پرداخت نشده"],
        datasets: [{
            backgroundColor: [
                "#ffbd15",
                "#14B9D6"
            ],
            borderWidth: 3,
            label: "فاکتور ها",
            data: [{{$dataf}}]
        }]
    },
    options: {
        responsive: true
    }
};
    var config3 = {
        type: "bar",
        data: {
            labels: [{!!$labelsale!!}],
            datasets: [{
                backgroundColor: "rgba(151,187,205,0.5)",
                borderColor: "rgba(151,187,205,0.7)",
                borderWidth: 2,
                label: "پرداختی های سی روز اخیر",
                data: [{{$daysale}}]
            }]
        },
        options: {
            maintainAspectRatio: false,
            responsive: true,
            title:{
                display:true
            },
            hover: {
                mode: "nearest",
                intersect: true
            },
            scales: {
                xAxes: [{
                    display: true,
                    scaleLabel: {
                        display: true,
                        labelString: "روز"
                    }
                }],
                yAxes: [{
                    display: true,
                    scaleLabel: {
                        display: true,
                        labelString: "مبلغ"
                    },
                    ticks: {
                        suggestedMin: 0,
                        suggestedMax: 250
                    },
                }]
            }
        }
    };

  </script>
  <!-- END PAGE JAVASCRIPT -->
@endsection
