@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">
    <link href="/assets/plugins/switchery/dist/switchery.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیش  خوان</a></li>
                        <li><a href="/admin/user">لیست منوهای سایت</a></li>
                        <li class="active"> {{ $title }} </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-file-text fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <form role="form" action="{{ $action }}" method="POST">
                            @csrf
                            @if (isset($menu->id))
                                @method('PUT')
                            @endif
                            <div class="row">
                                <div class="col-lg-6 col-sm-6">
                                    @if ($errors->any())
                                        @foreach ($errors->all() as $error)
                                            <div class="alert alert-danger fill  fade show">
                                                <button type="button" class="btn-close" data-bs-dismiss="alert"
                                                    aria-label="Close"></button>
                                                {{ $error }}
                                            </div>
                                        @endforeach
                                    @endif
                                        <div class="form-body">   
                                            <div class="form-group">
                                                <label>نام منو</label>
                                                <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-header text-success fa-2x align-middle"></i>
                                                </span>
                                                    <input type="text" name="name" class="form-control"
                                                        value="{{ old('name', $menu->name) }}" placeholder="">
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->

                                            <div class="form-group">
                                                <label>لینک منو</label>
                                                <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-link text-success fa-2x align-middle"></i>
                                                </span>
                                                    <input type="text" name="link" class="form-control ltr"
                                                        value="{{ old('link', $menu->link) }}" placeholder="">
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->

                                            <div class="form-group">
                                                <label>ترتیب منو</label>
                                                <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-organization text-success fa-2x align-middle"></i>
                                                </span>
                                                    <input type="text" name="tartib" class="form-control"
                                                        value="{{ old('tartib', $menu->tartib) }}" placeholder="">
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                            
                                            <div class="form-group">
                                            <label>زیر شاخه منو</label>
                                            <div class="input-group">
                                                <select class="form-control" name="parent">
                                                    <option value="0">
                                                        شاخه اصلی</option>
                                                        
                                              @include('admin.menu.partials.list',['items'=>$menus[0]])
                                             
                                                </select>
                                            </div><!-- /.input-group -->
                                        </div>
                                            
                                            <div class="form-group">
                                                <label>نمایش منو</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="view">
                                                        @foreach (config('value.truefalse') as $key => $name)
                                                            <option value="{{ $key }}"
                                                                {{ $menu->view == $key ? 'selected' : '' }}>
                                                                {{ $name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div>
                                            
                                        </div><!-- /.form-body -->

                                        <div class="form-actions">
                                            <button type="submit" class="btn btn-info btn-round">
                                                <i class="fa fa-check fa-2x"></i>
                                                ذخیره
                                            </button>
                                            <a href="/admin/menu" class="btn btn-warning btn-round">
                                                <i class="fa fa-close fa-2x"></i>
                                                بازگشت

                                            </a>
                                        </div><!-- /.form-actions -->
                                    
                                </div>
                                
                            </div>
                        </form>
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>
    <script src="/assets/plugins/switchery/dist/switchery.js"></script>

    <script src="/assets/plugins/ckeditor-full/ckeditor.js"></script>
    <script>

CKEDITOR.replace('editor1', {filebrowserImageBrowseUrl: '/file-manager/ckeditor'});
    </script>
@endsection
