@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">منوها</a></li>

                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-users fa-2x text-danger"></i>
                                لیست منوهای وبسایت
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            @can('admin-post-create')
                                <div class="col-md-2 col-12 m-b-20">
                                    <a class="btn btn-success btn-block curve" href="{{ route('admin.menu.create') }}">
                                        <i class="fa fa-plus-circle fa-2x"></i>
                                        افزودن منو به وبسایت
                                    </a>

                                </div><!-- /.col-md-4 -->
                            @endcan

                            <div class="col-md-2 col-12 m-b-20">
                                <a class="btn btn-danger btn-block curve" href="{{ route('admin.index') }}">
                                    <i class="fa fa-reply-all fa-2x"></i>
                                    بازگشت به صفحه قبل
                                </a>

                            </div><!-- /.col-md-4 -->
                          
                        </div><!-- /.row -->
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th><i class="icon-energy"></i></th>
                                        <th>نام منو</th>
                                        <th>مسیر منو</th>
                                        <th>مقدار</th>
                                        <th>نام منوی والد</th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($menu as $item)
                                        <tr>
                                            <td>{{ $loop->index + 1 }}</td>
                                            <td>{{ $item->name }}</td>
                                            <td class="ltr">{{ $item->link }}</td>
                                            <td>{{ $item->tartib }}</td>
                                            <td>{{ empty($item->parents->name) ? 'شاخه اصلی' : $item->parents->name }}</td>
                                            <td>
                                                @can('admin-menu-edit')
                                                    <a data-bs-toggle="tooltip" title="ویرایش"
                                                        href="{{ route('admin.menu.edit', $item->id) }}" target="_blank"><i
                                                            class="fa fa-edit fa-2x text-info"></i></a>
                                                @endcan

                                                @can('admin-menu-delete')
                                                    @if ($item->child->count() == 0)
                                                        <a id="{{ $item->id }}" href="" data-bs-toggle="tooltip"
                                                            title="حذف" class="delete-buttom"> <i
                                                                class="fa fa-window-close fa-2x text-danger"></i></a>
                                                    @endif
                                                @endcan

                                                @if ($item->child->count() > 0)
                                                    <a id="{{ $item->id }}"
                                                        href="{{ route('admin.menu.index', ['parent' => $item->id]) }}"
                                                        data-bs-toggle="tooltip" title="لیست زیر منوها" class=""> <i
                                                            class="fa fa-list fa-2x text-success"></i></a>
                                                @endif


                                                <form id="delete-form{{ $item->id }}"
                                                    action="{{ route('admin.menu.destroy', $item->id) }}" method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                </form>

                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">
                        {{ $menu->appends(['search' => request('search')])->links() }}
                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script>
        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
    </script>
@endsection
