@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">دوره های تکرار</a></li>
                        <li class="active">لیست دوره ها</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-users fa-2x text-danger"></i>
                           لیست دوره ها
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-xxl-2 col-xl-3 col-lg-4 col-md-4 m-b-20">
                                <a class="btn btn-success btn-block curve" href="{{ route('admin.period.create') }}">
                                    <i class="fa fa-plus-circle fa-2x"></i>
                                  افزودن دوره  زمانی جدید
                                </a>
                               
                            </div><!-- /.col-md-4 -->
                            <div class="col-xxl-2 col-xl-3 col-lg-4 col-md-4 col-12 m-b-20">
                                <form action="" method="get" enctype="multipart/form">
                                    <div class="input-group curve">
                                        <input type="text" class="form-control" name="search" value="{{request()->search}}" placeholder="جستجو..."> 
                                        <span class="input-group-btn">
                                            <button class="btn btn-default" type="submit">
                                                <i class="icon-magnifier"></i> 
                                          </button>
                                        </span>
                                    </div><!-- ./input-group -->
                                </form>
                            </div><!-- /.col-md-4 -->
                          
                        </div><!-- /.row -->
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th><i class="icon-energy"></i></th>
                                        <th>نام</th>
                                        <th>مدت زمان(روز)</th>
                                        <th>فعال </th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($periods as $item)
                                        <tr>
                                            <td>{{ $loop->index + 1 }}</td>
                                            <td>{{ $item->name }}</td>
                                            <td>{{ $item->day }}</td>
                                            <td>{{ config('value.truefalse')[$item->active] }}</td>
                                            <td>
                                                <a data-bs-toggle="tooltip" title="ویرایش"
                                                    href="{{ route('admin.period.edit', $item->id) }}" target="_blank"><i
                                                        class="fa fa-edit fa-2x text-info"></i></a>
                                                <a id="{{ $item->id }}" href="" data-bs-toggle="tooltip"
                                                    title="حذف" class="delete-buttom"> <i
                                                        class="fa fa-window-close fa-2x text-danger"></i></a>
                                                <form id="delete-form{{ $item->id }}"
                                                    action="{{ route('admin.period.destroy', $item->id) }}" method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                </form>

                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">
                        {{ $periods->appends(['search' => request('search')])->links() }}
                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script>
        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText:'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form'+id).submit();
                }
            })
        });
    </script>
@endsection
