@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">
    <link href="/assets/plugins/switchery/dist/switchery.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیش خوان</a></li>
                        <li><a href="/admin/user">لیست مطالب</a></li>
                        <li class="active"> {{ $title }} </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-file-text fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <form role="form" action="{{ $action }}" method="POST">
                            @csrf
                            @if (isset($post->id))
                                @method('PUT')
                            @endif

                            <div class="row">
                                <div class="col-lg-8 col-sm-8">
                                    @if ($errors->any())
                                        @foreach ($errors->all() as $error)
                                            <div class="alert alert-danger fill  fade show">
                                                <button type="button" class="btn-close" data-bs-dismiss="alert"
                                                    aria-label="Close"></button>
                                                {{ $error }}
                                            </div>
                                        @endforeach
                                    @endif
                                    <div class="form-body">
                                        <div class="form-group">
                                            <label>عنوان مقاله</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-header text-success fa-2x align-middle"></i>
                                                </span>
                                                <input type="text" name="name" class="form-control"
                                                    value="{{ old('name', $post->name) }}" placeholder="" required>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>متن ابتدای مقاله</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-note text-success fa-2x align-middle"></i>
                                                </span>
                                                <textarea class="form-control" rows="4" name="content" placeholder="">{{ old('content', $post->content) }}</textarea>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label>متن کامل مقاله</label>
                                            <div class="input-group curve">
                                                <textarea class="form-control" id="editor1" rows="4" name="fullcontent" placeholder="">{{ old('fullcontent', $post->fullcontent) }}</textarea>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->


                                        <div class="form-group">
                                            <label>تصویر</label>
                                            <div class="input-group">
                                                <input type="text" name="pic" value="{{ old('pic', $post->pic) }}"
                                                    class="form-control image_label ltr">
                                                <span class="input-group-btn">
                                                    <button class="btn btn-primary button-image" type="button">انتخاب تصویر
                                                    </button>
                                                </span>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label>تصویر هدر</label>
                                            <div class="input-group">
                                                <input type="text" name="picheader" value="{{ old('picheader', $post->picheader) }}"
                                                    class="form-control image_label ltr">
                                                <span class="input-group-btn">
                                                    <button class="btn btn-primary button-image" type="button">انتخاب تصویر
                                                    </button>
                                                </span>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label>گالری تصاویر</label>
                                            <div class="portlet box border curve repeater">
                                                <div class="portlet-body">
                                                    <div data-repeater-list="groupa">
                                                        @forelse ($images as $item)
                                                            <div data-repeater-item>
                                                                <div class="row">
                                                                    <div class="col-md-5">
                                                                        <div class="form-group">
                                                                            <label class="fw-bold text-dark">عنوان
                                                                                تصویر</label>
                                                                            <div class="input-group">
                                                                                <span class="input-group-addon">
                                                                                    <i
                                                                                        class="icon-tag text-success fa-2x"></i>
                                                                                </span>
                                                                                <input type="text" name="names"
                                                                                    value="{{ old('names', $item->name) }}"
                                                                                    class="form-control">
                                                                            </div><!-- /.input-group -->
                                                                        </div><!-- /.form-group -->
                                                                    </div><!-- /.col-sm-6 -->
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <label class="fw-bold text-dark">تصویر</label>
                                                                            <div class="input-group">
                                                                                <!-- <span class="input-group-addon">
                                                                                            <i class="icon-picture text-success fa-2x"></i>
                                                                                        </span> -->
                                                                                <input type="text" name="pic"
                                                                                    value="{{ old('pic', $item->pic) }}"
                                                                                    class="form-control image_label ltr">
                                                                                <span class="input-group-btn">
                                                                                    <button
                                                                                        class="btn btn-primary button-image"
                                                                                        type="button">انتخاب
                                                                                        تصویر</button>
                                                                                </span>
                                                                            </div><!-- /.input-group -->
                                                                        </div><!-- /.form-group -->
                                                                    </div><!-- /.col-sm-6 -->
                                                                    <div class="col-md-1 m-auto">
                                                                        <span type="button" class="float-left"
                                                                            data-repeater-delete>
                                                                            <i class="fa fa-close text-danger fa-2x"></i>
                                                                        </span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        @empty
                                                            <div data-repeater-item>
                                                                <div class="row">
                                                                    <div class="col-md-5">
                                                                        <div class="form-group">
                                                                            <label class="fw-bold text-dark">عنوان
                                                                                تصویر</label>
                                                                            <div class="input-group">
                                                                                <span class="input-group-addon">
                                                                                    <i
                                                                                        class="icon-tag text-success fa-2x"></i>
                                                                                </span>
                                                                                <input type="text" name="names"
                                                                                    value="" class="form-control">
                                                                            </div><!-- /.input-group -->
                                                                        </div><!-- /.form-group -->
                                                                    </div><!-- /.col-sm-6 -->
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <label class="fw-bold text-dark">تصویر</label>
                                                                            <div class="input-group">
                                                                                <!-- <span class="input-group-addon">
                                                                                            <i class="icon-picture text-success fa-2x"></i>
                                                                                        </span> -->
                                                                                <input type="text" name="pic"
                                                                                    value=""
                                                                                    class="form-control image_label ltr">
                                                                                <span class="input-group-btn">
                                                                                    <button
                                                                                        class="btn btn-primary button-image"
                                                                                        type="button">انتخاب
                                                                                        تصویر</button>
                                                                                </span>
                                                                            </div><!-- /.input-group -->
                                                                        </div><!-- /.form-group -->
                                                                    </div><!-- /.col-sm-6 -->
                                                                    <div class="col-md-1 m-auto">
                                                                        <span type="button" class="float-left"
                                                                            data-repeater-delete>
                                                                            <i class="fa fa-close text-danger fa-2x"></i>
                                                                        </span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        @endforelse
                                                    </div>
                                                    <input data-repeater-create class="btn btn-primary curve"
                                                        type="button" value="افزودن سطر">
                                                </div><!-- /.portlet-body -->
                                            </div><!-- /.portlet -->
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label>سوالات متداول</label>
                                            <div class="portlet box border curve repeater">
                                                <div class="portlet-body">
                                                    <div data-repeater-list="groupb">
                                                        @forelse ($queiz as $item)
                                                            <div data-repeater-item>
                                                                <div class="row">
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <label class="fw-bold text-dark">سوال</label>
                                                                            <div class="input-group">
                                                                                <span class="input-group-addon">
                                                                                    <i
                                                                                        class="icon-question text-success fa-2x"></i>
                                                                                </span>
                                                                                <input type="text" name="names"
                                                                                    value="{{ old('names', $item->name) }}"
                                                                                    class="form-control">
                                                                            </div><!-- /.input-group -->
                                                                        </div><!-- /.form-group -->
                                                                    </div><!-- /.col-sm-6 -->
                                                                    <div class="col-md-5">
                                                                        <div class="form-group">
                                                                            <label class="fw-bold text-dark">پاسخ</label>
                                                                            <div class="input-group">
                                                                                <span class="input-group-addon">
                                                                                    <i
                                                                                        class="icon-action-undo text-success fa-2x"></i>
                                                                                </span>
                                                                                <textarea class="form-control" rows="4" name="pasokh" placeholder="">{{ old('pasokh', $item->value) }}</textarea>
                                                                            </div><!-- /.input-group -->
                                                                        </div><!-- /.form-group -->
                                                                    </div><!-- /.col-sm-6 -->
                                                                    <div class="col-md-1 m-auto">
                                                                        <span type="button" class=""
                                                                            data-repeater-delete>
                                                                            <i class="fa fa-close text-danger fa-2x"></i>
                                                                        </span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        @empty
                                                            <div data-repeater-item>
                                                                <div class="row">
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <label class="fw-bold text-dark">سوال</label>
                                                                            <div class="input-group">
                                                                                <span class="input-group-addon">
                                                                                    <i
                                                                                        class="icon-question text-success fa-2x"></i>
                                                                                </span>
                                                                                <input type="text" name="names"
                                                                                    class="form-control">
                                                                            </div><!-- /.input-group -->
                                                                        </div><!-- /.form-group -->
                                                                    </div><!-- /.col-sm-6 -->
                                                                    <div class="col-md-5">
                                                                        <div class="form-group">
                                                                            <label class="fw-bold text-dark">پاسخ</label>
                                                                            <div class="input-group">
                                                                                <span class="input-group-addon">
                                                                                    <i
                                                                                        class="icon-action-undo text-success fa-2x"></i>
                                                                                </span>
                                                                                <textarea class="form-control" rows="4" name="pasokh"></textarea>
                                                                            </div><!-- /.input-group -->
                                                                        </div><!-- /.form-group -->
                                                                    </div><!-- /.col-sm-6 -->
                                                                    <div class="col-md-1 m-auto">
                                                                        <span type="button" class=""
                                                                            data-repeater-delete>
                                                                            <i class="fa fa-close text-danger fa-2x"></i>
                                                                        </span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        @endforelse
                                                    </div>
                                                    <input data-repeater-create class="btn btn-success curve"
                                                        type="button" value="افزودن سوال">
                                                </div><!-- /.portlet-body -->
                                            </div><!-- /.portlet -->
                                        </div><!-- /.form-group -->

                                        <!-- <div class="form-group">
                                                        <label>نمایش برای</label>
                                                        <div class="input-group">
                                                            <span class="input-group-addon">
                                                                <i class="fa fa-eye fa-2x text-success"></i>
                                                            </span>
                                                            <select class="form-select" name="type">
                                                                <option value="0">عمومی</option>
                                                                <option value="1">اعضا</option>
                                                                <option value="2">اعضای ویژه</option>
                                                            </select>
                                                        </div>
                                                    </div> -->
                                        <div class="form-group">
                                            <label>انتخاب دسته بندی </label>
                                            <div class="input-group">
                                                <!-- <span class="input-group-addon">
                                                                <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                            </span> -->
                                                <select class="form-control select2" multiple name="category[]">
                                                    @foreach ($categoreis as $item)
                                                        <option
                                                            value="{{ $item->id }}"{{ in_array($item->id, $postcategory) ? 'selected' : '' }}>
                                                            {{ $item->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div><!-- /.input-group -->
                                        </div>
                                        <div class="form-group">
                                            <label>فعال بودن نظرات</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="icon-bubble fa-2x text-success"></i>
                                                </span>
                                                <select class="form-select" name="comment">
                                                    @foreach (config('value.truefalse') as $key => $name)
                                                        <option value="{{ $key }}"
                                                            {{ $post->comment == $key ? 'selected' : '' }}>
                                                            {{ $name }}</option>
                                                    @endforeach

                                                </select>
                                            </div><!-- /.input-group -->
                                        </div>

                                        <div class="form-group">
                                            <label>قابل نمایش در سایت</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                </span>
                                                <select class="form-select" name="active">
                                                    @foreach (config('value.truefalse') as $key => $name)
                                                        <option value="{{ $key }}"
                                                            {{ $post->active == $key ? 'selected' : '' }}>
                                                            {{ $name }}</option>
                                                    @endforeach
                                                </select>
                                            </div><!-- /.input-group -->
                                        </div>
                                    </div><!-- /.form-body -->

                                    <div class="form-actions">
                                        <button type="submit" class="btn btn-info btn-round">
                                            <i class="fa fa-check fa-2x"></i>
                                            ذخیره
                                        </button>
                                        <a href="/admin/post" class="btn btn-warning btn-round">
                                            <i class="fa fa-close fa-2x"></i>
                                            بازگشت

                                        </a>
                                    </div><!-- /.form-actions -->

                                </div>
                                <div class="col-lg-4 col-sm-4">
                                    <div class="form-group">
                                        <label>توضیحات قسمت سئو</label>
                                        <div class="input-group curve">
                                            <span class="input-group-addon">
                                                <i class="icon-note text-success fa-2x align-middle"></i>
                                            </span>
                                            <textarea class="form-control" rows="4" name="description" placeholder="">{{ old('description', $post->description) }}</textarea>
                                        </div><!-- /.input-group -->
                                    </div><!-- /.form-group -->
                                    <div class="form-group">
                                        <label> کلمات کلیدی</label>
                                        <div class="input-group curve">
                                            <span class="input-group-addon">
                                                <i class="icon-note text-success fa-2x align-middle"></i>
                                            </span>
                                            <input type="text" name="keyword" class="form-control"
                                                value="{{ old('keyword', $post->keyword) }}" placeholder="">
                                        </div><!-- /.input-group -->
                                    </div><!-- /.form-group -->
                                    @if (isset($post->id))
                                        <div class="form-group">
                                            <label>آدرس url</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-link text-success fa-2x align-middle"></i>
                                                </span>
                                                <input type="text" name="slug" class="form-control ltr"
                                                    value="{{ old('slug', $post->slug) }}" placeholder="">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                    @endif
                                </div>

                            </div>
                        </form>
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/js/jquery.repeater.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>
    <script src="/assets/plugins/switchery/dist/switchery.js"></script>

    <script src="/assets/plugins/ckeditor-full/ckeditor.js"></script>
    <script>
        var image;
        $('body').on('click', '.button-image', (event) => {
            event.preventDefault();

            image = $(event.target).closest('.form-group');

            window.open('/file-manager/fm-button', 'fm', 'width=1400,height=800');
        });

        // set file link
        function fmSetLink($url) {
            image.find('.image_label').first().val($url);
        }
        CKEDITOR.replace('editor1', {
            filebrowserImageBrowseUrl: '/file-manager/ckeditor'
        });
    </script>
    <script>
        $(document).ready(function() {
            $('.repeater').repeater({
                show: function() {
                    $(this).slideDown();
                },
                hide: function(deleteElement) {
                    if (confirm('آیا از حذف سطر مورد نظر اطمینان دارید؟')) {
                        $(this).slideUp(deleteElement);
                    }
                },
                isFirstItemUndeletable: true
            });
        });
    </script>
@endsection
