@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="/admin/product">محصولات</a></li>
                        <li class="active">{{ $title }}</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-product-hunt fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-lg-6">
                                @if ($errors->any())
                                    @foreach ($errors->all() as $error)
                                        <div class="alert alert-danger fill  fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert"
                                                aria-label="Close"></button>
                                            {{ $error }}
                                        </div>
                                    @endforeach
                                @endif
                                <form role="form" action="{{ $action }}" method="POST" enctype="multipart/form-data">
                                    @csrf
                                    @if (isset($product->id))
                                        @method('PUT')
                                    @endif
                                    <div class="form-body row">
                                        <div class="form-group">
                                            <label>نام محصول</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-product-hunt fa-2x text-success"></i>
                                                </span>
                                                <input type="text" name="name" class="form-control"
                                                    value="{{ old('name', $product->name) }}" placeholder="">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>توضیحات</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-commenting fa-2x text-success"></i>
                                                </span>
                                                <input type="text" name="description" class="form-control"
                                                    value="{{ old('description', $product->description) }}" placeholder="">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>قیمت خرید محصول</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-money fa-2x text-success"></i>
                                                </span>
                                                <input type="text" class="form-control ltr text-left number"
                                                    name="price_buy"
                                                    value="{{ old('price_buy', number_format($product->price_buy)) }}"
                                                    class="form-control" placeholder="">
                                            </div><!-- /.input-group -->
                                            <span class="help-block">قیت را بصورت تومان وارد نمایید</span>
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label>قیمت فروش محصول</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-money fa-2x text-success"></i>
                                                </span>
                                                <input type="text" class="form-control ltr text-left number"
                                                    name="price"
                                                    value="{{ old('price', number_format($product->price)) }}"
                                                    class="form-control" placeholder="">
                                            </div><!-- /.input-group -->
                                            <span class="help-block">قیت را بصورت تومان وارد نمایید</span>
                                        </div><!-- /.form-group -->
                                    
                                        <div class="form-group">
                                            <label>کد محصول(جهت شناسایی بهتر)</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-qrcode fa-2x text-success"></i>
                                                </span>
                                                <input type="code" name="code"
                                                    value="{{ old('code', $product->code) }}"
                                                    class="form-control ltr text-left">

                                            </div><!-- /.input-group -->

                                        </div><!-- /.form-group -->
                                        <div class="form-group col-md-6">
                                            <label>موجودی</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-qrcode fa-2x text-success"></i>
                                                </span>
                                                <input type="number" name="count"
                                                    value="{{ old('count', $product->count) }}"
                                                    class="form-control ltr text-left">

                                            </div><!-- /.input-group -->

                                        </div><!-- /.form-group -->
                                        <div class="form-group col-md-6">
                                            <label>فعال بودن محصول:</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                </span>
                                                <select class="form-control" name="status">
                                                    @foreach (config('value.truefalse') as $key => $name)
                                                        <option value="{{ $key }}"
                                                            {{ $product->status == $key ? 'selected' : '' }}>
                                                            {{ $name }}</option>
                                                    @endforeach
                                                </select>
                                            </div><!-- /.input-group -->
                                        </div>

                                        <div class="form-group relative">
                                            <input type="file" name="picture" class="form-control"> 
                                            <label>آپلود تصویر</label>
                                            <div class="input-group curve"> 
                                                <input type="text"  accept="image/*" class="form-control file-input ltr text-left" value="{{ old('picture', $product->pic) }}" placeholder="برای آپلود کلیک کنید"> 
                                                <span class="input-group-btn"> 
                                                    <button type="button" class="btn btn-info"> 
                                                        <i class="icon-picture"></i>
                                                        آپلود تصویر
                                                    </button>
                                                </span> 
                                            </div><!-- /.input-group -->
                                           
                                        </div><!-- /.form-group -->
                                        <div class="form-group relative">
                                            <input type="file" name="file" class="form-control"> 
                                            <label>آپلود فایل دانلودی</label>
                                            <div class="input-group curve"> 
                                                <input type="text"  class="form-control file-input ltr text-left" value="{{ old('file', @$product->file->file) }}" placeholder="برای آپلود کلیک کنید"> 
                                                <span class="input-group-btn"> 
                                                    <button type="button" class="btn btn-info"> 
                                                        <i class="icon-picture"></i>
                                                        آپلود فایل
                                                    </button>
                                                </span> 
                                            </div><!-- /.input-group -->
                                           
                                        </div><!-- /.form-group -->
                                        <input type="hidden" name="unit" value="">
                                        {{-- <div class="form-group">
                                            <label>واحد</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-bars fa-2x text-success"></i>
                                                </span>
                                                <select class="form-control" name="unit">
                                                    <option value="عدد">عدد</option>
                                                    <option value="متر">متر</option>
                                                    <option value="کیلوگرم">کیلوگرم</option>
                                                    <option value="کارتن">کارتن</option>
                                                    <option value="دستگاه">دستگاه</option>
                                                    <option value="واحد">واحد</option>
                                                    <option value="مترمکعب">مترمکعب</option>
                                                    <option value="دست">دست</option>
                                                    <option value="دانه">دانه</option>
                                                    <option value="قطعه">قطعه</option>
                                                    <option value="جفت">جفت</option>
                                                    <option value="قالب">قالب</option>
                                                    <option value="جلد">جلد</option>
                                                    <option value="نفر">نفر</option>
                                                    <option value="تخته">تخته</option>
                                                    <option value="توپ">توپ</option>
                                                    <option value="بند">بند</option>
                                                    <option value="شاخه">شاخه</option>
                                                    <option value="درجه">درجه</option>
                                                    <option value="فقره">فقره</option>
                                                    <option value="رأس">رأس</option>
                                                    <option value="عدل">عدل</option>
                                                    <option value="قرص">قرص</option>
                                                    <option value="رشته">رشته</option>
                                                    <option value="حلقه">حلقه</option>
                                                    <option value="لیتر">لیتر</option>
                                                </select>
                                            </div><!-- /.input-group -->
                                        </div> --}}
                                      
                                    </div><!-- /.form-body -->

                                    <div class="form-actions">
                                        <button type="submit" class="btn btn-info btn-round">
                                            <i class="fa fa-check fa-2x"></i>
                                            ذخیره
                                        </button>
                                        <a href="/admin/product" class="btn btn-warning btn-round">
                                            <i class="fa fa-close fa-2x"></i>
                                            بازگشت

                                        </a>
                                    </div><!-- /.form-actions -->
                                </form>
                            </div>

                        </div>
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script>
        $('.number').keyup(function(event) {
            $(this).val(function(index, value) {
                return value
                    .replace(/\D/g, "")
                    .replace(/\B(?=(\d{3})+(?!\d))/g, ",");
            });
        });
    </script>
@endsection
