@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">کاربران</a></li>
                        <li class="active">تغییر کلمه عبور</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-product-hunt fa-2x text-danger"></i>
                               تغییر کلمه عبور
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-curve btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-curve btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body edit-form">
                       
                        <div class="row">
                            @if ($errors->updateProfileInformation->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->updateProfileInformation->all() as $error)
                                    <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                            @endif
                            <div class="col-lg-6 col-md-10 m-auto m-b-30">
                                <div class="text-center">
                                    <div class="user-box">
                                        <a  target="_blank">
                                            <img src="{{auth()->user()->pic}}" alt="عکس پروفایل"
                                                class="img-circle" style="height: 50px">
                                        </a>
                                      
                                    </div><!-- /.user-box -->
                                </div><!-- /.text-center -->

                                <hr>
                                @if ($errors->updatePassword->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->updatePassword->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session('status') === 'password-updated')
                                <div class="alert alert-success fill" role="alert">
                                   
                                 کلمه عبور شما با موفقیت آپدیت شد.
                                </div>
                                @endif
                                <form action="/user/password" method="post">
                                    @csrf
                                    @method('put')
                                    <div class="form-body">
                                        <div class="form-group">
                                            <label for="old_password">رمز عبور پیشین</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-lock"></i>
                                                </span>
                                                <input type="password" id="old_password" name="current_password" minlength="5" class="form-control ltr text-left" required>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label for="password">رمز عبور جدید</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-key"></i>
                                                </span>
                                                <input type="password" id="password" name="password" minlength="5" class="form-control ltr text-left" required>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label for="confirm_password">رمز عبور</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-key"></i>
                                                </span>
                                                <input type="password" id="confirm_password" name="password_confirmation" minlength="5" class="form-control ltr text-left" required>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                    </div><!-- /.form-body -->
                                    <div class="form-actions">
                                        <button type="submit" class="btn btn-info btn-curve">
                                            <i class="icon-check"></i>
                                            ذخیره
                                        </button>
                                        <a href="/admin" class="btn btn-warning btn-curve pull-left">
                                            <i class="icon-close"></i>
                                            بازگشت
                                        </a>
                                    </div><!-- /.form-actions -->
                                </form>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <!-- BEGIN PAGE JAVASCRIPT -->
    <script src="/assets/plugins/jquery-mask/jquery.mask.min.js"></script>
    <script src="/assets/js/pages/edit-profile.js"></script>
    <!-- END PAGE JAVASCRIPT -->
@endsection
