@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">کاربران</a></li>
                        <li class="active">ویرایش پروفایل</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-product-hunt fa-2x text-danger"></i>
                                ویرایش پروفایل
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-curve btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-curve btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body edit-form">
                       
                        <div class="row">
                            @if ($errors->updateProfileInformation->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->updateProfileInformation->all() as $error)
                                    <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                            @endif
                            <div class="col-lg-6 col-md-10 m-auto m-b-30">
                                <div class="text-center">
                                    <div class="user-box">
                                        <a  target="_blank">
                                            <img src="{{auth()->user()->pic}}" alt="عکس پروفایل"
                                                class="img-circle" style="height: 50px">
                                        </a>
                                      
                                    </div><!-- /.user-box -->
                                </div><!-- /.text-center -->

                                <hr>
                                @if (session('status')=='profile-information-updated')

                                <div class="alert alert-success fill" role="alert">
                                   
                                   اطلاعات مورد نیاز شما با موفقیت ویرایش شد.
                                </div>
                                @endif
                                <form role="form" action="/user/profile-information" method="POST"
                                    enctype="multipart/form-data">
                                    @csrf
                                    @method('PUT')
                                    <div class="form-body">
                                        <div class="form-group relative mt-3 mb-4">
                                            <input type="file" class="form-control" name="pic">
                                            <div class="input-group curve">
                                                <input type="text" class="form-control file-input"
                                                    placeholder="برای آپلود کلیک کنید">
                                                <span class="input-group-btn">
                                                    <button type="button" class="btn btn-info">
                                                        <i class="icon-picture"></i>
                                                        آپلود عکس
                                                    </button>
                                                </span>
                                            </div><!-- /.input-group -->
                                            <div class="help-block"></div>
                                        </div><!-- /.form-group -->
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label for="txt-firstname">نام</label>
                                                    <div class="input-group curve">
                                                        <span class="input-group-addon">
                                                            <i class="icon-user"></i>
                                                        </span>
                                                        <input class="form-control" placeholder=""
                                                            value="{{ old('name', auth()->user()->name) }}" name="name"
                                                            type="text">
                                                    </div><!-- /.input-group -->
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col -->
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label for="txt-lastname">نام خانوادگی</label>
                                                    <div class="input-group curve">
                                                        <span class="input-group-addon">
                                                            <i class="icon-user"></i>
                                                        </span>
                                                        <input class="form-control " placeholder="" name="family"
                                                            value="{{ old('family', auth()->user()->family) }}"
                                                            type="text">
                                                    </div><!-- /.input-group -->
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col -->
                                        </div><!-- /.row -->

                                        <div class="form-group">
                                            <label for="txt-mobile">موبایل</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-screen-smartphone"></i>
                                                </span>
                                                <input class="form-control ltr text-left mobile"
                                                    name="mobile" id="txt-mobile" value="{{ old('mobile', auth()->user()->mobile) }}"
                                                    type="text">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label for="txt-email">ایمیل</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-envelope"></i>
                                                </span>
                                                <input class="form-control ltr text-left" name="email"
                                                    value="{{ old('email', auth()->user()->email) }}" type="text">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                      




                                        <div class="form-group">
                                            <label>نشانی</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-location-pin"></i>
                                                </span>
                                                <textarea class="form-control" rows="4" name="address" placeholder="نشانی">{{auth()->user()->address}}</textarea>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                    </div><!-- /.form-body -->

                                    <div class="form-actions">
                                        <button type="submit" class="btn btn-info btn-curve">
                                            <i class="icon-check"></i>
                                            ذخیره
                                        </button>
                                        <a href="/admin/user" class="btn btn-warning btn-curve pull-left">
                                            <i class="icon-close"></i>
                                            بازگشت
                                        </a>
                                    </div><!-- /.form-actions -->
                                </form>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <!-- BEGIN PAGE JAVASCRIPT -->
    <script src="/assets/plugins/jquery-mask/jquery.mask.min.js"></script>
    <script src="/assets/js/pages/edit-profile.js"></script>
    <!-- END PAGE JAVASCRIPT -->
@endsection
