@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/clockpicker/dist/bootstrap-clockpicker.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="/admin">پیش خوان</a></li>
                        <li><a href="/admin/service">مدیریت خدمات</a></li>
                        <li class="active"> {{ $title }} </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-clock-o fa-2x text-success"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->

                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="table-responsive">
                            <form action="{{$action}}" method="POST">
                                @csrf
                                <table class="table table-bordered table-striped table-hover">
                                    <thead>
                                        <tr class="text-center">
                                            <th><i class="icon-energy"></i></th>
                                            <th>ساعت شروع</th>
                                            <th>ساعت پایان</th>
                                            <th style="width: 10%">ظرفیت</th>
                                            <th>فعال</th>
                                            <th>نوبت ویژه</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($programDays as $item)
                                            <tr class="text-center">
                                                <td>{{ $loop->index + 1 }}</td>
                                                <td>{{ $item->time_start }}</td>
                                                <td>{{ $item->time_end }}</td>
                                                <td><input class="form-control" type="number" name="capacity[{{$item->id}}]" value="{{$item->capacity}}"></td>
                                                <td><input type="checkbox" name="status[{{ $item->id }}]" value="1"
                                                        @checked($item->status)></td>
                                                <td><input type="checkbox" name="is_vip[{{ $item->id }}]" value="1"
                                                        @checked($item->is_vip)></td>
                                            </tr>
                                        @endforeach

                                    </tbody>
                                </table>
                                <div class="form-actions">
                                    <button type="submit" class="btn btn-info btn-round">
                                        <i class="fa fa-check fa-2x"></i>
                                        ذخیره
                                    </button>
                                    <a href="/admin/service" class="btn btn-warning btn-round">
                                        <i class="fa fa-close fa-2x"></i>
                                        بازگشت

                                    </a>
                                </div><!-- /.form-actions -->
                            </form>

                        </div>
                    </div>
                </div>

            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>
    <script src="/assets/plugins/clockpicker/dist/bootstrap-clockpicker.min.js"></script>
    <script src="/assets/js/pages/clock.js"></script>

    <script>
        $('.number').keyup(function(event) {
            $(this).val(function(index, value) {
                return value
                    .replace(/\D/g, "")
                    .replace(/\B(?=(\d{3})+(?!\d))/g, ",");
            });
        });
    </script>
    <script>
        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
    </script>
@endsection
