@extends('auth.layouts.master')
@section('content')
    <div class="modal-page shadow">
        <div class="container-fluid">
            <div class="row">

                <div class="col-md-12">
                    <div class="logo-con m-t-10 m-b-10">
                        <img src="{{ option('info_logo') }}" class="dark-logo center-block img-responsive" alt="logo">
                        <img src="{{ option('info_logo') }}" class="light-logo center-block img-responsive" alt="logo">
                    </div><!-- /.logo-con -->



                    <h2 class="text-center m-b-20">ثبت نام کاربر مدیر</h2>
                    <hr>
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                        <form id="form" class="m-t-30 m-b-30" action="/register/admin" method="POST" role="form">
                            @csrf
                            <div class="form-group">
                                <label for="email">نام</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-mobile fa-2x"></i>
                                    </span>
                                    <input class="form-control rtl text-right" type="text" name="name"
                                       required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label for="email">نام خانوادگی</label>
                                <div class="input-group curve">

                                    <input class="form-control rtl text-right" type="text" name="family"
                                       required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label for="mobile">موبایل</label>
                                <div class="input-group curve">

                                    <input class="form-control ltr text-left" type="text" name="mobile"
                                       required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label for="password">رمز عبور</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="icon-key font-lg"></i>
                                    </span>
                                    <input id="password" class="form-control ltr text-left" type="password" name="password"
                                        minlength="5" required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label for="password">تکرار رمز عبور</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="icon-key font-lg"></i>
                                    </span>
                                    <input id="password" class="form-control ltr text-left" type="password" name="password_confirmation"
                                        minlength="5" required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <p>
                                <button class="btn btn-info btn-curve btn-block" type="submit">
                                    <i class="icon-paper-plane font-lg"></i>
                                    ثبت نام
                                </button>
                            </p>
                        </form>
                        <hr class="m-b-30">

                </div><!-- /.col-md-12 -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div><!-- /.modal-page -->
@endsection
