@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="/admin/user">کاربران</a></li>
                        <li class="active"> {{ $title }} </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-user-plus fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-lg-12">
                                @if ($errors->any())
                                    @foreach ($errors->all() as $error)
                                        <div class="alert alert-danger fill  fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert"
                                                aria-label="Close"></button>
                                            {{ $error }}
                                        </div>
                                    @endforeach
                                @endif
                                <form role="form" action="{{ $action }}" method="POST">
                                    @csrf
                                    @if (isset($role->id))
                                        @method('PUT')
                                    @endif
                                    <div class="form-body">
                                        <div class="form-group">
                                            <label>نام نقش کاربری به فارسی :</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-user fa-2x text-success"></i>
                                                </span>
                                                <input class="form-control dir-rtl" placeholder=""
                                                    value="{{ old('name_fa', $role->name_fa) }}" name="name_fa"
                                                    type="text">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label class="form-label mg-b-0">نام نقش کاربری به انگلیسی :</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-users fa-2x text-success"></i>
                                                </span>
                                                <input class="form-control ltr text-left" placeholder=""
                                                    value="{{ old('name', $role->name) }}" name="name" type="text">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->


                                        @foreach ($permission as $item)
                                            <div class="row row-xs align-items-center mg-b-20">
                                                <div class="col-md-12">
                                                    <label class="form-label mg-b-0"><input class="normal" id="select{{ $item->id }}"
                                                            type="checkbox" name="permission[]"
                                                            @if (in_array($item->id, $rolePermissions)) checked='' @endif
                                                            value="{{ $item->id }}">{{ $item->name_fa }}</label>
                                                </div>
                                                @foreach (\Spatie\Permission\Models\Permission::where('parent', $item->id)->get() as $value)
                                                    <div class="col-md-2">
                                                        <label class="btn btn-success btn-block"><input
                                                                class="normal checkbox_class{{ $item->id }}"
                                                                type="checkbox" name="permission[]"
                                                                @if (in_array($value->id, $rolePermissions)) checked='' @endif
                                                                value="{{ $value->id }}">
                                                            {{ $value->name_fa }}</label>
                                                    </div>
                                                @endforeach

                                            </div>
                                            <hr>
                                            
                                        @endforeach
                                    </div><!-- /.form-body -->

                                    <div class="form-actions">
                                        <button type="submit" class="btn btn-info btn-round">
                                            <i class="fa fa-check fa-2x"></i>
                                            ذخیره
                                        </button>
                                        <a href="/admin/role" class="btn btn-warning btn-round">
                                            <i class="fa fa-close fa-2x"></i>
                                            بازگشت

                                        </a>
                                    </div><!-- /.form-actions -->
                                </form>
                            </div>

                        </div>
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
@foreach ($permission as $item)
<script>
    $("#select{{ $item->id }}").click(function() {
        $(".checkbox_class{{ $item->id }}").prop("checked", $(this).prop("checked"));
    });
</script>
@endforeach
@endsection
