@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">مشتریان / کاربران</a></li>

                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-users fa-2x text-danger"></i>
                              لیست نقش های کاربری
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-xxl-2 col-xl-3 col-lg-4 col-md-4 m-b-20">
                                <a class="btn btn-success btn-block curve" href="{{ route('admin.role.create') }}">
                                    <i class="fa fa-plus-circle fa-2x"></i>
                                   افزودن نقش کاربری
                                </a>

                            </div><!-- /.col-md-4 -->
                          
                           

                        </div><!-- /.row -->
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>نام </th>
                                        <th>نام به انگلیسی</th>
                                   
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($roles as $item)
                                        <tr class="success">
                                            <td>{{ $item->id }}</td>
                                            <td>{{ $item->name_fa }}</td>
                                            <td>{{ $item->name }}</td>
                                         
                                            <td>
                                              
                                                    <a rel="tooltip" title="ویرایش" href="{{ route('admin.role.edit', $item->id) }}">
                                                        <i class="fa fa-edit fa-2x text-info"></i>
                                                    </a>

                                                    <a data-bs-toggle="modal" rel="tooltip" title="مشاهده" data-bs-target="#modal{{ $item->id }}"
                                                        href=""><i class="fa fa-credit-card fa-2x text-success"></i></a>


                                              
                                            </td>

                                        </tr>
                                        <div id="modal{{ $item->id }}" class="modal fade" role="dialog"
                                            tabindex="-1">
                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                <div class="modal-content modal-content-demo">
                                                    <div class="modal-header">
                                                        <h6 class="modal-title">دسترسی ها</h6><button aria-label="بستن"
                                                            class="close" data-dismiss="modal" type="button"><span
                                                                aria-hidden="true">×</span></button>
                                                    </div>
                                                    <div class="modal-body">
                                                        @php
                                                            $rolePermissions = \Spatie\Permission\Models\Permission::join('role_has_permissions', 'role_has_permissions.permission_id', '=', 'permissions.id')
                                                                ->where('role_has_permissions.role_id', $item->id)
                                                                ->get();
                                                        @endphp
                                                        @if (!empty($rolePermissions))
                                                            @foreach ($rolePermissions as $v)
                                                                <label
                                                                    class="badge badge-primary">{{ $v->name_fa }}</label>
                                                            @endforeach
                                                        @endif
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-danger btn-round"
                                                            data-bs-dismiss="modal">بازگشت</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">
                        {{ $roles->appends(['search' => request('search')])->links() }}
                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script>
        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
    </script>
@endsection
