@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="/admin">پیشخوان</a></li>
                        <li><a href="/admin/service">مدیریت خدمات</a></li>
                        <li class="active">{{ $title }}</li>

                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-plus fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-xxl-2 col-xl-3 col-lg-4 col-md-4 col-sm-6 col-12 m-b-20">
                                <a class="btn btn-success btn-block curve" href="{{ route('admin.service.create') }}">
                                    <i class="fa fa-plus-circle fa-2x"></i>
                                    افزودن خدمت
                                </a>

                            </div><!-- /.col-md-4 -->

                            {{-- <div class="col-xxl-2 col-xl-3 col-lg-4 col-md-4 col-sm-6 col-12 m-b-20">
                            <a class="btn btn-danger btn-block curve" href="{{ route('admin.index') }}">
                                <i class="fa fa-reply-all fa-2x"></i>
                                بازگشت به صفحه قبل
                            </a>
                        </div><!-- /.col-md-4 --> --}}

                            <div class="col-md-4 col-12 m-b-20">

                                <div class="input-group curve">
                                    <input type="text" class="form-control" name="search"
                                        value="{{ request()->search }}" placeholder="جستجو...">
                                    <span class="input-group-btn">
                                        <button class="btn btn-default" type="submit">
                                            <i class="icon-magnifier"></i>
                                        </button>
                                    </span>
                                </div><!-- ./input-group -->
                                </form>
                            </div><!-- /.col-md-4 -->

                        </div><!-- /.row -->
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th><i class="icon-energy"></i></th>
                                        <th>نام خدمت</th>
                                        <th>دسته‌بندی</th>
                                        <th>قیمت</th>
                                        <th>نام بیعانه</th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($services as $item)
                                        <tr>
                                            <td>{{ $loop->index + 1 }}</td>
                                            <td>{{ $item->name }}</td>
                                            <td>{{ empty($item->category_id) ? '' : $item->category_id }}</td>
                                            <td>{{ number_format($item->price) }}</td>
                                            <td>{{ number_format($item->depozit) }}</td>
                                            <td>
                                                @can('admin-course-edit')
                                                    <a data-bs-toggle="tooltip" title="ویرایش"
                                                        href="{{ route('admin.service.edit', $item->id) }}" target="_blank"><i
                                                            class="fa fa-edit fa-2x text-info"></i></a>
                                                @endcan


                                                <a id="{{ $item->id }}" href="" data-bs-toggle="tooltip"
                                                    title="حذف" class="delete-buttom"> <i
                                                        class="fa fa-window-close fa-2x text-danger"></i></a>

                                                <a data-bs-toggle="tooltip" title="تعرفه‌ها"
                                                    href="{{ route('admin.service.tariff.index', $item->id) }}"
                                                    target="_blank"><i class="fa fa-dollar fa-2x text-success"></i></a>

                                                <a data-bs-toggle="tooltip" title="زمان"
                                                    href="{{ route('admin.service.program.index', $item->id) }}"
                                                    target="_blank"><i class="fa fa-clock-o fa-2x text-primary"></i></a>

                                                <form id="delete-form{{ $item->id }}"
                                                    action="{{ route('admin.service.destroy', $item->id) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                </form>

                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">
                        {{ $services->appends($_GET)->links() }}
                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script>
        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
        $('.login-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا برای ورود به پنل مشتری اطمینان دارید',
                text: " با انجام این عملیات به طور کامل از پنل مدیریتی خود خارج می شوید",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله  وارد می شوم!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    window.location.href = $(this).attr("href");
                }
            })
        });
    </script>
@endsection
