@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">تنظیمات</a></li>
                        <li class="active">تنظیمات درگاه پرداخت</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-shopping-basket fa-2x text-danger"></i>
                                تنظیمات درگاه پرداخت
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <form id="gateway-form" action="{{ route('admin.settings.gateways') }}" method="POST">
                            @csrf
                            @php
                                $gateway = $gateways->where('key', 'payir')->first();
                            @endphp

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="payir" type="checkbox" class="normal"
                                                name="gateways[{{ $gateway->id }}][is_active]"
                                                {{ $gateway->is_active ? 'checked' : '' }}>

                                            <span class="">درگاه pay.ir</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-md-2 form-group">
                                    <label>ترتیب نمایش</label>
                                    <div class="input-group mb-75">
                                        <input type="number" name="gateways[{{ $gateway->id }}][ordering]"
                                            class="form-control ltr payir" value="{{ $gateway->ordering }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>عنوان</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][name]"
                                            class="form-control payir" value="{{ $gateway->name }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>کد درگاه پرداخت</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][configs][merchantId]"
                                            class="form-control ltr payir" value="{{ $gateway->config('merchantId') }}"
                                            required>
                                    </div>
                                </div>

                            </div>

                            <hr>
                            @php
                                $gateway = $gateways->where('key', 'nextpay')->first();
                            @endphp

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="nextpay" type="checkbox" class="normal"
                                                name="gateways[{{ $gateway->id }}][is_active]"
                                                {{ $gateway->is_active ? 'checked' : '' }}>

                                            <span class="">درگاه نکست پی</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-md-2 form-group">
                                    <label>ترتیب نمایش</label>
                                    <div class="input-group mb-75">
                                        <input type="number" name="gateways[{{ $gateway->id }}][ordering]"
                                            class="form-control ltr nextpay" value="{{ $gateway->ordering }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>عنوان</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][name]"
                                            class="form-control nextpay" value="{{ $gateway->name }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>کد درگاه پرداخت</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][configs][merchantId]"
                                            class="form-control ltr nextpay" value="{{ $gateway->config('merchantId') }}"
                                            required>
                                    </div>
                                </div>

                            </div>

                            <hr>

                            @php
                                $gateway = $gateways->where('key', 'zarinpal')->first();
                            @endphp

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="zarinpal" type="checkbox" class="normal"
                                                name="gateways[{{ $gateway->id }}][is_active]"
                                                {{ $gateway->is_active ? 'checked' : '' }}>

                                            <span class="">درگاه زرین پال</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-md-2 form-group">
                                    <label>ترتیب نمایش</label>
                                    <div class="input-group mb-75">
                                        <input type="number" name="gateways[{{ $gateway->id }}][ordering]"
                                            class="form-control ltr zarinpal" value="{{ $gateway->ordering }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>عنوان</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][name]"
                                            class="form-control zarinpal" value="{{ $gateway->name }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>کد درگاه پرداخت</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][configs][merchantId]"
                                            class="form-control ltr zarinpal"
                                            value="{{ $gateway->config('merchantId') }}" required>
                                    </div>
                                </div>
                            </div>

                            <hr>

                            @php
                                $gateway = $gateways->where('key', 'payping')->first();
                            @endphp

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="payping" type="checkbox" class="normal"
                                                name="gateways[{{ $gateway->id }}][is_active]"
                                                {{ $gateway->is_active ? 'checked' : '' }}>

                                            <span class="">درگاه پی پینگ</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-md-2 form-group">
                                    <label>ترتیب نمایش</label>
                                    <div class="input-group mb-75">
                                        <input type="number" name="gateways[{{ $gateway->id }}][ordering]"
                                            class="form-control ltr payping" value="{{ $gateway->ordering }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>عنوان</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][name]"
                                            class="form-control payping" value="{{ $gateway->name }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>کد درگاه پرداخت</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][configs][merchantId]"
                                            class="form-control ltr payping" value="{{ $gateway->config('merchantId') }}"
                                            required>
                                    </div>
                                </div>
                            </div>

                            <hr>

                            @php
                                $gateway = $gateways->where('key', 'idpay')->first();
                            @endphp

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="idpay" type="checkbox" class="normal"
                                                name="gateways[{{ $gateway->id }}][is_active]"
                                                {{ $gateway->is_active ? 'checked' : '' }}>

                                            <span class="">درگاه idpay</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-md-2 form-group">
                                    <label>ترتیب نمایش</label>
                                    <div class="input-group mb-75">
                                        <input type="number" name="gateways[{{ $gateway->id }}][ordering]"
                                            class="form-control ltr idpay" value="{{ $gateway->ordering }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>عنوان</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][name]"
                                            class="form-control idpay" value="{{ $gateway->name }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>کد درگاه پرداخت</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][configs][merchantId]"
                                            class="form-control ltr idpay" value="{{ $gateway->config('merchantId') }}"
                                            required>
                                    </div>
                                </div>
                            </div>

                            <hr>





                            @php
                                $gateway = $gateways->where('key', 'zibal')->first();
                            @endphp

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="zibal" type="checkbox" class="normal"
                                                name="gateways[{{ $gateway->id }}][is_active]"
                                                {{ $gateway->is_active ? 'checked' : '' }}>

                                            <span class="">درگاه زیبال </span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-md-2 form-group">
                                    <label>ترتیب نمایش</label>
                                    <div class="input-group mb-75">
                                        <input type="number" name="gateways[{{ $gateway->id }}][ordering]"
                                            class="form-control ltr zibal" value="{{ $gateway->ordering }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>عنوان</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][name]"
                                            class="form-control zibal" value="{{ $gateway->name }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>کد درگاه پرداخت</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][configs][merchantId]"
                                            class="form-control ltr zibal" value="{{ $gateway->config('merchantId') }}"
                                            required>
                                    </div>
                                </div>
                            </div>
                            @php
                                $gateway = $gateways->where('key', 'aqayepardakht')->first();
                            @endphp

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="aqayepardakht" type="checkbox" class="normal"
                                                name="gateways[{{ $gateway->id }}][is_active]"
                                                {{ $gateway->is_active ? 'checked' : '' }}>

                                            <span class="">درگاه آقای پرداخت </span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-md-2 form-group">
                                    <label>ترتیب نمایش</label>
                                    <div class="input-group mb-75">
                                        <input type="number" name="gateways[{{ $gateway->id }}][ordering]"
                                            class="form-control ltr aqayepardakht" value="{{ $gateway->ordering }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>عنوان</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][name]"
                                            class="form-control aqayepardakht" value="{{ $gateway->name }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>کد درگاه پرداخت</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ $gateway->id }}][configs][merchantId]"
                                            class="form-control ltr aqayepardakht"
                                            value="{{ $gateway->config('merchantId') }}" required>
                                    </div>
                                </div>
                            </div>

                            @php
                                $gateway = $gateways->where('key', 'behpardakht')->first();
                            @endphp

                            <div class="row">

                                <div class="form-group col-md-12">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="behpardakht" type="checkbox" class="normal"
                                                name="gateways[{{ @$gateway->id }}][is_active]"
                                                {{ @$gateway->is_active ? 'checked' : '' }}>
                                       
                                            <span class="">درگاه بانک ملت</span>
                                        </div>
                                    </fieldset>
                                </div>

                                <div class="col-md-2 form-group">
                                    <label>ترتیب نمایش</label>
                                    <div class="input-group mb-75">
                                        <input type="number" name="gateways[{{ @$gateway->id }}][ordering]"
                                            class="form-control ltr behpardakht" value="{{ @$gateway->ordering }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>عنوان</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ @$gateway->id }}][name]"
                                            class="form-control behpardakht" value="{{ @$gateway->name }}">
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>نام کاربری</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ @$gateway->id }}][configs][username]"
                                            class="form-control ltr behpardakht"
                                            value="{{ @$gateway->config('username') }}" required>
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>رمز عبور</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ @$gateway->id }}][configs][password]"
                                            class="form-control ltr behpardakht"
                                            value="{{ @$gateway->config('password') }}" required>
                                    </div>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>کد پذیرنده</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="gateways[{{ @$gateway->id }}][configs][terminalId]"
                                            class="form-control ltr behpardakht"
                                            value="{{ @$gateway->config('terminalId') }}" required>
                                    </div>
                                </div>
                            </div>
                            @php
                            $gateway = $gateways->where('key', 'sadad')->first();
                        @endphp

                        <div class="row">
                            <div class="form-group col-md-12">
                                <fieldset class="checkbox">
                                    <div class="vs-checkbox-con vs-checkbox-primary">
                                        <input data-class="sadad" type="checkbox" class="normal" name="gateways[{{ $gateway->id }}][is_active]" {{ $gateway->is_active ? 'checked' : '' }} >
                                       
                                        <span class="">درگاه بانک ملی </span>
                                    </div>
                                </fieldset>
                            </div>
                            <div class="col-md-2 form-group">
                                <label>ترتیب نمایش</label>
                                <div class="input-group mb-75">
                                    <input type="number" name="gateways[{{ $gateway->id }}][ordering]" class="form-control ltr sadad"
                                        value="{{ $gateway->ordering }}">
                                </div>
                            </div>
                            <div class="col-md-4 form-group">
                                <label>عنوان</label>
                                <div class="input-group mb-75">
                                    <input type="text" name="gateways[{{ $gateway->id }}][name]" class="form-control sadad" value="{{ $gateway->name }}">
                                </div>
                            </div>
                            <div class="col-md-4 form-group">
                                <label>شماره پذیرنده</label>
                                <div class="input-group mb-75">
                                    <input type="text" name="gateways[{{ $gateway->id }}][configs][terminalId]" class="form-control ltr sadad"
                                        value="{{ $gateway->config('terminalId') }}" required>
                                </div>
                            </div>
                            <div class="col-md-4 form-group">
                                <label>کد پذیرنده</label>
                                <div class="input-group mb-75">
                                    <input type="text" name="gateways[{{ $gateway->id }}][configs][merchantId]" class="form-control ltr sadad"
                                        value="{{ $gateway->config('merchantId') }}" required>
                                </div>
                            </div>
                            <div class="col-md-4 form-group">
                                <label>کلید تراکنش</label>
                                <div class="input-group mb-75">
                                    <input type="text" name="gateways[{{ $gateway->id }}][configs][key]" class="form-control ltr sadad"
                                        value="{{ $gateway->config('key') }}" required>
                                </div>
                            </div>
                        </div>

                        <hr>

                            <div class="row">

                                <div class="col-12">
                                    <div class="alert alert-info mt-1 alert-validation-msg" role="alert">
                                        <i class="feather icon-info ml-1 align-middle"></i>
                                        <span>برای فعال نمودن هر یک از درگاه ها پس از انتخاب درگاه، اطلاعات مربوط به آن را
                                            پر کنید.</span>
                                    </div>
                                </div>
                                <div class="col-12 d-flex flex-sm-row flex-column justify-content-end mt-1">
                                    <button type="submit" class="btn btn-primary glow mb-1 mb-sm-0 mr-0 mr-sm-1">ذخیره
                                        تغییرات</button>

                                </div>
                            </div>
                        </form>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">

                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/js/pages/gateways.js?v=5"></script>
@endsection
