@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">تنظیمات</a></li>
                        <li class="active">تنظیمات کلی</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-cog fa-2x text-danger"></i>
                                تنظیمات اصلی
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <ul class="nav nav-tabs curve">
                            <li class="nav-item">
                                <a class="nav-link active" data-bs-toggle="tab" href="#tab1">عمومی</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link " data-bs-toggle="tab" href="#tab2">اطلاعات کسب و کار</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-bs-toggle="tab" href="#tab3">فوتر</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-bs-toggle="tab" href="#tab4">لوگو</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-bs-toggle="tab" href="#tab5">صفحه اصلی</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-bs-toggle="tab" href="#tab6">صفحه رزرو</a>
                            </li>
                        </ul>

                        <div class="tab-content pt-4">

                            <div id="tab1" class="tab-pane fade active show">
                                <form id="information-form" action="{{ route('admin.settings.setting') }}" method="POST"
                                    enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>عنوان وبسایت</label>
                                                <input type="text" name="info_site_title" class="form-control"
                                                    value="{{ option('info_site_title') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>عنوان خلاصه وبسایت</label>
                                                <input type="text" name="info_site_short_title" class="form-control"
                                                    value="{{ option('info_site_short_title') }}">
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label>نمایش به موتورهای جستجو</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="site_public">
                                                        @foreach (config('value.truefalse') as $key => $name)
                                                            <option value="{{ $key }}">
                                                                {{ $name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label>کیف پول</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="active_wallet">
                                                        @foreach (config('value.truefalse') as $key => $name)
                                                            <option value="{{ $key }}">
                                                                {{ $name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>تعداد مطالب وبلاگ در هر صفحه</label>
                                                <input type="tel" name="blog_item_per_page" class="form-control curve"
                                                    value="{{ option('blog_item_per_page') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>تعداد خدمات در هر صفحه</label>
                                                <input type="tel" name="service_item_per_page"
                                                    class="form-control curve"
                                                    value="{{ option('service_item_per_page') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>محل اضافه شدن کدهای سفارشی</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="customJS_position">
                                                        <option value="top">داخل تگ هد</option>
                                                        <option value="bottom">انتهای برگه</option>
                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>مدت زمان ذخیره کوکی ها (روز)</label>
                                                <input type="text" name="cookie_duration" class="form-control curve"
                                                    value="{{ option('cookie_duration') }}">
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label>حالت توسعه (خاموشی فروشگاه)</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="development_mode">
                                                        @foreach (config('value.truefalse') as $key => $name)
                                                            <option value="{{ $key }}">
                                                                {{ $name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-md-6">
                                            <fieldset class="form-group">
                                                <label>متن حالت توسعه</label>
                                                <textarea name="development_mode_text" class="form-control curve" rows="3">{{ option('development_mode_text') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <div class="col-md-6">
                                            <fieldset class="form-group">
                                                <label>توضیحات وبسایت</label>
                                                <textarea name="meta_description" class="form-control curve" rows="3">{{ option('meta_description') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <div class="col-md-6">
                                            <fieldset class="form-group">
                                                <label>درباره ما</label>
                                                <textarea name="meta_about" class="form-control curve" rows="3">{{ option('meta_about') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <div class="col-md-6">
                                            <fieldset class="form-group">
                                                <label>کلمات کلیدی سایت</label>
                                                <textarea name="meta_keyword" class="form-control curve" rows="3">{{ option('meta_keyword') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <div class="col-md-6">
                                            <fieldset class="form-group">
                                                <label>کدسفارشی (Google Analytics, نوتیفیکیشن, چت آنلاین و...)</label>
                                                <textarea name="customJS" class="form-control curve" rows="3">{{ option('customJS') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <fieldset class="form-group">

                                                <input type="checkbox" class="normal" name="personalpay"
                                                    {{ option('personalpay') == 'on' ? 'checked' : '' }}>

                                                <label> فعال سازی صفحه پرداخت شخصی</label>
                                                <a href="{{ request()->getSchemeAndHttpHost() . '/pay' }}"
                                                    target="_blank">{{ request()->getSchemeAndHttpHost() . '/pay' }}</a>
                                            </fieldset>
                                        </div>


                                    </div>
                                    <div class="row p-0">
                                        <div class="col-12 d-flex flex-sm-row flex-column justify-content-end mt-1">
                                            <button type="submit" class="btn btn-primary glow rounded">ذخیره
                                                تغییرات</button>

                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div id="tab2" class="tab-pane fade">
                                <form id="information-form" action="{{ route('admin.settings.setting') }}"
                                    method="POST" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>نام قانونی کسب و کار</label>
                                                <input type="text" name="legal_name" class="form-control"
                                                    value="{{ option('legal_name') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>نام و نام خانوادگی مدیریت مجموعه</label>
                                                <input type="text" name="management_name" class="form-control"
                                                    value="{{ option('management_name') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>زمینه فعالیت</label>
                                                <input type="text" name="field_of_activity" class="form-control"
                                                    value="{{ option('field_of_activity') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>تلفن ثابت</label>
                                                <input type="text" name="tel" class="form-control ltr"
                                                    value="{{ option('tel') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>تلفن همراه</label>
                                                <input type="text" name="mobile" class="form-control ltr"
                                                    value="{{ option('mobile') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6"></div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>تلگرام (عنوان)</label>
                                                <input type="text" name="telegram_title" class="form-control"
                                                    value="{{ option('telegram_title') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>تلگرام (لینک)</label>
                                                <input type="text" name="telegram" class="form-control ltr"
                                                    value="{{ option('telegram') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>اینستاگرام (عنوان)</label>
                                                <input type="text" name="instagram_title" class="form-control"
                                                    value="{{ option('instagram_title') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>اینستاگرام (لینک)</label>
                                                <input type="text" name="instagram" class="form-control ltr"
                                                    value="{{ option('instagram') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>واتس‌اپ (عنوان)</label>
                                                <input type="text" name="whatsapp_title" class="form-control"
                                                    value="{{ option('whatsapp_title') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>واتس‌اپ (لینک)</label>
                                                <input type="text" name="whatsapp" class="form-control ltr"
                                                    value="{{ option('whatsapp') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>یوتیوب (عنوان)</label>
                                                <input type="text" name="youtube_title" class="form-control"
                                                    value="{{ option('youtube_title') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>یوتیوب (لینک)</label>
                                                <input type="text" name="youtube" class="form-control ltr"
                                                    value="{{ option('youtube') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>شناسه ملی</label>
                                                <input type="text" name="national_id" class="form-control ltr"
                                                    value="{{ option('national_id') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>کد اقتصادی</label>
                                                <input type="text" name="economic_code" class="form-control ltr"
                                                    value="{{ option('economic_code') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>شماره ثبت</label>
                                                <input type="text" name="registration_number" class="form-control ltr"
                                                    value="{{ option('registration_number') }}">
                                            </div>
                                        </div>
                                        <hr>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>استان</label>
                                                <input type="text" name="province" class="form-control"
                                                    value="{{ option('province') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>شهر</label>
                                                <input type="text" name="city" class="form-control"
                                                    value="{{ option('city') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <fieldset class="form-group">
                                                <label>آدرس</label>
                                                <textarea name="address" class="form-control curve" rows="3">{{ option('address') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <div class="col-md-6">
                                            <fieldset class="form-group">
                                                <label>آدرس iframe نقشه گوگل (جهت نمایش در صفحه ارتباط با ما):</label>
                                                <textarea name="location" class="form-control curve" rows="3">{{ option('location') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <hr>

                                    </div>
                                    <div class="row p-0">
                                        <div class="col-12 d-flex flex-sm-row flex-column justify-content-end mt-1">
                                            <button type="submit" class="btn btn-primary glow rounded">ذخیره
                                                تغییرات</button>

                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div id="tab3" class="tab-pane fade">
                                <form id="information-form" action="{{ route('admin.settings.setting') }}"
                                    method="POST" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label>نمایش لوگو</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="footer_logo">
                                                        @foreach (config('value.truefalse') as $key => $name)
                                                            <option value="{{ $key }}">
                                                                {{ $name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>
                                    </div>
                                    <hr>

                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label>دسترسی سریع</label>
                                                <div class="portlet box border curve repeater">
                                                    <div class="portlet-body">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">عنوان</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="quick_access_title_1"
                                                                            value="{{ option('quick_access_title_1') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">لینک</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="quick_access_link_1"
                                                                            value="{{ option('quick_access_link_1') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">عنوان</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="quick_access_title_2"
                                                                            value="{{ option('quick_access_title_2') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">لینک</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="quick_access_link_2"
                                                                            value="{{ option('quick_access_link_2') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">عنوان</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="quick_access_title_3"
                                                                            value="{{ option('quick_access_title_3') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">لینک</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="quick_access_link_3"
                                                                            value="{{ option('quick_access_link_3') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">عنوان</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="quick_access_title_4"
                                                                            value="{{ option('quick_access_title_4') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">لینک</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="quick_access_link_4"
                                                                            value="{{ option('quick_access_link_4') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                        </div>

                                                    </div><!-- /.portlet-body -->
                                                </div><!-- /.portlet -->
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label>لینک نماد اعتماد</label>
                                                <input type="text" name="enamad_link" class="form-control"
                                                    value="{{ option('enamad_link') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group relative">
                                                <input type="file" name="picture" class="form-control">
                                                <label>تصویر نماد اعتماد</label>
                                                <div class="input-group curve">
                                                    <input type="text" accept="image/*"
                                                        class="form-control file-input ltr text-left"
                                                        value="{{ old('enamad_image') }}"
                                                        placeholder="برای آپلود کلیک کنید">
                                                    <span class="input-group-btn">
                                                        <button type="button" class="btn btn-info">
                                                            <i class="icon-picture"></i>
                                                            آپلود تصویر
                                                        </button>
                                                    </span>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-lg-6">
                                            <fieldset class="form-group">
                                                <label>اسکریپت enamad</label>
                                                <textarea name="footer_enamad" class="form-control curve" rows="3">{{ option('footer_enamad') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <div class="col-lg-6">
                                            <fieldset class="form-group">
                                                <label>اسکریپت ساماندهی</label>
                                                <textarea name="footer_samandehi" class="form-control curve" rows="3">{{ option('footer_samandehi') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label>متن کپی رایت</label>
                                                <input type="text" name="copyright" class="form-control"
                                                    value="{{ option('copyright') }}">
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-6">
                                            <div class="form-group">
                                                <label>متن توسعه دهنده </label>
                                                <input type="text" name="developer" class="form-control"
                                                    value="{{ option('developer') }}">
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-6">
                                            <div class="form-group relative">
                                                <input type="file" name="picture" class="form-control">
                                                <label>لوگو توسعه دهنده</label>
                                                <div class="input-group curve">
                                                    <input type="text" accept="image/*"
                                                        class="form-control file-input ltr text-left"
                                                        value="{{ old('developer_logo') }}"
                                                        placeholder="برای آپلود کلیک کنید">
                                                    <span class="input-group-btn">
                                                        <button type="button" class="btn btn-info">
                                                            <i class="icon-picture"></i>
                                                            آپلود لوگو
                                                        </button>
                                                    </span>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-12">
                                            <fieldset class="form-group">
                                                <label>متن درباره ما در فوتر</label>
                                                <textarea name="footer_about" class="form-control curve" rows="3">{{ option('footer_about') }}</textarea>
                                            </fieldset>
                                        </div>
                                        <hr>

                                    </div>
                                    <div class="row p-0">
                                        <div class="col-12 d-flex flex-sm-row flex-column justify-content-end mt-1">
                                            <button type="submit" class="btn btn-primary glow rounded">ذخیره
                                                تغییرات</button>

                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div id="tab4" class="tab-pane fade">
                                <form id="information-form" action="{{ route('admin.settings.setting') }}"
                                    method="POST" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group relative">
                                                <input type="file" name="logo_light_desktop" class="form-control">
                                                <label>لوگو دسکتاپ (حالت روشن)</label>
                                                <div class="input-group curve">
                                                    <input type="text" accept="image/*"
                                                        class="form-control file-input ltr text-left"
                                                        value="{{ option('logo_light_desktop') }}"
                                                        placeholder="برای آپلود کلیک کنید">
                                                    <span class="input-group-btn">
                                                        <button type="button" class="btn btn-info">
                                                            <i class="icon-picture"></i>
                                                            آپلود تصویر
                                                        </button>
                                                    </span>
                                                </div><!-- /.input-group -->
                                                <div class="help-block">سایز مناسب <span
                                                        class="text-danger">299*697</span>
                                                </div>
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group relative">
                                                <input type="file" name="logo_light_mobile" class="form-control">
                                                <label>لوگو موبایل (حالت روشن)</label>
                                                <div class="input-group curve">
                                                    <input type="text" accept="image/*"
                                                        class="form-control file-input ltr text-left"
                                                        value="{{ option('logo_light_mobile') }}"
                                                        placeholder="برای آپلود کلیک کنید">
                                                    <span class="input-group-btn">
                                                        <button type="button" class="btn btn-info">
                                                            <i class="icon-picture"></i>
                                                            آپلود تصویر
                                                        </button>
                                                    </span>
                                                </div><!-- /.input-group -->
                                                <div class="help-block">سایز مناسب <span
                                                        class="text-danger">300*300</span>
                                                </div>
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group relative">
                                                <input type="file" name="logo_dark_desktop" class="form-control">
                                                <label>لوگو دسکتاپ (حالت تاریک)</label>
                                                <div class="input-group curve">
                                                    <input type="text" accept="image/*"
                                                        class="form-control file-input ltr text-left"
                                                        value="{{ option('logo_dark_desktop') }}"
                                                        placeholder="برای آپلود کلیک کنید">
                                                    <span class="input-group-btn">
                                                        <button type="button" class="btn btn-info">
                                                            <i class="icon-picture"></i>
                                                            آپلود تصویر
                                                        </button>
                                                    </span>
                                                </div><!-- /.input-group -->
                                                <div class="help-block">سایز مناسب <span
                                                        class="text-danger">299*697</span>
                                                </div>
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group relative">
                                                <input type="file" name="logo_dark_mobile" class="form-control">
                                                <label>لوگو موبایل (حالت تاریک)</label>
                                                <div class="input-group curve">
                                                    <input type="text" accept="image/*"
                                                        class="form-control file-input ltr text-left"
                                                        value="{{ option('logo_dark_mobile') }}"
                                                        placeholder="برای آپلود کلیک کنید">
                                                    <span class="input-group-btn">
                                                        <button type="button" class="btn btn-info">
                                                            <i class="icon-picture"></i>
                                                            آپلود تصویر
                                                        </button>
                                                    </span>
                                                </div><!-- /.input-group -->
                                                <div class="help-block">سایز مناسب <span
                                                        class="text-danger">300*300</span>
                                                </div>
                                            </div><!-- /.form-group -->
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group relative">
                                                <input type="file" name="faveicon" class="form-control">
                                                <label>تصویر Favicon</label>
                                                <div class="input-group curve">
                                                    <input type="text" accept="image/*"
                                                        class="form-control file-input ltr text-left"
                                                        value="{{ option('faveicon') }}"
                                                        placeholder="برای آپلود کلیک کنید">
                                                    <span class="input-group-btn">
                                                        <button type="button" class="btn btn-info">
                                                            <i class="icon-picture"></i>
                                                            آپلود تصویر
                                                        </button>
                                                    </span>
                                                </div><!-- /.input-group -->
                                                <div class="help-block">سایز مناسب <span
                                                        class="text-danger">512*512</span>
                                                </div>
                                            </div><!-- /.form-group -->
                                        </div>
                                        <hr>

                                    </div>
                                    <div class="row p-0">
                                        <div class="col-12 d-flex flex-sm-row flex-column justify-content-end mt-1">
                                            <button type="submit" class="btn btn-primary glow rounded">ذخیره
                                                تغییرات</button>

                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div id="tab5" class="tab-pane fade">
                                <form id="information-form" action="{{ route('admin.settings.setting') }}"
                                    method="POST" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label>بنر اینستاگرام</label>
                                                <div class="portlet box border curve repeater">
                                                    <div class="portlet-body">

                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">عنوان دکمه</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="banner_cta"
                                                                            value="{{ option('banner_cta') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">لینک دکمه</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-link text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="banner_cta_link"
                                                                            value="{{ option('banner_cta_link') }}"
                                                                            class="form-control ltr">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">متن</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <textarea class="form-control" rows="4" name="bannerـtitle" placeholder="">{{ option('bannerـtitle') }}</textarea>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group relative">
                                                                    <input type="file" name="banner_image"
                                                                        class="form-control">
                                                                    <label>تصویر</label>
                                                                    <div class="input-group curve">
                                                                        <input type="text" accept="image/*"
                                                                            class="form-control file-input ltr text-left"
                                                                            value="{{ option('banner_image') }}"
                                                                            placeholder="برای آپلود کلیک کنید">
                                                                        <span class="input-group-btn">
                                                                            <button type="button" class="btn btn-info">
                                                                                <i class="icon-picture"></i>
                                                                                آپلود تصویر
                                                                            </button>
                                                                        </span>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->

                                                        </div>

                                                    </div><!-- /.portlet-body -->
                                                </div><!-- /.portlet -->
                                            </div><!-- /.form-group -->
                                        </div>

                                        <div class="col-12">
                                            <div class="form-group">
                                                <label>نظرات</label>
                                                <div class="portlet box border curve repeater">
                                                    <div class="portlet-body">

                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">عنوان</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="comments_title"
                                                                            value="{{ option('comments_title') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">توضیحات (زیر
                                                                        عنوان)</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="comments_description"
                                                                            value="{{ option('comments_description') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-3">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">نام کاربر 1</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-link text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="comment_user_1_name"
                                                                            value="{{ option('comment_user_1_name') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-3">
                                                                <div class="form-group relative">
                                                                    <input type="file" name="comment_user_1_pic"
                                                                        class="form-control">
                                                                    <label class="fw-bold text-dark">آواتار کاربر 1</label>
                                                                    <div class="input-group curve">
                                                                        <input type="text" accept="image/*"
                                                                            class="form-control file-input ltr text-left"
                                                                            value="{{ option('comment_user_1_pic') }}"
                                                                            placeholder="برای آپلود کلیک کنید">
                                                                        <span class="input-group-btn">
                                                                            <button type="button" class="btn btn-info">
                                                                                <i class="icon-picture"></i>
                                                                                آپلود تصویر
                                                                            </button>
                                                                        </span>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">نظر کاربر 1</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <textarea class="form-control" rows="4" name="comment_user_1_content" placeholder="">{{ option('comment_user_1_content') }}</textarea>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->

                                                            <div class="col-md-3">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">نام کاربر 2</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-link text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="comment_user_2_name"
                                                                            value="{{ option('comment_user_2_name') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-3">
                                                                <div class="form-group relative">
                                                                    <input type="file" name="comment_user_2_pic"
                                                                        class="form-control">
                                                                    <label class="fw-bold text-dark">آواتار کاربر 2</label>
                                                                    <div class="input-group curve">
                                                                        <input type="text" accept="image/*"
                                                                            class="form-control file-input ltr text-left"
                                                                            value="{{ option('comment_user_2_pic') }}"
                                                                            placeholder="برای آپلود کلیک کنید">
                                                                        <span class="input-group-btn">
                                                                            <button type="button" class="btn btn-info">
                                                                                <i class="icon-picture"></i>
                                                                                آپلود تصویر
                                                                            </button>
                                                                        </span>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">نظر کاربر 2</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <textarea class="form-control" rows="4" name="comment_user_2_content" placeholder="">{{ option('comment_user_2_content') }}</textarea>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->

                                                            <div class="col-md-3">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">نام کاربر 3</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-link text-success fa-2x"></i>
                                                                        </span>
                                                                        <input type="text" name="comment_user_3_name"
                                                                            value="{{ option('comment_user_3_name') }}"
                                                                            class="form-control">
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-3">
                                                                <div class="form-group relative">
                                                                    <input type="file" name="comment_user_3_pic"
                                                                        class="form-control">
                                                                    <label class="fw-bold text-dark">آواتار کاربر 3</label>
                                                                    <div class="input-group curve">
                                                                        <input type="text" accept="image/*"
                                                                            class="form-control file-input ltr text-left"
                                                                            value="{{ option('comment_user_3_pic') }}"
                                                                            placeholder="برای آپلود کلیک کنید">
                                                                        <span class="input-group-btn">
                                                                            <button type="button" class="btn btn-info">
                                                                                <i class="icon-picture"></i>
                                                                                آپلود تصویر
                                                                            </button>
                                                                        </span>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label class="fw-bold text-dark">نظر کاربر 3</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="icon-tag text-success fa-2x"></i>
                                                                        </span>
                                                                        <textarea class="form-control" rows="4" name="comment_user_3_content" placeholder="">{{ option('comment_user_3_content') }}</textarea>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->
                                                            </div><!-- /.col-sm-6 -->



                                                        </div>

                                                    </div><!-- /.portlet-body -->
                                                </div><!-- /.portlet -->
                                            </div><!-- /.form-group -->
                                        </div>
                                        <hr>

                                    </div>
                                    <div class="row p-0">
                                        <div class="col-12 d-flex flex-sm-row flex-column justify-content-end mt-1">
                                            <button type="submit" class="btn btn-primary glow rounded">ذخیره
                                                تغییرات</button>

                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div id="tab6" class="tab-pane fade">
                                <form id="information-form" action="{{ route('admin.settings.setting') }}"
                                    method="POST" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="fw-bold text-dark">عنوان باکس</label>
                                                            <div class="input-group">
                                                                <span class="input-group-addon">
                                                                    <i class="icon-tag text-success fa-2x"></i>
                                                                </span>
                                                                <input type="text" name="reserve_title"
                                                                    value="{{ option('reserve_title') }}"
                                                                    class="form-control">
                                                            </div><!-- /.input-group -->
                                                        </div><!-- /.form-group -->
                                                    </div><!-- /.col-sm-6 -->
                                                   
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="fw-bold text-dark">متن باکس</label>
                                                            <div class="input-group">
                                                                <span class="input-group-addon">
                                                                    <i class="icon-tag text-success fa-2x"></i>
                                                                </span>
                                                                <textarea class="form-control" rows="4" name="reserve_text" placeholder="">{{ option('reserve_text') }}</textarea>
                                                            </div><!-- /.input-group -->
                                                        </div><!-- /.form-group -->
                                                    </div><!-- /.col-sm-6 -->
                                                    

                                                </div>
                                            </div><!-- /.form-group -->
                                        </div>

                                        
                                        <hr>

                                    </div>
                                    <div class="row p-0">
                                        <div class="col-12 d-flex flex-sm-row flex-column justify-content-end mt-1">
                                            <button type="submit" class="btn btn-primary glow rounded">ذخیره
                                                تغییرات</button>

                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>



                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">

                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
