@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">تنظیمات</a></li>
                        <li class="active">تنظیمات پیامک</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-commenting fa-2x text-danger"></i>
                                تنظیمات پنل پیامک
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <form id="sms-form" action="{{ route('admin.settings.sms') }}" method="POST">
                            @csrf
                          
                            <div class="row">
                                <div class="col-md-2">
                                    <label>ارائه دهنده پنل پیامک</label>
                                    <select id="sms-panel-provider" class="form-select curve" name="sms_panel_provider">
                                
                                        <option value="kavenegar" {{ option('sms_panel_provider', 'kavenegar') == 'kavenegar' ? 'selected' : '' }}>کاوه نگار</option>
                                        <option value="ippanel" {{ option('sms_panel_provider', 'ippanel') == 'ippanel' ? 'selected' : '' }}>ippanel</option>
                                     
                                    </select>
                                </div>
                                <div class="col-md-4">
                                    <label>شماره تلفن مدیر برای ارسال اطلاع رسانی ها</label>
                                    <div class="input-group mb-75">
                                        <input type="text" name="admin_mobile_number" class="form-control curve ltr" value="{{ option('admin_mobile_number') }}">
                                    </div>
                                </div>
                            </div>
                            <div class="row my-2 mb-4">

                                <div class="form-group col-md-4">



                                    <fieldset class="checkbox">
                                       
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="sms_on_user_register" type="checkbox" class="normal" name="sms_on_user_register" {{ option('sms_on_user_register') == 'on' ? 'checked' : '' }} >
                                          
                                            <span class="">ارسال پیامک موقع ایجاد کاربر</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="form-group col-md-4">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="sms_send_new_factor" type="checkbox" class="normal" name="sms_send_new_factor" {{ option('sms_send_new_factor') == 'on' ? 'checked' : '' }} >
                                          
                                            <span class="">ارسال پیامک موقع ثبت فاکتور</span> 
                                        </div>
                                    </fieldset>
                                </div>
                               
                                <div class="form-group col-md-4">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="sms_installment" type="checkbox" class="normal" name="sms_installment" {{ option('sms_installment') == 'on' ? 'checked' : '' }} >
                                          
                                            <span class="">ارسال پیامک یادآوری اقساط</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="form-group col-md-4">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="sms_remember_factor" type="checkbox" class="normal" name="sms_remember_factor" {{ option('sms_remember_factor') == 'on' ? 'checked' : '' }} >
                                          
                                            <span class="">ارسال پیامک یادآوری فاکتور</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="form-group col-md-4">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="sms_ok_factor_user" type="checkbox" class="normal" name="sms_ok_factor_user" {{ option('sms_ok_factor_user') == 'on' ? 'checked' : '' }} >
                                          
                                            <span class="">ارسال پیامک پرداخت موفق به مشتری</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="form-group col-md-4">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="sms_ok_factor_manager" type="checkbox" class="normal" name="sms_ok_factor_manager" {{ option('sms_ok_factor_manager') == 'on' ? 'checked' : '' }} >
                                          
                                            <span class="">ارسال پیامک  پرداخت موفق به مدیر</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="form-group col-md-4">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="forgot_sms" type="checkbox" class="normal" name="forgot_sms" {{ option('forgot_sms') == 'on' ? 'checked' : '' }} >
                                          
                                            <span class="">بازیابی رمز عبور با پیامک</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="form-group col-md-4">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="sms_ticket_manager" type="checkbox" class="normal" name="sms_ticket_manager" {{ option('sms_ticket_manager') == 'on' ? 'checked' : '' }} >
                                          
                                            <span class="">ارسال پیامک تیکت جدید به مدیریت</span>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="form-group col-md-4">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input data-class="sms_ticket_user" type="checkbox" class="normal" name="sms_ticket_user" {{ option('sms_ticket_user') == 'on' ? 'checked' : '' }} >
                                          
                                            <span class="">ارسال پیامک پاسخ تیکت به مشتری</span>
                                        </div>
                                    </fieldset>
                                </div>
                              
                            </div>

                      
                            
                            @include('admin.settings.partials.kavenegar-sms')
                            @include('admin.settings.partials.ippanel-sms')
                         
                            

                            <div class="row">
                                <div class="col-12 d-flex flex-sm-row flex-column justify-content-end mt-1">
                                    <button type="submit" class="btn btn-primary glow">ذخیره تغییرات</button>
                                </div>
                            </div>
                        </form>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">
                     
                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/js/pages/sms.js?v=5"></script>
@endsection
