@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">
    <link href="/assets/plugins/switchery/dist/switchery.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیش خوان</a></li>
                        <li><a href="/admin/user">لیست اسلایدشو</a></li>
                        <li class="active"> {{ $title }} </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-sliders fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-lg-6">
                                @if ($errors->any())
                                    @foreach ($errors->all() as $error)
                                        <div class="alert alert-danger fill  fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert"
                                                aria-label="Close"></button>
                                            {{ $error }}
                                        </div>
                                    @endforeach
                                @endif
                                <form role="form" action="{{ $action }}" method="POST">
                                    @csrf
                                    @if (isset($slideshow->id))
                                        @method('PUT')
                                    @endif
                                    <div class="form-body">
                                        <div class="form-group">
                                            <label>عنوان اسلایدشو</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-header text-success fa-2x align-middle"></i>
                                                </span>
                                                <input type="text" name="name" class="form-control"
                                                    value="{{ old('name', $slideshow->name) }}" placeholder="">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label>تصویر</label>
                                            <div class="input-group">
                                                <!-- <span class="input-group-addon">
                                                        <i class="icon-picture text-success fa-2x"></i>
                                                    </span> -->
                                                <input type="text" name="pic"
                                                    value="{{ old('pic', $slideshow->pic) }}"
                                                    class="form-control image_label ltr">
                                                <span class="input-group-btn">
                                                    <button class="btn btn-primary button-image" type="button">انتخاب
                                                        تصویر</button>
                                                </span>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label>فعال بودن اسلایدشو</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                </span>
                                                <select class="form-select" name="active">
                                                    @foreach (config('value.truefalse') as $key => $name)
                                                        <option value="{{ $key }}"
                                                            {{ $slideshow->active == $key ? 'selected' : '' }}>
                                                            {{ $name }}</option>
                                                    @endforeach
                                                </select>
                                            </div><!-- /.input-group -->
                                        </div>

                                        <div class="form-group">
                                            <label>جزئیات</label>
                                            <div class="portlet box border curve repeater">
                                                <div class="portlet-body">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label class="fw-bold">متن عنوان</label>
                                                                <div class="input-group">
                                                                    <span class="input-group-addon">
                                                                        <i class="icon-tag text-success fa-2x"></i>
                                                                    </span>
                                                                    <input type="text" name="title" value="{{ old('title', $slideshow->title) }}"
                                                                        class="form-control">
                                                                </div><!-- /.input-group -->
                                                            </div><!-- /.form-group -->
                                                        </div><!-- /.col-sm-6 -->
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label>متن توضیحات </label>
                                                                <div class="input-group curve">
                                                                <span class="input-group-addon">
                                                                    <i class="icon-note text-success fa-2x align-middle"></i>
                                                                </span>
                                                                <textarea class="form-control" rows="4" name="text" placeholder="">{{ old('text', $slideshow->text)}}</textarea>
                                                                </div><!-- /.input-group -->
                                                            </div><!-- /.form-group -->
                                                        </div><!-- /.col-sm-6 -->
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label class="fw-bold">متن دکمه</label>
                                                                <div class="input-group">
                                                                    <span class="input-group-addon">
                                                                        <i class="icon-tag text-success fa-2x"></i>
                                                                    </span>
                                                                    <input type="text" name="action" value="{{ old('action', $slideshow->action) }}"
                                                                        class="form-control">
                                                                </div><!-- /.input-group -->
                                                            </div><!-- /.form-group -->
                                                        </div><!-- /.col-sm-6 -->
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label>لینک مرتبط</label>
                                                                <div class="input-group curve">
                                                                    <span class="input-group-addon">
                                                                        <i class="icon-link text-success fa-2x align-middle"></i>
                                                                    </span>
                                                                    <input type="text" name="link" class="form-control ltr"
                                                                        value="{{ old('link', $slideshow->link) }}" placeholder="">
                                                                </div><!-- /.input-group -->
                                                            </div><!-- /.form-group -->
                                                        </div><!-- /.col-sm-6 -->
                                                    </div>
                                                </div><!-- /.portlet-body -->
                                            </div><!-- /.portlet -->
                                        </div><!-- /.form-group -->

                                    </div><!-- /.form-body -->

                                    <div class="form-actions">
                                        <button type="submit" class="btn btn-info btn-round">
                                            <i class="fa fa-check fa-2x"></i>
                                            ذخیره
                                        </button>
                                        <a href="/admin/slideshow" class="btn btn-warning btn-round">
                                            <i class="fa fa-close fa-2x"></i>
                                            بازگشت

                                        </a>
                                    </div><!-- /.form-actions -->
                                </form>
                            </div>

                        </div>
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>
    <script src="/assets/plugins/kamadatepicker/kamadatepicker.min.js"></script>
    <script src="/assets/js/pages/calendar-kama.js"></script>
    <script src="/assets/plugins/switchery/dist/switchery.js"></script>
    <script>
        var image;
        $('body').on('click', '.button-image', (event) => {
            event.preventDefault();

            image = $(event.target).closest('.form-group');

            window.open('/file-manager/fm-button', 'fm', 'width=1400,height=800');
        });

        // set file link
        function fmSetLink($url) {
            image.find('.image_label').first().val($url);
        }
        CKEDITOR.replace('editor1', {
            filebrowserImageBrowseUrl: '/file-manager/ckeditor'
        });
    </script>
@endsection
