@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">
    <link href="/assets/plugins/switchery/dist/switchery.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیش خوان</a></li>
                        <li><a href="/admin/product">لیست خدمات</a></li>
                        <li class="active"> {{ $title }} </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="icon-plus fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">

                        <form role="form" action="{{ $action }}" method="POST">
                            @csrf
                            @if (isset($service->id))
                                @method('PUT')
                            @endif
                            <div class="row">

                                @if ($errors->any())
                                    @foreach ($errors->all() as $error)
                                        <div class="alert alert-danger fill  fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert"
                                                aria-label="Close"></button>
                                            {{ $error }}
                                        </div>
                                    @endforeach
                                @endif
                                <div class="form-body">
                                    <div class="row">

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>انتخاب پرسنل</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="persenel_id">
                                                        <option value="">
                                                            انتخاب دسته‌بندی </option>

                                                        @include('admin.service.partials.list', [
                                                            'items' => $categoreis[0],
                                                        ])

                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>نوع نوبت</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="is_vip">
                                                        <option value="">
                                                            انتخاب دسته‌بندی </option>

                                                        @include('admin.service.partials.list', [
                                                            'items' => $categoreis[0],
                                                        ])

                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>هزینه</label>
                                                <div class="input-group curve">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-dollar text-success fa-2x align-middle"></i>
                                                    </span>
                                                    <input type="text" name="price" class="form-control number ltr"
                                                        value="{{ old('service', number_format($service->price)) }}"
                                                        placeholder="" required>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>بیعانه</label>
                                                <div class="input-group curve">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-dollar text-success fa-2x align-middle"></i>
                                                    </span>
                                                    <input type="text" name="depozit" class="form-control number ltr"
                                                        value="{{ old('depozit', number_format($service->depozit)) }}" placeholder="" required>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>وضعیت</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="status">
                                                        @foreach (config('value.truefalse') as $key => $name)
                                                            <option value="{{ $key }}"
                                                                {{ $service->status == $key ? 'selected' : '' }}>
                                                                {{ $name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                    </div><!-- /.form-body -->
                                </div>

                                <div class="form-actions">
                                    <button type="submit" class="btn btn-info btn-round">
                                        <i class="fa fa-check fa-2x"></i>
                                        ذخیره
                                    </button>
                                    <a href="/admin/product" class="btn btn-warning btn-round">
                                        <i class="fa fa-close fa-2x"></i>
                                        بازگشت

                                    </a>
                                </div><!-- /.form-actions -->



                            </div>
                        </form>

                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/js/jquery.repeater.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>
    <script src="/assets/plugins/kamadatepicker/kamadatepicker.min.js"></script>
    <script src="/assets/js/pages/calendar-kama.js"></script>
    <script src="/assets/plugins/switchery/dist/switchery.js"></script>
    <script src="/assets/plugins/ckeditor-full/ckeditor.js"></script>
    <script>
        var image;
        $('body').on('click', '.button-image', (event) => {
            event.preventDefault();

            image = $(event.target).closest('.form-group');

            window.open('/file-manager/fm-button', 'fm', 'width=1400,height=800');
        });

        // set file link
        function fmSetLink($url) {
            image.find('.image_label').first().val($url);
        }
        CKEDITOR.replace('editor1', {
            filebrowserImageBrowseUrl: '/file-manager/ckeditor'
        });
    </script>
    
    <script>
        $('.number').keyup(function(event) {
            $(this).val(function(index, value) {
                return value
                    .replace(/\D/g, "")
                    .replace(/\B(?=(\d{3})+(?!\d))/g, ",");
            });
        });
    </script>
@endsection
