@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">
    <link href="/assets/plugins/switchery/dist/switchery.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیش خوان</a></li>
                        <li><a href="/admin/product">لیست خدمات</a></li>
                        <li class="active"> {{ $title }} </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="icon-plus fa-2x text-danger"></i>
                                {{ $title2 }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">

                        <form role="form" action="{{ $action }}" method="POST">
                            @csrf

                            <div class="row">

                                @if ($errors->any())
                                    @foreach ($errors->all() as $error)
                                        <div class="alert alert-danger fill  fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert"
                                                aria-label="Close"></button>
                                            {{ $error }}
                                        </div>
                                    @endforeach
                                @endif
                                <div class="form-body">
                                    <div class="row">

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>انتخاب پرسنل</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="persenel_id">
                                                        <option value="">
                                                            انتخاب پرسنل </option>

                                                        @foreach ($persenels as $item)
                                                            <option value="{{ $item->id }}">{{ $item->nf }}</option>
                                                        @endforeach

                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>نوبت ویژه</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="is_vip">

                                                        @foreach (config('value.truefalse') as $key => $name)
                                                            <option value="{{ $key }}">
                                                                {{ $name }}</option>
                                                        @endforeach

                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>هزینه</label>
                                                <div class="input-group curve">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-dollar text-success fa-2x align-middle"></i>
                                                    </span>
                                                    <input type="text" name="price" class="form-control number ltr"
                                                        value="{{ old('service') }}" placeholder="" required>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>بیعانه</label>
                                                <div class="input-group curve">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-dollar text-success fa-2x align-middle"></i>
                                                    </span>
                                                    <input type="text" name="depozit" class="form-control number ltr"
                                                        value="{{ old('depozit') }}" placeholder="" required>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                        <div class="col-12 col-lg-6">
                                            <div class="form-group">
                                                <label>فعال</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">
                                                        <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                    </span>
                                                    <select class="form-select" name="status">
                                                        @foreach (config('value.truefalse') as $key => $name)
                                                            <option value="{{ $key }}">
                                                                {{ $name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div><!-- /.input-group -->
                                            </div><!-- /.form-group -->
                                        </div>

                                    </div><!-- /.form-body -->
                                </div>

                                <div class="form-actions">
                                    <button type="submit" class="btn btn-info btn-round">
                                        <i class="fa fa-check fa-2x"></i>
                                        ذخیره
                                    </button>
                                    <a href="/admin/service" class="btn btn-warning btn-round">
                                        <i class="fa fa-close fa-2x"></i>
                                        بازگشت

                                    </a>
                                </div><!-- /.form-actions -->



                            </div>
                        </form>

                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->

                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-dollar fa-2x text-success"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->

                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th><i class="icon-energy"></i></th>
                                        <th>پرسنل</th>
                                        <th> ویژه</th>
                                        <th>فعال</th>
                                        <th>هزینه</th>
                                        <th>بیعانه</th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($tariffs as $item)
                                        <tr>
                                            <td>{{ $loop->index + 1 }}</td>
                                            <td>{{ empty($item->persenel) ? '' : $item->persenel->nf }}</td>
                                            <td>{{ config('value.truefalse')[$item->is_vip] }}</td>
                                            <td>{{ config('value.truefalse')[$item->status] }}</td>
                                            <td>{{ number_format($item->price) }}</td>
                                            <td>{{ number_format($item->depozit) }}</td>
                                            <td>

                                                <a data-bs-toggle="modal" data-bs-target="#modal{{ $item->id }}"
                                                    href=""><i class="fa fa-edit fa-2x text-info"></i></a>



                                                <a id="{{ $item->id }}" href="" data-bs-toggle="tooltip"
                                                    title="حذف" class="delete-buttom"> <i
                                                        class="fa fa-window-close fa-2x text-danger"></i></a>


                                                <form id="delete-form{{ $item->id }}"
                                                    action="{{ route('admin.service.tariff.destroy', [$service->id, $item->id]) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                </form>

                                            </td>
                                        </tr>
                                        <div id="modal{{ $item->id }}" class="modal fade" role="dialog"
                                            tabindex="-1">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <form id="periodform"
                                                            action="{{ route('admin.service.tariff.update', [$service, $item]) }}"
                                                            method="POST">
                                                            @csrf
                                                            @method('PUT')
                                                    <div class="modal-header">
                                                        <button type="button" class="close"
                                                            data-bs-dismiss="modal">&times;</button>
                                                        <h4 class="modal-title">ویرایش تعرفه</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        

                                                            <div class="form-body">
                                                                <div class="form-group">
                                                                    <label>انتخاب پرسنل</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i
                                                                                class="fa fa-check-square-o fa-2x text-success"></i>
                                                                        </span>
                                                                        <select class="form-select" name="persenel_id">
                                                                            @foreach ($persenels as $persenel)
                                                                                <option value="{{ $persenel->id }}" {{ $item->persenel_id == $persenel->id ? 'selected' : '' }}>
                                                                                    {{ $persenel->nf }}</option>
                                                                            @endforeach
    
                                                                        </select>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->

                                                                <div class="form-group">
                                                                    <label>نوبت ویژه</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                                        </span>
                                                                        <select class="form-select" name="is_vip">
                    
                                                                            @foreach (config('value.truefalse') as $key => $name)
                                                                                <option value="{{ $key }}" {{ $item->is_vip == $key ? 'selected' : '' }}>
                                                                                    {{ $name }}</option>
                                                                            @endforeach
                    
                                                                        </select>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->

                                                                <div class="form-group">
                                                                    <label>هزینه</label>
                                                                    <div class="input-group curve">
                                                                        <span class="input-group-addon">
                                                                            <i class="fa fa-dollar text-success fa-2x align-middle"></i>
                                                                        </span>
                                                                        <input type="text" name="price" class="form-control number ltr"
                                                                            value="{{ old('price', number_format($item->price)) }}" placeholder="" required>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->

                                                                <div class="form-group">
                                                                    <label>بیعانه</label>
                                                                    <div class="input-group curve">
                                                                        <span class="input-group-addon">
                                                                            <i class="fa fa-dollar text-success fa-2x align-middle"></i>
                                                                        </span>
                                                                        <input type="text" name="depozit" class="form-control number ltr"
                                                                            value="{{ old('service', number_format($item->depozit)) }}" placeholder="" required>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->

                                                                <div class="form-group">
                                                                    <label>فعال</label>
                                                                    <div class="input-group">
                                                                        <span class="input-group-addon">
                                                                            <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                                        </span>
                                                                        <select class="form-select" name="status">
                    
                                                                            @foreach (config('value.truefalse') as $key => $name)
                                                                                <option value="{{ $key }}" {{ $item->status == $key ? 'selected' : '' }}>
                                                                                    {{ $name }}</option>
                                                                            @endforeach
                    
                                                                        </select>
                                                                    </div><!-- /.input-group -->
                                                                </div><!-- /.form-group -->

                                                            </div>

                                                    </div><!-- /.form-body -->

                                                    <div class="modal-footer">
                                                        <div class="form-actions">
                                                            <button type="submit" class="btn btn-info btn-round">
                                                                <i class="fa fa-check fa-2x"></i>
                                                                ذخیره
                                                            </button>
                                                        </div><!-- /.form-actions -->
                                                        <button type="button" class="btn btn-danger btn-round"
                                                            data-bs-dismiss="modal">بازگشت</button>
                                                    </div>
                                                </form>
                                                    
                                                </div>
                                              
                                            </div>
                                        </div>
                        </div>
                        @endforeach

                        </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div><!-- /.col-12 -->
    </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>


    <script>
        $('.number').keyup(function(event) {
            $(this).val(function(index, value) {
                return value
                    .replace(/\D/g, "")
                    .replace(/\B(?=(\d{3})+(?!\d))/g, ",");
            });
        });
    </script>
    <script>
        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
    </script>
@endsection
