@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="">تیکت</a></li>
                        <li class="active">لیست تیکت ها</li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-users fa-2x text-danger"></i>
                                لیست تیکت ها
                                @if(isset($user))
({{$user->nf}})
                                @endif
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-xxl-2 col-xl-3 col-lg-4 col-md-4 m-b-20">
                                <a class="btn btn-success btn-block curve" href="{{ route('admin.ticket.create') }}">
                                    <i class="fa fa-plus-circle fa-2x"></i>
                                    افزودن تیکت
                                </a>

                            </div><!-- /.col-md-4 -->
                            <div class="col-xxl-3 col-xl-4 col-lg-4 col-md-4 m-b-20">
                                <form action="" method="get" enctype="multipart/form">
                                    <div class="input-group curve">
                                        <input type="text" class="form-control" name="search"
                                            value="{{ request()->search }}" placeholder="شماره تیکت را وارد نمایید...">
                                        <span class="input-group-btn">
                                            <button class="btn btn-default" type="submit">
                                                <i class="icon-magnifier"></i>
                                            </button>
                                        </span>
                                    </div><!-- ./input-group -->
                                </form>
                            </div><!-- /.col-md-4 -->
                           

                        </div><!-- /.row -->
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                     
                                        <th>شماره تیکت</th>
                                        <th>عنوان</th>
                                        <th>مشتری</th>
                                        <th> اولویت</th>
                                        <th>دپارتمان</th>
                                        <th>وضعیت</th>
                                        <th>کاربر  مسئول</th>
                                        <th>تاریخ ثبت تیکت </th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($tickets as $item)
                                        <tr>
                                         
                                          
                                            <td>{{ $item->id }}</td>
                                            <td><a href="{{route('admin.ticket.show',$item->id)}}">{{ $item->subject }}</a></td>
                                            <td><span class="label label-primary p-1 label-block text-center">{{ $item->user->nf }}</span></td>
                                            <td><span class="label label-info label-block text-center">{{ $item->priority->name }}  </span></td>
                                            <td>{{ $item->category->name }}</td>
                                            <td><label class="label label-{{$item->status->color}}">{{ $item->status->name }}</label></td>
                                            <td>{{ !empty($item->admin->nf) ? $item->admin->nf : 'مشخص نشده است' }}</td>
                                            <td>{{jdate($item->created_at) }}</td>
                                            <td>
                                             
                                               
                                                <a data-bs-toggle="tooltip" title="مشاهده تیکت "
                                                    href="{{route('admin.ticket.show',$item->id)}}" target="_blank"><i
                                                        class="fa fa-credit-card fa-2x text-success"></i></a>
                                                      
                                                  
                                                      
                                                        <a id="{{ $item->id }}" href="" data-bs-toggle="tooltip"
                                                            title="حذف" class="delete-buttom"> <i
                                                                class="fa fa-window-close fa-2x text-danger"></i></a>
                                                     
                                                <form id="delete-form{{ $item->id }}"
                                                    action="{{ route('admin.ticket.destroy', $item->id) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                </form>


                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">
                        {{ $tickets->appends(['search' => request('search')])->links() }}
                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script>
        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
    </script>
@endsection
