@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="/admin/user">دپارتمان ها </a></li>
                        <li class="active">  {{ $title }}  </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-user-plus fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
<div class="row">
                        <div class="col-lg-6">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <div class="alert alert-danger fill  fade show">
                                        <button type="button" class="btn-close" data-bs-dismiss="alert"
                                            aria-label="Close"></button>
                                        {{ $error }}
                                    </div>
                                @endforeach
                            @endif
                            <form role="form" action="{{ $action }}" method="POST">
                                @csrf
                                @if (isset($ticketCategory->id))
                                    @method('PUT')
                                @endif
                                <div class="form-body">
                                    <div class="form-group">
                                        <label>نام دپارتمان</label>
                                        <div class="input-group curve">
                                            <span class="input-group-addon">
                                                <i class="fa fa-user fa-2x text-success"></i>
                                            </span>
                                            <input type="text" name="name" class="form-control"
                                                value="{{ old('name', $ticketCategory->name) }}" placeholder="">
                                        </div><!-- /.input-group -->
                                    </div><!-- /.form-group -->
                                    <div class="form-group">
                                        <label> کاربران مرتبط</label>

                                        <div class="input-group curve">

                                            <select class="form-control curve select2" multiple name="users[]">
                                                @foreach ($users as $item)
                                                    <option value="{{ $item->id }}" {{ in_array($item->id , $ticketCategory->users->pluck('id')->toArray()) ? 'selected' : '' }}>{{ $item->nf }}</option>
                                                @endforeach
                                            </select>

                                        </div><!-- /.input-group -->
                                    </div><!-- /.form-group -->
                    
                                </div><!-- /.form-body -->

                                <div class="form-actions">
                                    <button type="submit" class="btn btn-info btn-round">
                                        <i class="fa fa-check fa-2x"></i>
                                        ذخیره
                                    </button>
                                    <a href="/admin/ticketCategory" class="btn btn-warning btn-round">
                                        <i class="fa fa-close fa-2x"></i>
                                        بازگشت

                                    </a>
                                </div><!-- /.form-actions -->
                            </form>
                        </div>
                     
                    </div>
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>

   
@endsection
