@extends('admin.layouts.master')
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>

                        <li class="active">لیست فیش های تایید نشده    </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-shopping-basket fa-2x text-danger"></i>
                             لیست فیش های تایید نشده 
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-xxl-3 col-xl-4 col-lg-4 col-md-4 m-b-20">
                                <form action="" method="get" enctype="multipart/form">
                                    <div class="input-group curve">
                                        <input type="text" class="form-control" name="search"
                                            value="{{ request()->search }}" placeholder="شناسه پرداخت را وارد نمایید...">
                                        <span class="input-group-btn">
                                            <button class="btn btn-default" type="submit">
                                                <i class="icon-magnifier"></i>
                                            </button>
                                        </span>
                                    </div><!-- ./input-group -->
                                </form>
                            </div><!-- /.col-md-4 -->
                       

                        </div><!-- /.row -->
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th><i class="icon-energy"></i></th>
                                        <th>شناسه پرداخت</th>
                                        <th>مربوط به فاکتور</th>
                                        <th>شماره کارت بانکی</th>
                                        <th>نوع پرداخت</th>
                                        <th>مشتری</th>
                                        <th>کد رهگیری</th>
                                        <th>تاریخ</th>
                                        <th>مبلغ</th>
                                        <th>وضعیت</th>
                                        <th>فیش بانکی</th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($transactions as $item)
                                        <tr>
                                            <td>
                                                {{ $loop->index + 1 }}
                                            </td>
                                            <td>{{@$item->id}}</td>
                                            <td>{{@$item->transactionable->name}}</td>
                                            <td>{{@$item->description}}</td>
                                            <td>{{$item->type}}</td>
                                            <td>
                                                {{ $item->user->nf }}
                                            </td>
                                            <td>
                                                {{ $item->transid }}
                                            </td>
                                            <td>{{(is_null($item->payment_at))?(jdate($item->updated_at)):(jdate($item->payment_at))}}</td>
                                            <td>{{ number_format($item->price) }}</td>
                                            <td class="text-center">
                                                {!! status($item) !!}
                                            </td>
                                            <td class="text-center">
                                                <a href="{{route('file.download',$item->file->id)}}" class="btn btn-info btn-sm">دانلود</a>
                                            </td>
                                            <td class="text-center">
                                                <form action="{{ route('admin.transaction.changestatus', $item->id) }}"
                                                    method="post">
                                                    @csrf
                                                    <select class="form-select" name="status"
                                                        onchange="this.form.submit()">
                                                        @foreach (config('value.truefalse') as $key => $name)
                                                            <option value="{{ $key }}"
                                                                {{ $item->status == $key ? 'selected' : '' }}>
                                                                {{ $name }}</option>
                                                        @endforeach
                                                    </select>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div><!-- /.portlet-body -->
                    <div class="portlet-footer">
                        {{ $transactions->appends(['search' => request('search')])->links() }}
                    </div>
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script>
        $('.delete-buttom').on('click', function(e) {
            e.preventDefault();
            var $this = $(this);
            var id = $(this).attr("id");
            Swal.fire({
                title: 'آیا اطمینان دارید؟',
                text: "این عملیات برگشت پذیر نیست...",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ،حذف شود!',
                cancelButtonText: 'لغو عملیات'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#delete-form' + id).submit();
                }
            })
        });
    </script>
@endsection
