@extends('admin.layouts.master')
@section('css')
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
@endsection
@section('content')
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="/admin/user">کاربران</a></li>
                        <li class="active"> {{ $title }} </li>
                    </ul>
                    <div class="breadcrumb-left">
                        {{ jdate()->format('Y-m-d') }}
                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-user-plus fa-2x text-danger"></i>
                                {{ $title }}
                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <div class="row">
                            <div class="col-lg-6">
                                @if ($errors->any())
                                    @foreach ($errors->all() as $error)
                                        <div class="alert alert-danger fill  fade show">
                                            <button type="button" class="btn-close" data-bs-dismiss="alert"
                                                aria-label="Close"></button>
                                            {{ $error }}
                                        </div>
                                    @endforeach
                                @endif
                                <form role="form" action="{{ $action }}" method="POST">
                                    @csrf
                                    @if (isset($user->id))
                                        @method('PUT')
                                    @endif
                                    <div class="form-body">
                                        <div class="form-group">
                                            <label>نام</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-user fa-2x text-success"></i>
                                                </span>
                                                <input type="text" name="name" class="form-control"
                                                    value="{{ old('name', $user->name) }}" placeholder="">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>نام خانوادگی</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-users fa-2x text-success"></i>
                                                </span>
                                                <input type="text" name="family" class="form-control"
                                                    value="{{ old('family', $user->family) }}" placeholder="">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>موبایل</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-mobile fa-2x text-success"></i>
                                                </span>
                                                <input type="text" class="form-control ltr text-left"
                                                    pattern="^(\+98|0)?9\d{9}$" name="mobile"
                                                    value="{{ old('mobile', $user->mobile) }}" class="form-control"
                                                    placeholder="">
                                            </div><!-- /.input-group -->
                                            <span class="help-block">شماره موبایل را به صورت کامل وارد کنید برای مثال :
                                                09123456789</span>
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label>رایانامه(ایمیل)</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-envelope fa-2x text-success"></i>
                                                </span>
                                                <input type="email" name="email"
                                                    value="{{ old('email', $user->email) }}"
                                                    class="form-control ltr text-left">

                                            </div><!-- /.input-group -->
                                            <span class="help-block">آدرس ایمیل را بدون www وارد کنید برای مثال :
                                                salam@gmail.com</span>
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>شماره ثبت(کد ملی)</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-sort-numeric-asc fa-2x text-success"></i>
                                                </span>
                                                <input type="number" name="codemeli"
                                                    value="{{ old('codemeli', $user->codemeli) }}"
                                                    class="form-control ltr text-left">

                                            </div><!-- /.input-group -->
                                            <span class="help-block">شماره ثبت فقط در فاکتور های رسمی نمایش داده خواهد شد و
                                                یک
                                                گزینه اختیاری است. (افراد حقیقی می توانند در صورت نیاز کد ملی خود را در این
                                                قسمت
                                                وارد کنند)
                                            </span>
                                        </div><!-- /.form-group -->
                                      
                                        <div class="form-group">
                                            <label>فعال بودن کاربر   :</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-check-square-o fa-2x text-success"></i>
                                                </span>
                                                <select class="form-control" name="status">
                                                    @foreach (config('value.truefalse') as $key => $name)
                                                        <option value="{{ $key }}"
                                                            {{ $user->status == $key ? 'selected' : '' }}>
                                                            {{ $name }}</option>
                                                    @endforeach
                                                </select>
                                            </div><!-- /.input-group -->
                                        </div>
                                        <div class="form-group">
                                            <label>نقش کاربری :</label>
                                            <div class="input-group">
                                              
                                                <select class="form-control select2" multiple name="roles[]">
                                                    @foreach ($roles as $item)
                                                        <option
                                                            value="{{ $item->name }}"{{ in_array($item->name, $userRole) ? 'selected' : '' }}>
                                                            {{ $item->name_fa }}</option>
                                                    @endforeach
                                                </select>
                                            </div><!-- /.input-group -->
                                        </div>

                                        <div class="form-group">
                                            <label>نشانی</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-map-marker fa-2x text-success"></i>
                                                </span>
                                                <textarea class="form-control" name="address" rows="5">{{ old('address', $user->address) }}</textarea>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                    </div><!-- /.form-body -->

                                    <div class="form-actions">
                                        <button type="submit" class="btn btn-info btn-round">
                                            <i class="fa fa-check fa-2x"></i>
                                            ذخیره
                                        </button>
                                        <a href="/admin/user" class="btn btn-warning btn-round">
                                            <i class="fa fa-close fa-2x"></i>
                                            بازگشت

                                        </a>
                                    </div><!-- /.form-actions -->
                                </form>
                            </div>
                            <div class="col-lg-6">
                                <div class="alert alert-warning">
                                    <i class="icon-check"></i>
                                    نام کابری و کلمه عبور پیش فرض شماره موبایل کاربر می باشد.
                                </div>

                            </div>
                        </div>
                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
@endsection
@section('js-page')
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>
    
@endsection
