@extends('auth.layouts.master')
@section('content')
    <div class="modal-page shadow">
        <div class="container-fluid">
            <div class="row">

                <div class="col-md-12">
                    <div class="logo-con m-t-10 m-b-10">

                        <img src="{{ option('info_logo','/uploads/1666983114_logo.png') }}" class="dark-logo center-block img-responsive" alt="logo">
                        <img src="{{ option('info_logo','/uploads/1666983114_logo.png') }}" class="light-logo center-block img-responsive" alt="logo">
                    </div><!-- /.logo-con -->


                    @if (Auth::check())
                        @if (auth()->user()->type == 'admin')
                            <h2 class="text-center m-b-20">{{ ' کاربر گرامی ' . auth()->user()->nf }}</h2>
                            <a href="/admin" class="btn btn-info btn-block">ورود به پنل مدیریت</a>
                            <a class="btn btn-danger btn-block mt-3" href="{{ route('logout') }}"
                                onclick="event.preventDefault();
                    document.getElementById('logout-form').submit();"><i
                                    class="bx bx-log-out"></i> خروج از سیستم</a>
                            <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                @csrf
                            </form>
                        @else
                            <h2 class="text-center m-b-20">{{ ' کاربر گرامی ' . auth()->user()->nf }}</h2>
                            <a href="/panel" class="btn btn-info btn-block">ورود به پنل کاربری</a>
                            <a class="btn btn-danger btn-block mt-3" href="{{ route('logout') }}"
                                onclick="event.preventDefault();
                    document.getElementById('logout-form').submit();"><i
                                    class="bx bx-log-out"></i> خروج از سیستم</a>
                            <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                @csrf
                            </form>
                        @endif
                    @else
                        <h2 class="text-center m-b-20">وارد شوید</h2>
                        <hr>
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <form id="form" class="m-t-30 m-b-30" action="/login" method="POST" role="form">
                            @csrf
                            <div class="form-group">
                                <label for="email" class="sr-only">شماره dموبایل</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-mobile fa-2x"></i>
                                    </span>
                                    <input class="form-control ltr text-left" type="text" name="mobile"
                                        placeholder="شماره موبایل خود را وارد نمایید" required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label for="password" class="sr-only">رمز عبور</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="icon-key font-lg"></i>
                                    </span>
                                    <input id="password" class="form-control ltr text-left" type="password" name="password"
                                        minlength="5" required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <p>
                                <button class="btn btn-info btn-curve btn-block" type="submit">
                                    <i class="icon-paper-plane font-lg"></i>
                                    ورود
                                </button>
                                <a class="btn btn-danger btn-curve btn-block mt-3" href="/forgot-password-sms">فراموشی رمز
                                    عبور</a>
                            </p>
                        </form>
                        <hr class="m-b-30">
                    @endif
                </div><!-- /.col-md-12 -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div><!-- /.modal-page -->
@endsection
