@extends('auth.layouts.master')
@section('content')
    <div class="modal-page shadow">
        <div class="container-fluid">
            <div class="row">

                <div class="col-md-12">
                    <div class="logo-con m-t-10 m-b-10">
                        <img src="{{ option('info_logo','/uploads/1666983114_logo.png') }}" class="dark-logo center-block img-responsive" alt="logo">
                        <img src="{{ option('info_logo','/uploads/1666983114_logo.png') }}" class="light-logo center-block img-responsive" alt="logo">
                    </div><!-- /.logo-con -->

                    <h2 class="text-center m-b-20"> بازیابی رمز عبور از طریق پیامک</h2>
                    <hr>
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <div class="message-light">
                        برای شماره همراه {{ $user->mobile }} کد تایید ارسال گردید
                        <a href="{{ route('password.sms.request') }}" class="btn-link-border">
                            ویرایش شماره
                        </a>
                    </div>
                    <form id="forgot-password-form"  action="{{ route('active-code') }}" method="POST">
                        @csrf
                        <input name="mobile" type="hidden" value="{{ $user->mobile }}">
                        <div class="form-row-title">
                            <h3> کد تایید</h3>
                        </div>
                        <div class="form-group">
                            <input id="mobile" type="text" name="verify_code" autocomplete="one-time-code" inputmode="numeric" class="form-control ltr text-left curve" placeholder="کد ارسال شده را وارد نمایید" value="">
                            <i class="mdi mdi-account-circle-outline"></i>
                        </div>


                        <div class="form-row mt-3">
                            <button type="submit" class="btn btn-primary btn-block curve">
                                <i class="mdi mdi-lock-open-variant-outline"></i>
                                تایید شماره تلفن همراه
                            </button>
                        </div>

                      

                    </form>
                  <div class="row">
                    <div class="col-md-6">  <a class="btn btn-danger btn-curve btn-block mt-3" href="/login"> بازگشت به صفحه ورود </a></div>
                    <div class="col-md-6">  <a class="btn btn-warning btn-curve btn-block mt-3" href="/forgot-password-sms"> بازیابی به وسیله  ایمیل</a></div>
                  </div>
                    <hr class="m-b-30">
                </div><!-- /.col-md-12 -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div><!-- /.modal-page -->
@endsection
@section('js-page')
<script>
    if ('OTPCredential' in window) {
      window.addEventListener('DOMContentLoaded', e => {
        const input = document.querySelector('input[autocomplete="one-time-code"]');
        if (!input) return;
        const ac = new AbortController();
        const form = input.closest('form');
        if (form) {
          form.addEventListener('submit', e => {
            ac.abort();
          });
        }
        navigator.credentials.get({
          otp: { transport:['sms'] },
          signal: ac.signal
        }).then(otp => {
          input.value = otp.code;
          if (form) form.submit();
        }).catch(err => {
          console.log(err);
        });
      });
    }
    </script>
@endsection