<!DOCTYPE html>
<html lang="fa">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ option('info_site_title') }}</title>
    <meta name="description" content="فاکتور آنلاین به مبلغ {{ total($factor) }} تومان">
    <meta name="robots" content="noindex, nofollow">
    <meta name="googlebot" content="noindex">
    <link href="/assets/plugins/bootstrap/bootstrap5/css/bootstrap.rtl.min.css" rel="stylesheet">
    <link href="/assets/css/style.css?v=321" rel="stylesheet">
    <link href="/assets/css/invoice.css" rel="stylesheet">
    <link href="/assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">

    <style type="text/css">
        .custum_bg_color {
            background: #4e7c97 none repeat scroll 0 0 !important;
            color: #ffffff !important;
        }

        .custum_color {
            color: #00bdbd !important;
        }

        /* thead tr {
        display: none;
    } */
    </style>
</head>

<body>
    <div id="main" class="container">
        <div class="row">
            <div class="col-md-10 offset-md-1" id="content">

                <div class="row">
                    <div class="col-md-8 offset-md-2">
                        <h1 class="text-center text-bold" style="font-weight: bold">{{ option('info_site_title') }}</h1>
                    </div><!-- /.col -->

                </div><!-- /.row -->
                <div class="row">
                    <div class="col-md-4 col-sm-6 hidden-xs text-start" id="invoice-title">
                        <img src="{{ option('info_logo') }}" style="max-height: 150px; max-width:150px" />
                    </div><!-- /.col -->
                    <div class="col-md-4 col-sm-6 col-xs-12 text-center" id="invoice-logo">
                        <h2>فاکتور</h2>
                        <p>{{ $factor->name }}</p>
                    </div><!-- /.col -->
                    <div class="col-md-4 col-sm-6 hidden-xs text-end" id="invoice-title">
                        {{-- <img
                            src="https://chart.googleapis.com/chart?cht=qr&chs=150x150&choe=UTF-8&chld=L|0&chl={{ route('invoice', $factor->link) }}" /> --}}
                    </div><!-- /.col -->
                </div><!-- /.row -->

                <div class="row">
                    <div class="col-md-8 offset-md-2">
                        @if (isset($transaction_error))
                            <div class="alert alert-danger">
                                {{ $transaction_error }}
                            </div>
                        @endif
                        <hr>
                        <br>
                    </div><!-- /.col -->
                </div><!-- /.row -->

                <div id="head" class="row">
                    <div class="col-md-6 invoice-customer">
                        <p>نام و نام خانوادگی مشتری : <strong>{{ $factor->user->nf }}</strong></p>
                        <p>تلفن همراه : <strong>{{ $factor->user->mobile }}</strong></p>
                    </div><!-- /.col -->
                    <div class="col-md-6 text-left" id="invoice-date">
                        <div class="col-md-11 col-md-offset-1 box custum_bg_color">
                            <p class="text-end"><strong class="float-start">شماره فاکتور</strong> <span
                                    class="">{{ $factor->code }}</span></p>
                        </div><!-- /.col -->
                        <div class="col-md-11 col-md-offset-1 box custum_bg_color ">
                            <p class="text-end"><strong class="float-start">تاریخ</strong>{{ $factor->date_factor }}
                            </p>
                        </div><!-- /.col -->
                        <div class="col-md-11 col-md-offset-1 box custum_bg_color ">
                            <p class="text-end"><strong class="float-start">مهلت
                                    پرداخت</strong>{{ $factor->expire_date }}
                            </p>
                        </div><!-- /.col -->
                    </div><!-- /.col -->
                </div><!-- /.row -->
                <div class="row" id="invoice-table">
                    <div class="col-md-12">
                        <table id="invoice-table" class="table table-responsive table-borderless">
                            <thead>
                                <tr class="text-center none-mobile">
                                    <th class="custum_bg_color">ردیف</th>
                                    <th class="custum_bg_color">توضیحات</th>
                                    <th class="custum_bg_color">تعداد</th>
                                    <th class="custum_bg_color">قیمت واحد</th>
                                    <th class="custum_bg_color">تخفیف</th>
                                    <th class="custum_bg_color">مالیات</th>
                                    <th class="custum_bg_color">قیمت (تومان)</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($subfactor as $item)
                                    <tr class="invoice-row">
                                        <td>{{ $loop->index + 1 }}</td>
                                        <td>{{ $item->name }}</td>
                                        <td>{{ $item->count }}</td>
                                        <td>{{ number_format($item->price) }} تومان</td>
                                        <td class="discountcolumn">{{ $item->discount }} %</td>
                                        <td class="taxcolumn">{{ $item->tax }} %</td>
                                        <td class="totalcolumn">{{ number_format(totalprice($item)) }} تومان</td>

                                    </tr>
                                @endforeach
                                <tr id="invoice-off" class="table-sum">
                                    <td colspan="5"></td>
                                    <td class="text-right">تخفیف</td>
                                    <td class="text-left persian-number">{{ number_format(discount($factor)) }} تومان
                                    </td>
                                </tr>

                                <tr id="invoice-tax" class="table-sum">
                                    <td colspan="5"></td>
                                    <td class="text-right">مالیات</td>
                                    <td class="text-left persian-number">{{ number_format(tax($factor)) }} تومان</td>
                                </tr>
                                <tr id="invoice-total" class="table-sum">
                                    <td colspan="5"></td>
                                    <td class="text-right">جمع کل</td>
                                    <td class="text-left persian-number">{{ number_format(total($factor)) }} تومان
                                    </td>
                                </tr>

                                <tr id="invoice-paid" class="table-sum">
                                    <td colspan="5"></td>
                                    <td class="text-right ">پرداخت شده</td>
                                    <td class="text-left persian-number ">{{ number_format(paymentfactor($factor)) }}
                                        تومان</td>
                                </tr>
                                <tr id="invoice-paid" class="table-sum">
                                    <td colspan="5"></td>
                                    <td class="text-right "><strong> باقی مانده فاکتور</strong></td>
                                    <td class="text-left persian-number ">{{ number_format(notpaymentfactor($factor)) }}
                                        تومان</td>
                                </tr>

                                <tr id="invoice-cost" class="table-sum">

                                    <td colspan="5"><strong>جمع کل به حروف
                                            :</strong>{{ Numtoword(total($factor)) }} تومان</td>
                                    <td class="text-right bg-gray"></td>
                                    <td class="text-left bg-gray">
                                    </td>
                                </tr>


                                @if (is_online($factor))
                                <tr id="invoice-cost" class="table-sum">

                                    <td colspan="5"></td>
                                    <td class="text-right bg-gray"><strong>قابل پرداخت</strong></td>
                                    <td class="text-left bg-gray"><strong
                                            class="persian-number">{{ number_format(paymentable($factor)) }}
                                            تومان</strong>
                                    </td>
                                </tr>
                                    <form action="{{ route('pay.invoice', $factor) }}" method="post">
                                        @csrf
                                        <input type="hidden" name="factor" value="{{ $factor->id }}">
                                        <tr id="invoice-cost" class="table-sum">

                                            <td colspan="5"></td>
                                            <td colspan="2">
                                                <div class="d-grid gap-2">
                                                    <select name="gateway" class="form-select">
                                                        @foreach ($gateways as $gateway)
                                                            <option value="{{ $gateway->key }}">
                                                                {{ $gateway->name }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </td>

                                        </tr>
                                        <tr id="invoice-cost" class="table-sum">

                                            <td colspan="5"></td>
                                            <td colspan="2">
                                                <div class="d-grid gap-2">
                                                    <button class="btn btn-success curve btn-lg" type="submit">پرداخت
                                                        آنلاین</button>
                                                </div>
                                            </td>

                                        </tr>
                                      
                                    </form>
                                    <tr id="invoice-cost" class="table-sum">

                                        <td colspan="5"></td>
                                        <td colspan="2">
                                            <div class="d-grid gap-2">
                                                <a class="btn btn-warning btn-lg curve" data-bs-toggle="modal" data-bs-target="#modaladd">
                                                   
                                       ثبت فیش بانکی
                                                </a>
                                            </div>
                                        </td>

                                    </tr>
                                @endif



                            </tbody>
                        </table>
                    </div><!-- /.col -->
                </div><!-- /.row -->
                <div class="row">
                    <div class="col-md-8 invoice-notes">
                        <p id="invoice-note" class="text-muted">
                            {{ $factor->description }}
                        </p>
                    </div><!-- /.col -->
                    <div class="col-md-4">
                    </div><!-- /.col -->
                </div><!-- /.row -->
                @if (notpaymentfactor($factor) == 0)
                    <div class="row ">
                        <div class="payment-success">پرداخت شده است</div>
                    </div>
                @endif
                @if ($factor->installments->count())
                    <div class="row" id="paid">
                        <div class="col-md-9">
                            <strong>لیست اقساط</strong>
                            <table class="table">
                                <thead class="hidden-xs" style="border-bottom:1px solid #ccc;">
                                    <tr>
                                        <th>عنوان</th>
                                        <th>موعد پرداخت</th>
                                        <th>مبلغ</th>
                                        <th>وضعیت</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($factor->installments as $item)
                                        <tr>
                                            <td>پرداخت
                                                <small>({{ $item->name }})</small>
                                                تومان
                                            </td>
                                            <td> {{ jdate($item->due_date)->format('Y/m/d') }} </td>
                                            <td>{{ number_format($item->price) }}</td>
                                            <td>
                                                {!! status($item) !!} </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div><!-- /.col -->


                    </div><!-- /.row -->

                @endif
                @if (download($factor)->count()>0 and notpaymentfactor($factor) == 0)
                <div class="row" id="paid">
                    <div class="col-md-9">
                        <strong>لیست فایل های دانلودی</strong>
                        <table class="table">
                            <thead class="hidden-xs" style="border-bottom:1px solid #ccc;">
                                <tr>
                                    <th>عنوان</th>
                                    <th>لینک دانلود</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (download($factor) as $item)
                                    <tr>
                                        <td>
                                           {{$item->fileable->name}}
                                        </td>
                                        <td><a href="{{route('file.download',$item->id)}}" class="btn btn-info btn-sm">دانلود</a> </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div><!-- /.col -->
                </div><!-- /.row -->

            @endif
                @if (paymentfactor($factor) > 0)
                    <div class="row" id="paid">
                        <div class="col-md-9">
                            <table class="table">
                                <thead class="hidden-xs" style="border-bottom:1px solid #ccc;">
                                    <tr>
                                        <th>شرح پرداخت</th>
                                        <th>تاریخ پرداخت</th>
                                        <th>شناسه پرداخت</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($factor->transactions->where('status', 1) as $item)
                                        <tr>
                                            <td>پرداخت
                                                <small>({{ $item->type }})</small>{{ number_format($item->price) }}
                                                تومان
                                            </td>
                                            <td> {{ jdate($item->payment_at)->format('Y-m-d') }}</td>
                                            </td>
                                            <td>
                                                {{ $item->transid }} </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div><!-- /.col -->


                    </div><!-- /.row -->

                @endif



                <div class="row" id="contact">
                    <div class="col-md-8">
                        <ul class="custum_color">
                            <li>{{ option('info_site_title') }}</li>
                            <li>{{ option('info_tel') }}</li>
                            <li>{{ option('info_postal_code') }}</li>
                        </ul>
                    </div><!-- /.col -->
                    <div class="col-md-4">
                    </div><!-- /.col -->
                </div><!-- /.row -->
                <div class="row">
                    <div class="col-md-12 text-end">
                        {{-- <a href="" class="btn btn-sm btn-group btn-primary"><i class="fa fa-file-text"></i>
                            دریافت pdf</a> --}}
                        <a href="/factor/print/{{ $factor->link }}" class="btn btn-sm btn-group btn-success"
                            target="_blank"><i class="fa fa-print"></i>
                            چاپ</a>
                    </div><!-- /col-md-8 -->


                </div>
            </div><!-- /#content -->

            <div id="modaladd" class="modal fade" role="dialog" tabindex="-1">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-bs-dismiss="modal">&times;</button>
                            <h4 class="modal-title">ثبت رسید بانکی</h4>
                        </div>
                        <div class="modal-body">
                            <form id="periodform" action="{{ route('fish') }}" method="POST" enctype="multipart/form-data">
                                @csrf
                                <div class="form-body">
                                    <div class="form-group">
                                        <label> شماره کارت مبدا </label>
                                        <div class="input-group curve">
                                            <span class="input-group-addon">
                                                <i class="fa fa-calendar fa-2x text-success"></i>
                                            </span>
                                            <input type="text" name="description" autocomplete="off" class="form-control ltr kart">
                                            <input type="hidden" name="factor" value="{{$factor->id}}" class="form-control">
                                            
                                        </div><!-- /.input-group -->
                                    </div><!-- /.form-group -->
        
                                    <div class="form-group">
                                        <label> تاریخ واریز</label>
                                        <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="fa fa-check-square-o fa-2x text-success"></i>
                                            </span>
                                            <input type="text" name="payment_at"  autocomplete="off" id="kama-datepicker" class="form-control ltr text-left date">
                                        </div><!-- /.input-group -->
                                    </div>
                                    <div class="form-group">
                                        <label>مبلغ واریزی(تومان)</label>
                                        <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="fa fa-check-square-o fa-2x text-success"></i>
                                            </span>
                                            <input type="text" name="price"  autocomplete="off" class="form-control ltr text-left number">
                                        </div><!-- /.input-group -->
                                    </div>
                                    <div class="form-group">
                                        <label>کد پیگیری</label>
                                        <div class="input-group curve">
                                            <span class="input-group-addon">
                                                <i class="fa fa-commenting fa-2x text-success"></i>
                                            </span>
                                            <input type="text" name="transid"  autocomplete="off"
                                                class="form-control ltr text-left">
                                        </div><!-- /.input-group -->
                                    </div><!-- /.form-group -->
                                    <div class="form-group relative">
                                        <input type="file" name="file" class="form-control"> 
                                        <label>آپلود  فیش</label>
                                        <div class="input-group curve"> 
                                            <input type="text"    class="form-control file-input ltr text-left"  placeholder="برای آپلود کلیک کنید"> 
                                            <span class="input-group-btn"> 
                                                <button type="button" class="btn btn-info"> 
                                                    <i class="icon-picture"></i>
                                                    آپلود فیش
                                                </button>
                                            </span> 
                                        </div><!-- /.input-group -->
                                        <span class="help-block"></span>
                                       
                                    </div><!-- /.form-group -->
        
                                </div><!-- /.form-body -->
        
                                <div class="form-actions">
                                    <button type="submit" class="btn btn-info btn-round">
                                        <i class="fa fa-check fa-2x"></i>
                                        ذخیره
                                    </button>
                                </div><!-- /.form-actions -->
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger btn-round" data-bs-dismiss="modal">بازگشت</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix visible-xs-block"></div>

            <div class="col-md-8 offset-md-2">
                <div class="row">
                    <div class="col-md-6 text-right">
                        <p class="text-muted invoice-rules"><a target="_blank" class="hesabit-footer-links"></a><span
                                data-toggle="modal" data-target="#rules"
                                class="rules-link">{!! option('info_footer_text') !!}</span></p>
                    </div><!-- /.col -->
                </div><!-- /.row -->
                <br>
            </div><!-- /.col -->
        </div><!-- /.row -->

    </div><!-- /.container -->

    <script src="/assets/plugins/jquery/dist/jquery-3.1.0.js"></script>
    <script src="/vendor/sweetalert/sweetalert.all.js"></script>
    <script src="/assets/plugins/bootstrap/bootstrap5/js/bootstrap.bundle.min.js"></script>
    <script src="/assets/plugins/jquery-mask/jquery.mask.min.js"></script>
    <script src="/assets/plugins/kamadatepicker/kamadatepicker.min.js"></script>
    <script src="/assets/js/pages/calendar-kama.js"></script>
    <script src="/assets/js/core.js"></script>
    <script>
        $(".date").mask("0000/00/00", {
            placeholder: "____/__/__",
        });
        $(".kart").mask("0000-0000-0000-0000", {
            placeholder: "____-____-____-____",
        });
        $(document).on('keyup', '.number', function(e) {
            $(this).val(function(index, value) {
                return value
                    .replace(/\D/g, "")
                    .replace(/\B(?=(\d{3})+(?!\d))/g, ",");
            });


        });

      
    </script>


    @include('sweetalert::alert')
</body>

</html>
