<!DOCTYPE HTML>
<html>

<head>
    <meta name="keywords" content="" />
    <meta name="description" content="" />
    <link rel="stylesheet" href="/assets/css/print.css" />
    <title>{{ option('info_site_title') }}</title>
    <meta name="description" content="فاکتور آنلاین به مبلغ {{ total($factor) }} تومان">
</head>

<body>
    <div class="header">
        <div class="title-box">
            <a href="http://twiran.ir" target="_blank" style="text-decoration: none;">
                <div class="title title1">
                    <p>{{ option('info_site_title') }}</p>
                </div>
            </a>

        </div>
    </div>
    <div class="logo"><img src="{{ option('info_logo') }}"></div>
    <div class="factor">
        <div class="title-forosh">
            <p>فاکتور فروش</p>
        </div>
        <div class="title-forosh">
            <p>
                @if (notpaymentfactor($factor) == 0)
                    <font class="unpaid">پرداخت شده</font>
                @else
                    <font class="unpaid">پرداخت نشده</font><br>
                @endif

            </p>
        </div>
        <div class="fact-p">
            <p>خریدار : {{ $factor->user->nf }}</p>

            <p>تلفن همراه : {{ $factor->user->mobile }}</p>
        </div>
        <div class="fact-p">
            <p>شماره فاکتور : {{ $factor->code }}</p>
            <p> تاریخ صدور فاکتور :{{ $factor->date_factor }}</p>
            <p>مهلت پرداخت فاکتور :{{ $factor->expire_date }}</p>
        </div>
        <div class="fact-p">
            <p>عنوان فاکتور : {{ $factor->name }}</p>
          
        </div>
    </div>
    <div class="main">
        <table>
            <tr style="background:#BBB8B8;">
                <th style="width: 70px;">ردیف</th>
                <th style="width: 100px;">کد </th>
                <th style="width: 460px;">عنوان محصول</th>
                <th style="width: 160px;">تعداد</th>
                <th style="width: 160px;">قیمت واحد(تومان)</th>
                <th style="width: 160px;">تخفیف (درصد)</th>
                <th style="width: 160px;">مالیات(درصد)</th>
                <th style="width: 200px;">مبلغ کل(تومان)</th>
            </tr>
            @foreach ($subfactor as $item)
                <tr class="invoice-row">
                    <td>{{ $loop->index + 1 }}</td>
                    <td>{{ $item->id }}</td>
                    <td>{{ $item->name }}</td>
                    <td>{{ $item->count }}</td>
                    <td>{{ number_format($item->price) }}</td>
                    <td class="discountcolumn">{{ $item->discount }} %</td>
                    <td class="taxcolumn">{{ $item->tax }} %</td>
                    <td class="totalcolumn">{{ number_format(totalprice($item)) }}</td>

                </tr>
            @endforeach

            <tr style="direction: ltr;">
                <td style="direction: rtl; border:none; height: 30px;" colspan="9"></td>
            </tr>
            <tr style="direction: ltr;">
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left;" colspan="9"></td>
            </tr>
            <tr style="direction: ltr;">
                
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left; " colspan="6"></td>
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left;"> تخفیف(تومان):</td>
                <td style="border:1px solid #000;">{{ number_format(discount($factor)) }}</td>
            </tr>
            <tr style="direction: ltr;">
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left; " colspan="6"></td>
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left;"> مالیات(تومان):</td>
                <td style="border:1px solid #000;">{{ number_format(tax($factor)) }}</td>
            </tr>
            <tr style="direction: ltr;">
                <td style="direction:rtl; border:2px solid #000;" colspan="2">جمع کل به حروف:</td>
                <td style="direction: rtl; border:2px solid #000;text-align:right; " colspan="4">
                    {{ Numtoword(total($factor)) }} تومان </td>
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left;">جمع کل(تومان):</td>
                <td style="border:1px solid #000;">{{ number_format(total($factor)) }}</td>
            </tr>
            <tr style="direction: ltr;">
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left; " colspan="6"></td>
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left;"> پرداخت شده(تومان):</td>
                <td style="border:1px solid #000;">{{ number_format(paymentfactor($factor)) }}</td>
            </tr>
            <tr style="direction: ltr;">
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left; " colspan="6"></td>
                <td style="direction: rtl; border:none; margin-left:6px;text-align: left;"> پرداخت نشده(تومان):</td>
                <td style="border:1px solid #000;">{{ number_format(notpaymentfactor($factor)) }}</td>
            </tr>
           
        </table>
        <div class="tnx">
            <p> {{ $factor->description }}</p>
        </div>

            @if (paymentfactor($factor) > 0)

                        <table class="table">
                            <thead>
                                <tr>
                                    <th>شرح پرداخت</th>
                                    <th>تاریخ پرداخت</th>
                                    <th>شناسه پرداخت</th>
                                </tr>
                            </thead>
                            <tbody style="border-width: 0;">
                                @foreach ($factor->transactions->where('status', 1) as $item)
                                    <tr>
                                        <td>پرداخت
                                            <small>({{ $item->type }})</small>{{ number_format($item->price) }}
                                            تومان
                                        </td>
                                        <td> {{ jdate($item->payment_at)->format('Y-m-d') }}</td>
                                        </td>
                                        <td>
                                            {{ $item->transid }} </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
            @endif
        <div class="emza">
            <div class="emza1">
                <div class="title">
                    <p>فروشنده:</p>
                </div>
                <div class="name">
                    <p>{{ option('info_site_title') }}</p>
                </div>
                <div class="name">
                    <p>آدرس:{{ option('info_postal_code') }}</p>
                </div>
            </div>
            <div class="emza1">
                <div class="title">
                    <p>خریدار:</p>
                </div>
                <div class="name">
                    <p>{{ $factor->user->nf }}</p>
                </div>
                <div class="name">
                    <p>آدرس : {{ $factor->user->address }}</p>
                </div>
            </div>
        </div>
    </div>
</body>

</html>
