@extends('front.layouts.master')
@section('content')
    <div>

        <div class="container">
            <section class="xl:mt-11 lg:mt-11 mt-14 mb-11">
                <div class="main-slider">
                    <div class="swiper mySwiper mainSlider">
                        <div class="swiper-wrapper">
                            @foreach ($slideshows as $slideshow)
                                <div class="swiper-slide">
                                    <a href=" " target="_blank">
                                        <img loading="lazy" src="{{ $slideshow->pic }}" data-src="{{ $slideshow->pic }}"
                                            alt="{{ $slideshow->name }}" class="img-fluid">
                                    </a>
                                </div>
                            @endforeach
                        </div>
                        <div class="swiper-button-next"></div>
                        <div class="swiper-button-prev"></div>
                        <div class="swiper-pagination"></div>
                    </div>
                </div>
            </section>
            <section class="mt-12 sm:mb-0 mb-5 pb-3 2xl:static relative">
                <div class="learning_path_wrapper_courses flex lg:flex-row flex-col">
                    <div class="lg:w-2/6 w-full mt-6 lg:mb-0 mb-10 lg:text-right text-center">
                        <h3 class="dark:text-white text-biscay-700 font-extrabold text-3xl mb-3">خدمات مجموعه</h3>
                        <p class="font-normal text-xl dark:text-gray-920 text-gray-300 mb-3 lg:max-w-xs">در این بخش خدمات
                              {{ option('info_site_title') }} را مشاهده میکنید که برای رزرو نوبت می توانید خدمت مورد نظر خود را انتخاب نمایید
                        </p>
                        <div class="flex items-center lg:justify-start justify-center lg:flex-row flex-col">
                            <a href="services.html"
                                class="lg:w-auto w-150 lg:ml-6 lg:mb-0 mb-6 bg-blue-700 rounded-md py-3 px-5 font-medium text-white text-xs dark:hover:bg-transparent hover:bg-white hover:shadow-learningPathItem dark:hover:text-white hover:text-blue-700 transition border border-blue-700">مشاهده
                                همه خدمات</a>
                            <div class="arrow__circls  items-center justify-center relative flex">
                                <div class="swiper-button-prev h-4 mt-0 left-0 relative">
                                    <svg class="dark:text-white text-dark-550" width="23" height="16"
                                        viewBox="0 0 23 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path opacity="0.4"
                                            d="M7.12872 6.34863L2.5608 5.94466C1.53567 5.94466 0.704529 6.7839 0.704529 7.81901C0.704529 8.85412 1.53567 9.69336 2.5608 9.69336L7.12872 9.28938C7.93292 9.28938 8.58491 8.63105 8.58491 7.81901C8.58491 7.00561 7.93292 6.34863 7.12872 6.34863"
                                            fill="currentColor"></path>
                                        <path
                                            d="M22.4681 6.42292C22.3967 6.35083 22.13 6.04614 21.8795 5.79314C20.4179 4.20852 16.6016 1.61734 14.6053 0.824345C14.3022 0.697847 13.5357 0.428528 13.1248 0.409485C12.7328 0.409485 12.3583 0.500618 12.0014 0.680164C11.5555 0.931801 11.1999 1.32898 11.0032 1.79689C10.8779 2.12061 10.6812 3.09315 10.6812 3.11084C10.4859 4.17315 10.3795 5.9006 10.3795 7.81032C10.3795 9.62754 10.4859 11.2843 10.6462 12.3643C10.6637 12.3833 10.8604 13.5898 11.0746 14.0033C11.4666 14.7596 12.2331 15.2275 13.0534 15.2275H13.1248C13.6596 15.2098 14.7831 14.7405 14.7831 14.7242C16.673 13.9312 20.399 11.4652 21.897 9.82613C21.897 9.82613 22.3199 9.40447 22.5031 9.14195C22.7887 8.76381 22.9315 8.29591 22.9315 7.828C22.9315 7.30568 22.7712 6.82009 22.4681 6.42292"
                                            fill="currentColor" />
                                    </svg>
                                </div>
                                <div class="swiper-button-next h-4 right-3 mt-0 relative">
                                    <svg class="dark:text-white text-dark-550" width="23" height="16"
                                        viewBox="0 0 23 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path opacity="0.4"
                                            d="M16.5073 6.34863L21.0752 5.94466C22.1003 5.94466 22.9315 6.7839 22.9315 7.81901C22.9315 8.85412 22.1003 9.69336 21.0752 9.69336L16.5073 9.28938C15.7031 9.28938 15.0511 8.63105 15.0511 7.81901C15.0511 7.00561 15.7031 6.34863 16.5073 6.34863"
                                            fill="currentColor" />
                                        <path
                                            d="M1.16786 6.42292C1.23926 6.35083 1.50598 6.04614 1.75653 5.79314C3.21811 4.20852 7.03437 1.61734 9.03073 0.824345C9.33382 0.697847 10.1003 0.428528 10.5112 0.409485C10.9032 0.409485 11.2776 0.500618 11.6346 0.680164C12.0805 0.931801 12.4361 1.32898 12.6328 1.79689C12.7581 2.12061 12.9548 3.09315 12.9548 3.11084C13.1501 4.17315 13.2565 5.9006 13.2565 7.81032C13.2565 9.62754 13.1501 11.2843 12.9898 12.3643C12.9723 12.3833 12.7756 13.5898 12.5614 14.0033C12.1694 14.7596 11.4029 15.2275 10.5826 15.2275H10.5112C9.97638 15.2098 8.85292 14.7405 8.85292 14.7242C6.96297 13.9312 3.23697 11.4652 1.73902 9.82613C1.73902 9.82613 1.31604 9.40447 1.13284 9.14195C0.84726 8.76381 0.70447 8.29591 0.70447 7.828C0.70447 7.30568 0.864772 6.82009 1.16786 6.42292"
                                            fill="currentColor" />
                                    </svg>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="xl:max-w-4xl-m lg:max-w-screen-sm w-full" wire:ignore>
                        <div class="swiper learning_path_slider_courses with-bg-active sm:pr-4">
                            <div class="swiper-wrapper pb-5">
                                @foreach ($services as $service)
                                    <div class="swiper-slide">
                                        <div class="mt-12">
                                            <div
                                                class="shadow-smswiper-slide-active rounded-lg bg-white dark:bg-dark-930 relative pt-32 flex justify-center h-full">
                                                <div class="absolute -top-12 w-full  px-4 ">
                                                    <a href="{{ route('service', $service) }}"
                                                        class=" inline-block h-40 overflow-hidden w-full rounded-lg">
                                                        <img class="w-full h-full object-cover transform transition duration-200 hover:scale-110"
                                                            onerror="this.src='/front/images/default_cover.jpg'"
                                                            src="{{ $service->pic_main }}" alt="{{ $service->name }}">
                                                    </a>
                                                </div>
                                                <div class="flex flex-col flex-1 w-full space-y-2">
                                                    <div class=" px-4 flex flex-col flex-grow" style="min-height: 120px;">
                                                        <a href="{{ route('service', $service) }}" class="mb-2 inline-block">
                                                            <span
                                                                class="text-xl font-bold text-gray-800 dark:hover:text-blue-450 dark:text-white hover:text-blue-700 duration-200 transition">{{ $service->name }}</span>
                                                        </a>
                                                        <p
                                                            class="mb-2 text-gray-360 dark:text-gray-940 text-sm font-normal  overflow-hidden leading-6">
                                                            {{ $service->description }}</p>
                                                    </div>
                                                    <div>
                                                        <div
                                                            class="flex justify-center border-t border-gray-300 border-opacity-10">
                                                            <a href="{{ route('service', $service) }}"
                                                                class="flex items-center my-4 transform group 0 font-bold text-base transition duration-200 dark:hover:text-gray-20 hover:text-dark-700 text-blue-700 dark:text-blue-950">
                                                                <span>مشاهده جزئیات و رزرو نوبت</span>
                                                                <svg class="mr-1 -mt-0.5" width="26" height="25"
                                                                    viewBox="0 0 26 25" fill="none"
                                                                    xmlns="http://www.w3.org/2000/svg">
                                                                    <path fill="currentColor" opacity="0.4"
                                                                        d="M16.7544 11.5347L20.5098 11.2026C21.3525 11.2026 22.0358 11.8925 22.0358 12.7435C22.0358 13.5945 21.3525 14.2844 20.5098 14.2844L16.7544 13.9523C16.0933 13.9523 15.5573 13.4111 15.5573 12.7435C15.5573 12.0748 16.0933 11.5347 16.7544 11.5347Z">
                                                                    </path>
                                                                    <path fill="currentColor"
                                                                        d="M4.14372 11.5957C4.20242 11.5365 4.42169 11.286 4.62767 11.078C5.82925 9.77526 8.96663 7.64503 10.6079 6.9931C10.857 6.8891 11.4872 6.66769 11.8249 6.65204C12.1472 6.65204 12.4551 6.72696 12.7485 6.87457C13.1151 7.08144 13.4075 7.40796 13.5692 7.79263C13.6722 8.05877 13.8338 8.85831 13.8338 8.87285C13.9944 9.74619 14.0819 11.1663 14.0819 12.7363C14.0819 14.2303 13.9944 15.5923 13.8626 16.4802C13.8482 16.4958 13.6866 17.4877 13.5105 17.8276C13.1882 18.4494 12.5581 18.8341 11.8836 18.8341H11.8249C11.3853 18.8195 10.4617 18.4337 10.4617 18.4203C8.90794 17.7684 5.84475 15.741 4.61328 14.3936C4.61328 14.3936 4.26554 14.0469 4.11493 13.8311C3.88015 13.5202 3.76276 13.1355 3.76276 12.7509C3.76276 12.3215 3.89455 11.9223 4.14372 11.5957Z">
                                                                    </path>
                                                                </svg>
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach


                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section>
                <div class="px-6 ">
                    <div class="grid lg:grid-cols-3 md:grid-cols-3 sm:grid-cols-3 gap-10">
                        @foreach ($baners as $baner)
                            <div class="about_us_mey_team flex flex-col items-center rounded-xl pt-2 pb-4">
                                <div wire:id="0j4cgteIpUUcup9UOyU1" class="relative " style="" x-data="{ hover: false }"
                                    @mouseenter="hover = true" @mouseleave="hover = false">
                                    <a href="{{$baner->baner->link}}" target="_blank">
                                        <img class="transition duration-200 transform group-hover:scale-110 w-full h-full"
                                            src="{{$baner->pic}}" alt="{{$baner->name}}" loading="lazy"
                                            srcset="{{$baner->pic}}">
                                    </a>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </section>

            <section class="lg:mt-16 mt-16 mb-16">
                <div
                    class="flex xl:flex-row flex-col sm:mx-10 relative items-center justify-end xl:py-12 pb-12 pt-24 sm:px-16 px-9 bg-gradient-to-r from-purple-500 via-pink-500 to-orange-500 rounded-3xl">
                    <img class="absolute xl:right-0  xl:scale-100 scale-75 right-1/2 transform xl:translate-x-0 translate-x-1/2  xl:-top-20  sm:-top-28 -top-24"
                        src="{{ option('banner_image') }}" alt="{{ option('banner_cta') }}" />
                    <h6
                        class="xl:ml-10 md:text-2xl text-lg text-white font-extrabold xl:mb-0 mb-5 xl:mt-0 sm:mt-8 md:text-right text-center">
                        {{ option('bannerـtitle') }} </h6>
                    <a class=" px-5 py-3 flex items-center xl:text-15 sm:text-xs text-10 bg-white rounded text-purple-600 font-semibold transition duration-200 hover:text-white hover:bg-purple-600 border hover:border-1 border-white whitespace-nowrap"
                        href="{{ option('banner_cta_link') }}">
                        {{ option('banner_cta') }} <svg width="16" height="11" viewBox="0 0 16 11"
                            fill="none" class="mr-2" xmlns="http://www.w3.org/2000/svg">
                            <path fill="currentColor" opacity="0.4"
                                d="M10.8229 4.15815L13.8465 3.89075C14.525 3.89075 15.0752 4.44626 15.0752 5.13142C15.0752 5.81658 14.525 6.37209 13.8465 6.37209L10.8229 6.10469C10.2905 6.10469 9.85898 5.66892 9.85898 5.13142C9.85898 4.59301 10.2905 4.15815 10.8229 4.15815" />
                            <path fill="currentColor"
                                d="M0.66943 4.20734C0.716688 4.15962 0.893236 3.95795 1.05908 3.79048C2.02653 2.74158 4.55259 1.02643 5.87402 0.501533C6.07464 0.417801 6.58199 0.239533 6.85395 0.226929C7.11342 0.226929 7.3613 0.287252 7.59759 0.406097C7.89273 0.57266 8.12812 0.83556 8.25831 1.14528C8.34123 1.35956 8.47141 2.0033 8.47141 2.01501C8.6007 2.71817 8.67114 3.86161 8.67114 5.12569C8.67114 6.32855 8.6007 7.42516 8.49459 8.14003C8.483 8.15264 8.35282 8.95124 8.21105 9.22495C7.95158 9.72554 7.44423 10.0353 6.90121 10.0353H6.85395C6.49996 10.0235 5.75632 9.71293 5.75632 9.70213C4.50533 9.17723 2.03901 7.54491 1.04749 6.46C1.04749 6.46 0.767513 6.18089 0.646247 6.00712C0.457217 5.75683 0.362701 5.44711 0.362701 5.13739C0.362701 4.79166 0.468808 4.47024 0.66943 4.20734" />
                        </svg>
                    </a>
                </div>
            </section>
            <section>
                <div class="flex items-center justify-between md:flex-row flex-col">
                    <div class="flex items-center self-start">
                        <svg class="text-dark-550 dark:text-white ml-4" width="37" height="34"
                            viewBox="0 0 37 34" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <circle cx="10" cy="24" r="10" fill="currentColor"></circle>
                            <circle cx="30" cy="13" r="7" fill="currentColor" fill-opacity="0.4"></circle>
                            <circle cx="15" cy="4" r="4" fill="currentColor" fill-opacity="0.7"></circle>
                        </svg>
                        <h3 class="text-biscay-700 dark:text-white font-extrabold sm:text-4xl text-2xl sm:mb-0 mb-3">
                            جدیدترین مطالب آموزشی</h3>
                    </div>

                    <div class="self-end">
                        <a href="/blogs"
                            class="flex items-center text-dark-550 dark:hover:text-gray-20 dark:text-white font-normal md:text-22 text-base ml-2 transition duration-200  hover:text-dark-700">
                            <span>مشاهده همه مطالب</span>
                            <svg class="mr-2" width="23" height="15" viewBox="0 0 23 15" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <path fill="currentColor" opacity="0.4"
                                    d="M16.5073 5.95329L21.0752 5.54932C22.1003 5.54932 22.9315 6.38856 22.9315 7.42367C22.9315 8.45878 22.1003 9.29802 21.0752 9.29802L16.5073 8.89404C15.7031 8.89404 15.0511 8.23571 15.0511 7.42367C15.0511 6.61027 15.7031 5.95329 16.5073 5.95329">
                                </path>
                                <path fill="currentColor"
                                    d="M1.16786 6.02753C1.23926 5.95544 1.50598 5.65076 1.75653 5.39776C3.21811 3.81313 7.03437 1.22195 9.03073 0.428959C9.33382 0.302461 10.1003 0.0331419 10.5112 0.0140991C10.9032 0.0140991 11.2776 0.105232 11.6346 0.284778C12.0805 0.536415 12.4361 0.933592 12.6328 1.4015C12.7581 1.72523 12.9548 2.69777 12.9548 2.71545C13.1501 3.77776 13.2565 5.50521 13.2565 7.41493C13.2565 9.23215 13.1501 10.8889 12.9898 11.9689C12.9723 11.9879 12.7756 13.1944 12.5614 13.6079C12.1694 14.3642 11.4029 14.8321 10.5826 14.8321H10.5112C9.97638 14.8144 8.85292 14.3451 8.85292 14.3288C6.96297 13.5358 3.23697 11.0698 1.73902 9.43074C1.73902 9.43074 1.31604 9.00908 1.13284 8.74656C0.84726 8.36843 0.70447 7.90052 0.70447 7.43261C0.70447 6.9103 0.864772 6.42471 1.16786 6.02753">
                                </path>
                            </svg>
                        </a>
                    </div>
                </div>
                <div class="swiper learning_path_slider with-bg-next py-7">
                    <div class="swiper-wrapper pb-10">
                        @foreach ($posts as $post)
                            <div class="swiper-slide h-unset">
                                <div class="shadow-sm p-4 flex flex-col dark:bg-dark-930 bg-white rounded h-full">

                                    <a class="rounded flex w-full md:h-40 sm:h-60 h-44 overflow-hidden"
                                        href="{{ route('blog', $post) }}">
                                        <img data-src="{{ $post->pic }}" src="{{ $post->pic }}"
                                            onerror="this.src='/front/images/default_cover.jpg'"
                                            class="lozad w-full h-full object-cover transform transition duration-200 hover:scale-110"
                                            alt=" {{ $post->name }}" />
                                    </a>

                                    <div class="flex flex-col flex-1">
                                        <div class="flex flex-col flex-grow">
                                            <h4 class="mt-3 mb-4 ">
                                                <a class="font-bold text-xl text-justify transition duration-200 dark:hover:text-blue-450 hover:text-blue-700 dark:text-white text-gray-800 h-16 overflow-hidden"
                                                    href="{{ route('blog', $post) }}">
                                                    {{ $post->name }}</a>
                                            </h4>
                                        </div>

                                        <div>
                                            <div class="flex items-center justify-between mb-4">
                                                <div class="flex items-center justify-between">
                                                    <img class="rounded-full w-6 h-6 object-cover ml-1"
                                                        src="/front/images/profile/1697049896_1779_photo_%db%b2%db%b0%db%b2%db%b1-%db%b0%db%b5-%db%b3%db%b1_%db%b2%db%b3-%db%b1%db%b4-%db%b3%db%b5.jpg"
                                                        alt=" {{ $post->user->nf }}"
                                                        onerror="this.src='/front/images/user-default-image.jpg'" />
                                                    <h6>
                                                        <a class="dark:hover:text-blue-450 dark:text-white text-gray-400 font-semibold text-xs transition duration-200 hover:text-gray-800"
                                                            href="blogcd64.html?author=1">
                                                            {{ $post->user->nf }}</a>
                                                    </h6>
                                                </div>

                                                @forelse($post->categories as $item)
                                                <div class="flex items-center space-x-reverse space-x-2">
                                                    <a href="{{ route('catblogs', $item->slug) }}"
                                                        class="group flex dark:hover:!text-white dark:bg-blue- dark:hover:text-white dark:!bg-opacity-10 dark:text-blue-950 text-blue-700 items-center px-2 font-semibold text-xs  py-1 rounded bg-blue-40 transition duration-200 hover:bg-blue-700 hover:text-white">
                                                        <svg class="ml-1" width="10" height="10"
                                                            viewBox="0 0 10 10" fill="none"
                                                            xmlns="http://www.w3.org/2000/svg">
                                                            <path
                                                                class="fill-current transition duration-200 text-blue-700 group-hover:text-white"
                                                                fill-rule="evenodd" clip-rule="evenodd"
                                                                d="M5.00525 4.99988C4.77513 4.99988 4.58858 5.18643 4.58858 5.41654C4.58858 5.64666 4.77513 5.83321 5.00525 5.83321L6.67725 5.83321C6.90737 5.83321 7.09392 5.64666 7.09392 5.41654C7.09392 5.18643 6.90737 4.99988 6.67725 4.99988H5.00525ZM3.3335 6.67224C3.10338 6.67224 2.91683 6.85879 2.91683 7.08891C2.91683 7.31903 3.10338 7.50557 3.3335 7.50557L6.6775 7.50557C6.90762 7.50557 7.09416 7.31903 7.09416 7.08891C7.09416 6.85879 6.90762 6.67224 6.6775 6.67224L3.3335 6.67224Z">
                                                            </path>
                                                            <path
                                                                class="stroke-current transition duration-200 text-blue-700 group-hover:text-white"
                                                                d="M7.08323 2.17834C6.6357 2.13634 6.1178 2.11907 5.52165 2.11907C1.83979 2.11907 0.958571 2.77779 0.528906 5.85116C0.46337 6.31993 0.424047 6.73253 0.41753 7.09518M7.08323 2.17834C9.3997 2.39569 9.83099 3.27541 9.47089 5.85116C9.04123 8.92452 8.16001 9.58323 4.47814 9.58323C1.35787 9.58323 0.381319 9.11014 0.41753 7.09518M7.08323 2.17834C7.08323 2.17834 7.14666 1.79476 7.08323 1.28972C6.92699 0.0456842 1.79278 0.208173 1.24992 1.28972C0.417377 2.9484 0.41753 7.09518 0.41753 7.09518"
                                                                stroke-width="0.833333" stroke-linecap="round"
                                                                stroke-linejoin="round"></path>
                                                        </svg>

                                                        {{ $item->name }}
                                                    </a>
                                                </div>
                                            @empty
                                               
                                            @endforelse

                                            </div>

                                            <div class="flex items-center justify-between">
                                                <div class="flex items-center">
                                                    <a href="{{ route('blog', $post) }}#comments"
                                                        class="flex items-center px-1 h-5 ml-2 text-xs text-gray-500 dark:hover:bg-gray-940 dark:hover:text-gray-500 dark:bg-gray-500 dark:bg-opacity-10 dark:text-gray-940 bg-gray-500 bg-opacity-10 rounded">
                                                        <svg class="ml-1" width="12" height="12"
                                                            viewBox="0 0 12 12" fill="none"
                                                            xmlns="http://www.w3.org/2000/svg">
                                                            <path
                                                                d="M5.99646 0.827528C7.17456 0.827528 8.09169 0.881027 8.80899 1.01903C9.52386 1.15656 10.0045 1.37154 10.3411 1.66825C11.0098 2.25772 11.2804 3.32306 11.2804 5.47101C11.2804 6.85518 11.1561 7.87367 10.8215 8.53718C10.661 8.85564 10.4576 9.07995 10.2017 9.22916C9.94304 9.37996 9.59628 9.474 9.11892 9.474C8.5035 9.474 8.0416 9.61219 7.68041 9.85692C7.32786 10.0958 7.11521 10.4085 6.95703 10.6574C6.9331 10.6951 6.91069 10.7307 6.88949 10.7643C6.75685 10.9749 6.67103 11.1111 6.55187 11.2181C6.44568 11.3134 6.29728 11.3954 5.99659 11.3954C5.69593 11.3954 5.54754 11.3133 5.44133 11.218C5.32218 11.1111 5.23635 10.9749 5.10373 10.7643C5.08251 10.7307 5.0601 10.6951 5.03616 10.6574C4.87797 10.4085 4.66531 10.0958 4.31276 9.8569C3.95156 9.61218 3.48966 9.474 2.87424 9.474C2.39941 9.474 2.05376 9.37759 1.79518 9.22368C1.53855 9.07092 1.33387 8.84146 1.17225 8.51818C0.836472 7.84655 0.712507 6.82628 0.712507 5.47101C0.712507 3.35035 0.982347 2.28225 1.65335 1.68581C1.99094 1.38572 2.47232 1.1667 3.18628 1.02566C3.90284 0.884101 4.81936 0.827528 5.99646 0.827528Z"
                                                                stroke="#607496" stroke-width="0.960719"
                                                                stroke-linecap="round" stroke-linejoin="round"></path>
                                                            <path d="M6.47668 4.67017H8.39812" stroke="#607496"
                                                                stroke-width="0.960719" stroke-linecap="round"
                                                                stroke-linejoin="round"></path>
                                                            <path d="M3.59465 6.5918H8.39825" stroke="#607496"
                                                                stroke-width="0.960719" stroke-linecap="round"
                                                                stroke-linejoin="round"></path>
                                                        </svg>
                                                        4 </a>

                                                    <button data-id="3" data-type="blog" data-part="blog"
                                                        data-view="text"
                                                        class="flex group add-like  items-center px-1 h-5 ml-2 text-xs text-red-450 bg-red-700 dark:text-red-650 dark:hover:text-white dark:hover:bg-red-650 bg-opacity-10 rounded transition duration-200 hover:bg-opacity-100 hover:text-white">
                                                        <svg id="likeIcon-3" class="ml-1 -mt-0.5" fill=" none"
                                                            width="13" height="11" viewBox="0 0 13 11"
                                                            xmlns="http://www.w3.org/2000/svg">
                                                            <path
                                                                class="stroke-current transition duration-200 dark:group-hover:bg-red-650 text-red-450 group-hover:text-white"
                                                                d="M3.95035 1.229C4.81955 1.229 5.61243 1.66166 6.21284 2.15457C6.81326 1.66166 7.60614 1.229 8.47534 1.229C10.3497 1.229 11.8691 2.62275 11.8691 4.34192C11.8691 7.80824 7.92382 9.82702 6.62321 10.3984C6.36123 10.5134 6.06445 10.5134 5.80248 10.3984C4.50187 9.827 0.556602 7.80816 0.556602 4.34184C0.556602 2.62267 2.07603 1.229 3.95035 1.229Z"
                                                                stroke="#E81C4D" stroke-width="0.761705"></path>
                                                        </svg>
                                                        <span class="likeCounter-3">0</span>
                                                    </button>

                                                    <button data-id="3" data-type="blog"
                                                        class="group flex items-center px-1 dark:hover:bg-blue-970 dark:hover:text-blue-700 dark:bg-blue-700 dark:text-blue-970 dark:bg-opacity-10 bg-blue-700 bg-opacity-10 h-5 rounded transition duration-200 hover:bg-opacity-100 add-bookmark text-gray-300 ">
                                                        <svg id="bookmarkIcon-3" width="10" height="12"
                                                            fill="none" viewBox="0 0 10 12"
                                                            xmlns="http://www.w3.org/2000/svg">
                                                            <path
                                                                class="stroke-current text-blue-700 group-hover:text-white"
                                                                d="M2.51974 10.651L2.51972 10.651L2.51551 10.654C2.00961 11.009 1.31115 10.6877 1.26272 10.0631C1.20578 9.32899 1.12994 7.98392 1.12995 6.02793V5.99265V5.99264C1.12994 5.21616 1.13036 4.53967 1.18575 3.97518C1.24191 3.40288 1.35849 2.89041 1.62915 2.47298C2.19514 1.60008 3.28533 1.34809 4.99817 1.34104C6.71301 1.33397 7.80474 1.58477 8.37131 2.46321C8.64158 2.88225 8.75804 3.39711 8.81416 3.97134C8.86955 4.538 8.86997 5.21625 8.86995 5.993V6.02794C8.86995 7.98392 8.7941 9.32899 8.73716 10.0631C8.68873 10.6877 7.99029 11.009 7.48439 10.654L7.48441 10.654L7.48016 10.651C7.03638 10.3475 6.6257 10.0207 6.30567 9.76593L6.29989 9.76133C6.15447 9.64555 6.02249 9.54047 5.91897 9.46373C5.7247 9.31973 5.56248 9.2214 5.41218 9.16087C5.24859 9.095 5.11648 9.08089 4.99995 9.08089C4.88342 9.08089 4.75131 9.095 4.58772 9.16088C4.43742 9.2214 4.2752 9.31973 4.08093 9.46373C3.97737 9.54049 3.8453 9.64565 3.69982 9.76147L3.69423 9.76592C3.3742 10.0207 2.96352 10.3475 2.51974 10.651Z"
                                                                stroke-width="0.86" stroke-linecap="round"
                                                                stroke-linejoin="round"></path>
                                                            <path
                                                                class="stroke-current text-blue-700 group-hover:text-white"
                                                                d="M5.86 3.06262C6.29 3.06262 6.505 3.06099 6.8275 3.38265C7.15 3.70432 7.15 4.78095 7.15 5.21094"
                                                                stroke-width="0.86" stroke-linecap="round"
                                                                stroke-linejoin="round"></path>
                                                        </svg>
                                                    </button>
                                                </div>

                                                <div
                                                    class="flex items-center font-medium text-xs dark:text-gray-980 text-gray-400">
                                                    <svg class="ml-1" width="10" height="12"
                                                        viewBox="0 0 10 12" fill="none"
                                                        xmlns="http://www.w3.org/2000/svg">
                                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                                            d="M2.60509 1.45136C2.44111 1.61533 2.36357 1.8075 2.33008 2.00642C2.93427 1.89004 3.6854 1.84615 4.61527 1.84615C5.54514 1.84615 6.29627 1.89004 6.90046 2.00642C6.86697 1.8075 6.78942 1.61533 6.62545 1.45136C6.37407 1.19998 5.82701 0.923077 4.61527 0.923077C3.40353 0.923077 2.85647 1.19998 2.60509 1.45136ZM1.95237 0.798643C1.44953 1.30148 1.38477 1.91343 1.3845 2.30521C0.299759 2.83849 -0.000112534 3.92458 -0.000112534 6C-0.000112534 8.07542 0.299759 9.16151 1.3845 9.69479C1.38477 10.0866 1.44953 10.6985 1.95237 11.2014C2.45099 11.7 3.28854 12 4.61527 12C5.942 12 6.77955 11.7 7.27817 11.2014C7.78101 10.6985 7.84577 10.0866 7.84604 9.69479C8.93079 9.16151 9.23066 8.07542 9.23066 6C9.23066 3.92458 8.93079 2.83849 7.84604 2.30521C7.84577 1.91344 7.78101 1.30149 7.27817 0.798644C6.77955 0.300024 5.942 0 4.61527 0C3.28854 0 2.45099 0.300024 1.95237 0.798643ZM6.90046 9.99358C6.29626 10.11 5.54514 10.1538 4.61527 10.1538C3.68541 10.1538 2.93428 10.11 2.33008 9.99358C2.36357 10.1925 2.44111 10.3847 2.60509 10.5486C2.85647 10.8 3.40353 11.0769 4.61527 11.0769C5.82701 11.0769 6.37407 10.8 6.62545 10.5486C6.78943 10.3847 6.86696 10.1925 6.90046 9.99358ZM1.4998 8.67356C1.15669 8.36477 0.922964 7.73297 0.922964 6C0.922964 4.26703 1.15669 3.63523 1.4998 3.32643C1.67362 3.16999 1.9565 3.02236 2.47171 2.91931C2.99245 2.81515 3.68384 2.76923 4.61527 2.76923C5.54671 2.76923 6.2381 2.81515 6.75883 2.91931C7.27405 3.02236 7.55692 3.16999 7.73075 3.32643C8.07385 3.63523 8.30758 4.26703 8.30758 6C8.30758 7.73297 8.07385 8.36477 7.73075 8.67356C7.55692 8.83001 7.27405 8.97764 6.75883 9.08069C6.2381 9.18485 5.54671 9.23077 4.61527 9.23077C3.68384 9.23077 2.99245 9.18485 2.47171 9.08069C1.9565 8.97764 1.67362 8.83001 1.4998 8.67356Z"
                                                            fill="currentColor"></path>
                                                        <path
                                                            d="M4.61548 4.15381C4.61548 4.15381 4.61548 5.07689 4.61548 5.53842C4.61548 5.99996 4.61547 5.99996 5.07702 5.99996C5.53856 5.99996 6.92317 5.99996 6.92317 5.99996"
                                                            stroke="currentColor" stroke-width="0.923077"
                                                            stroke-linecap="round" stroke-linejoin="round"></path>
                                                    </svg>
                                                    زمان مطالعه: {{$post->time_to_read}}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach


                    </div>

                    <div class="arrow__circls flex items-center justify-center relative">
                        <div class="swiper-button-prev h-4 ml-5 mt-0 left-0 relative swiper-button-disabled">
                            <svg class="text-dark-550 dark:text-white" width="23" height="16" viewBox="0 0 23 16"
                                fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path opacity="0.4"
                                    d="M7.12872 6.34863L2.5608 5.94466C1.53567 5.94466 0.704529 6.7839 0.704529 7.81901C0.704529 8.85412 1.53567 9.69336 2.5608 9.69336L7.12872 9.28938C7.93292 9.28938 8.58491 8.63105 8.58491 7.81901C8.58491 7.00561 7.93292 6.34863 7.12872 6.34863"
                                    fill="currentColor"></path>
                                <path
                                    d="M22.4681 6.42292C22.3967 6.35083 22.13 6.04614 21.8795 5.79314C20.4179 4.20852 16.6016 1.61734 14.6053 0.824345C14.3022 0.697847 13.5357 0.428528 13.1248 0.409485C12.7328 0.409485 12.3583 0.500618 12.0014 0.680164C11.5555 0.931801 11.1999 1.32898 11.0032 1.79689C10.8779 2.12061 10.6812 3.09315 10.6812 3.11084C10.4859 4.17315 10.3795 5.9006 10.3795 7.81032C10.3795 9.62754 10.4859 11.2843 10.6462 12.3643C10.6637 12.3833 10.8604 13.5898 11.0746 14.0033C11.4666 14.7596 12.2331 15.2275 13.0534 15.2275H13.1248C13.6596 15.2098 14.7831 14.7405 14.7831 14.7242C16.673 13.9312 20.399 11.4652 21.897 9.82613C21.897 9.82613 22.3199 9.40447 22.5031 9.14195C22.7887 8.76381 22.9315 8.29591 22.9315 7.828C22.9315 7.30568 22.7712 6.82009 22.4681 6.42292"
                                    fill="currentColor"></path>
                            </svg>
                        </div>
                        <div class="swiper-pagination flex items-center relative"></div>
                        <div class="swiper-button-next h-4 mr-5 right-0 mt-0 relative">
                            <svg class="text-dark-550 dark:text-white" width="23" height="16" viewBox="0 0 23 16"
                                fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path opacity="0.4"
                                    d="M16.5073 6.34863L21.0752 5.94466C22.1003 5.94466 22.9315 6.7839 22.9315 7.81901C22.9315 8.85412 22.1003 9.69336 21.0752 9.69336L16.5073 9.28938C15.7031 9.28938 15.0511 8.63105 15.0511 7.81901C15.0511 7.00561 15.7031 6.34863 16.5073 6.34863"
                                    fill="currentColor"></path>
                                <path
                                    d="M1.16786 6.42292C1.23926 6.35083 1.50598 6.04614 1.75653 5.79314C3.21811 4.20852 7.03437 1.61734 9.03073 0.824345C9.33382 0.697847 10.1003 0.428528 10.5112 0.409485C10.9032 0.409485 11.2776 0.500618 11.6346 0.680164C12.0805 0.931801 12.4361 1.32898 12.6328 1.79689C12.7581 2.12061 12.9548 3.09315 12.9548 3.11084C13.1501 4.17315 13.2565 5.9006 13.2565 7.81032C13.2565 9.62754 13.1501 11.2843 12.9898 12.3643C12.9723 12.3833 12.7756 13.5898 12.5614 14.0033C12.1694 14.7596 11.4029 15.2275 10.5826 15.2275H10.5112C9.97638 15.2098 8.85292 14.7405 8.85292 14.7242C6.96297 13.9312 3.23697 11.4652 1.73902 9.82613C1.73902 9.82613 1.31604 9.40447 1.13284 9.14195C0.84726 8.76381 0.70447 8.29591 0.70447 7.828C0.70447 7.30568 0.864772 6.82009 1.16786 6.42292"
                                    fill="currentColor"></path>
                            </svg>
                        </div>
                    </div>

                </div>
            </section>
            <section class="mb-3 overflow-hidden">
                <div class="hearings__unix items-center grid lg:grid-cols-24 grid-cols-1">
                    <div class="lg:col-span-11 flex lg:justify-start justify-center lg:text-right text-center lg:ml-12 ">
                        <svg class="text-dark-550 lg:ml-4 lg:flex hidden mt-2" width="37" height="34"
                            viewBox="0 0 37 34" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <circle cx="10" cy="24" r="10" fill="currentColor"></circle>
                            <circle cx="30" cy="13" r="7" fill="currentColor" fill-opacity="0.4"></circle>
                            <circle cx="15" cy="4" r="4" fill="currentColor" fill-opacity="0.7"></circle>
                        </svg>
                        <div>
                            <div class="relative">
                                <h3 class="dark:!text-white text-biscay-700 xl:text-4xl text-3xl font-extrabold mb-2">
                                    {{ option('comments_title') }}
                                </h3>
                            </div>
                            <p
                                class="dark:text-gray-940 text-gray-300 lg:text-lg text-base font-normal mb-5  max-w-sm overflow-hidden">
                                {{ option('comments_description') }}
                            </p>

                            <div class="flex items-center justify-between relative">
                                <div class="arrow__circls flex items-center justify-center relative pr-1">
                                    <div class="swiper-button-prev h-4 mt-0 left-0 ml-2 relative">
                                        <svg class="dark:text-white text-dark-550" width="23" height="16"
                                            viewBox="0 0 23 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <path opacity="0.4"
                                                d="M7.12872 6.34863L2.5608 5.94466C1.53567 5.94466 0.704529 6.7839 0.704529 7.81901C0.704529 8.85412 1.53567 9.69336 2.5608 9.69336L7.12872 9.28938C7.93292 9.28938 8.58491 8.63105 8.58491 7.81901C8.58491 7.00561 7.93292 6.34863 7.12872 6.34863"
                                                fill="currentColor"></path>
                                            <path
                                                d="M22.4681 6.42292C22.3967 6.35083 22.13 6.04614 21.8795 5.79314C20.4179 4.20852 16.6016 1.61734 14.6053 0.824345C14.3022 0.697847 13.5357 0.428528 13.1248 0.409485C12.7328 0.409485 12.3583 0.500618 12.0014 0.680164C11.5555 0.931801 11.1999 1.32898 11.0032 1.79689C10.8779 2.12061 10.6812 3.09315 10.6812 3.11084C10.4859 4.17315 10.3795 5.9006 10.3795 7.81032C10.3795 9.62754 10.4859 11.2843 10.6462 12.3643C10.6637 12.3833 10.8604 13.5898 11.0746 14.0033C11.4666 14.7596 12.2331 15.2275 13.0534 15.2275H13.1248C13.6596 15.2098 14.7831 14.7405 14.7831 14.7242C16.673 13.9312 20.399 11.4652 21.897 9.82613C21.897 9.82613 22.3199 9.40447 22.5031 9.14195C22.7887 8.76381 22.9315 8.29591 22.9315 7.828C22.9315 7.30568 22.7712 6.82009 22.4681 6.42292"
                                                fill="currentColor"></path>
                                        </svg>
                                    </div>
                                    <div class="swiper-button-next h-4 right-0 mt-0 relative">
                                        <svg class="dark:text-white text-dark-550" width="23" height="16"
                                            viewBox="0 0 23 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <path opacity="0.4"
                                                d="M16.5073 6.34863L21.0752 5.94466C22.1003 5.94466 22.9315 6.7839 22.9315 7.81901C22.9315 8.85412 22.1003 9.69336 21.0752 9.69336L16.5073 9.28938C15.7031 9.28938 15.0511 8.63105 15.0511 7.81901C15.0511 7.00561 15.7031 6.34863 16.5073 6.34863"
                                                fill="currentColor"></path>
                                            <path
                                                d="M1.16786 6.42292C1.23926 6.35083 1.50598 6.04614 1.75653 5.79314C3.21811 4.20852 7.03437 1.61734 9.03073 0.824345C9.33382 0.697847 10.1003 0.428528 10.5112 0.409485C10.9032 0.409485 11.2776 0.500618 11.6346 0.680164C12.0805 0.931801 12.4361 1.32898 12.6328 1.79689C12.7581 2.12061 12.9548 3.09315 12.9548 3.11084C13.1501 4.17315 13.2565 5.9006 13.2565 7.81032C13.2565 9.62754 13.1501 11.2843 12.9898 12.3643C12.9723 12.3833 12.7756 13.5898 12.5614 14.0033C12.1694 14.7596 11.4029 15.2275 10.5826 15.2275H10.5112C9.97638 15.2098 8.85292 14.7405 8.85292 14.7242C6.96297 13.9312 3.23697 11.4652 1.73902 9.82613C1.73902 9.82613 1.31604 9.40447 1.13284 9.14195C0.84726 8.76381 0.70447 8.29591 0.70447 7.828C0.70447 7.30568 0.864772 6.82009 1.16786 6.42292"
                                                fill="currentColor"></path>
                                        </svg>
                                    </div>
                                </div>
                                <svg class="dark:text-gray-930 text-gray-920 ml-16 transform sm:mt-0 mt-6 sm:rotate-0 rotate-215"
                                    width="81" height="25" viewBox="0 0 81 25" fill="none"
                                    xmlns="http://www.w3.org/2000/svg">
                                    <path
                                        d="M29.1967 14.3986C25.5868 13.9847 22.0069 13.342 18.4784 12.4745C16.792 12.0466 12.2026 11.5965 11.3659 10.0623C14.4789 9.24078 17.802 9.66713 20.9105 8.43793C22.2549 7.90469 24.0976 7.15477 24.3908 5.52325C24.8311 3.10397 22.5994 3.77298 21.0294 3.94254C17.6692 4.3178 14.1955 4.26364 10.8129 4.37265C8.21636 4.45288 2.1991 3.36004 0.75924 6.3001C-0.680619 9.24016 3.70799 12.3632 5.54259 14.087C8.50795 16.9111 11.4369 19.7705 14.422 22.5651C15.2426 23.339 16.7726 25.1362 18.1266 24.8437C19.9916 24.4238 19.3821 22.6707 18.7377 21.448C18.3268 20.6539 12.3485 13.2275 12.3318 13.2334C12.9125 13.059 16.0756 14.503 16.5971 14.6724C18.7851 15.3399 21.0082 15.8863 23.2564 16.3091C29.1409 17.505 35.2798 18.8366 41.3307 18.5846C44.1562 18.4613 46.2644 17.4415 48.7901 16.4024C51.1811 15.4181 53.2468 16.8916 55.7475 17.5098C60.9531 18.7403 66.3814 18.6725 71.5546 17.3125C75.0607 16.4128 83.0583 13.2526 79.9898 8.14036C79.1913 6.81046 77.6537 5.8984 77.713 7.71002C77.7492 8.94395 78.6421 9.14417 78.0975 10.5525C77.6207 11.4769 76.8129 12.1875 75.8353 12.5428C71.3525 14.7964 64.9792 15.3272 60.1138 14.7865C58.2671 14.554 54.5964 13.8444 53.1131 12.6278C51.7956 11.5519 52.7224 10.088 52.4922 8.17502C51.8776 3.22806 46.3507 -1.37941 41.1423 0.48748C33.6157 3.20407 42.2988 11.4021 45.8298 13.4113C42.1694 16.6785 33.3853 14.926 29.1967 14.3986ZM44.3831 4.04077C48.1118 4.66985 49.1864 7.04037 48.6529 10.4538C47.4697 9.70609 38.6072 3.3136 44.3831 4.04077C45.0235 4.15333 43.8802 3.97745 44.3831 4.04077Z"
                                        fill="currentColor"></path>
                                </svg>
                            </div>


                        </div>
                    </div>
                    <div class="lg:col-span-13 xl:pl-5">
                        <div class="swiper hearings__slider py-20" style="overflow: visible">
                            <div class="swiper-wrapper">
                                @for ($i = 1; $i < 4; $i++)
                                <div class="swiper-slide">
                                    <div
                                        class="w-full shadow-sm rounded-xl dark:bg-dark-930 dark:shadow-teacherCardSHadow bg-white lg:px-9 flex-1 px-5 h-full pt-8 pb-6 min-h-290 flex flex-col justify-center">
                                        <div>
                                            <p
                                                class="text-center lg:text-xl text-base font-normal flex-grow overflow-hidden lg:leading-10 leading-7 dark:text-gray-940 text-gray-800 mb-7">
                                                {{ option('comment_user_'.$i.'_content') }}    
                                            </p>
                                        </div>
                                        <div class="flex items-center justify-center">
                                            <div
                                                class="lg:w-16 w-14 lg:h-16 h-14 rounded-full overflow-hidden ml-3 dark:border-white border-4">
                                                <img class="w-full h-full object-cover text-center"
                                                    src="{{ option('comment_user_'.$i.'_pic') }}"
                                                    alt="{{ option('comment_user_'.$i.'_name') }}" />
                                            </div>
                                            <div class="flex flex-col">
                                                <span
                                                    class="dark:text-white text-biscay-700 lg:text-xl text-base font-bold mb-2">
                                                    {{ option('comment_user_'.$i.'_name') }}     
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @endfor
                                
                                
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
    <div id="arcontactus"></div>
    
@endsection

@section('js-page')
@endsection
