@extends('front.layouts.master')
@section('css-page')
    <link rel="stylesheet" href="/front/css/default/reservation.css" />
    <link rel="stylesheet" href="/front/css/jquery.fancybox.min.css" />
@endsection
@section('content')
    <div>
        <section class="mt-10 mb-9">
            <div class="container">


                <div
                    class="bg-white dark:bg-dark-930 rounded-lg dark:shadow-whiteShadow sm:pt-6 pt-3 sm:pb-4 pb-3 shadow-sm">
                    <div>
                        <div class="flex lg:flex-row flex-col items-center xl:px-10 sm:px-5 px-3">
                            <div class="lg:w-8/12 w-full flex flex-col lg:text-right text-center">
                                <div class="flex  items-center md:mb-5 mb-3 ">
                                    <h2 class="text-biscay-700 dark:text-white md:text-5xl text-2xl font-bold inline-block">
                                        {{ $service->name }}</h2>
                                </div>
                                <p
                                    class="text-gray-300 md:text-xl dark:text-gray-910 text-base font-normal md:leading-8 leading-7 mb-5">
                                    {{ $service->description }}</p>
                            </div>

                            <div
                                class="lg:w-2/6 w-full lg:order-last order-first lg:mr-14 lg:h-64 sm:h-80 h-48 lg:mb-0 mb-5 overflow-hidden rounded">
                                <img class="w-full h-full object-cover transform transition duration-200 hover:scale-110"
                                    onerror="this.src='/front/images/default_cover.jpg'" src="/{{ $service->pic_main }}"
                                    alt="{{$service->name}}" />
                            </div>
                        </div>
                        <hr class="mt-7 mb-5 border-gray-100 mx-4" />
                        <div class="flex items-center sm:flex-row flex-col justify-between md:px-10 px-5">
                            <ul class="flex items-center">
                                <li class="ml-7 flex items-center cursor-pointer group">
                                    <div class="flex items-center add-like  login_req" data-id="3" data-type="service"
                                        data-part="service" data-view="icon">
                                        <svg class="ml-1" width="24" height="19" viewBox="0 0 24 19" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <path
                                                class="likeIcon fill-current text-dark-350 text-gray-300 group-hover:text-red-450"
                                                fill-rule="evenodd" clip-rule="evenodd"
                                                d="M7.60977 0C3.74605 0 0.511719 2.89525 0.511719 6.5867C0.511719 10.1217 2.52013 12.8603 4.7213 14.8002C6.92648 16.7437 9.42643 17.9791 10.6576 18.5217C11.3636 18.8328 12.1658 18.8328 12.8719 18.5217C14.103 17.9792 16.603 16.7437 18.8081 14.8003C21.0093 12.8604 23.0177 10.1218 23.0177 6.58685C23.0177 2.89543 19.7834 0 15.9197 0C14.3158 0 12.8825 0.676635 11.7647 1.47662C10.647 0.676635 9.21366 0 7.60977 0Z" />
                                        </svg>
                                        <span
                                            class="likeCounter text-dark-550 font-medium text-17 mt-1 group-hover:text-red-450">0</span>
                                    </div>
                                </li>
                                <li class="ml-7 flex items-center cursor-pointer group">
                                    <a href="%d8%b1%d9%86%da%af-%d9%85%d9%88.html#comments-list" class="flex items-center">
                                        <svg class="ml-1" width="23" height="23" viewBox="0 0 23 23" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <path class="fill-current text-gray-300 group-hover:text-green-700"
                                                fill-rule="evenodd" clip-rule="evenodd"
                                                d="M11.6397 0C20.9066 0 22.8927 1.66715 22.8927 10.0027C22.8927 15.4208 21.9552 18.755 17.7353 18.755C15.4802 18.755 14.8094 19.8263 14.1847 20.8238C13.6405 21.6929 13.1313 22.506 11.6399 22.506C10.1487 22.506 9.63949 21.6929 9.09526 20.8238C8.47058 19.8263 7.79973 18.755 5.54457 18.755C1.3247 18.755 0.386719 15.3142 0.386719 10.0027C0.386719 1.76547 2.37287 0 11.6397 0ZM12.5775 7.502C12.5775 6.9841 12.9973 6.56425 13.5152 6.56425H16.3285C16.8464 6.56425 17.2662 6.9841 17.2662 7.502C17.2662 8.01991 16.8464 8.43975 16.3285 8.43975H13.5152C12.9973 8.43975 12.5775 8.01991 12.5775 7.502ZM6.95097 10.3153C6.43306 10.3153 6.01322 10.7351 6.01322 11.253C6.01322 11.7709 6.43306 12.1908 6.95097 12.1908H16.3285C16.8464 12.1908 17.2662 11.7709 17.2662 11.253C17.2662 10.7351 16.8464 10.3153 16.3285 10.3153H6.95097Z" />
                                        </svg>
                                        <span
                                            class="text-dark-550 font-medium text-17 mt-1 dark:text-dark-200 group-hover:text-green-700">0</span>
                                    </a>
                                </li>
                                <li class="ml-7 last:ml-0 flex items-center cursor-pointer group">
                                    <div class="flex items-center add-bookmark  login_req" wire:click="bookmark"
                                        data-id="3" data-type="service">
                                        <span class="transform md:scale-100 scale-75">
                                            <svg class="bookmarkIcon ml-1 text-gray-300 group-hover:text-blue-700"
                                                width="20" height="20" viewBox="0 0 20 24" fill="none"
                                                xmlns="http://www.w3.org/2000/svg">
                                                <path class="fill-current"
                                                    d="M4.23184 22.6504L4.2318 22.6503L4.22199 22.6572C3.04557 23.4827 1.42138 22.7355 1.30875 21.2832C1.17635 19.576 0.999972 16.4481 1 11.8995V11.8175V11.8174C0.999969 10.0118 1.00095 8.43863 1.12977 7.12592C1.26037 5.79506 1.53145 4.60334 2.16086 3.63263C3.47704 1.60273 6.01221 1.01675 9.99537 1.00034C13.9832 0.983922 16.5219 1.56713 17.8395 3.6099C18.468 4.58436 18.7388 5.78163 18.8693 7.11699C18.9981 8.43473 18.9991 10.012 18.999 11.8183V11.8995C18.999 16.4481 18.8226 19.576 18.6902 21.2832C18.5776 22.7355 16.9534 23.4827 15.777 22.6572L15.7771 22.6571L15.7672 22.6504C14.7352 21.9445 13.7802 21.1846 13.036 20.5921L13.0227 20.5815C12.6844 20.3122 12.3775 20.0678 12.1367 19.8893C11.6849 19.5545 11.3077 19.3258 10.9582 19.185C10.5777 19.0318 10.2705 18.999 9.99952 18.999C9.72852 18.999 9.4213 19.0318 9.04088 19.185C8.69134 19.3258 8.31411 19.5545 7.86233 19.8893C7.62156 20.0678 7.3145 20.3123 6.97629 20.5815L6.96307 20.5921C6.21886 21.1846 5.26383 21.9445 4.23184 22.6504Z"
                                                    stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                                <path class="stroke-current"
                                                    d="M11.999 5.00391C12.999 5.00391 13.499 5.00011 14.2489 5.74813C14.9989 6.49615 14.9989 8.99982 14.9989 9.99976"
                                                    stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                            </svg>
                                        </span>
                                        <span
                                            class="bookmarkCounter text-dark-550 font-medium text-17 mt-1 dark:group-hover:text-blue-450 group-hover:text-blue-700">0</span>
                                    </div>
                                </li>
                            </ul>
                            <div class="flex sm:mt-0 mt-5 items-center">
                                <span class="text-gray-300 dark:text-dark-200 font-normal text-15 ml-3"> اشتراک گذاری:
                                </span>
                                <div class="flex items-center">
                                    <a href="https://telegram.me/share/url?url={{ url()->full()}}&amp;text={{$service->name}}"
                                        class="ml-3 cursor-pointer group">
                                        <svg width="24" height="20" viewBox="0 0 24 20" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <path class="fill-current text-gray-300 group-hover:text-blue-700"
                                                fill-rule="evenodd" clip-rule="evenodd"
                                                d="M18.3844 19.779C18.7064 20.007 19.1214 20.064 19.4914 19.924C19.8614 19.783 20.1334 19.467 20.2154 19.084C21.0844 15 23.1924 4.66303 23.9834 0.948026C24.0434 0.668026 23.9434 0.377026 23.7234 0.190026C23.5034 0.00302622 23.1984 -0.0509739 22.9264 0.0500261C18.7334 1.60203 5.8204 6.44703 0.542398 8.40003C0.207398 8.52402 -0.0106021 8.84603 0.000397854 9.19903C0.0123979 9.55303 0.250398 9.86003 0.593398 9.96303C2.9604 10.671 6.0674 11.656 6.0674 11.656C6.0674 11.656 7.5194 16.041 8.2764 18.271C8.3714 18.551 8.5904 18.771 8.8794 18.847C9.1674 18.922 9.4754 18.843 9.6904 18.64C10.9064 17.492 12.7864 15.717 12.7864 15.717C12.7864 15.717 16.3584 18.336 18.3844 19.779ZM7.3744 11.102L9.0534 16.64L9.4264 13.133C9.4264 13.133 15.9134 7.28203 19.6114 3.94703C19.7194 3.84903 19.7344 3.68503 19.6444 3.57003C19.5554 3.45503 19.3914 3.42803 19.2684 3.50603C14.9824 6.24303 7.3744 11.102 7.3744 11.102Z"
                                                fill="#98A3B8" />
                                        </svg>
                                    </a>
                                    <a href="https://twitter.com/share?text={{$service->name}}&amp;url={{ url()->full()}}"
                                        class="cursor-pointer group">
                                        <svg width="24" height="20" viewBox="0 0 24 20" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <path class="fill-current text-gray-300 group-hover:text-blue-700"
                                                d="M24 2.309C23.117 2.701 22.168 2.965 21.172 3.084C22.189 2.475 22.97 1.51 23.337 0.36C22.386 0.924 21.332 1.334 20.21 1.555C19.313 0.598 18.032 0 16.616 0C13.437 0 11.101 2.966 11.819 6.045C7.728 5.84 4.1 3.88 1.671 0.901C0.381 3.114 1.002 6.009 3.194 7.475C2.388 7.449 1.628 7.228 0.965 6.859C0.911 9.14 2.546 11.274 4.914 11.749C4.221 11.937 3.462 11.981 2.69 11.833C3.316 13.789 5.134 15.212 7.29 15.252C5.22 16.875 2.612 17.6 0 17.292C2.179 18.689 4.768 19.504 7.548 19.504C16.69 19.504 21.855 11.783 21.543 4.858C22.505 4.163 23.34 3.296 24 2.309Z" />
                                        </svg>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section>
            <div class="container">
                <div class="md:grid lg:grid-cols-24 gap-3 mb-20">
                    <div x-data="serviceQuickHeader()" @scroll.window="scrollingController()"
                        class="xl:col-span-18 lg:col-span-17">
                        <div
                            class="py-4 shadow-sm overflow-x-auto bg-white dark:bg-dark-930 rounded-lg mb-8 sticky top-1 z-30">
                            <ul class="flex items-center px-6  quick_acsess_header">

                                <li class="ml-8 sm:w-fit-content ">
                                    <button @click="scrollContoroller($refs.reservation_box.offsetTop)"
                                        class="text-15 whitespace-nowrap text-gray-300 dark:hover:text-white hover:text-gray-700 duration-200 transition flex items-center"
                                        :class="{ 'dark:!text-white quick_access_active_style': quickAccessCondition === 'reservation' }">
                                        <i class="ml-1 w-1 h-1 rounded-full flex"
                                            :class="{ 'dark:!bg-white quick_access_active_style ': quickAccessCondition === 'reservation' }"></i>
                                        رزرو نوبت
                                    </button>
                                </li>

                                <li class="ml-8 sm:w-fit-content ">
                                    <button @click="scrollContoroller($refs.descriptionBox.offsetTop)"
                                        class="text-15 whitespace-nowrap text-gray-300 dark:hover:text-white hover:text-gray-700 duration-200 transition flex items-center"
                                        :class="{ 'dark:!text-white quick_access_active_style ': quickAccessCondition === 'description' }">
                                        <i class="ml-1 w-1 h-1 rounded-full flex"
                                            :class="{ 'dark:!bg-white quick_access_active_style ': quickAccessCondition === 'description' }"></i>
                                        توضیحات
                                    </button>
                                </li>

                                {{-- <li class="ml-8 sm:w-fit-content ">
                                    <button @click="scrollContoroller($refs.sessionsBoxTop.offsetTop)"
                                        class="text-15 whitespace-nowrap text-gray-300 dark:hover:text-white hover:text-gray-700 duration-200 transition  flex items-center "
                                        :class="{ ' dark:!text-white quick_access_active_style': quickAccessCondition === 'sessions' }">
                                        <i class=" ml-1 w-1 h-1 rounded-full flex"
                                            :class="{ 'dark:!bg-white quick_access_active_style ': quickAccessCondition === 'sessions' }"></i>
                                        جلسات ترمیم
                                    </button>
                                </li> --}}

                                <li class="ml-8 sm:w-fit-content ">
                                    <button @click="scrollContoroller($refs.staffsBoxTop.offsetTop)"
                                        class="text-15 whitespace-nowrap text-gray-300 dark:hover:text-white hover:text-gray-700 duration-200 transition  flex items-center "
                                        :class="{ ' dark:!text-white quick_access_active_style': quickAccessCondition === 'staffs' }">
                                        <i class=" ml-1 w-1 h-1 rounded-full flex"
                                            :class="{ 'dark:!bg-white quick_access_active_style ': quickAccessCondition === 'staffs' }"></i>
                                      پزشک مشاور
                                    </button>
                                </li>

                                {{-- <li class="ml-8 sm:w-fit-content ">
                                    <button @click="scrollContoroller($refs.portfolioBoxTop.offsetTop)"
                                        class="text-15 whitespace-nowrap text-gray-300 dark:hover:text-white hover:text-gray-700 duration-200 transition  flex items-center "
                                        :class="{ ' dark:!text-white quick_access_active_style': quickAccessCondition === 'portfolio' }">
                                        <i class=" ml-1 w-1 h-1 rounded-full flex"
                                            :class="{ 'dark:!bg-white quick_access_active_style ': quickAccessCondition === 'portfolio' }"></i>
                                        نمونه کار انجام شده
                                    </button>
                                </li> --}}

                                <li class="ml-8 sm:w-fit-content ">
                                    <button @click="scrollContoroller($refs.commentBox.offsetTop)"
                                        class="text-15 whitespace-nowrap text-gray-300 dark:hover:text-white hover:text-gray-700 duration-200 transition flex items-center"
                                        :class="{ 'dark:!text-white quick_access_active_style': quickAccessCondition === 'comment' }">
                                        <i class="ml-1 w-1 h-1 rounded-full flex"
                                            :class="{ 'dark:!bg-white quick_access_active_style ': quickAccessCondition === 'comment' }"></i>
                                        دیدگاه و پرسش
                                    </button>
                                </li>
                            </ul>
                        </div>

                        <div id="reservation_box" x-ref="reservation_box"
                            @scroll.window="reservationBoxTop = $refs.reservation_box.offsetTop - 150"
                            class="bg-white dark:bg-dark-930 shadow-sm rounded-lg md:px-10 sm:px-5 px-3 py-9 mb-8">
                            <div id="reservation_box">
                                <h4
                                    class="text-blue-700 dark:text-white text-28 font-bold sm:text-right text-center  flex  sm:justify-start justify-center items-center mb-4">
                                    <i class="bg-blue-700 dark:bg-white ml-1 w-2 h-2 rounded-full sm:flex hidden"></i>
                                    رزرو نوبت
                                </h4>

                                <span class="content-area sm:text-right text-right">
                                    <ul>
                                        <li>
                                            در جدول زیر شما می توانید لیستی از زمان های در دسترس را برای   {{$service->name}} ببینید.
                                        </li>
                                        <li>
                                            برای رزرو، روی زمان مورد نظر کلیک کنید.
                                        </li>
                                        <li>
                                            با انتخاب زمان، به مدت {{$service->expire_at}} دقیقه وقت دارید که رزرو خود را تکمیل نمایید در غیر
                                            اینصورت زمان انتخابی برای شما لغو می شود.
                                        </li>
                                        <li>
                                            برای مشاهده زمان های بیشتر، در ستون هر روز می توانید اسکرول کنید
                                        </li>
                                    </ul>
                                </span>
                                <div class="relative items-center overflow-hidden">
                                    <div id="boxBookingContainer" class="box boxTakingTurnsOnline">
                                        <div class="ContentCenter01 ContentCenterTakingTurnsOnline">
                                            <div class="select-date bg-blue-700 dark:text-white dark:bg-dark-900">
                                                <ul class="select-MonthYear">
                                                    <li>
                                                        <a id="btnPrevMonthMatabSetTime" title="ماه قبل"></a>
                                                    </li>
                                                    <li>
                                                        <span class="text-white ml-1" id="lblMonthMatabSetTime">{{jdate()->format('F')}}</span>
                                                        <span class="text-white" id="lblYearMatabSetTime">{{jdate()->format('Y')}}</span>
                                                        <span class="text-white" id="lblYearMatabSetTimeCu"
                                                            style="display: none; visibility: hidden">{{jdate()->format('m')}}</span>
                                                    </li>
                                                    <li>
                                                        <a id="btnNextMonthMatabSetTime" title="ماه بعد"></a>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="btn-options bg-white dark:bg-dark-930">
                                                <input id="btnGetFirstVisit" class="k-button" type="button"
                                                    value="اولین وقت خالی" onclick="getFirstVisit()">
                                                <input id="btnToday" class="k-button" type="button" value="امروز"
                                                    onclick="getTodayDate()">
                                            </div>

                                            <div class="clear"></div>
                                        </div>
                                        <div class="ContentFooter01 ContentFooterTakingTurnsOnline">
                                            <div id="TimeSpans" class="show-less"></div>
                                            <div id="LoaderTimes" class="loader">
                                                <div class="loaders">
                                                    <div class="loader">
                                                        <div class="ball-spin-fade-loader">
                                                            <div></div>
                                                            <div></div>
                                                            <div></div>
                                                            <div></div>
                                                            <div></div>
                                                            <div></div>
                                                            <div></div>
                                                            <div></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <div
                                    class="flex mt-4 mb-4 relative items-center overflow-hidden justify-between border rounded-lg  border-gray-210 py-4 pr-6 pl-8">
                                    <div class="flex items-center">
                                        <span
                                            class="text-gray-300 dark:text-gray-910 text-base sm:text-xl text-sm font-semibold pl-7 ml-5 border-l border-gray-210">
                                            لطفا توجه کنید:
                                        </span>
                                        <span class="text-gray-300 dark:text-gray-910 text-base font-medium text-lg">
                                            وقت هایی که با برچسب VIP مشخص شده اند وقت های VIP هستند که هزینه های آن بیشتر
                                            است
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div id="description_box" x-ref="descriptionBox"
                            @scroll.window="descriptionBoxTop = $refs.descriptionBox.offsetTop - 150"
                            class="bg-white dark:bg-dark-930 shadow-sm rounded-lg md:px-10 sm:px-5 px-3 py-9 mb-8">
                            <h4
                                class="text-blue-700 dark:text-white text-28 font-bold sm:text-right text-center  flex  sm:justify-start justify-center items-center mb-4">
                                <i class="bg-blue-700 dark:bg-white ml-1 w-2 h-2 rounded-full sm:flex hidden"></i>
                                توضیحات
                            </h4>
                            <div class="content-area loadmore sm:text-right text-center" :class="{ 'loadmore': expander }"
                                x-data="{ expander: true }" x-init="() => {
                                    if (document.querySelector('.content-area').offsetHeight >= 700) {
                                        expander = true;
                                    }
                                }">
                                {!! $service->tozihat !!}

                                <div id="expander" class="flex items-center" x-show="expander">
                                    <button @click="expander = false"
                                        class="text-gray-300 flex items-center md:text-22 text-sm font-medium px-4 py-2 border border-gray-210 rounded-lg absolute right-1/2 bottom-0 transform bg-white translate-x-1/2 hover:bg-gray-300 hover:text-white transition duration-200">
                                        ادامه مطلب
                                        <span class="mr-2">
                                            <svg width="24" height="14" viewBox="0 0 24 14" fill="none"
                                                xmlns="http://www.w3.org/2000/svg">
                                                <path fill-rule="evenodd" clip-rule="evenodd"
                                                    d="M0.441643 5.89359C-0.147214 6.53437 -0.147214 7.46563 0.441643 8.10641C2.25469 10.0793 6.54403 14 12 14C17.456 14 21.7453 10.0793 23.5584 8.10641C24.1472 7.46563 24.1472 6.53437 23.5584 5.89359C21.7453 3.92067 17.456 0 12 0C6.54403 0 2.25469 3.92067 0.441643 5.89359ZM12 2C7.68339 2 4.04578 5.05757 2.20582 7C4.04578 8.94243 7.68339 12 12 12C16.3166 12 19.9542 8.94243 21.7942 7C19.9542 5.05757 16.3166 2 12 2Z"
                                                    fill="currentColor" fill-opacity="0.4"></path>
                                                <path fill-rule="evenodd" clip-rule="evenodd"
                                                    d="M9 7C9 8.65685 10.3431 10 12 10C13.6569 10 15 8.65685 15 7C15 5.34315 13.6569 4 12 4C10.3431 4 9 5.34315 9 7ZM11 7C11 7.55228 11.4477 8 12 8C12.5523 8 13 7.55228 13 7C13 6.44772 12.5523 6 12 6C11.4477 6 11 6.44772 11 7Z"
                                                    fill="currentColor"></path>
                                            </svg>
                                        </span>
                                    </button>
                                </div>
                            </div>

                        </div>

                        {{-- <div id="sessions-list" x-ref="sessionsBoxTop"
                            @scroll.window="sessionsBoxTop = $refs.sessionsBoxTop.offsetTop - 150"
                            class="bg-white dark:bg-dark-930 shadow-sm rounded-lg md:px-10 sm:px-5 px-3 py-9 mb-8">
                            <h4
                                class="text-blue-700 dark:text-white text-28 font-bold sm:text-right text-center  flex  sm:justify-start justify-center items-center mb-4">
                                <i class="bg-blue-700 dark:bg-white ml-1 w-2 h-2 rounded-full sm:flex hidden"></i>
                                جلسات ترمیم
                            </h4>

                            <div
                                class="flex mb-4 relative items-center overflow-hidden justify-between border rounded-lg  border-gray-210 py-4 pr-6 pl-8">
                                <div class="flex items-center  ">
                                    <span class="text-gray-300 dark:text-gray-910 text-base font-medium text-lg">
                                        توضیحی در مورد جلسات ترمیم این خدمت ارائه نشده است.
                                    </span>
                                </div>
                            </div>
                        </div> --}}

                        <div id="staffs-list" x-ref="staffsBoxTop"
                            @scroll.window="staffsBoxTop = $refs.staffsBoxTop.offsetTop - 150"
                            class="bg-white dark:bg-dark-930 shadow-sm rounded-lg md:px-10 sm:px-5 px-3 py-9 mb-8">
                            <h4
                                class="text-blue-700 dark:text-white text-28 font-bold sm:text-right text-center  flex  sm:justify-start justify-center items-center mb-4">
                                <i class="bg-blue-700 dark:bg-white ml-1 w-2 h-2 rounded-full sm:flex hidden"></i>
                               پزشک مشاور
                            </h4>

                            <div class="container">
                                <div class="px-6 ">
                                    <div class="grid lg:grid-cols-3 md:grid-cols-3 sm:grid-cols-2 gap-10">
                                      @foreach ($service->tariffs as $item)
                                      <div
                                      class="about_us_mey_team flex flex-col items-center border-2 transition duration-200 hover:shadow-sm border-blue-700 border-opacity-10 rounded-xl pt-8 pb-9 ">
                                      <div class="relative " style="" x-data="{ hover: false }"
                                          @mouseenter="hover = true" @mouseleave="hover = false">
                                          <div
                                              class="bdr-ripple-ani-btn pink two w-24  h-24 mb-5  transform transition duration-200  rounded-full border-4 ring-4 ring-blue-700 ring-opacity-10 border-blue-700 border-opacity-30 overflow-hidden bg-gray-300 group relative rounded-full overflow-hidden border-4 border-solid border-gray-100">
                                              <a
                                                  href="staffs/1000/%d9%87%d8%a7%d9%86%db%8c%d9%87-%d8%ba%d9%84%d8%a7%d9%85%db%8c.html">
                                                  <img class="transition duration-200 transform group-hover:scale-110 w-full h-full" onerror="this.src='/front/images/default_staff.png'" src="/front/images/staffs/1680820151_55.jpg" alt="تصویر زیبا کرمعلی">
                                                  <div
                                                      class="w-full h-full absolute top-0 right-0 bg-biscay-700 bg-opacity-20 z-0">
                                                  </div>
                                              </a>
                                          </div>
                                      </div>
                                      <h4 class="leading-4">
                                          <a href="staffs/1000/%d9%87%d8%a7%d9%86%db%8c%d9%87-%d8%ba%d9%84%d8%a7%d9%85%db%8c.html"
                                              class="text-blue-700 text-19 font-bold dark:text-blue-450 dark:hover:text-white hover:text-gray-900 transition duration-200 text-lg leading-3">
                                              {{$item->persenel->nf}}</a>
                                      </h4>
                                    
                                  </div>
                                      @endforeach
                                        
                                    </div>
                                </div>
                            </div>
                        </div>

                        {{-- <div id="portfolio-list" x-ref="portfolioBoxTop"
                            @scroll.window="portfolioBoxTop = $refs.portfolioBoxTop.offsetTop - 150"
                            class="bg-white dark:bg-dark-930 shadow-sm rounded-lg md:px-10 sm:px-5 px-3 py-9 mb-8">
                            <h4
                                class="text-blue-700 dark:text-white text-28 font-bold sm:text-right text-center  flex  sm:justify-start justify-center items-center mb-4">
                                <i class="bg-blue-700 dark:bg-white ml-1 w-2 h-2 rounded-full sm:flex hidden"></i>
                                نمونه کار انجام شده
                            </h4>

                            <div class="overflow-hidden justify-between rounded-lg border-gray-210 py-4 pr-6 pl-8">
                                <div class="carousel-gallery">
                                    <div class="swiper-container">
                                        <div class="swiper-wrapper">
                                            <div class="swiper-slide">
                                                <a href="/front/images/services/portfolio/1680835203_102.jpg"
                                                    title="" data-caption="" data-fancybox="gallery">
                                                    <div class="image"
                                                        style="background-image: url(/front/images/services/portfolio/1680835203_102.jpg)">
                                                        <div class="overlay">
                                                            <em class="mdi mdi-magnify-plus"></em>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="swiper-slide">
                                                <a href="/front/images/services/portfolio/1680834894_101.jpg"
                                                    title="" data-caption="" data-fancybox="gallery">
                                                    <div class="image"
                                                        style="background-image: url(/front/images/services/portfolio/1680834894_101.jpg)">
                                                        <div class="overlay">
                                                            <em class="mdi mdi-magnify-plus"></em>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="swiper-slide">
                                                <a href="/front/images/services/portfolio/1680834485_104.jpg"
                                                    title="" data-caption="" data-fancybox="gallery">
                                                    <div class="image"
                                                        style="background-image: url(/front/images/services/portfolio/1680834485_104.jpg)">
                                                        <div class="overlay">
                                                            <em class="mdi mdi-magnify-plus"></em>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="swiper-slide">
                                                <a href="/front/images/services/portfolio/1680834983_100.jpg"
                                                    title="" data-caption="" data-fancybox="gallery">
                                                    <div class="image"
                                                        style="background-image: url(/front/images/services/portfolio/1680834983_100.jpg)">
                                                        <div class="overlay">
                                                            <em class="mdi mdi-magnify-plus"></em>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="swiper-pagination"></div>
                                    </div>
                                </div>
                            </div>
                        </div> --}}

                        <section>
                            <div class="container">
                                <div>
                                    <div class="flex items-center justify-between sm:flex-row flex-col mb-20">
                                        <div class="flex items-center self-start sm:mb-0 mb-3">
                                            <svg class="text-dark-550 dark:text-white" width="37" height="34"
                                                viewBox="0 0 37 34" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <circle cx="10" cy="24" r="10" fill="currentColor">
                                                </circle>
                                                <circle cx="30" cy="13" r="7" fill="currentColor"
                                                    fill-opacity="0.4"></circle>
                                                <circle cx="15" cy="4" r="4" fill="currentColor"
                                                    fill-opacity="0.7"></circle>
                                            </svg>
                                            <h3
                                                class="text-biscay-700 font-extrabold sm:text-4xl text-2xl mr-2 dark:text-white">
                                                خدمات مشابه</h3>
                                        </div>
                                        <div class="self-end">
                                            <a href="../services.html"
                                                class="group mt-2 md:mt-0 flex items-center text-dark-550 dark:text-white -mb-1 sm:text-22 text-base transform transition duration-200  hover:text-dark-700">
                                                مشاهده همه خدمات
                                                <svg width="23" height="15" viewBox="0 0 23 15" fill="none"
                                                    xmlns="http://www.w3.org/2000/svg" class="mr-3">
                                                    <path fill="currentColor" opacity="0.4"
                                                        d="M16.5073 5.95326L21.0753 5.54929C22.1004 5.54929 22.9315 6.38853 22.9315 7.42364C22.9315 8.45875 22.1004 9.29799 21.0753 9.29799L16.5073 8.89401C15.7031 8.89401 15.0511 8.23568 15.0511 7.42364C15.0511 6.61024 15.7031 5.95326 16.5073 5.95326">
                                                    </path>
                                                    <path fill="currentColor"
                                                        d="M1.16789 6.02753C1.23929 5.95544 1.50601 5.65076 1.75657 5.39776C3.21814 3.81313 7.0344 1.22195 9.03076 0.428959C9.33385 0.302461 10.1003 0.0331419 10.5112 0.0140991C10.9032 0.0140991 11.2777 0.105232 11.6347 0.284778C12.0805 0.536415 12.4362 0.933592 12.6328 1.4015C12.7581 1.72523 12.9548 2.69777 12.9548 2.71545C13.1501 3.77776 13.2565 5.50521 13.2565 7.41493C13.2565 9.23215 13.1501 10.8889 12.9898 11.9689C12.9723 11.9879 12.7756 13.1944 12.5614 13.6079C12.1694 14.3642 11.403 14.8321 10.5826 14.8321H10.5112C9.97641 14.8144 8.85295 14.3451 8.85295 14.3288C6.963 13.5358 3.237 11.0698 1.73905 9.43074C1.73905 9.43074 1.31607 9.00908 1.13287 8.74656C0.84729 8.36843 0.704501 7.90052 0.704501 7.43261C0.704501 6.9103 0.864802 6.42471 1.16789 6.02753">
                                                    </path>
                                                </svg>
                                            </a>
                                        </div>
                                    </div>

                                    <div class="grid grid-cols-12 gap-6">
                                        @foreach ($services as $item)
                                            <div class="xl:col-span-4 md:col-span-4 sm:col-span-6 col-span-12 mb-15">
                                                <div
                                                    class="shadow-smswiper-slide-active rounded-lg bg-white dark:bg-dark-930 relative pt-32 flex justify-center h-full">
                                                    <div class="absolute -top-12 w-full px-4">
                                                        <a href="111.html"
                                                            class="inline-block h-40 overflow-hidden w-full rounded-lg">
                                                            <img class="w-full h-full object-cover transform transition duration-200 hover:scale-110"
                                                                onerror="this.src='/front/images/default_cover.jpg'"
                                                                src="/{{$item->pic_main}}"
                                                                alt="{{$item->name}}" />
                                                        </a>
                                                    </div>
                                                    <div class="flex flex-col flex-1 w-full space-y-2">
                                                        <div class="px-4 flex flex-col flex-grow"
                                                            style="min-height: 120px">
                                                            <a href="111.html" class="mb-2 inline-block">
                                                                <span
                                                                    class="text-xl font-bold text-gray-800 dark:hover:text-blue-450 dark:text-white hover:text-blue-700 duration-200 transition">{{$item->name}}</span>
                                                            </a>
                                                            <p
                                                                class="mb-2 text-gray-360 dark:text-gray-940 text-sm font-normal overflow-hidden leading-6">
                                                                {{$item->description}}
                                                            </p>
                                                        </div>
                                                        <div>
                                                            <div
                                                                class="flex justify-center border-t border-gray-300 border-opacity-10">
                                                                <a href="111.html"
                                                                    class="flex items-center my-4 transform group 0 font-bold text-base transition duration-200 dark:hover:text-gray-20 hover:text-dark-700 text-blue-700 dark:text-blue-950">
                                                                    <span>مشاهده جزئیات و رزرو نوبت</span>
                                                                    <svg class="mr-1 -mt-0.5" width="26"
                                                                        height="25" viewBox="0 0 26 25" fill="none"
                                                                        xmlns="http://www.w3.org/2000/svg">
                                                                        <path fill="currentColor" opacity="0.4"
                                                                            d="M16.7544 11.5347L20.5098 11.2026C21.3525 11.2026 22.0358 11.8925 22.0358 12.7435C22.0358 13.5945 21.3525 14.2844 20.5098 14.2844L16.7544 13.9523C16.0933 13.9523 15.5573 13.4111 15.5573 12.7435C15.5573 12.0748 16.0933 11.5347 16.7544 11.5347Z">
                                                                        </path>
                                                                        <path fill="currentColor"
                                                                            d="M4.14372 11.5957C4.20242 11.5365 4.42169 11.286 4.62767 11.078C5.82925 9.77526 8.96663 7.64503 10.6079 6.9931C10.857 6.8891 11.4872 6.66769 11.8249 6.65204C12.1472 6.65204 12.4551 6.72696 12.7485 6.87457C13.1151 7.08144 13.4075 7.40796 13.5692 7.79263C13.6722 8.05877 13.8338 8.85831 13.8338 8.87285C13.9944 9.74619 14.0819 11.1663 14.0819 12.7363C14.0819 14.2303 13.9944 15.5923 13.8626 16.4802C13.8482 16.4958 13.6866 17.4877 13.5105 17.8276C13.1882 18.4494 12.5581 18.8341 11.8836 18.8341H11.8249C11.3853 18.8195 10.4617 18.4337 10.4617 18.4203C8.90794 17.7684 5.84475 15.741 4.61328 14.3936C4.61328 14.3936 4.26554 14.0469 4.11493 13.8311C3.88015 13.5202 3.76276 13.1355 3.76276 12.7509C3.76276 12.3215 3.89455 11.9223 4.14372 11.5957Z">
                                                                        </path>
                                                                    </svg>
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach



                                    </div>
                                </div>
                            </div>
                        </section>

                        <div class="mb-4" x-ref="commentBox"
                            @scroll.window="commentBoxTop = $refs.commentBox.offsetTop - 150">
                            <div wire:id="STK7guQF429azWp2OAaY"
                                wire:initial-data="{&quot;fingerprint&quot;:{&quot;id&quot;:&quot;STK7guQF429azWp2OAaY&quot;,&quot;name&quot;:&quot;comments.index&quot;,&quot;locale&quot;:&quot;fa&quot;,&quot;path&quot;:&quot;services\/رنگ-مو&quot;,&quot;method&quot;:&quot;GET&quot;,&quot;v&quot;:&quot;acj&quot;},&quot;effects&quot;:{&quot;listeners&quot;:[],&quot;path&quot;:&quot;https://reservation.unixscript.ir/services\/رنگ-مو&quot;},&quot;serverMemo&quot;:{&quot;children&quot;:{&quot;1462081834&quot;:{&quot;id&quot;:&quot;item-3&quot;,&quot;tag&quot;:&quot;div&quot;},&quot;l1387761536-0&quot;:{&quot;id&quot;:&quot;Qj1QejDm7qrpBuQeSEF4&quot;,&quot;tag&quot;:&quot;div&quot;}},&quot;errors&quot;:[],&quot;htmlHash&quot;:&quot;a4153779&quot;,&quot;data&quot;:{&quot;readyToLoad&quot;:false,&quot;subject&quot;:[],&quot;pagination&quot;:12,&quot;class&quot;:null,&quot;page&quot;:1,&quot;paginators&quot;:{&quot;page&quot;:1}},&quot;dataMeta&quot;:{&quot;models&quot;:{&quot;subject&quot;:{&quot;class&quot;:&quot;App\\Article&quot;,&quot;id&quot;:5950,&quot;relations&quot;:[&quot;rates&quot;,&quot;categories&quot;,&quot;tags&quot;,&quot;user&quot;],&quot;connection&quot;:&quot;mysql&quot;}}},&quot;checksum&quot;:&quot;7a399f0494295236a1ab61521f4f0aeaee28c4b268fe9e0d902999aec8b244fb&quot;}}"
                                x-data wire:init="loadComments" id="comments-list"
                                class="lg:px-10 px-4 pt-9 pb-6 bg-white dark:bg-dark-930 shadow-sm rounded-lg">
                                <div class="flex items-center sm:flex-row flex-col justify-between mb-6">
                                    <h4
                                        class="text-blue-700 dark:text-white text-27 font-bold sm:mb-0 mb-3 flex items-center ">
                                        <i class="w-2 h-2 bg-blue-700 dark:bg-white rounded-full ml-1 md:flex hidden"></i>
                                        دیدگاه و پرسش
                                    </h4>

                                    <div class="flex flex-wrap  justify-center sm:w-fit-content w-full relative">
                                    </div>
                                </div>

                                <div
                                    class="py-4 md:px-8 px-5 flex justify-between items-center md:flex-row flex-col bg-customOrange-550 rounded-lg mb-6">
                                    <h3 class="text-xl text-white font-medium flex items-center md:mb-0 mb-5">
                                        <span class="ml-4">
                                            <svg width="21" height="22" viewBox="0 0 21 22" fill="none"
                                                xmlns="http://www.w3.org/2000/svg">
                                                <path fill="currentColor"
                                                    d="M0 17.4167C0 21.191 1.77971 22 10.0833 22C18.387 22 20.1667 21.191 20.1667 17.4167C20.1667 13.6423 18.387 12.8333 10.0833 12.8333C1.77971 12.8333 0 13.6423 0 17.4167Z" />
                                                <path fill="currentColor"
                                                    d="M4.58333 5.5C4.58333 8.53757 7.04577 11 10.0833 11C13.1209 11 15.5833 8.53757 15.5833 5.5C15.5833 2.46243 13.1209 0 10.0833 0C7.04577 0 4.58333 2.46243 4.58333 5.5Z" />
                                            </svg>
                                        </span>
                                        برای ارسال دیدگاه لازم است وارد شده یا ثبت‌نام کنید
                                    </h3>

                                    <a class="sm:text-xl text-lg text-white font-semibold flex items-center underline hover:text-gray-700 duration-200 transition "
                                        href="../login5f83.html?backURL=services/%d8%b1%d9%86%da%af-%d9%85%d9%88">
                                        ورود یا ثبت‌نام
                                        <span class="mr-4">
                                            <svg width="18" height="12" viewBox="0 0 18 12" fill="none"
                                                xmlns="http://www.w3.org/2000/svg">
                                                <path fill="currentColor" opacity="0.4"
                                                    d="M12.7975 4.80957L16.4967 4.48242C17.3269 4.48242 18 5.16206 18 6.00032C18 6.83858 17.3269 7.51822 16.4967 7.51822L12.7975 7.19107C12.1463 7.19107 11.6183 6.65793 11.6183 6.00032C11.6183 5.34161 12.1463 4.80957 12.7975 4.80957Z" />
                                                <path fill="currentColor"
                                                    d="M0.37534 4.86984C0.433157 4.81146 0.649155 4.56471 0.852061 4.35983C2.03568 3.07656 5.12619 0.978153 6.7429 0.335965C6.98835 0.233523 7.60907 0.0154213 7.94179 0C8.25924 0 8.56251 0.0738021 8.8516 0.219203C9.21269 0.422985 9.50068 0.74463 9.65995 1.12355C9.76141 1.38572 9.92068 2.17331 9.92068 2.18763C10.0789 3.04792 10.165 4.44685 10.165 5.99339C10.165 7.46503 10.0789 8.80668 9.94904 9.68129C9.93486 9.69671 9.77559 10.6738 9.60214 11.0086C9.28469 11.6211 8.66397 12 7.99961 12H7.94179C7.50871 11.9857 6.5989 11.6057 6.5989 11.5924C5.06837 10.9502 2.05096 8.95319 0.837879 7.62585C0.837879 7.62585 0.495338 7.28438 0.346976 7.07178C0.115706 6.76556 7.15256e-05 6.38663 7.15256e-05 6.00771C7.15256e-05 5.58473 0.129888 5.19148 0.37534 4.86984Z" />
                                            </svg>
                                        </span>
                                    </a>
                                </div>

                                <div>
                                    <div class="-mb-6">
                                        <div class="space-y-10 space-y-reverse">
                                            <div wire:target="gotoPage,previousPage,nextPage" wire:loading.flex
                                                class="bg-lightBlue-100 text-lightBlue-600 border border-solid border-lightBlue-300 rounded p-4 text-tiny flex items-center space-x-2 space-x-reverse mb-3">
                                                <svg class="w-6 h-6" version="1.1" xmlns="http://www.w3.org/2000/svg"
                                                    xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="25 25 50 50">

                                                    <circle class="stroke-current text-gray-500 text-opacity-30"
                                                        cx="50" cy="50" r="20" fill="none"
                                                        stroke-width="8" stroke-linecap="round" stroke-dashoffset="0"
                                                        stroke-dasharray="200, 300"></circle>
                                                    <circle class="stroke-current text-gray-500" cx="50"
                                                        cy="50" r="20" fill="none" stroke-width="8"
                                                        stroke-linecap="round" stroke-dashoffset="0"
                                                        stroke-dasharray="100, 200">
                                                        <animateTransform attributeName="transform" attributeType="XML"
                                                            type="rotate" from="0 50 50" to="360 50 50" dur="2.5s"
                                                            repeatCount="indefinite"></animateTransform>
                                                        <animate attributeName="stroke-dashoffset" values="0;-30;-124"
                                                            dur="1.25s" repeatCount="indefinite"></animate>
                                                        <animate attributeName="stroke-dasharray"
                                                            values="0,200;110,200;110,200" dur="1.25s"
                                                            repeatCount="indefinite"></animate>
                                                    </circle>
                                                </svg>
                                                <p>در حال دریافت نظرات از سرور، لطفا منتظر بمانید</p>
                                            </div>
                                            <div class="flex items-center flex-col pt-12">
                                                <svg width="54" height="54" viewBox="0 0 54 54" fill="none"
                                                    xmlns="http://www.w3.org/2000/svg">
                                                    <path fill-rule="evenodd" clip-rule="evenodd"
                                                        d="M27 0C49.2345 0 54 4.00008 54 24C54 37.0001 51.7506 45 41.6256 45C36.2147 45 34.6052 47.5703 33.1064 49.9638C31.8006 52.0491 30.5789 54.0001 27.0006 54C23.4225 53.9999 22.2007 52.049 20.8949 49.9638C19.3961 47.5703 17.7865 45 12.3756 45C2.25055 45 0 36.7442 0 24C0 4.23601 4.7655 0 27 0ZM49.5 24C49.5 13.878 48.1565 9.89799 45.8623 7.87579C44.6944 6.84628 42.8722 5.95738 39.7488 5.35647C36.6026 4.75117 32.4778 4.5 27 4.5C21.5316 4.5 17.4124 4.76523 14.2732 5.38537C11.1583 6.00072 9.32897 6.90538 8.1517 7.95184C5.83648 10.0098 4.5 14.0158 4.5 24C4.5 30.3241 5.09867 34.632 6.41592 37.2668C7.01586 38.4668 7.70279 39.1862 8.47207 39.6441C9.25959 40.1128 10.4585 40.5 12.3756 40.5C15.6095 40.5 18.2372 41.232 20.3756 42.6808C22.433 44.0748 23.6339 45.8794 24.4009 47.0862L24.7092 47.5722C25.3722 48.6189 25.5918 48.9656 25.9024 49.2444L25.9146 49.256C25.9799 49.3197 26.1644 49.5 27.0007 49.5C27.8371 49.5 28.0216 49.3197 28.0867 49.2561L28.0989 49.2445C28.4096 48.9657 28.6291 48.6191 29.2923 47.572L29.6003 47.0864C30.3672 45.8797 31.5681 44.0749 33.6255 42.6809C35.7638 41.232 38.3916 40.5 41.6256 40.5C43.5662 40.5 44.7756 40.119 45.564 39.6594C46.3265 39.2148 47.0012 38.5197 47.5916 37.3489C48.8981 34.7581 49.5 30.4669 49.5 24Z"
                                                        fill="#E0E3EA"></path>
                                                    <path
                                                        d="M31.5 15.75C30.2573 15.75 29.25 16.7573 29.25 18C29.25 19.2427 30.2573 20.25 31.5 20.25H38.25C39.4927 20.25 40.5 19.2427 40.5 18C40.5 16.7573 39.4927 15.75 38.25 15.75H31.5Z"
                                                        fill="#A2ACBF"></path>
                                                    <path
                                                        d="M15.75 24.75C14.5073 24.75 13.5 25.7573 13.5 27C13.5 28.2427 14.5073 29.25 15.75 29.25H38.25C39.4927 29.25 40.5 28.2427 40.5 27C40.5 25.7573 39.4927 24.75 38.25 24.75H15.75Z"
                                                        fill="#A2ACBF"></path>
                                                </svg>
                                                <h6 class="mt-2 text-xl font-semibold text-gray-300">
                                                    هنوز دیدگاهی ثبت&zwnj;نشده
                                                </h6>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="mt-16 flex items-center justify-center"></div>
                                </div>

                            </div>
                        </div>

                    </div>

                    <div class="xl:col-span-6 lg:col-span-7 lg:order-last order-first">
                        <div
                            class="bg-white dark:bg-dark-930 py-4 px-5 justify-between flex rounded-lg shadow-sm mb-4 overflow-hidden relative">
                            <div class="flex items-center">
                                <i
                                    class="w-24 h-24 bg-blue-700 rounded-full bg-opacity-5 absolute top-1/2 transform -translate-y-1/2 -right-6">
                                    <i
                                        class="w-14 h-14 bg-blue-700 rounded-full bg-opacity-5 absolute top-1/2 transform -translate-y-1/2 right-1/2 translate-x-1/2">
                                        <i
                                            class="w-8 h-8 bg-blue-700 rounded-full bg-opacity-5 absolute top-1/2 transform -translate-y-1/2 right-1/2 translate-x-1/2"></i>
                                    </i>
                                </i>

                                <i class="flex w-2 h-2 bg-blue-700 dark:bg-white ml-2 rounded-full"></i>
                                <span class="text-sm font-bold dark:text-white text-blue-700">
                                    امتیاز خدمت
                                </span>
                            </div>
                            <div class="space-y-2 flex flex-col items-center">
                                <div class="space-y-2 flex flex-col items-center">
                                    <div class="relative" x-data="{ title: 0 }" x-cloak>
                                        <span data-id="3" data-type="service" id="ratingCount"
                                            class="text-yellow-400 absolute z-40 overflow-hidden whitespace-nowrap flex top-0"
                                            style="width: 0% ">
                                            <span data-rate="1" class="add-rating  login_req cursor-pointer"
                                                :class="{ '!text-yellow-300': title >= 1 }" wire:click="setRate(1)"
                                                @mouseenter="title = 1" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                            </span>
                                            <span data-rate="2" class="add-rating  login_req cursor-pointer"
                                                :class="{ '!text-yellow-300': title >= 2 }" wire:click="setRate(2)"
                                                @mouseenter="title = 2" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                            </span>
                                            <span data-rate="3" class="add-rating  login_req cursor-pointer"
                                                :class="{ '!text-yellow-300': title >= 3 }" wire:click="setRate(3)"
                                                @mouseenter="title = 3" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                            </span>
                                            <span data-rate="4" class="add-rating  login_req cursor-pointer"
                                                :class="{ '!text-yellow-300': title >= 4 }" wire:click="setRate(4)"
                                                @mouseenter="title = 4" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                            </span>
                                            <span data-rate="5" class="add-rating  login_req cursor-pointer"
                                                :class="{ '!text-yellow-300': title >= 5 }" wire:click="setRate(5)"
                                                @mouseenter="title = 5" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                            </span>
                                        </span>

                                        <span data-id="3" data-type="service"
                                            class="flex w-full whitespace-nowrap text-gray-300 relative z-10">
                                            <span data-rate="1" class="add-rating  login_req cursor-pointer relative"
                                                :class="{ '!text-yellow-300': title >= 1 }" wire:click="setRate(1)"
                                                @mouseenter="title = 1" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                                <div class="absolute text-sm bg-yellow-300 text-gray-700 px-1 rounded mt-1 font-bold"
                                                    x-show="title == 1">خیلی بد</div>
                                            </span>
                                            <span data-rate="2" class="add-rating  login_req cursor-pointer relative"
                                                :class="{ '!text-yellow-300': title >= 2 }" wire:click="setRate(2)"
                                                @mouseenter="title = 2" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                                <div class="absolute text-sm bg-yellow-300 text-gray-700 px-1 rounded mt-1 font-bold"
                                                    x-show="title == 2">بد</div>
                                            </span>
                                            <span data-rate="3" class="add-rating  login_req cursor-pointer relative"
                                                :class="{ '!text-yellow-300': title >= 3 }" wire:click="setRate(3)"
                                                @mouseenter="title = 3" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                                <div class="absolute text-sm bg-yellow-300 text-gray-700 px-1 rounded mt-1 font-bold"
                                                    x-show="title == 3">متوسط</div>
                                            </span>
                                            <span data-rate="4" class="add-rating  login_req cursor-pointer relative"
                                                :class="{ '!text-yellow-300': title >= 4 }" wire:click="setRate(4)"
                                                @mouseenter="title = 4" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                                <div class="absolute text-sm bg-yellow-300 text-gray-700 px-1 rounded mt-1 font-bold"
                                                    x-show="title == 4">خوب</div>
                                            </span>
                                            <span data-rate="5" class="add-rating  login_req cursor-pointer relative"
                                                :class="{ '!text-yellow-300': title >= 5 }" wire:click="setRate(5)"
                                                @mouseenter="title = 5" @mouseleave="title = 0">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill=currentColor
                                                    viewBox="0 0 24 24" stroke="currentColor" class="w-5">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                        d="M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z" />
                                                </svg>
                                                <div class="absolute text-sm bg-yellow-300 text-gray-700 px-1 rounded mt-1 font-bold"
                                                    x-show="title == 5">عالی</div>
                                            </span>
                                        </span>
                                    </div>
                                    <div id="ratingInfo" class="font-bold text-gray-300 dark:text-gray-200">
                                        در انتظار ثبت رای
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div
                            class="lg:flex hidden flex-col px-12 pt-3 pb-3 items-center border border-gray-80 border-opacity-60  dark:border-opacity-5 mb-4 rounded-lg">
                            <h6>
                                <a class="text-blue-700 dark:text-white font-bold text-lg flex items-center mb-2">
                                    فیچرهای  {{$service->name}} </a>
                            </h6>
                        </div>

                        <div class="grid lg:grid-cols-2 sm:grid-cols-4 grid-cols-2 gap-3 mb-4 rounded-lg">
                            <div
                                class="flex flex-col items-center justify-center shadow-sm bg-white dark:bg-dark-930 rounded-md pt-3 pb-2">
                                <span class="mt-1 inline-flex text-blue-700 dark:text-white">
                                    <svg class="mb-3" width="24" height="24" viewBox="0 0 24 24"
                                        fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                            d="M12.1792 23.9333C2.54046 23.9333 0.474609 21.8674 0.474609 12.2287C0.474609 2.59002 2.54046 0.52417 12.1792 0.52417C21.8178 0.52417 23.8837 2.59002 23.8837 12.2287C23.8837 21.8674 21.8178 23.9333 12.1792 23.9333ZM11.2038 6.37644C11.2038 5.83773 11.6405 5.40106 12.1792 5.40106C12.7178 5.40106 13.1545 5.83773 13.1545 6.37644V11.2533H18.0314C18.5701 11.2533 19.0068 11.69 19.0068 12.2287C19.0068 12.7674 18.5701 13.2041 18.0314 13.2041H12.1792C11.6405 13.2041 11.2038 12.7674 11.2038 12.2287V6.37644Z"
                                            fill="currentColor"></path>
                                    </svg>
                                </span>
                                <span class="text-11 text-gray-300 dark:text-white"> میانگین زمان انجام: </span>
                                <span class="text-sm text-chambray-700 font-bold dark:text-gray-200">
                                    150 دقیقه </span>
                            </div>

                            <div
                                class="flex flex-col items-center justify-center shadow-sm bg-white dark:bg-dark-930 rounded-md pt-3 pb-2">
                                <span class="mt-1 inline-flex text-blue-700 dark:text-white">
                                    <svg class="mb-3" width="24" height="24" viewBox="0 0 24 24"
                                        fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path
                                            d="M0.452148 5.7989C0.452148 10.1426 1.38314 11.0736 5.72688 11.0736C10.0706 11.0736 11.0016 10.1426 11.0016 5.7989C11.0016 1.45516 10.0706 0.52417 5.72688 0.52417C1.38314 0.52417 0.452148 1.45516 0.452148 5.7989Z"
                                            fill="currentColor"></path>
                                        <path
                                            d="M0.452148 18.2664C0.452148 22.6102 1.38314 23.5412 5.72688 23.5412C10.0706 23.5412 11.0016 22.6102 11.0016 18.2664C11.0016 13.9227 10.0706 12.9917 5.72688 12.9917C1.38314 12.9917 0.452148 13.9227 0.452148 18.2664Z"
                                            fill="currentColor"></path>
                                        <path
                                            d="M12.9197 5.7989C12.9197 10.1426 13.8507 11.0736 18.1944 11.0736C22.5382 11.0736 23.4691 10.1426 23.4691 5.7989C23.4691 1.45516 22.5382 0.52417 18.1944 0.52417C13.8507 0.52417 12.9197 1.45516 12.9197 5.7989Z"
                                            fill="currentColor"></path>
                                        <path
                                            d="M12.9197 18.2664C12.9197 22.6102 13.8507 23.5412 18.1944 23.5412C22.5382 23.5412 23.4691 22.6102 23.4691 18.2664C23.4691 13.9227 22.5382 12.9917 18.1944 12.9917C13.8507 12.9917 12.9197 13.9227 12.9197 18.2664Z"
                                            fill="currentColor"></path>
                                    </svg>
                                </span>
                                <span class="text-11 text-gray-300 dark:text-white">تعداد جلسات ترمیم:</span>
                                <span class="text-sm text-chambray-700 font-bold dark:text-gray-200">
                                    1 جلسه </span>
                            </div>

                            <div
                                class="flex flex-col items-center justify-center shadow-sm bg-white dark:bg-dark-930 rounded-md pt-3 pb-2">
                                <span class="mt-1 inline-flex text-blue-700 dark:text-gray-200">
                                    <svg class="mb-3" width="23" height="23" viewBox="0 0 23 23"
                                        fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                            d="M20.125 7.66667C17.4786 7.66667 15.3333 5.52136 15.3333 2.875C15.3333 1.90785 15.6199 1.00763 16.1127 0.254587C14.817 0.0726507 13.2917 0 11.5 0C2.02975 0 0 2.02975 0 11.5C0 20.9702 2.02975 23 11.5 23C20.9702 23 23 20.9702 23 11.5C23 9.70834 22.9273 8.183 22.7454 6.88733C21.9924 7.38013 21.0921 7.66667 20.125 7.66667ZM5.39746 14.3078C5.88929 14.5024 6.4457 14.2617 6.64075 13.7702C6.64075 13.7702 6.64113 13.7692 5.75 13.4167L6.64113 13.7692L6.64511 13.7594C6.64891 13.7501 6.65517 13.7349 6.6638 13.7144C6.68109 13.6733 6.70783 13.6111 6.74348 13.5322C6.81496 13.3739 6.92116 13.1506 7.05756 12.8963C7.33667 12.376 7.7155 11.7765 8.15035 11.3302C8.60321 10.8655 8.96617 10.7168 9.23262 10.7343C9.47541 10.7502 9.99147 10.9311 10.6951 12.0201C11.5395 13.327 12.5162 14.1044 13.6419 14.1783C14.7438 14.2506 15.6248 13.6207 16.2224 13.0073C16.8381 12.3755 17.3162 11.5974 17.6315 11.0096C17.7923 10.7099 17.9176 10.4465 18.0033 10.2567C18.0463 10.1615 18.0796 10.0842 18.1027 10.0294C18.1142 10.0019 18.1233 9.98002 18.1297 9.96426L18.1374 9.94528L18.1398 9.93935L18.1406 9.9373C18.1406 9.9373 18.1411 9.93587 17.25 9.58333L18.1411 9.93587C18.3358 9.44371 18.0947 8.8869 17.6025 8.6922C17.1107 8.49762 16.5542 8.73834 16.3592 9.2299L16.3589 9.2308L16.3549 9.2406L16.3454 9.26355L16.3362 9.28564C16.3189 9.3267 16.2922 9.38886 16.2565 9.46779C16.185 9.62607 16.0788 9.84937 15.9424 10.1037C15.6633 10.624 15.2845 11.2235 14.8497 11.6698C14.3968 12.1345 14.0339 12.2832 13.7674 12.2657C13.5246 12.2498 13.0086 12.0689 12.3049 10.9799C11.4605 9.67304 10.4838 8.89562 9.35819 8.82172C8.25625 8.74937 7.37521 9.37932 6.77758 9.99267C6.16194 10.6245 5.68379 11.4026 5.36854 11.9904C5.20775 12.2901 5.08243 12.5535 4.99669 12.7433C4.95372 12.8385 4.92042 12.9158 4.89732 12.9706C4.88576 12.9981 4.87674 13.02 4.87031 13.0357L4.86262 13.0547L4.86025 13.0606L4.85944 13.0627C4.85944 13.0627 4.85887 13.0641 5.75 13.4167L4.85887 13.0641C4.66416 13.5563 4.9053 14.1131 5.39746 14.3078Z"
                                            fill="currentColor"></path>
                                        <path
                                            d="M20.125 5.75C18.5372 5.75 17.25 4.46282 17.25 2.875C17.25 1.28718 18.5372 0 20.125 0C21.7128 0 23 1.28718 23 2.875C23 4.46282 21.7128 5.75 20.125 5.75Z"
                                            fill="currentColor"></path>
                                    </svg>
                                </span>
                                <span class="text-11 text-gray-300 dark:text-gray-200">ماندگاری:</span>
                                <span class="text-sm text-chambray-700 font-bold dark:text-gray-200">
                                    بیش از یک سال </span>
                            </div>

                            <div
                                class="flex flex-col items-center justify-center shadow-sm bg-white dark:bg-dark-930 rounded-md pt-3 pb-2">
                                <span class="mt-1 inline-flex text-blue-700 dark:text-gray-200">
                                    <svg class="mb-3" width="23" height="23" viewBox="0 0 23 23"
                                        fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                            d="M8.57753 1.67007C9.81824 0.0338038 12.2781 0.0338038 13.5188 1.67007L14.5518 3.03246L16.2456 2.79957C18.28 2.51986 20.0193 4.25924 19.7396 6.29356L19.5067 7.98737L20.8691 9.0204C22.5054 10.2611 22.5054 12.721 20.8691 13.9617L19.5067 14.9947L19.7396 16.6885C20.0193 18.7228 18.28 20.4622 16.2456 20.1825L14.5518 19.9496L13.5188 21.312C12.2781 22.9483 9.81824 22.9483 8.57753 21.312L7.5445 19.9496L5.85069 20.1825C3.81636 20.4622 2.07699 18.7228 2.3567 16.6885L2.58958 14.9947L1.2272 13.9617C-0.409067 12.721 -0.409067 10.2611 1.2272 9.0204L2.58958 7.98737L2.3567 6.29356C2.07699 4.25923 3.81637 2.51986 5.85069 2.79957L7.5445 3.03246L8.57753 1.67007ZM15.3819 10.3007C15.7415 9.94114 15.7415 9.3582 15.3819 8.99865C15.0224 8.6391 14.4394 8.6391 14.0799 8.99865L10.1275 12.951L8.93717 11.7607C8.57762 11.4011 7.99468 11.4011 7.63513 11.7607C7.27558 12.1202 7.27558 12.7032 7.63513 13.0627L9.47649 14.9041C9.83604 15.2636 10.419 15.2636 10.7785 14.9041L15.3819 10.3007Z"
                                            fill="currentColor"></path>
                                    </svg>
                                </span>
                                <span class="text-11 text-gray-300 dark:text-gray-200">تعداد متخصص در مجموعه:</span>
                                <span class="text-sm text-chambray-700 font-bold dark:text-gray-200">
                                    1 نفر </span>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>
        <input type="hidden" id="hdfGuid" value="{{$service->id}}" />
        <input type="hidden" id="hdfToday" value="{{jdate()->format('Y_m_d')}}" />
        <input type="hidden" id="hdfFirstVisit" value="{{jdate()->format('Y_m_d')}}" />
    </div>
@endsection
@section('js-page')
    <script src="/front/js/showdown.min.js"></script>
    <script src="/front/js/default/single-service.js"></script>
    <script src="/front/js/default/slick.min.js"></script>
    <script src="/front/js/showTimer.min.js"></script>
    <script src='/front/js/jquery.fancybox.min.js'></script>
    
<script type="text/x-kendo-template" id="weekColumnTemplate">
    <div class="week-col week_no_#:weekNumber#">
        <ul class="week-col-items">
        </ul>
    </div>
</script>
<script type="text/x-kendo-template" id="daysRowTemplate">
    <div class="day-col #:shortDate#">
        <div class="date-time-span">
            <span class="day-caption">#:dayCaption#</span>
        </div>
        <ul class="time-spans booking_row_#:shortDate#"></ul>
    </div>
</script>
<script type="text/javascript">
    var holderID = 'TimeSpans';
    var globalGuid, gMonth, slider;
    var year = parseInt($("#lblYearMatabSetTime").html());
    var month = parseInt($("#lblYearMatabSetTimeCu").html());
    gMonth = month;
    var today = $("#hdfFirstVisit").val().split("_");
    InitSelectedMonthDays(month, year, today[2]);
    $("#btnNextMonthMatabSetTime").attr("data-month", month);
    $("#btnPrevMonthMatabSetTime").attr("data-month", month);
    $("#btnPrevMonthMatabSetTime").click(function () {
        var year = parseInt($("#lblYearMatabSetTime").html());
        gMonth = parseInt(gMonth) - 1;
        if (gMonth < 1) {
            gMonth = 12;
            InitSelectedMonthDays(12, year - 1);
            $(this).attr("data-month", 12);
            $("#btnNextMonthMatabSetTime").attr("data-month", 12);
            $("#lblYearMatabSetTime").html(year - 1);
            $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(12));
        } else {
            InitSelectedMonthDays(gMonth, year);
            $(this).attr("data-month", gMonth);
            $("#btnNextMonthMatabSetTime").attr("data-month", gMonth);
            $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(gMonth));
        }
    });
    $("#btnNextMonthMatabSetTime").click(function () {
        var year = parseInt($("#lblYearMatabSetTime").html());
        gMonth = parseInt(gMonth) + 1;
        if (gMonth > 12) {
            gMonth = 1;
            InitSelectedMonthDays(1, year + 1);
            $(this).attr("data-month", 1);
            $("#btnPrevMonthMatabSetTime").attr("data-month", 1);
            $("#lblYearMatabSetTime").html(year + 1);
            $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(1));
        } else {
            InitSelectedMonthDays(gMonth, year);
            $(this).attr("data-month", gMonth);
            $("#btnPrevMonthMatabSetTime").attr("data-month", gMonth);
            $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(gMonth));
        }
    });
    function getShamsiMonthNameMatabSetTime(month) {
        switch (month) {
            case 1:
                return "فروردین";
            case 2:
                return "اردیبهشت";
            case 3:
                return "خرداد";
            case 4:
                return "تیر";
            case 5:
                return "مرداد";
            case 6:
                return "شهریور";
            case 7:
                return "مهر";
            case 8:
                return "آبان";
            case 9:
                return "آذر";
            case 10:
                return "دی";
            case 11:
                return "بهمن";
            case 12:
                return "اسفند";
        }
        return "";
    }
    function loadDays(url, serviceid, y, m, whatToDoNext, isFirstVisit) {
        if (navigator.onLine) {
            $.ajax({
                url: '/servicetime',
                dataType: "json",
                data: {
                        'url': url,
                        'serviceid': serviceid,
                        'y': y,
                        'm': m,
                        'isFirstVisit': isFirstVisit
                    },
               
                type: 'GET',
                
                success: function (res) {
                    if (whatToDoNext) {
                        whatToDoNext(res);
                    }
                }
            });
        } else {
            errortoast.fire({title: 'وضعیت شما آفلاین می باشد و امکان دریافت زمان ها وجود ندارد.'});
        }
    }
    function InitSelectedMonthDays(m, y, d) {
        gMonth = m;
        var guid = $("#hdfGuid").val();
        var url = "/";

        $("#" + holderID).addClass('blury');
        $("#LoaderTimes").show();

        loadDays(url, guid, y, m, function (res) {
            if (res.status != "error") {
                if (res && res.constructor == Array) {
                    $('#' + holderID).html("").removeClass("slick-initialized slick-slider");
                    InitVisitTimes(res, res);
                    InitSlider();
                    var today = $("#hdfToday").val().split("_");
                    if (d != 0 && d != undefined) {
                        var elClass = d == today[2] ? ".today-col" : ".first-visit";
                        var index = $('#' + holderID).find(elClass).data().slickIndex;
                        $('#' + holderID).slick('slickGoTo', index);
                    }
                }
            } else {
                warningtoast.fire({title: res.msg});
            }
        });
    }
    function bindTemplate(template, obj) {
        var result = template;
        if (template && obj) {
            for (var prop in obj) {
                result = result.replace('#:' + prop + '#', obj[prop]).replace('#:' + prop + '#', obj[prop]).replace('#:' + prop + '#', obj[prop]);
            }
        }
        return result;
    }
    function bindDayTemplate(obj) {
        var result = '';
        if (obj) {
            if (obj.hasSetTimes && obj.setTimeItems && obj.setTimeItems.length > 0) {
                for (var i = 0; i < obj.setTimeItems.length; i++) {
                    if(obj.setTimeItems[i].isVip) {
                        result += '<li><a title="رزرو VIP" href="' + obj.setTimeItems[i].url + '" class="group items-center flex relative justify-center">' + obj.setTimeItems[i].caption + '<span class="absolute text-white bg-red-450 rounded w-8 h-4 flex items-center justify-center text-xs -top-1 -right-1 pt-1" style="font-size: 0.75rem">VIP</span></a></li>';
                    } else {
                        result += '<li><a href="' + obj.setTimeItems[i].url + '">' + obj.setTimeItems[i].caption + '</a></li>';
                    }
                }
            } else {
                result += '<li class="no-visit"><i></i></li>';
            }
        }

        return result;
    }
    function binddayItemTemplate(data) {
        var result = '';

        if (data) {
            result += '<span>' + data.dayCaption + '</span>';
            result += '<div class="sec_time sec_time_' + data.shortDate + '">';
            if (data.hasMultiTimeSections) {
                result += '<ul class="times_items"></ul>';
            }
            result += '</div>';
        }

        return result;
    }
    function bindtimeTemplate(data) {
        var result = '';
        if (data && data.setTimeItems && data.setTimeItems.length > 0) {
            for (var i = 0; i < data.setTimeItems.length; i++) {
                result += '<span class="sec_time">'+ data.setTimeItems[i].caption +'</span>';
            }
        }
        return result;
    }
    function InitVisitTimesDen(view, data) {
        var weekColumnTemplate = $("#weekColumnTemplate").html();
        var numberOfWeeks = view.length / 7;
        var i;
        var col;

        for (i = 1; i <= numberOfWeeks; i++) {
            var startOfWeek = 7 * (i - 1);
            var endOfWeek = (7 * i) - 1;
            var j = 0;
            data[startOfWeek].weekNumber = i;
            var weekCol = bindTemplate(weekColumnTemplate, data[startOfWeek]);

            $("#" + holderID).append(weekCol);

            for (j = startOfWeek; j <= endOfWeek; j++) {
                var liClasses = "";
                if (data[j].isHoliday) liClasses += "holiday ";
                if (data[j].isFirstVisit) liClasses += "first-visit ";
                if (data[j].today) liClasses += "today-col ";
                if (data[j].isNotInMonth || !data[j].hasSetTimes) liClasses += "not-in-month ";
                if (data[j].setTimeItems != null && data[j].setTimeItems.length > 1) liClasses += "multi-time ";
                liClasses = "class='" + liClasses + "'";

                if (data[j].hasSetTimes) {
                    if (data[j].setTimeItems.length > 1) {
                        data[j].hasMultiTimeSections = true;

                        var dayItems = binddayItemTemplate(data[j]);
                        $("#" + holderID).children(".week_no_" + i).children(".week-col-items").append("<li " + liClasses + "'>" + dayItems + "</li>");

                        var k = 0;
                        for (k = 0; k < data[j].setTimeItems.length; k++) {

                            data[j].cnt = k;
                            var tt = bindtimeTemplate(data[j]);
                            $(".week_no_" + i).find(".sec_time_" + data[j].shortDate).children(".times_items").append("<li>" + tt + "</li>");
                        }
                    } else {
                        data[j].hasMultiTimeSections = false;

                        data[j].cnt = 0;
                        var tt = bindtimeTemplate(data[j]);


                        var dayItems = binddayItemTemplate(data[j]);
                        $("#" + holderID).children(".week_no_" + i).children(".week-col-items").append("<li " + liClasses + "'>" + dayItems + "</li>");

                        $(".week_no_" + i).find(".sec_time_" + data[j].shortDate).append(tt);
                    }
                } else {
                    data[j].hasMultiTimeSections = false;

                    data[j].cnt = 0;

                    var dayItems = binddayItemTemplate(data[j]);
                    $("#" + holderID).children(".week_no_" + i).children(".week-col-items").append("<li " + liClasses + "'>" + dayItems + "</li>");
                }
            }
        }
    }
    function InitVisitTimes(view, data) {
        var i;
        var col;

        for (i = 0; i < view.length; ++i) {
            col = data[i].shortDate;
            if ($("#" + holderID).find('.' + col).length === 0) {
                var dayCol = bindTemplate($("#daysRowTemplate").html(), data[i]);
                $("#" + holderID).append(dayCol);

                if (data[i].hasSetTimes) {
                    var daySetTimes = bindDayTemplate(data[i]);
                    $("#" + holderID).find(".booking_row_" + col).append(daySetTimes);
                }
                if (data[i].isFirstVisit) {
                    $("#" + holderID).find("." + col).addClass("first-visit");
                }
                if (data[i].today) {
                    $("#" + holderID).find("." + col).addClass("today-col");
                }
                if (data[i].isHoliday) {
                    $("#" + holderID).find("." + col).addClass("holiday");
                }
            }
        }

        var maxChild = 7;
        $.each($("ul.time-spans"), function (index, val) {
            var thisLength = $(this).children().length;
            if (maxChild > thisLength) {
                for (var j = 0; j < maxChild - thisLength; j++) {
                    var mockData = {};
                    mockData.hasSetTimes = false;
                    var daySetTimes = bindDayTemplate(mockData);

                    $(this).append(daySetTimes);
                }
            }
        });


        for (i = 0; i < data.length; ++i) {
            col = data[i].shortDate;
            $(".booking_" + col).append(bindTemplate($("#daysRowTemplate").html(), data[i]));
        }

        $(".day-col:odd").addClass("odd-day");

        var hasVisit = $.makeArray($("ul.time-spans > li:not(.no-visit)").parent());
        var all = $.makeArray($("ul.time-spans"));

        var noVisits = all.filter(function (el) {
            return hasVisit.indexOf(el) < 0;
        });

        $.each(noVisits, function () { $(this).addClass("has-no-visit"); });
    }
    function InitSliderDen() {
        $("#" + holderID).removeClass('blury');
        $("#LoaderTimes").hide();

        $('#' + holderID).slick({
            infinite: false,
            slidesToShow: 1,
            slidesToScroll: 1,
            rtl: true,
        });
    }
    function InitSlider() {
        $("#" + holderID).removeClass('blury');
        $("#LoaderTimes").hide();

        $('#' + holderID).slick({
            infinite: false,
            slidesToShow: 7,
            slidesToScroll: 7,
            rtl: true,
            responsive: [
                {
                    breakpoint: 760,
                    settings: {
                        infinite: false,
                        slidesToShow: 6,
                        slidesToScroll: 6,
                        rtl: true,
                    }
                },
                {
                    breakpoint: 700,
                    settings: {
                        infinite: false,
                        slidesToShow: 5,
                        slidesToScroll: 5,
                        rtl: true,
                    }
                },
                {
                    breakpoint: 550,
                    settings: {
                        infinite: false,
                        slidesToShow: 4,
                        slidesToScroll: 4,
                        rtl: true,
                    }
                },
                {
                    breakpoint: 426,
                    settings: {
                        arrows: true,
                        centerMode: true,
                        centerPadding: '0px',
                        slidesToShow: 1,
                        rtl: true,
                    }
                }
            ]
        });
    }
    function getFirstVisit() {
        if ($('#' + holderID).find(".first-visit").length > 0) {
            var index = $('#' + holderID).find('.first-visit').data().slickIndex;

            $('#' + holderID).slick('slickGoTo', index);
        } else {
            var guid = $("#hdfGuid").val();

            if (navigator.onLine) {
                $.ajax({
                    type: "POST",
                    url: 'services/getFirstFree',
                    data: JSON.stringify({
                        guid
                    }),
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (msg) {
                        if (msg.status != "error") {
                            if (msg.d != "") {
                                if (msg.d.indexOf("-") == -1) {
                                } else {
                                    var date = msg.d.split("-");
                                    InitSelectedMonthDays(date[1], date[0], date[2]);
                                    $("#lblYearMatabSetTime").html(date[0]);
                                    $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(parseInt(date[1])));
                                }
                            } else {
                                warningtoast.fire({title: "در حال حاضر نوبتی برای رزرو خدمت " + "1" + " یافت نشد."});
                            }
                        } else {
                            warningtoast.fire({title: msg.msg});
                        }
                    },
                    beforeSend: function () {
                    }
                });
            } else {
                errortoast.fire({title: 'وضعیت شما آفلاین می باشد و امکان دریافت زمان ها وجود ندارد.'});
            }
        }
    }
    function getTodayDate() {
        var date = $("#hdfToday").val().split("_");

        if ($('#' + holderID).find(".today-col").length == 0) InitSelectedMonthDays(date[1], date[0], date[2]);
        else {
            var index = $('#' + holderID).find('.today-col').data().slickIndex;
            $('#' + holderID).slick('slickGoTo', index);
        }

        $("#lblYearMatabSetTime").html(date[0]);
        $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(parseInt(date[1])));
    }
</script>
    <script>
        $(function() {
            var swiper = new Swiper(".carousel-gallery .swiper-container", {
                loop: true,
                keyboard: true,
                effect: "slide",
                speed: 900,
                slidesPerView: "auto",
                spaceBetween: 30,
                simulateTouch: true,
                autoplay: {
                    delay: 3000,
                    stopOnLastSlide: false,
                    disableOnInteraction: false,
                },
                pagination: {
                    el: ".carousel-gallery .swiper-pagination",
                    clickable: true,
                },
                breakpoints: {
                    // when window width is <= 320px
                    320: {
                        slidesPerView: 1,
                        spaceBetween: 10,
                    },
                    // when window width is <= 480px
                    425: {
                        slidesPerView: 2,
                        spaceBetween: 15,
                    },
                    // when window width is <= 640px
                    768: {
                        slidesPerView: 2,
                        spaceBetween: 20,
                    },
                },
            });
        });
    </script>
@endsection
