@extends('front.layouts.master')
@section('css-page')
    <link rel="stylesheet" href="/front/css/default/reservation.css" />
    <link rel="stylesheet" href="/front/css/jquery.fancybox.min.css" />
@endsection
@section('content')
    <section class="mt-14 mb-20">
        <div class="container">
            <div class="mb-8">
                <h3 class="dark:text-white text-biscay-700 text-3xl font-black mb-2" id="courses-page">لیست خدمات
                      </h3>
            </div>

            <div class="grid lg:grid-cols-24 grid-cols-12 lg:gap-6">
                <div class="xl:col-span-6 lg:col-span-8 col-span-12 lg:order-1 order-2">
                    <div x-data="{ show: true }"
                        class="rounded-lg dark:bg-dark-930 bg-white mb-5 dark:bg-dark-930 border dark:shadow-whiteShadow  dark:border-opacity-0 border-gray-80 border-opacity-60 p-5">
                        <div @click="show = !show"
                            class="flex items-center text-biscay-700 dark:text-white justify-between cursor-pointer">
                            <div class="flex items-center">
                                <h5 class="text-21  font-bold">مرتب سازی براساس</h5>
                            </div>

                            <svg :class="{ '!rotate-0': show }"
                                class="transition transform duration-200 rotate-90 !rotate-0" width="18" height="10"
                                viewBox="0 0 18 10" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M16.3992 1.4729L8.99744 8.87464L1.5957 1.4729" stroke="currentColor"
                                    stroke-width="2.11478" stroke-linecap="round" stroke-linejoin="round"></path>
                            </svg>
                        </div>
                        <ul x-transition="" x-show="show"
                            class="pt-5 border-t border-gray-80 dark:border-white dark:border-opacity-10 border-opacity-60 mt-5 ">
                            <li class="flex items-center mb-4 last:mb-0">
                                <input
                                    class="dark:bg-gray-400 text-gray-800 w-6 h-6 ml-3 bg-gray-100 border-0 border-transparent cursor-pointer ring-0"
                                    id="order-latest" type="radio" checked name="order"
                                    value="/services?orderby=latest">
                                <label class="dark:text-gray-920 text-gray-800 text-base font-medium cursor-pointer"
                                    for="order-latest">جدید&zwnj;ترین</label>
                            </li>
                            <li class="flex items-center mb-4 last:mb-0">
                                <input
                                    class="dark:bg-gray-400 text-gray-800 w-6 h-6 ml-3 bg-gray-100 border-0 border-transparent cursor-pointer ring-0"
                                    id="order-view" type="radio" name="order" value="/services?orderby=view">
                                <label class="dark:text-gray-920 text-gray-800 text-base font-medium cursor-pointer"
                                    for="order-view">پربازدیدترین</label>
                            </li>
                            <li class="flex items-center mb-4 last:mb-0">
                                <input
                                    class="dark:bg-gray-400 text-gray-800 w-6 h-6 ml-3 bg-gray-100 border-0 border-transparent cursor-pointer ring-0"
                                    id="order-rating" type="radio" name="order" value="/services?orderby=rating">
                                <label class="dark:text-gray-920 text-gray-800 text-base font-medium cursor-pointer"
                                    for="order-rating">میانگین رتبه</label>
                            </li>
                            <li class="flex items-center mb-4 last:mb-0">
                                <input
                                    class="dark:bg-gray-400 text-gray-800 w-6 h-6 ml-3 bg-gray-100 border-0 border-transparent cursor-pointer ring-0"
                                    id="order-oldest" type="radio" name="order" value="/services?orderby=oldest">
                                <label class="dark:text-gray-920 text-gray-800 text-base font-medium cursor-pointer"
                                    for="order-oldest">قدیمی&zwnj;ترین</label>
                            </li>
                        </ul>
                    </div>
                </div>

                <div class="xl:col-span-18 lg:col-span-16 lg:order-2 col-span-12 order-1">
                    <div class="mt-12 grid grid-cols-12 lg:gap-6 gap-3">
                        @foreach ($services as $service)
                            <div class="xl:col-span-4 lg:col-span-6 md:col-span-4 sm:col-span-6 col-span-12 mb-14">
                                <div
                                    class="shadow-smswiper-slide-active rounded-lg bg-white dark:bg-dark-930 relative pt-32 flex justify-center h-full">
                                    <div class="absolute -top-12 w-full  px-4 ">
                                        <a href="{{ route('service', $service) }}"
                                            class=" inline-block h-40 overflow-hidden w-full rounded-lg">
                                            <img class="w-full h-full object-cover transform transition duration-200 hover:scale-110"
                                                onerror="this.src='/front/images/default_cover.jpg'"
                                                src="{{ $service->pic_main }}" alt="111">
                                        </a>
                                    </div>
                                    <div class="flex flex-col flex-1 w-full space-y-2">
                                        <div class=" px-4 flex flex-col flex-grow" style="min-height: 120px;">
                                            <a href="{{ route('service', $service) }}" class="mb-2 inline-block">
                                                <span
                                                    class="text-xl font-bold text-gray-800 dark:hover:text-blue-450 dark:text-white hover:text-blue-700 duration-200 transition">{{$service->name}}</span>
                                            </a>
                                            <p
                                                class="mb-2 text-gray-360 dark:text-gray-940 text-sm font-normal  overflow-hidden leading-6">
                                                {{ $service->description }}
                                            </p>
                                        </div>
                                        <div>
                                            <div class="flex justify-center border-t border-gray-300 border-opacity-10">
                                                <a href="{{ route('service', $service) }}"
                                                    class="flex items-center my-4 transform group 0 font-bold text-base transition duration-200 dark:hover:text-gray-20 hover:text-dark-700 text-blue-700 dark:text-blue-950">
                                                    <span>مشاهده جزئیات و رزرو نوبت</span>
                                                    <svg class="mr-1 -mt-0.5" width="26" height="25"
                                                        viewBox="0 0 26 25" fill="none"
                                                        xmlns="http://www.w3.org/2000/svg">
                                                        <path fill="currentColor" opacity="0.4"
                                                            d="M16.7544 11.5347L20.5098 11.2026C21.3525 11.2026 22.0358 11.8925 22.0358 12.7435C22.0358 13.5945 21.3525 14.2844 20.5098 14.2844L16.7544 13.9523C16.0933 13.9523 15.5573 13.4111 15.5573 12.7435C15.5573 12.0748 16.0933 11.5347 16.7544 11.5347Z">
                                                        </path>
                                                        <path fill="currentColor"
                                                            d="M4.14372 11.5957C4.20242 11.5365 4.42169 11.286 4.62767 11.078C5.82925 9.77526 8.96663 7.64503 10.6079 6.9931C10.857 6.8891 11.4872 6.66769 11.8249 6.65204C12.1472 6.65204 12.4551 6.72696 12.7485 6.87457C13.1151 7.08144 13.4075 7.40796 13.5692 7.79263C13.6722 8.05877 13.8338 8.85831 13.8338 8.87285C13.9944 9.74619 14.0819 11.1663 14.0819 12.7363C14.0819 14.2303 13.9944 15.5923 13.8626 16.4802C13.8482 16.4958 13.6866 17.4877 13.5105 17.8276C13.1882 18.4494 12.5581 18.8341 11.8836 18.8341H11.8249C11.3853 18.8195 10.4617 18.4337 10.4617 18.4203C8.90794 17.7684 5.84475 15.741 4.61328 14.3936C4.61328 14.3936 4.26554 14.0469 4.11493 13.8311C3.88015 13.5202 3.76276 13.1355 3.76276 12.7509C3.76276 12.3215 3.89455 11.9223 4.14372 11.5957Z">
                                                        </path>
                                                    </svg>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach

                       
                    </div>

                    <div class="mb-12">
                        <div class="w-full">
                            {{ $services->appends($_GET)->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    </div>
    <div id="arcontactus"></div>
   
@endsection
@section('js-page')
    <script src="/front/js/showdown.min.js"></script>
    <script src="/front/js/default/single-service.js"></script>
    <script src="/front/js/default/slick.min.js"></script>
    <script src="/front/js/showTimer.min.js"></script>
    <script src='/front/js/jquery.fancybox.min.js'></script>

    <script type="text/x-kendo-template" id="weekColumnTemplate">
    <div class="week-col week_no_#:weekNumber#">
        <ul class="week-col-items">
        </ul>
    </div>
</script>
    <script type="text/x-kendo-template" id="daysRowTemplate">
    <div class="day-col #:shortDate#">
        <div class="date-time-span">
            <span class="day-caption">#:dayCaption#</span>
        </div>
        <ul class="time-spans booking_row_#:shortDate#"></ul>
    </div>
</script>
    <script type="text/javascript">
        var holderID = 'TimeSpans';
        var globalGuid, gMonth, slider;
        var year = parseInt($("#lblYearMatabSetTime").html());
        var month = parseInt($("#lblYearMatabSetTimeCu").html());
        gMonth = month;
        var today = $("#hdfFirstVisit").val().split("_");
        InitSelectedMonthDays(month, year, today[2]);
        $("#btnNextMonthMatabSetTime").attr("data-month", month);
        $("#btnPrevMonthMatabSetTime").attr("data-month", month);
        $("#btnPrevMonthMatabSetTime").click(function() {
            var year = parseInt($("#lblYearMatabSetTime").html());
            gMonth = parseInt(gMonth) - 1;
            if (gMonth < 1) {
                gMonth = 12;
                InitSelectedMonthDays(12, year - 1);
                $(this).attr("data-month", 12);
                $("#btnNextMonthMatabSetTime").attr("data-month", 12);
                $("#lblYearMatabSetTime").html(year - 1);
                $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(12));
            } else {
                InitSelectedMonthDays(gMonth, year);
                $(this).attr("data-month", gMonth);
                $("#btnNextMonthMatabSetTime").attr("data-month", gMonth);
                $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(gMonth));
            }
        });
        $("#btnNextMonthMatabSetTime").click(function() {
            var year = parseInt($("#lblYearMatabSetTime").html());
            gMonth = parseInt(gMonth) + 1;
            if (gMonth > 12) {
                gMonth = 1;
                InitSelectedMonthDays(1, year + 1);
                $(this).attr("data-month", 1);
                $("#btnPrevMonthMatabSetTime").attr("data-month", 1);
                $("#lblYearMatabSetTime").html(year + 1);
                $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(1));
            } else {
                InitSelectedMonthDays(gMonth, year);
                $(this).attr("data-month", gMonth);
                $("#btnPrevMonthMatabSetTime").attr("data-month", gMonth);
                $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(gMonth));
            }
        });

        function getShamsiMonthNameMatabSetTime(month) {
            switch (month) {
                case 1:
                    return "فروردین";
                case 2:
                    return "اردیبهشت";
                case 3:
                    return "خرداد";
                case 4:
                    return "تیر";
                case 5:
                    return "مرداد";
                case 6:
                    return "شهریور";
                case 7:
                    return "مهر";
                case 8:
                    return "آبان";
                case 9:
                    return "آذر";
                case 10:
                    return "دی";
                case 11:
                    return "بهمن";
                case 12:
                    return "اسفند";
            }
            return "";
        }

        function loadDays(url, serviceid, y, m, whatToDoNext, isFirstVisit) {
            if (navigator.onLine) {
                $.ajax({
                    url: '/servicetime',
                    dataType: "json",
                    data: {
                        'url': url,
                        'serviceid': serviceid,
                        'y': y,
                        'm': m,
                        'isFirstVisit': isFirstVisit
                    },

                    type: 'GET',

                    success: function(res) {
                        if (whatToDoNext) {
                            whatToDoNext(res);
                        }
                    }
                });
            } else {
                errortoast.fire({
                    title: 'وضعیت شما آفلاین می باشد و امکان دریافت زمان ها وجود ندارد.'
                });
            }
        }

        function InitSelectedMonthDays(m, y, d) {
            gMonth = m;
            var guid = $("#hdfGuid").val();
            var url = "/";

            $("#" + holderID).addClass('blury');
            $("#LoaderTimes").show();

            loadDays(url, guid, y, m, function(res) {
                if (res.status != "error") {
                    if (res && res.constructor == Array) {
                        $('#' + holderID).html("").removeClass("slick-initialized slick-slider");
                        InitVisitTimes(res, res);
                        InitSlider();
                        var today = $("#hdfToday").val().split("_");
                        if (d != 0 && d != undefined) {
                            var elClass = d == today[2] ? ".today-col" : ".first-visit";
                            var index = $('#' + holderID).find(elClass).data().slickIndex;
                            $('#' + holderID).slick('slickGoTo', index);
                        }
                    }
                } else {
                    warningtoast.fire({
                        title: res.msg
                    });
                }
            });
        }

        function bindTemplate(template, obj) {
            var result = template;
            if (template && obj) {
                for (var prop in obj) {
                    result = result.replace('#:' + prop + '#', obj[prop]).replace('#:' + prop + '#', obj[prop]).replace(
                        '#:' + prop + '#', obj[prop]);
                }
            }
            return result;
        }

        function bindDayTemplate(obj) {
            var result = '';
            if (obj) {
                if (obj.hasSetTimes && obj.setTimeItems && obj.setTimeItems.length > 0) {
                    for (var i = 0; i < obj.setTimeItems.length; i++) {
                        if (obj.setTimeItems[i].isVip) {
                            result += '<li><a title="رزرو VIP" href="' + obj.setTimeItems[i].url +
                                '" class="group items-center flex relative justify-center">' + obj.setTimeItems[i].caption +
                                '<span class="absolute text-white bg-red-450 rounded w-8 h-4 flex items-center justify-center text-xs -top-1 -right-1 pt-1" style="font-size: 0.75rem">VIP</span></a></li>';
                        } else {
                            result += '<li><a href="' + obj.setTimeItems[i].url + '">' + obj.setTimeItems[i].caption +
                                '</a></li>';
                        }
                    }
                } else {
                    result += '<li class="no-visit"><i></i></li>';
                }
            }

            return result;
        }

        function binddayItemTemplate(data) {
            var result = '';

            if (data) {
                result += '<span>' + data.dayCaption + '</span>';
                result += '<div class="sec_time sec_time_' + data.shortDate + '">';
                if (data.hasMultiTimeSections) {
                    result += '<ul class="times_items"></ul>';
                }
                result += '</div>';
            }

            return result;
        }

        function bindtimeTemplate(data) {
            var result = '';
            if (data && data.setTimeItems && data.setTimeItems.length > 0) {
                for (var i = 0; i < data.setTimeItems.length; i++) {
                    result += '<span class="sec_time">' + data.setTimeItems[i].caption + '</span>';
                }
            }
            return result;
        }

        function InitVisitTimesDen(view, data) {
            var weekColumnTemplate = $("#weekColumnTemplate").html();
            var numberOfWeeks = view.length / 7;
            var i;
            var col;

            for (i = 1; i <= numberOfWeeks; i++) {
                var startOfWeek = 7 * (i - 1);
                var endOfWeek = (7 * i) - 1;
                var j = 0;
                data[startOfWeek].weekNumber = i;
                var weekCol = bindTemplate(weekColumnTemplate, data[startOfWeek]);

                $("#" + holderID).append(weekCol);

                for (j = startOfWeek; j <= endOfWeek; j++) {
                    var liClasses = "";
                    if (data[j].isHoliday) liClasses += "holiday ";
                    if (data[j].isFirstVisit) liClasses += "first-visit ";
                    if (data[j].today) liClasses += "today-col ";
                    if (data[j].isNotInMonth || !data[j].hasSetTimes) liClasses += "not-in-month ";
                    if (data[j].setTimeItems != null && data[j].setTimeItems.length > 1) liClasses += "multi-time ";
                    liClasses = "class='" + liClasses + "'";

                    if (data[j].hasSetTimes) {
                        if (data[j].setTimeItems.length > 1) {
                            data[j].hasMultiTimeSections = true;

                            var dayItems = binddayItemTemplate(data[j]);
                            $("#" + holderID).children(".week_no_" + i).children(".week-col-items").append("<li " +
                                liClasses + "'>" + dayItems + "</li>");

                            var k = 0;
                            for (k = 0; k < data[j].setTimeItems.length; k++) {

                                data[j].cnt = k;
                                var tt = bindtimeTemplate(data[j]);
                                $(".week_no_" + i).find(".sec_time_" + data[j].shortDate).children(".times_items").append(
                                    "<li>" + tt + "</li>");
                            }
                        } else {
                            data[j].hasMultiTimeSections = false;

                            data[j].cnt = 0;
                            var tt = bindtimeTemplate(data[j]);


                            var dayItems = binddayItemTemplate(data[j]);
                            $("#" + holderID).children(".week_no_" + i).children(".week-col-items").append("<li " +
                                liClasses + "'>" + dayItems + "</li>");

                            $(".week_no_" + i).find(".sec_time_" + data[j].shortDate).append(tt);
                        }
                    } else {
                        data[j].hasMultiTimeSections = false;

                        data[j].cnt = 0;

                        var dayItems = binddayItemTemplate(data[j]);
                        $("#" + holderID).children(".week_no_" + i).children(".week-col-items").append("<li " + liClasses +
                            "'>" + dayItems + "</li>");
                    }
                }
            }
        }

        function InitVisitTimes(view, data) {
            var i;
            var col;

            for (i = 0; i < view.length; ++i) {
                col = data[i].shortDate;
                if ($("#" + holderID).find('.' + col).length === 0) {
                    var dayCol = bindTemplate($("#daysRowTemplate").html(), data[i]);
                    $("#" + holderID).append(dayCol);

                    if (data[i].hasSetTimes) {
                        var daySetTimes = bindDayTemplate(data[i]);
                        $("#" + holderID).find(".booking_row_" + col).append(daySetTimes);
                    }
                    if (data[i].isFirstVisit) {
                        $("#" + holderID).find("." + col).addClass("first-visit");
                    }
                    if (data[i].today) {
                        $("#" + holderID).find("." + col).addClass("today-col");
                    }
                    if (data[i].isHoliday) {
                        $("#" + holderID).find("." + col).addClass("holiday");
                    }
                }
            }

            var maxChild = 7;
            $.each($("ul.time-spans"), function(index, val) {
                var thisLength = $(this).children().length;
                if (maxChild > thisLength) {
                    for (var j = 0; j < maxChild - thisLength; j++) {
                        var mockData = {};
                        mockData.hasSetTimes = false;
                        var daySetTimes = bindDayTemplate(mockData);

                        $(this).append(daySetTimes);
                    }
                }
            });


            for (i = 0; i < data.length; ++i) {
                col = data[i].shortDate;
                $(".booking_" + col).append(bindTemplate($("#daysRowTemplate").html(), data[i]));
            }

            $(".day-col:odd").addClass("odd-day");

            var hasVisit = $.makeArray($("ul.time-spans > li:not(.no-visit)").parent());
            var all = $.makeArray($("ul.time-spans"));

            var noVisits = all.filter(function(el) {
                return hasVisit.indexOf(el) < 0;
            });

            $.each(noVisits, function() {
                $(this).addClass("has-no-visit");
            });
        }

        function InitSliderDen() {
            $("#" + holderID).removeClass('blury');
            $("#LoaderTimes").hide();

            $('#' + holderID).slick({
                infinite: false,
                slidesToShow: 1,
                slidesToScroll: 1,
                rtl: true,
            });
        }

        function InitSlider() {
            $("#" + holderID).removeClass('blury');
            $("#LoaderTimes").hide();

            $('#' + holderID).slick({
                infinite: false,
                slidesToShow: 7,
                slidesToScroll: 7,
                rtl: true,
                responsive: [{
                        breakpoint: 760,
                        settings: {
                            infinite: false,
                            slidesToShow: 6,
                            slidesToScroll: 6,
                            rtl: true,
                        }
                    },
                    {
                        breakpoint: 700,
                        settings: {
                            infinite: false,
                            slidesToShow: 5,
                            slidesToScroll: 5,
                            rtl: true,
                        }
                    },
                    {
                        breakpoint: 550,
                        settings: {
                            infinite: false,
                            slidesToShow: 4,
                            slidesToScroll: 4,
                            rtl: true,
                        }
                    },
                    {
                        breakpoint: 426,
                        settings: {
                            arrows: true,
                            centerMode: true,
                            centerPadding: '0px',
                            slidesToShow: 1,
                            rtl: true,
                        }
                    }
                ]
            });
        }

        function getFirstVisit() {
            if ($('#' + holderID).find(".first-visit").length > 0) {
                var index = $('#' + holderID).find('.first-visit').data().slickIndex;

                $('#' + holderID).slick('slickGoTo', index);
            } else {
                var guid = $("#hdfGuid").val();

                if (navigator.onLine) {
                    $.ajax({
                        type: "POST",
                        url: 'services/getFirstFree',
                        data: JSON.stringify({
                            guid
                        }),
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function(msg) {
                            if (msg.status != "error") {
                                if (msg.d != "") {
                                    if (msg.d.indexOf("-") == -1) {} else {
                                        var date = msg.d.split("-");
                                        InitSelectedMonthDays(date[1], date[0], date[2]);
                                        $("#lblYearMatabSetTime").html(date[0]);
                                        $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(parseInt(
                                            date[1])));
                                    }
                                } else {
                                    warningtoast.fire({
                                        title: "در حال حاضر نوبتی برای رزرو خدمت " + "1" + " یافت نشد."
                                    });
                                }
                            } else {
                                warningtoast.fire({
                                    title: msg.msg
                                });
                            }
                        },
                        beforeSend: function() {}
                    });
                } else {
                    errortoast.fire({
                        title: 'وضعیت شما آفلاین می باشد و امکان دریافت زمان ها وجود ندارد.'
                    });
                }
            }
        }

        function getTodayDate() {
            var date = $("#hdfToday").val().split("_");

            if ($('#' + holderID).find(".today-col").length == 0) InitSelectedMonthDays(date[1], date[0], date[2]);
            else {
                var index = $('#' + holderID).find('.today-col').data().slickIndex;
                $('#' + holderID).slick('slickGoTo', index);
            }

            $("#lblYearMatabSetTime").html(date[0]);
            $("#lblMonthMatabSetTime").html(getShamsiMonthNameMatabSetTime(parseInt(date[1])));
        }
    </script>
    <script>
        $(function() {
            var swiper = new Swiper(".carousel-gallery .swiper-container", {
                loop: true,
                keyboard: true,
                effect: "slide",
                speed: 900,
                slidesPerView: "auto",
                spaceBetween: 30,
                simulateTouch: true,
                autoplay: {
                    delay: 3000,
                    stopOnLastSlide: false,
                    disableOnInteraction: false,
                },
                pagination: {
                    el: ".carousel-gallery .swiper-pagination",
                    clickable: true,
                },
                breakpoints: {
                    // when window width is <= 320px
                    320: {
                        slidesPerView: 1,
                        spaceBetween: 10,
                    },
                    // when window width is <= 480px
                    425: {
                        slidesPerView: 2,
                        spaceBetween: 15,
                    },
                    // when window width is <= 640px
                    768: {
                        slidesPerView: 2,
                        spaceBetween: 20,
                    },
                },
            });
        });
    </script>
@endsection
