@extends('panel.layouts.master')
@section('content')
    <div class=" container ">
        <div class="alert alert-custom alert-warning fade show fill" role="alert">
            <div class="alert-text"><strong>
              لیست اقساط صادره برای شما
                </strong></div>
        </div>
        <div class="row">
            <div class="col-xl-12">
                <div class="card card-custom gutter-b card-stretch">
                    <div class="card-body">
                        
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th>عنوان</th>
                                        <th>شماره فاکتور</th>
                                        <th>مبلغ</th>
                                        <th>قسط شماره</th>
                                        <th>مهلت پرداخت</th>
                                        <th>وضعیت</th>
                                        <th>امکانات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($factors as $item)
                                        <tr>
                                            <td>{{$item->name}}</td>
                                            <td>{{$item->factor->code}}</td>
                                            <td>{{ number_format($item->price) }}</td>
                                            <td>{{ $item->part }}</td>
                                            <td>{{jdate( $item->due_date)->format('Y/m/d') }}</td>
                                            <td>{!! status($item) !!}</td>
                                            <td>
                                                @if (!$item->status)
                                                <a data-bs-toggle="tooltip" title="مشاهده فاکتور "
                                                href="{{ route('invoice', $item->factor->link) }}" target="_blank"><i
                                                    class="fa fa-credit-card fa-2x text-success"></i></a>   
                                                @endif
                                               
                                                       
                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                        <div class="portlet-footer">
                            {{ $factors->appends(['search' => request('search')])->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
