@extends('panel.layouts.master')
@section('content')
    <div class=" container ">
        <div class="alert alert-custom alert-warning fade show fill" role="alert">
            <div class="alert-text"><strong>
             تغییر رمز عبور شما
                </strong></div>
        </div>
        <div class="row">
            <div class="col-xl-12">
                <div class="card card-custom gutter-b card-stretch">
                    <div class="card-body">
                        <div class="row">
                            @if ($errors->updateProfileInformation->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->updateProfileInformation->all() as $error)
                                    <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                            @endif
                            <div class="col-lg-6 col-md-10 m-auto m-b-30">
                                <div class="text-center">
                                    <div class="user-box">
                                        <a  target="_blank">
                                            <img src="{{auth()->user()->pic}}" alt="عکس پروفایل"
                                                class="img-circle" style="height: 50px">
                                        </a>
                                      
                                    </div><!-- /.user-box -->
                                </div><!-- /.text-center -->

                                <hr>
                                @if ($errors->updatePassword->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->updatePassword->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session('status') === 'password-updated')
                                <div class="alert alert-success fill" role="alert">
                                   
                                 کلمه عبور شما با موفقیت آپدیت شد.
                                </div>
                                @endif
                                <form action="/user/password" method="post">
                                    @csrf
                                    @method('put')
                                    <div class="form-body">
                                        <div class="form-group">
                                            <label for="old_password">رمز عبور پیشین</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-lock"></i>
                                                </span>
                                                <input type="password" id="old_password" name="current_password" minlength="5" class="form-control ltr text-left" required>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label for="password">رمز عبور جدید</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-key"></i>
                                                </span>
                                                <input type="password" id="password" name="password" minlength="5" class="form-control ltr text-left" required>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label for="confirm_password">رمز عبور</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-key"></i>
                                                </span>
                                                <input type="password" id="confirm_password" name="password_confirmation" minlength="5" class="form-control ltr text-left" required>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                    </div><!-- /.form-body -->
                                    <div class="form-actions">
                                        <button type="submit" class="btn btn-info btn-curve">
                                            <i class="icon-check"></i>
                                            ذخیره
                                        </button>
                                        <a href="/panel/profile" class="btn btn-warning btn-curve pull-left">
                                            <i class="icon-close"></i>
                                            بازگشت
                                        </a>
                                    </div><!-- /.form-actions -->
                                </form>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
