@extends('panel.layouts.master')
@section('content')
    <div class=" container ">
        <div class="alert alert-custom alert-warning fade show fill" role="alert">
            <div class="alert-text"><strong>
            ویرایش اطلاعات شما
                </strong></div>
        </div>
        <div class="row">
            <div class="col-xl-12">
                <div class="card card-custom gutter-b card-stretch">
                    <div class="card-body">
                        <div class="row">
                            @if ($errors->updateProfileInformation->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->updateProfileInformation->all() as $error)
                                    <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                            @endif
                            <div class="col-lg-6 col-md-10 m-auto m-b-30">
                                <div class="text-center">
                                    <div class="user-box">
                                        <a  target="_blank" class="text-center">
                                            <img src="{{auth()->user()->pic}}" style="height: 50px" alt="عکس پروفایل"
                                                class="img-circle">
                                        </a>
                                      
                                    </div><!-- /.user-box -->
                                </div><!-- /.text-center -->

                                <hr>
                                @if (session('status')=='profile-information-updated')

                                <div class="alert alert-success fill" role="alert">
                                   
                                   اطلاعات مورد نیاز شما با موفقیت ویرایش شد.
                                </div>
                                @endif
                                <form role="form" action="/user/profile-information" method="POST"
                                    enctype="multipart/form-data">
                                    @csrf
                                    @method('PUT')
                                    <div class="form-body">
                                        <div class="form-group relative mt-3 mb-4">
                                            <input type="file" class="form-control" name="pic">
                                            <div class="input-group curve">
                                                <input type="text" class="form-control file-input"
                                                    placeholder="برای آپلود کلیک کنید">
                                                <span class="input-group-btn">
                                                    <button type="button" class="btn btn-info">
                                                        <i class="icon-picture"></i>
                                                        آپلود عکس
                                                    </button>
                                                </span>
                                            </div><!-- /.input-group -->
                                            <div class="help-block"></div>
                                        </div><!-- /.form-group -->
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label for="txt-firstname">نام</label>
                                                    <div class="input-group curve">
                                                        <span class="input-group-addon">
                                                            <i class="icon-user"></i>
                                                        </span>
                                                        <input class="form-control" placeholder=""
                                                            value="{{ old('name', auth()->user()->name) }}" name="name"
                                                            type="text">
                                                    </div><!-- /.input-group -->
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col -->
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label for="txt-lastname">نام خانوادگی</label>
                                                    <div class="input-group curve">
                                                        <span class="input-group-addon">
                                                            <i class="icon-user"></i>
                                                        </span>
                                                        <input class="form-control " placeholder="" name="family"
                                                            value="{{ old('family', auth()->user()->family) }}"
                                                            type="text">
                                                    </div><!-- /.input-group -->
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col -->
                                        </div><!-- /.row -->

                                        <div class="form-group">
                                            <label for="txt-mobile">موبایل</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-screen-smartphone"></i>
                                                </span>
                                                <input class="form-control ltr text-left mobile"
                                                    name="mobile" id="txt-mobile" value="{{ old('mobile', auth()->user()->mobile) }}"
                                                    type="text">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                        <div class="form-group">
                                            <label for="txt-email">ایمیل</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-envelope"></i>
                                                </span>
                                                <input class="form-control ltr text-left" name="email"
                                                    value="{{ old('email', auth()->user()->email) }}" type="text">
                                                    <input class="form-control ltr text-left" name="theme"
                                                    value="0" type="hidden">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                        <div class="form-group">
                                            <label>نشانی</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-location-pin"></i>
                                                </span>
                                                <textarea class="form-control" rows="4" name="address" placeholder="نشانی">{{auth()->user()->address}}</textarea>
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->

                                    </div><!-- /.form-body -->

                                    <div class="form-actions">
                                        <button type="submit" class="btn btn-info btn-curve">
                                            <i class="icon-check"></i>
                                            ذخیره
                                        </button>
                                        <a href="/panel/" class="btn btn-warning btn-curve pull-left">
                                            <i class="icon-close"></i>
                                            بازگشت
                                        </a>
                                       
                                    </div><!-- /.form-actions -->
                                </form>
                                <a href="/panel/changepassword" class="btn btn-danger btn-curve pull-left btn-block mt-3">
                                    <i class="icon-close"></i>
                                    تغییر رمز عبور شما
                                </a>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
