@extends('panel.layouts.master')
@section('content')

<div class=" container ">
    <div class="alert alert-custom alert-warning fade show fill" role="alert">
        <div class="alert-text"><strong>
         لیست تیکت های شما
            </strong></div>
    </div>
    <div class="row">
        <!-- BEGIN BREADCRUMB -->
        <div class="col-md-12">
            <div class="breadcrumb-box border shadow">
                <ul class="breadcrumb">
                    <li><a href="/panel">صفحه اصلی</a></li>
                    <li><a href="">تیکت</a></li>
                    <li class="active">لیست تیکت ها</li>
                </ul>
                <div class="breadcrumb-left">
                    {{ jdate()->format('Y-m-d') }}
                    <i class="icon-calendar"></i>
                </div><!-- /.breadcrumb-left -->
            </div><!-- /.breadcrumb-box -->
        </div><!-- /.col-md-12 -->
        <!-- END BREADCRUMB -->

        <div class="col-12">

        </div><!-- /.col-12 -->
    </div><!-- /.row -->
    <div class="row">
        <div class="col-xl-12">
            <div class="portlet box border shadow">
                <div class="portlet-heading">
                    <div class="portlet-title">
                        <h3 class="title">
                            <i class="fa fa-users fa-2x text-danger"></i>
                            لیست تیکت ها
                            @if(isset($user))
({{$user->nf}})
                            @endif
                        </h3>
                    </div><!-- /.portlet-title -->
                  
                </div><!-- /.portlet-heading -->
                <div class="portlet-body">
                    <div class="row">
                        <div class="col-md-2 col-12 m-b-20">
                            <a class="btn btn-success btn-block curve" href="{{ route('panel.ticket.create') }}">
                                <i class="fa fa-plus-circle fa-2x"></i>
                                افزودن تیکت
                            </a>

                        </div><!-- /.col-md-4 -->
                        <div class="col-md-4 col-12 m-b-20">
                            <form action="" method="get" enctype="multipart/form">
                                <div class="input-group curve">
                                    <input type="text" class="form-control" name="search"
                                        value="{{ request()->search }}" placeholder="شماره تیکت را وارد نمایید...">
                                    <span class="input-group-btn">
                                        <button class="btn btn-default" type="submit">
                                            <i class="icon-magnifier"></i>
                                        </button>
                                    </span>
                                </div><!-- ./input-group -->
                            </form>
                        </div><!-- /.col-md-4 -->
                       

                    </div><!-- /.row -->
                    <div class="table-responsive">
                        <table class="table table-bordered table-striped table-hover">
                            <thead>
                                <tr>
                                 
                                    <th>شماره تیکت</th>
                                    <th>عنوان</th>
                                    <th>مشتری</th>
                                    <th> اولویت</th>
                                    <th>دپارتمان</th>
                                    <th>وضعیت</th>
                                  
                                    <th>تاریخ ثبت تیکت </th>
                                    <th>تاریخ  آخرین تغییر </th>
                                    <th>امکانات</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($tickets as $item)
                                    <tr>
                                     
                                      
                                        <td>{{ $item->id }}</td>
                                        <td><a href="{{route('admin.ticket.show',$item->id)}}">{{ $item->subject }}</a></td>
                                        <td><span class="label label-primary p-1 label-block text-center">{{ $item->user->nf }}</span></td>
                                        <td><span class="label label-info label-block text-center">{{ $item->priority->name }}  </span></td>
                                        <td>{{ $item->category->name }}</td>
                                        <td><label class="label label-{{$item->status->color}}">{{ $item->status->name }}</label></td>
                                      
                                        <td>{{jdate($item->created_at) }}</td>
                                        <td>{{jdate($item->updated_at)->ago() }}</td>
                                        <td>
                                         
                                           
                                            <a data-bs-toggle="tooltip" title="مشاهده تیکت "
                                                href="{{route('panel.ticket.show',$item->id)}}" target="_blank"><i
                                                    class="fa fa-credit-card fa-2x text-success"></i></a>
                                                  
                                              
                                                  
                                                    


                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div>
                </div><!-- /.portlet-body -->
                <div class="portlet-footer">
                    {{ $tickets->appends(['search' => request('search')])->links() }}
                </div>
            </div><!-- /.portlet -->
        </div>
    </div>
</div>
  
@endsection
