@extends('auth.layouts.master')
@section('content')
    <div class="modal-page shadow">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="logo-con m-t-10 m-b-10">
                        <img src="{{ option('info_site_title') }}" class="dark-logo center-block img-responsive" alt="logo">
                        <img src="{{ option('info_logo') }}" class="light-logo center-block img-responsive" alt="logo">
                    </div><!-- /.logo-con -->
                    <h1 class="text-center text-bold" style="font-weight: bold">{{ option('info_site_title') }}</h1>
                    <h2 class="text-center m-b-20">صفحه پرداخت</h2>
                    <hr>
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                        <form id="form" class="m-t-30 m-b-30" action="{{route('pay')}}" method="POST" role="form">
                            @csrf
                            <div class="form-group">
                                <label for="email">مبلغ پرداختی (تومان)</label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-mobile fa-2x"></i>
                                    </span>
                                    <input class="form-control ltr text-left number" type="text" name="price"
                                        placeholder="مبلغ مورد نظر جهت پرداخت را وارد نمایید" required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label for="email">نام و نام خانوادگی </label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-mobile fa-2x"></i>
                                    </span>
                                    <input class="form-control rtl text-right" type="text" name="namefamily"
                                        placeholder="نام و نام خانوادگی پرداخت کننده" required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label for="email">شماره موبایل(جهت ارسال رسید پرداخت) </label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-mobile fa-2x"></i>
                                    </span>
                                    <input class="form-control ltr text-left" type="text" name="mobile"
                                        placeholder="شماره موبایل " required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label for="email">توضیحات </label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-mobile fa-2x"></i>
                                    </span>
                                    <input class="form-control rtl text-right" type="text" name="name"
                                        placeholder=" توضیحات یا بابت: " required>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="form-group">
                                <label for="email">درگاه پرداخت </label>
                                <div class="input-group curve">
                                    <span class="input-group-addon">
                                        <i class="fa fa-mobile fa-2x"></i>
                                    </span>
                                    <select name="gateway" class="form-select">
                                        @foreach ($gateways as $gateway)
                                            <option value="{{ $gateway->key }}">
                                                {{ $gateway->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div><!-- /.input-group -->
                            </div><!-- /.form-group -->
                            <div class="row mt-4">
                                <div class="col-md-8 col-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control ltr text-left curve" autocomplete="off" name="captcha" placeholder="کد امنیتی" required>
                                    </div>
                                </div>
                                <div class="col-md-4 col-6">
                                    <img class="captcha w-100 curve" src="{{ captcha_src('flat') }}" alt="captcha">
                                </div>
                            </div>
                            <p>
                                <button class="btn btn-success btn-curve btn-block" type="submit">
                                    <i class="icon-paper-plane font-lg"></i>
                                    پرداخت
                                </button>
                            </p>
                        </form>
                        <hr class="m-b-30">
                 
                </div><!-- /.col-md-12 -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div><!-- /.modal-page -->
@endsection
@section('js-page')
<script>
    $(document).on('keyup', '.number', function(e) {
        $(this).val(function(index, value) {
            return value
                .replace(/\D/g, "")
                .replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        });


    });
    </script>
@endsection