<?php

use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\ProductController;
use App\Http\Controllers\Admin\FactorController;
use App\Http\Controllers\Admin\PeriodController;
use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\BanerController;
use App\Http\Controllers\Admin\CalenderController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\CommentController;
use App\Http\Controllers\Admin\CustomerController;
use App\Http\Controllers\Admin\GalleryController;
use App\Http\Controllers\Admin\ImageUploadController;
use App\Http\Controllers\Admin\InstallmentController;
use App\Http\Controllers\Admin\MenuController;
use App\Http\Controllers\Admin\PersenelController;
use App\Http\Controllers\Admin\PostController;
use App\Http\Controllers\Admin\ProgramController;
use App\Http\Controllers\Admin\ProgramDayController;
use App\Http\Controllers\Admin\RoleController;
use App\Http\Controllers\Admin\ServiceController;
use App\Http\Controllers\Admin\SettingController;
use App\Http\Controllers\Admin\SlideshowController;
use App\Http\Controllers\Admin\SmsController;
use App\Http\Controllers\Admin\TariffController;
use App\Http\Controllers\Admin\TicketCategoryController;
use App\Http\Controllers\Admin\TicketCommentController;
use App\Http\Controllers\Admin\TicketController;
use App\Http\Controllers\Admin\TicketPriorityController;
use App\Http\Controllers\Admin\TransactionController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', [AdminController::class,'index'])->name('index');


Route::resource('user', UserController::class);
Route::resource('persenel', PersenelController::class);
Route::resource('product', ProductController::class);
Route::resource('factor', FactorController::class); 
Route::resource('period', PeriodController::class); 
Route::resource('transaction', TransactionController::class); 
Route::resource('installments', InstallmentController::class); 
Route::resource('ticket', TicketController::class); 
Route::resource('ticketCategory', TicketCategoryController::class); 
Route::resource('ticketpriority', TicketPriorityController::class);
Route::resource('ticket.comment', TicketCommentController::class);
Route::resource('service', ServiceController::class);
Route::resource('service.tariff', TariffController::class);
Route::resource('service.program', ProgramController::class);
Route::resource('program.programDay', ProgramDayController::class);
Route::resource('category', CategoryController::class);
Route::resource('customer', CustomerController::class);
Route::resource('role', RoleController::class);
Route::resource('slideshow', SlideshowController::class);
Route::resource('comments' , CommentController::class)->only(['index' , 'update' , 'destroy']);
Route::resource('gallery', GalleryController::class);
Route::resource('baner', BanerController::class);
Route::resource('post', PostController::class)->except('show');
Route::resource('menu', MenuController::class);

Route::post('userapi', [UserController::class,'userapi']);

Route::get('/users/export', [UserController::class,'export'])->name('users.export');
Route::get('/factors/export', [FactorController::class,'export'])->name('factor.export');
Route::get('/products/export', [ProductController::class,'export'])->name('products.export');

Route::get('/factor/payment/{factor}', [FactorController::class,'show'])->name('factor.payment');

Route::get('/user/factor/{user}', [UserController::class,'factor'])->name('user.factor');
Route::get('/user/transaction/{user}', [UserController::class,'transaction'])->name('user.transaction');

Route::get('/setting/sms/', [SettingController::class,'showsms'])->name('settings.sms');
Route::get('/setting/index', [SettingController::class,'showInformation'])->name('settings.index');
Route::get('/setting/gateways', [SettingController::class,'showGateways'])->name('settings.gateways');
Route::post('/setting/sms/', [SettingController::class,'updateSms']);
Route::post('/setting/index/', [SettingController::class,'updateInformation'])->name('settings.setting');
Route::post('/setting/gateways', [SettingController::class,'updateGateways']);
Route::get('/profile', [UserController::class,'profile'])->name('profile');
Route::get('/change-password', [UserController::class,'changepassword'])->name('changepassword');
Route::get('/two-factor-authentication', [UserController::class,'twofactor'])->name('twofactor');
Route::get('/sms', [SmsController::class,'index'])->name('sms');

Route::get('/factor/installments/{factor}', [InstallmentController::class,'factor'])->name('factor.installments');
Route::post('/factor/installments/{factor}', [InstallmentController::class,'installment']);

Route::get('/sms/{factor}', [FactorController::class,'sms'])->name('sms.factor');
Route::post('file/upload',[ImageUploadController::class,'store'])->name('store.image');
Route::post('file/upload/delete',[ImageUploadController::class,'delete'])->name('delete.image');


Route::get('ticket/{ticketcommentfile}/download',[TicketController::class,'download'])->name('ticket.download');

Route::get('product/{product}/download',[ProductController::class,'download'])->name('product.download');
Route::get('factor/{factor}/download',[FactorController::class,'download'])->name('factor.download');

Route::get('ticket/{ticketcommentfile}/audio',[TicketController::class,'audio'])->name('ticket.audio');

Route::get('/fish', [TransactionController::class,'fish'])->name('transaction.fish');
Route::get('/transaction', [TransactionController::class,'index'])->name('transaction');
Route::post('/fish/{transaction}/changestatus', [TransactionController::class,'changestatus'])->name('transaction.changestatus');

Route::get('/comment/status', [CommentController::class,'changeStatus'])->name('changeStatus');
Route::get('/calender', [AdminController::class,'calender'])->name('calender');
Route::get('/calender/getAllEventsAjax', [CalenderController::class,'getAllEventsAjax'])->name('getAllEventsAjax');