<?php

use App\Http\Controllers\Auth\ConfirmablePasswordController;
use App\Http\Controllers\Auth\LoginWithCodeController;
use App\Http\Controllers\Auth\OneTimeLoginController;
use App\Http\Controllers\Auth\PasswordResetLinkController;
use App\Http\Controllers\Auth\NewPasswordController;
use Illuminate\Support\Facades\Route;


Route::get('/forgot-password-sms', [PasswordResetLinkController::class, 'create'])
    ->middleware('guest')
    ->name('password.sms.request');

Route::post('/forgot-password-sms', [PasswordResetLinkController::class, 'store'])
    ->middleware(['guest', 'throttle:10,1'])
    ->name('password.sms.send');

Route::get('/active-code', [OneTimeLoginController::class, 'create'])
    ->middleware(['guest'])
    ->name('active-code');

Route::post('/active-code', [OneTimeLoginController::class, 'store'])
    ->middleware(['guest']);


Route::get('/change-password', [NewPasswordController::class, 'show'])
    ->middleware(['auth'])
    ->name('change-password');

Route::post('/change-password', [NewPasswordController::class, 'store'])
    ->middleware(['auth']);
