<?php

use App\Http\Controllers\HolidayController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\InstallController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\ImageUploadController;
use App\Http\Controllers\LicenseController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Route::get('/',[HomeController::class,'index'])->name('index');
Route::get('/aboutus',[HomeController::class,'about'])->name('about');
Route::get('/contact',[HomeController::class,'contact'])->name('contact');
Route::get('/services', [HomeController::class, 'services'])->name('services');
Route::get('/blogs', [HomeController::class, 'blogs'])->name('blogs');
Route::get('/blog/{post:slug}', [HomeController::class, 'blog'])->name('blog');
Route::get('/service/{service}', [HomeController::class, 'service'])->name('service');

Route::get('pay/{factor:link}',[HomeController::class,'invoice'])->name('invoice');
Route::get('product/{product:link}',[HomeController::class,'product'])->name('product');
Route::post('product/{product:link}',[HomeController::class,'product_pay']);
Route::get('pay',[HomeController::class,'paypage'])->name('pay');
Route::post('pay',[HomeController::class,'paypersonal']);
Route::post('/uploadfish',[HomeController::class,'fish'])->name('fish');
Route::get('register/admin',[InstallController::class,'showRegisterForm'])->name('register.admin')->middleware(['CheckUserNotExists']);
Route::post('register/admin', [InstallController::class, 'register'])->middleware(['CheckUserNotExists']);
Route::get('factor/print/{factor:link}',[HomeController::class,'print'])->name('print');
Route::post('pay/{factor:link}',[HomeController::class,'pay'])->name('pay.invoice');
Route::any('/payment/callback/{gateway}', [PaymentController::class, 'verify'])->name('verify');
Route::get('/license', [LicenseController::class,'license'])->name('license');
Route::post('/license', [LicenseController::class,'postlicense']);
Route::get('/file/{file}/download', [HomeController::class,'download'])->name('download')->middleware('signed');
Route::get('/file/{file}/downloads', [HomeController::class,'downloads'])->name('file.download');
Route::post('/file/upload',[ImageUploadController::class,'store'])->name('store.image')->middleware(['auth']);
Route::post('/file/upload/delete',[ImageUploadController::class,'delete'])->name('delete.image')->middleware(['auth']);
Route::get('/city', [HomeController::class,'city'])->name('city');
Route::get('/servicetime', [HomeController::class,'servicetime'])->name('servicetime');
Route::get('/reserve/{service}', [HomeController::class,'reserve_page'])->name('reserve_page')->middleware(['auth']);
Route::get('/posts/category/{category:slug}', [HomeController::class, 'catblog'])->name('catblogs');