<?php
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PanelController;
use App\Http\Controllers\ImageUploadController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function () {
    return view('panel.index');
})->name('index');
Route::get('factors',[PanelController::class,'factorsindex'])->name('factorsindex');
Route::get('installments',[PanelController::class,'installments'])->name('installments');
Route::get('transaction',[PanelController::class,'transaction'])->name('transaction');
Route::get('profile',[PanelController::class,'profile'])->name('profile');
Route::get('ticket',[PanelController::class,'ticket_index'])->name('ticket');
Route::get('ticket/create',[PanelController::class,'ticket_create'])->name('ticket.create');
Route::post('ticket/create',[PanelController::class,'ticket_store'])->name('ticket.store');
Route::get('ticket/{ticket}',[PanelController::class,'ticket_show'])->name('ticket.show');
Route::post('ticket/{ticket}/comment',[PanelController::class,'comment_store'])->name('ticket.comment.store');
Route::get('ticket/{ticketcommentfile}/download',[PanelController::class,'ticket_download'])->name('ticket.download');
Route::get('ticket/{ticketcommentfile}/audio',[PanelController::class,'ticket_audio'])->name('ticket.audio');

Route::get('changepassword',[PanelController::class,'changepassword'])->name('changepassword');
Route::get('/logout', function () {
    \Illuminate\Support\Facades\Auth::logout();
    return redirect()->route('index');
})->name('logoute');