
<?php $__env->startSection('css'); ?>
    <link href="/assets/plugins/select2/dist/css/select2.min.css" rel="stylesheet">
    <link href="/assets/plugins/kamadatepicker/kamadatepicker.min.css" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- BEGIN PAGE CONTENT -->
    <div id="page-content">
        <div class="row">
            <!-- BEGIN BREADCRUMB -->
            <div class="col-md-12">
                <div class="breadcrumb-box border shadow">
                    <ul class="breadcrumb">
                        <li><a href="dashboard.html">پیشخوان</a></li>
                        <li><a href="/admin/user">مشتریان</a></li>
                        <li class="active"> <?php echo e($title); ?> </li>
                    </ul>
                    <div class="breadcrumb-left">
                        <?php echo e(jdate()->format('Y-m-d')); ?>

                        <i class="icon-calendar"></i>
                    </div><!-- /.breadcrumb-left -->
                </div><!-- /.breadcrumb-box -->
            </div><!-- /.col-md-12 -->
            <!-- END BREADCRUMB -->

            <div class="col-12">
                <div class="portlet box border shadow">
                    <div class="portlet-heading">
                        <div class="portlet-title">
                            <h3 class="title">
                                <i class="fa fa-user-plus fa-2x text-danger"></i>
                                <?php echo e($title); ?>

                            </h3>
                        </div><!-- /.portlet-title -->
                        <div class="buttons-box">
                            <a class="btn btn-sm btn-default btn-round btn-fullscreen" rel="tooltip" title="تمام صفحه"
                                href="#">
                                <i class="icon-size-fullscreen"></i>
                            </a>
                            <a class="btn btn-sm btn-default btn-round btn-collapse" rel="tooltip" title="کوچک کردن"
                                href="#">
                                <i class="icon-arrow-up"></i>
                            </a>
                        </div><!-- /.buttons-box -->
                    </div><!-- /.portlet-heading -->
                    <div class="portlet-body">
                        <?php if($errors->any()): ?>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="alert alert-danger fill  fade show">
                                    <button type="button" class="btn-close" data-bs-dismiss="alert"
                                        aria-label="Close"></button>
                                    <?php echo e($error); ?>

                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                        <form role="form" action="<?php echo e($action); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <?php if(isset($customer->id)): ?>
                                <?php echo method_field('PUT'); ?>
                            <?php endif; ?>
                            <div class="form-body">
                                <div class="row">
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label>نام</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon text-success">
                                                    <i class="icon-user fa-2x"></i>
                                                </span>
                                                <input type="text" name="name" class="form-control"
                                                    value="<?php echo e(old('name', $customer->name)); ?>" required placeholder="">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label>نام خانوادگی</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-people text-success fa-2x align-middle"></i>
                                                </span>
                                                <input type="text" name="family" class="form-control"
                                                    value="<?php echo e(old('family', $customer->family)); ?>" required placeholder="">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label>تلفن همراه</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-screen-smartphone text-success fa-2x"></i>
                                                </span>
                                                <input type="text" class="form-control ltr text-left"
                                                    pattern="^(\+98|0)?9\d{9}$" required name="mobile"
                                                    value="<?php echo e(old('mobile', $customer->mobile)); ?>" class="form-control"
                                                    placeholder="">
                                            </div><!-- /.input-group -->
                                            <span class="help-block">شماره موبایل را به صورت کامل وارد کنید برای مثال :
                                                09123456789</span>
                                        </div><!-- /.form-group -->
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label>تلفن ثابت</label>
                                            <div class="input-group curve">
                                                <span class="input-group-addon">
                                                    <i class="icon-phone text-success fa-2x"></i>
                                                </span>
                                                <input type="text" class="form-control ltr text-left" required
                                                    name="tel" value="<?php echo e(old('tel', $customer->tel)); ?>"
                                                    class="form-control" placeholder="">
                                            </div><!-- /.input-group -->
                                        </div><!-- /.form-group -->
                                    </div>

                                    <div class="form-group col-lg-6">
                                        <label>استان</label>
                                        <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="icon-location-pin fa-2x text-success"></i>
                                            </span>
                                            <select class="form-select province" name="ostan_id"
                                                data-action="/city?id=" data-sub="city">
                                                <?php $__currentLoopData = $ostans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($item->id); ?>"
                                                        <?php echo e(old('ostan_id', $customer->ostan_id) == $item->id ? 'selected' : ''); ?>>
                                                        <?php echo e($item->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div><!-- /.input-group -->
                                    </div>

                                    <div class="form-group col-lg-6">
                                        <label>شهر</label>
                                        <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="icon-location-pin fa-2x text-success"></i>
                                            </span>
                                            <select class="form-select" name="shahr_id" id="city"
                                                data-selected="<?php echo e(old('shahr_id', $customer->shahr_id)); ?>">

                                            </select>
                                        </div><!-- /.input-group -->
                                    </div>

                                    <div class="form-group col-lg-6">
                                        <label for="discount_start_at">تاریخ تولد </label>
                                        <div class="input-group curve">
                                            <span class="input-group-addon">
                                                <i class="icon-calendar text-success fa-2x"></i>
                                            </span>
                                            <input class="form-control ltr text-left kama-datepicker" type="text"
                                                id="kama-datepicker"
                                                value="<?php echo e(old('birthday', jdate($customer->birthday)->format('Y/m/d'))); ?>"
                                                name="birthday" required>
                                        </div><!-- /.input-group -->
                                    </div><!-- /.form-group -->
                                    <div class="form-group col-lg-6">
                                        <label>فعال بودن مشتری </label>
                                        <div class="input-group curve">
                                            <span class="input-group-addon">
                                                <i class="fa fa-check-square-o fa-2x text-success"></i>
                                            </span>
                                            <select class="form-select" name="status">
                                                <?php $__currentLoopData = config('value.truefalse'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($key); ?>"
                                                        <?php echo e($customer->status == $key ? 'selected' : ''); ?>>
                                                        <?php echo e($name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div><!-- /.input-group -->
                                    </div>
                                    <hr>
                                </div>
                            </div><!-- /.form-body -->

                            <div class="form-actions">
                                <button type="submit" class="btn btn-info btn-round">
                                    <i class="fa fa-check fa-2x"></i>
                                    ذخیره
                                </button>
                                <a href="/admin/customer" class="btn btn-warning btn-round">
                                    <i class="fa fa-close fa-2x"></i>
                                    بازگشت

                                </a>
                            </div><!-- /.form-actions -->
                        </form>

                    </div><!-- /.portlet-body -->
                </div><!-- /.portlet -->
            </div><!-- /.col-12 -->
        </div><!-- /.row -->
    </div><!-- /#page-content -->
    <!-- END PAGE CONTENT -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js-page'); ?>
    <script src="/assets/plugins/select2/dist/js/select2.full.min.js"></script>
    <script src="/assets/plugins/select2/dist/js/i18n/fa.js"></script>
    <script src="/assets/js/pages/select2.js"></script>
    <script src="/assets/plugins/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="/assets/plugins/jquery-validation/src/localization/messages_fa.js"></script>
    <script src="/assets/js/pages/validation.js"></script>
    <script src="/assets/plugins/kamadatepicker/kamadatepicker.min.js"></script>
    <script src="/assets/js/datepicker-loader.js"></script>
    <script type="text/javascript">
        $(document).on('change', '.province', function(e) {
            getCities(this);
        });
        var ostan = $('select[name="ostan_id"]');
        getCities(ostan);
        var image;
        $('body').on('click', '.button-image', (event) => {
            event.preventDefault();

            image = $(event.target).closest('.form-group');

            window.open('/file-manager/fm-button', 'fm', 'width=1400,height=800');
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mahampar/public_html/laravel/resources/views/admin/customer/create.blade.php ENDPATH**/ ?>